Welcome to Where Is It?

Where Is It? is designed to help you maintain and organize a collection of your CD-ROMs, audio CDs, hard disks, removable and network drives etc. The program catalogs contents of your media, imports descriptions and thumbnails, and makes it available for offline browsing and searching. Where Is It? is ideal to handle your downloaded programs, magazine CD-ROMs, music collections like MP3s or audio CDs, graphics collections, documents,...

Introduction
Program features and capabilities
What is Where Is It?, and what it is not
System Requirements
Shareware version limitations

Getting Started
How to use help in Where Is It?
Where do I begin
How to...
Frequently asked questions (FAQ)

Exploring User Inteface

Using Where Is It?

Development History

Ordering Where Is It?
Price and ordering conditions
How to place an order

Contacting the author

WhereIsIt-Soft.com,
July 2004


Introduction

Where Is It? is a shareware application written for 32-bit Windows operating systems, designed to help you maintain and organize a catalog of your computer media collection, including CD-ROMs, audio CDs, diskettes, removable drives, hard drives, network drives, DVDs, or any other media that Windows can access as a drive. The most basic goal for Where Is It? is to provide access to the contents of any media you have from a cataloged database, even if the media itself is not available on the system - you can browse lists of files and folders, search by any criteria, use descriptions, thumbnails, categories, flags, etc.

What can it do?

WhereIsIt can be used to handle any kind of data, including downloaded programs, magazine CD-ROMs, music collections like MP3s or audio CDs, graphics collections, document backups, etc. Where Is It? can handle lots of them, too, a couple hundreds or thousands disks in a catalog is nothing unusual, yet catalogs remain reasonably small, single-filed and easy to transfer or send to other users. You can also create more than one catalog, and at any time open and work with as many catalogs at once as needed.

WhereIsIt is easy to use for both beginners and advanced users. It features a familiar and well thought-out, Explorer-like user interface, combined with strong searching and reporting capabilities, multi-language support, automated description and thumbnails importing through extendable plugins from more than 70 different sources, and much more.

See Also
Program Features and Capabilities, What is Where Is It? and what it is not, System Requirements


Program Features and Capabilities

Suitable for beginners and advanced users

WhereIsIt was designed to be a very adjustable program with lots of options for power users, as well as quick and easy to use with predefined default settings and wizards for all those who don't want to get their hands dirty.

Well thought-out user interface with multi-language support

WhereIsIt's user interface is one of its most praised qualities. Easy to use, familiar Explorer-like user interface with clear overview of available functions, adjustable toolbar, columns to choose between, and extensive use of object menus (right mouse click) to let you quickly access command you need. Want to see item's description or assigned thumbnail image? Just leave mouse pointer on it for a moment, it will popup as a tool-tip.

Not just that, WhereIsIt's user interface can be used in any of the supported languages, dialogs will adjust to translated text. Support for new languages can be downloaded in a form of small language files, or even created by users themselves by translating the program to a new language.

Manageable catalog files

WhereIsIt doesn't use large and complex databases, all information is stored in a single catalog (.ctf) file, easily transferable to another computer, a friend, a public forum... as well as easy to backup. Share your data the easy way. Catalogs don't need to be installed in any way, they can just simply be opened in the program as document files, even on someone else's computer, while still retaining full functionality. Internal catalog file structure is optimized for very efficient access and small total size, allowing fast searches and small memory footprint, even with very large catalogs. For example, 30.000 files and folders (that's about five heavily populated CD-ROMs) will result in a catalog file approximately 1 MB in size - details may vary, depending on data structure and selected scanning options.

Detailed information about every file, folder, or disk

Every item in catalog includes detailed basic information about files and folders you would come to expect, like name, size, date, file attributes and similar, but WhereIsIt adds to that its own information it provides as a catalog program. For example, every item can include up to 32 KB textual description, a small thumbnail image, you can assign items custom-defined, multi-level categories or flags, you can even assign them so-called alias names, under which are they known in catalog - for example, if the real file name is to cryptic. When displayed in WhereIsIt, items can be colored according their type, assigned categories or flags... All of those can be used to find items you are looking for, or just make browsing your disk images a lot simpler and more fun.

Internal support for many compressed file formats

Many of the often used compressed file formats can be handled during media scan, including ZIP, ARJ, RAR, CAB, LHA/LZH, TAR, ARC, ACE, ZOO, GZ, SFX... If so selected, compressed files can be presented as folders, showing their content inside. Files compressed inside archives can be extracted right out from Where Is It? to any folder, or they can be viewed or launched with associated program with one click!

Automatic description and thumbnails importing

One of Where Is It? most powerful features are description and thumbnail plugins, in charge of importing descriptions and images while media is being scanned and stored in the catalog. This way, you can have your files and folders equipped with descriptions right after scanning completes. Based on source type, descriptions are automatically attached either to files themselves, to their parent folders, other files in the folder, etc. Standard description plugins handle importing from more than 60 file types and other sources, including files like File_id.diz, Descript.ion, 00index.txt, Files.bbs, they can browse and extract details from most documents, graphics and audio files, including MP3s (sampling, play time, ID3 tags...), Audio CDs (CDDB database, Cdplayer.ini), MS Office documents, Adobe Acrobat files, executable files and fonts, and many many more. Details about graphics files not only include their size and color depth, a small thumbnail can be imported in catalog as well, possibly together with digital camera info and other comments embedded inside.

As if all this wouldn't be enough, there is even more - you can develop your own description and thumbnail plugins to handle additional types of sources and files WhereIsIt doesn't handle yet at this time, or you can download plugins others have written and made them available for others to use.

Built-in media recognition system

WhereIsIt supports any media type Windows can access as drive, including diskettes, CD-ROMs, DVDs, removable disks like iomega Zip, hard disks, network drives etc. It will recognize by name and collect useful data for most of them, too. WhereIsIt is compatible with all Windows-supported file systems, including FAT, FAT32, and NTFS.

WhereIsIt does not use drive letters to reference cataloged disks, it is able to recognize them by their key properties, like type, serial number, formatted capacity, and similar. This way, it doesn't matter which drive is your media inserted in, WhereIsIt will find it, even on some other computer over the network. In the unlikely even that media changes that much that it can no longer be recognized (for example, by reformatting it), you can still manually update its existing disk image in catalog.

Powerful searching finds what you are looking for

WhereIsIt features a powerful multi-threaded searching, with detailed settings on what to search for, where to search and how to search. Use either Quick Search to quickly find your items by name or description, or start up Advanced Search with Search Expression Editor, allowing you to write complex search queries using the full rich set of available search criteria and Boolean logic operators. WhereIsIt provides quick shortcuts to search only in selected disks or folders, or you can search through previous search results or user list items, resulting in countless capabilities to combine multiple searches, narrow down results...

Searching for duplicate items is in there, too, as well as comparing cataloged disk image to actual files on the media, and see what has changed since.

Professional report generator

Adjustable and professional report generator adds a final touch to your catalog collections. Report generator is usually used together with extensive search capabilities, allowing you to first collect the items you want in the report, while report generator handles the details about items themselves, such as specifying the details to be included, optionally sorting and arranging them by their location... Needless to point out, you can use the built in print preview, with adjustable zoom and full-screen capabilities.

Report generator not only allows you to print your reports on your printer or send them by fax using the Microsoft Fax, it is also used for exporting cataloged data to other formats, including ASCII files, Excel tables, rich-text RTF documents, HTML documents...

See Also
What is Where Is It? and what it is not, System Requirements


What is Where Is It?, and what it is not

Welcome to Where Is It?

What is Where Is It?

WhereIsIt is a media cataloging software. The program catalogs the contents of media, equips cataloged data with imported or custom defined descriptions and thumbnails, and allows to further organize it using details such as categories, flags, disk groups, etc. Typically, WhereIsIt would be used for handling collections of removable media, where the actual data is not available at the time of working with the program, although many find it useful for managing accessible files as well, such as hard disk data, or for faster access to data on large and slow network drives. WhereIsIt is commonly used to handle any kind of data, from software downloads, office documents, to audio and graphics collections.

What Where Is It? is not

WhereIsIt is not a file manager or Explorer replacement. While there are some functions available as a convenience that deal with actual files, WhereIsIt works with virtual, cataloged data rather than with real files, which can create conditions fundamentally different from the ones in Explorer. As a cataloging application, WhereIsIt is not meant to keep track of your hard disk activity in real time, nor does it integrate in any way with the system. WhereIsIt is not a backup software, and does not keep copies or contents of files in its catalog. WhereIsIt is not specialized in any particular type of data, nor does it provide functionality targeted for specific type of files only. All files are treated equally, specific details about files such as document titles, play time for audio files etc. belong to their descriptions and are imported through plugins, handling that specific type of files.

See Also
Introduction, Program Features and Capabilities, System Requirements


System Requirements

  • Windows 95/98/ME, Windows NT 4.0, Windows 2000, Windows XP, or Windows 2003.
  • At least 8 MB of RAM is strongly recommended, 16 MB or more preferred.
  • 5.0 MB free hard disk space for program installation and catalogs.
  • Mouse or other Windows-compatible pointing device.

Year 2K Statement

WhereIsIt? was tested to be fully Y2K compliant and will properly handle Y2K issues in all internal calculations. On the other hand, Where Is It? also heavily depends on provided Windows support, especially drivers for your media devices. For example, if CD-ROM or network driver does not handle properly file dates in year 2000 and greater (like returning them as 1900), Where Is It? will also receive them as such during disk scan. Where Is It? version 2.0 and newer also include some additional support to minimize the impact of external non-Y2K compliant sources on WhereIsIt, so it is very unlikely you will experience any date related problems with Where Is It? during or after year 2000.

See Also
Introduction, Program Features and Capabilities


Shareware Version Limitations

The unregistered (shareware) version of Where Is It? has built-in some limitations in order to encourage registering this software. All of the following limitations are removed when the program is registered, using given license key file. For more information on how to register, have a look on how to order.

Catalog size limit

The total allowed capacity of all media in a single catalog is limited to 2 GB. You will not be able to add more disk images to the catalog if the total sum of all media capacities in the catalog already exceeds this limit. If you want to add more data, you will have to open a new catalog.

No multi-catalog support

Only one catalog can be opened at the time. If you would like to work with another catalog, you must first close the current one.

No catalog auto-loading

Auto-loading catalogs on program startup is disabled. Registered users can setup a list of catalogs to automatically load when program is starting.

Unregistered message in reports

All reports will include a visible message saying they were generated with unregistered version.

Tips can't be disabled

Tips on program startup can not be disabled in the unregistered version. The first tip will always remind you that you are working with an unregistered program.

No script language support

Script language is only available in registered version. Script language is mostly used for unattended catalog updates, or it can perform special tasks on program startup, for example, updating the catalog data when program starts, so you always have the latest state to work with.

See Also
How to order Where Is It?


Release History - Current Versions
See Also: Versions 2.00 - 2.16a, Versions 1.00 - 1.26, Versions before 1.00

Version 3.61 - 5. July 2004

  • New and updated plugins - added new plugin for Zeiss LSM file format, updated TIFF plugin for 12-bit grayscale images in TIFF images with separate color planes, updated DcrawPlugin to the latest version of dcraw.c and added additional supported RAW files.
  • Added capability to search by whole words when using Quick Search, or searching by file names or descriptions in Advanced Search. Combining whole words searching with wildcards is also allowed.
  • Redesigned Catalog Setup dialog with added new functionality, including sorting, reverting data, auto expanding/collapsing categories etc.
  • If automatic expanding/collapsing tree nodes is selected, all catalog nodes will no longer be expanded automatically, but left unchanged instead, leaving it to the user if available disks should always be visible or not.
  • More robust handling of CRC calculations when scanning disks, certain specific cases of locked files could cause scanning to abort.
  • Disk or folder currently being scanned is now more clearly marked as such in the catalog tree.
  • Added optional ASPI drivers check in the setup program, provided by Adaptec's AspiChk.exe. Checking the state of ASPI drivers is highly recommended as broken ASPI support on the system is by far the most common cause of problems when cataloging CDs or DVDs.
  • Documented command line installation switches for the setup program in the Install.txt file, including switches for silent installs.
  • Optimized web site for W3C compliance and Mozilla/Firefox compatibility.
Build 3.61.712
  • Fixed searching for item names by file masks.
  • Disk scanning now always skips folders named .AppleSingle and .AppleDouble, if they exist on the media. Those are special folders created by certain software when accessing PC files from a Mac, and they contain modified, invalid copies of files which can cause problems for plugins trying to process them.
  • Deselected folders under Folder Limitations button in the Add/Update Disk Image dialog are now always reset for each affected drive when doing batch disk image updates through the Update All Disk Images function.
  • Some other minor adjustments.
Build 3.61.727
  • Added new Zeiss LSM description plugin, complementing existing Zeiss LSM thumbnails plugin.
  • Fixed inability for plugins to change disk's name while cataloging.
  • Some other minor changes and adjustments.

Version 3.60 - 21. May 2004

  • Added new thumbnails plugin for decoding digital camera raw photos. DcrawPlugin is a wrapper around Dave Coffin's dcraw.c project, adjusting it to be used as a plugin in WhereIsIt. dcraw.c currently supports 109 different digital cameras. dcraw.c home page: http://www.cybercom.net/~dcoffin/dcraw/
  • Adjusted a few details with handling network drives, exposed last known UNC address for cataloged network drives in a few different places, like drive popup descriptions, insert media notification, Properties dialog...
  • Adjustments to the Adobe Acrobat (PDF) plugin.
  • Lots of other minor changes and adjustments.
Build 3.60.604
  • Updated DcrawPlugin to the latest version of dcraw.c.
  • Addressed a performance problem in Report Generator when handling large numbers of items in generated reports.
  • Fixed error messages occurring on some systems when changing view mode on compare results list.

Version 3.59 - 27. April 2004

  • Editing categories, flags, and disk location assignments is now possible directly from item lists, for both individual items and multiple items at once. Just select wanted item(s) and right-click, double-click, or edit- click in the area of the appropriate column. In-place editing like that is now available in the main window, search results, and user list.
  • Alias names are now also directly editable in search results list and user list. Just edit-click an item, or press F2. The same was already available before in the main window.
  • Existing Ogg Vorbis plugin is extended to handle generic Ogg multimedia files, including Ogg Media format (*.OGM), supporting video tracks, audio tracks, and subtitles.
  • It is now possible to start another instance of WhereIsIt in scripted mode even if WhereIsIt is already running in normal mode at the time. This should allow scheduled scripts to execute normally, rather than being aborted if WhereIsIt is being used interactively at the time.
  • A few changes were made in the About dialog, reported WhereIsIt version now also includes build number, and operating system version detection is more descriptive and includes service pack information.
  • Changed a few keyboard shortcuts in the English language version, adding disk image is now accessible through Ctrl+D instead of Ctrl+A, while Ctrl+A is now left reserved for its usual default action, selecting all items on a list (also accessible as before through numerical "*").
  • Addressed possible negative disk free space being reported after copying files using internal file management functions, and selecting to have target disk image in catalog updated with data being copied. Negative free space could result if target disk image was not previously up to date with the actual state on disk.

Version 3.58 - 26. March 2004

  • Added new Matroska Media Files (*.MKV) plugin.
  • IMDB plugin: Changed URL encoding to be compatible with RFC 1738. This allows using some more unusual characters in movie title queries.
  • IMDB plugin: Added support for importing movie thumbnails in GIF and PNG formats. 99% of IMDB site has thumbnails in JPG format, however there are some movie entries with GIF thumbnails as well.
  • Sorted column is now shaded when running on a system with XP visual styles enabled.
  • WhereIsIt now terminates faster when exiting the program, especially after dealing with large amounts of data, like scanning large hard disks.
  • Some minor changes in generated SQL exported reports.
  • Implemented a workaround for Logitech mouse drivers, with mouse pointer loosing acceleration setting if showing WhereIsIt's startup logo was turned off. In such cases, Logitech mouse drivers were incorrectly detecting WhereIsIt "as a game" (one of the plugins happens to use DirectX) and may have turned off mouse acceleration if so set up in the mouse driver. Related FAQ entry is now also removed as it no longer applies.
  • Addressed a few minor issues related to running WhereIsIt in special localized environments, like using Microsoft's AppLocale utility to change system locale per application bases. Scanning media in such cases was sometimes terminated when encountering a filename containing localized characters. Note that using AppLocale with WhereIsIt is not recommended, as it can not provide a proper environment for the program to run in, Windows should be booted with appropriate language setting instead.
  • A few minor changes for Windows XP SP2 compatibility when running on AMD64 and Itanium processors.
Build 3.58.404
  • Catalogs opened at the time of exiting WhereIsIt are added once again to the MRU list, as they were in versions before 3.58.
  • Windows Task Manager no longer shows 100% CPU usage when scanning disks. Note that this is a cosmetical change for the benefit of Task Manager, actual CPU usage is exactly the same as always.
Build 3.58.406
  • Fixed slow disks scanning experienced on some systems.

Version 3.57 - 18. February 2004

  • WhereIsIt now uses RichEdit control v2.0 or newer if available, depending on the operating system type and version. RichEdit control is mostly used for displaying and editing descriptions, and new version brings some additional functionality, such as multilevel undo/redo, auto-detectable and clickable URLs in text, improved multilanguage support etc. A command line switch is available for troubleshooting purposes, forcing the program to use old, compatibility-mode RichEdit 1.0 control.
  • Media type in WhereIsIt's catalogs is now user changeable in disk's Properties dialog, with certain limitations. Only media types that are "compatible" and do not affect basic media properties and functionality can be selected. For example, it is allowed to change CD-ROM media to CD-R or DVD, but you can not change CD-ROM to a hard disk or network drive, or vice versa. Generally, WhereIsIt will autodetect the correct media type, changing it manually may only come handy in cases where precise detection is not possible due to hardware limitations (i.e. CD-R media in regular CD-ROM drive).
  • Added a new description plugin extracting digital camera information in CIFF format from Canon raw files (CRW).
  • Added support for additional video file formats in IMDB and Video Player plugins, fine tuned search results parsing for the IMDB plugin.
  • Added option to compare by file extensions to Compare Files to Catalog and Compare Cataloged Data functions.
  • Redesigned user interface and editing behavior in Lending Disks editor. All disks are now presented in a catalog tree structure instead of a simple list, still sortable, and edited changes are instantly visible on the disks list.
  • Removed a lot of listview flicker, especially when updating/editing item's descriptions.
  • Adjusted a few details with inline alias names renaming.
  • Many other minor fixes and adjustments.
Build 3.57.219
  • Fixed error occuring on columns resize under certain conditions.
Build 3.57.305
  • Quick searching now allows combinations of quoted expressions and masks in the same search parameter, i.e. *"bla"?"a b"*c.
  • Changed internal ASPI processing to allow for better handling for corrupt/non-functional ASPI drivers.

Version 3.56 - 21. January 2004

  • Added image resampling support to the internal viewer. Images that are stretched to fit the window can now be (optionally) resampled to viewed resolution, instead of just bitmap being stretched. While resampling image takes some time to complete, it produces notably better quality stretched images without jagged edges. Resampling in WhereIsIt's internal viewer runs in a separate thread at low priority, and does not interfere with browsing and viewer's responsiveness. After changing viewed image, you will just note a small delay before resampled image kicks in.
  • Added Locate in Catalog button and menu option in the internal viewer, and activated keyboard and mouse navigation keys for scrolling and previous/next navigation when viewing images.
  • Added a "Clear Results" button to the Compare results window. It is recommended to clear Compare results when no longer needed, to free up system resources and speed up catalog processing. Dragging along compare results means they need to be updated to be kept valid as catalog changes, and this can slow down some operations.
  • Lots of changes to handling compare results, mostly fixing a few bugs related to deleting cataloged data while that same data was listed among compare results. Compare results should now be updated correctly.
  • Recordable CD and DVD media are now correctly marked and handled as removable, and allow audio-specific processing like CDDB queries when recorded as audio.
  • Updated IMDB plugin for latest changes on IMDB.com web site.
  • Minor adjustment to the JPEG decoder, addressing a compatibility issue with some very rare JPEG files.
  • Fixed Monkey's Audio plugin (fixed support for .APE files created with Monkey's Audio v3.95 and later, APE tag details were not always extracted)
Build 3.56.123
  • Fixed a bug occuring when manually closing catalog or removing cataloged data after using searching.

Version 3.55 - 15. December 2003

  • Added CD media type recognition, as far as your hardware supports it. WhereIsIt can now tell apart the following types of CD media when it is inserted in drive: CD-ROM, CD-R, CD-RW, DVD-ROM, DVD-RAM, DVD-R, DVD-RW, DVD+RW, DVD+R, DD CD-ROM, DD CD-R, DD CD-RW. Note that not all drives can recognize all media types. Typically, a regular CD-ROM drive is not capable of distinguishing between CD-ROM, CD-R, or CD-RW media, for example, only write-capable devices can do that. Functional ASPI drivers are required on Win9x/ME for this to work, internal SPTI will be sufficient on Win2K/XP.
  • Added DeleteDisk and RenameDisk script commands, and provided better handling for some types of incorrectly written scripts.
  • Included in the package is the latest new description plugin, AVI Video Files, extracting technical details with codecs recognition, as well as providing support for three different types of data tagging formats, with additional information about video files such as title, director, casting, rating etc.
  • Fixed a problem where some disk groups would occasionally loose their attached pictures when catalog was saved more than once in a session.
  • Fixed "Invalid floating point operation" message appearing in report generator when dealing with catalogs with damaged thumbnails, or encountering low system resources situations.
  • Updated FAQ for the slow Logitech mouse issue in WhereIsIt's window, the problem is caused by Logitech's MouseWare drivers.
  • Other minor changes and improvements.
Build 3.55.1231
  • The MP3/WAV Audio Files plugin was added support for Advanced Audio Coding (AAC) MPEG-4 files (including ID3v1 and ID3v2 tags), a new configuration dialog and extended support for ID3v2. MPEG-4 plugin now supports *.M4A and *.M4V files as well.
  • Added a new description plugin, handling Monkey's Audio file format (*.APE), also supporting ID3v1, ID3v2 and APE tags. Support for ID3v1 and ID3v2 was added to Ogg Vorbis plugin as well, and many existing plugins have renewed and optimized configuration dialogs.
  • Added Nikon NEF Raw Files description and thumbnail plugins.
  • Streamlined the IMDB plugin for faster processing, minimizing user's interaction. The most likely choice in search results is now preselected, and the longest available plot summary can be imported automatically instead of asking user to choose one. In most cases, IMDB query can be processed with two Enter keypresses.
  • Bundled all the latest standard plugins.
  • Fixed sorting of disk groups by disk locations.

Version 3.54 - 14. October 2003

  • Changed a bit the strategy on comparing cataloged data, regarding multiple matching items on both source and target locations. A single source item is now allowed to report multiple matching items on target location if compare criteria can not tell them apart. This should provide clearer compare results.
  • Added Properties button and menu option in the internal Viewer, allowing access to changing description, assigning categories, flags etc. while viewing files.
  • Added support for changing media serial number on FAT32/NTFS formatted removable media.
  • Minor changes in handling corrupted catalog files, additional load progress tracking will allow to report more details about the part of catalog found to be corrupted.
  • Fixed a problem with Compare Catalog Data function, selecting target group items often did not allow for selecting folders beyond root level.
  • Fixed searching limited by folder levels, in certain cases folders laying below specified limited were also returned.
  • Fixed duplicates searching with more than 4 active compare criteria.
Build 3.54.1027
  • When saving a new user list, a list of existing user lists is available as a drop down for easier replacement.
  • A few other minor fixes and adjustments.

Version 3.53 - 21. September 2003

  • Renewed compressed archive file support for most of internally handled compression file formats. Added support for some additional variations of compression formats, including ZIP64 (very large .zip files, >2 GB).
  • Report Generator now supports settings templates for both printer and paper settings and report setup settings.
  • Fixed hiding extensions in file name column in Search Results and User List.
  • Other minor fixes, changes, and improvements.

Version 3.52 - 2. September 2003

  • Enhanced searching by categories. You can now optionally select that categories are hierarchically dependant when searching, meaning that searching for a child category will also match all items assigned to one of parent categories. For example, if there is a category "Plants" and it has a subcategory "Trees", searching for items assigned to "Plants" will also return all items only assigned to "Trees".
  • Added a new option to show assigned categories and flags in item's popup window, alongside with item's description and thumbnail.
  • Added new description plugin, handling MPEG-4 (*.MP4) audio and video files. This plugin will extract technical details about available tracks, and it supports ID3-like embedded information used on audio MP4 files.
  • Improved and adjusted EXIF digital camera info handling in JPEG and TIFF images.
  • Word-wrap setting in the top Description Assistant's window is now saved.
  • Fixed the Compare Cataloged Data function, in some cases all file details had to match regardless of settings used.
  • Adjusted SQL exporting for better MySQL compatibility.
  • Fixed a resource leak in the Cursor Images thumbnail plugin.

Version 3.51 - 23. June 2003

  • Added recognition and support for Windows 2003 Server operating system.
  • Bundled all new and improved plugins released separately since version 3.50.
  • Report generator now includes an option to choose between ISO and Windows code pages being generated in exported HTML reports.
  • Fixed compare cataloged data function for dealing with archive files and files compressed and cataloged inside archives.
  • Implemented some changes to allow plugins being executed on files with very long full paths (more than 256 characters).
  • Fixed a problem with WhereIsIt sometimes crashing on exit if Video Player runtime plugin was used during the session. Updated Video Player plugin to better handle problematic environments (older versions of DirectX installed than required, etc.)
  • Lots of other minor changes and fixes.

Version 3.50 - 8. April 2003

  • The freeware version of WhereIsIt, WhereIsIt Lite, was updated to 3.50 code base and is now released together with 3.50 shareware version. WhereIsIt Lite is catalog browser only, it can be freely used to browse and search, but it can not make any changes to catalogs.
  • HTML exported reports now use relative file name links to other pages and included images, instead of full-path file names.
  • Removed remaining debugging code from different parts of the program, some resulting in notable speed-ups.
  • A few minor adjustments for better fitting translations in certain languages.
  • Adjusted some details for handling RAR archives and updated to the latest version of UNRAR.DLL.
  • Added UTF-8 decoding support to the Ogg Vorbis plugin, improving support for non-English languages.
  • Fixed a bug with updating folder data in existing disk image, resulting in GPF under certain conditions.
  • Lots of other minor changes and adjustments.
Build 3.50.422
  • Included updated DescAPI 2.20 documentation in HTMLHelp format, added one additional runtime plugin allowing to assign any picture as a thumbnail for any cataloged file or folder, a few other minor changes and enhancements.
Build 3.50.514
  • Added new runtime plugin, a simple video player with ability to capture and assign selected frame from video file as a thumbnail. DirectX 8.1 or newer is required. There is a lot of room for improvements with this plugin, and some new features will be added in future versions. For now, consider it a beta release.
  • Runtime plugins can now be executed on disk groups as well.
  • Fixed a problem with updating disk images with virtual run through script language.
  • Using Save as Default option when scanning disk images no longer turns off all runtime plugins in program's settings.
  • Adjusted handling of older .DWG files in the AutoCAD description plugin.
  • A few other minor adjustments.
Build 3.50.525
  • Fixed a problem with loading disk images, where non-root folders had assigned custom icons. In some cases not entire disk image was loaded when opening the catalog the next time.

Version 3.50 Release Candidate - 18. March 2003

  • Categories selection tree in Properties and Advanced Search now displays categories in their assigned colors, where available.
  • The text for font preview when selecting fonts is now customizable, just double-click displayed preview text to change.
  • A few sample HTML templates to be used in report generator for HTML exporting are included in this release. Templates allow for customizable look and layout of generated HTML exports.
  • Implemented a workaround for a problem occurring on Windows XP with visual themes active. When resizing window, list view was not repainted properly when in mode other than "details". This appears to a problem associated with the new Comctl32.dll v6 library shipping with Windows XP. The current solution causes some flicker while resizing, but at least it paints properly.
  • F5 shortcut was added in all main windows, refreshing / redrawing window on demand, just like in Explorer.
  • A few minor changes on the new installer software, allowing for better compatibility with older, previously installed version.
  • Report generator bug fixed, some types of exported reports contained no data.
  • Lots of minor bug fixes and cosmetical enhancements, i.e. added shadow on all tooltip windows when running on Windows XP.

Version 3.50 beta 3 - 21. February 2003

  • Added a new option in program's settings, for optionally showing small icon overlays in the top right corner for folders and disks when in thumbnail view. This could be useful for telling apart files and folders when all you can see is a thumbnail.
  • A new Word Wrap option is available in the report generator for description column. When enabled, description column on printed reports will adjust its width to available paper, while text inside is word-wrapped. Useful for non-formatted descriptions without line breaks.
  • IMDB plugin v1.1 - additional filtering of HTML tags in plot outlines and user comments, added support for OFDb (DE) site (German language database), added ability to directly enter movie's URL instead of searching on target web site.
  • Updated MP3 plugin, added support for VBR tags where available, resulting in a few times faster processing of VBR MP3 files.
  • New keyboard shortcuts are available in treeviews for expanding/collapsing nodes in addition to standard ones. Use Ctrl with *, -, and + keys on numerical keyboard.
  • Improved support for browsing through system namespace folders.
  • Fixed importing data through runtime plugins twice in the same session for the same item, only results of the first run would be saved in catalog.
  • Fixed missing column headers on the top of printed reports pages, and addressed some spacing and page break issues with large thumbnails being included in reports.
  • Open/Save dialogs are again available in extended format, as in previous versions.
  • Some other minor changes and adjustments.

Version 3.50 beta 2 - 6. February 2003

  • Beta 2 now ships with Internet Movie Database (IMDB) plugin, the first runtime plugin available, also serving as technology demo. Runtime plugins are not automated and don't provide descriptions and thumbnails while scanning the media, they are manually run later through menu options, and typically require user feedback or work with user through UI. The IMDB plugin retrieves movie details such as title, year, runtime, plot summary, cast, user comments etc., as well as movie's cover image as thumbnail, if available. If you are wondering how such descriptions look like, open the sample catalog, there is a new DVD movie disk image added, equipped with the results of IMDB plugin.
  • "Copy to clipboard" command was added in the internal viewer and description viewer window, placing viewed images or thumbnails to clipboard.
  • Fixed searching by lending disk date.
  • Fixed duplicates searching where CRCs were set as a secondary criteria. In certain combinations of settings involving CRCs and data being processed, not all duplicates were reported.
  • Made adjustments for the toolbar buttons order issue. If previous version of WhereIsIt was installed, the default buttons order in version 3.50 was taken from older version when used for the first time, together with other settings, which looked a bit strange as buttons in version 3.50 are a different. Beta 2 will fall back to the default order for version 3.50.
  • A dozen of other minor fixes, cosmetical adjustments, etc.

Version 3.50 beta 1 - 19. January 2003

  • Changed installer software, and stopped shipping 50COMCTL.EXE update in the distribution package to save on download size (it's very rarely needed, and is available as a separate download where necessary).
  • New internal assembler-optimized memory management is in place, handling the most basic memory allocation all around the program. Some memory intensive operations resulted in a notable speed boost.
  • Plugins for importing descriptions and thumbnails can now be run manually as well, on request and for selected set of cataloged items only. This allows much better manual control on which files to process than with scanning the media.
  • A new plugin type is introduced, intended for interactive, non-automatic plugins that can't do their job without some feedback from the user. These plugins are available for manual running only, and they are directly available as separate menu options for items they apply to. For example, such plugins could be some sort of specialized description editors that can work with the user to prepare data to be imported. Their primary task, though, is to allow for importing of data that can not be imported automatically, without some sort of assistance or input from the user. New plugins support importing both descriptions and thumbnails.
  • The internal viewer has been considerably improved. It now allows for switching viewed files (previous/next file) directly from the viewer, and has support for optionally skipping unavailable files. Viewed images can be resized to fit in window, and can be viewed with optionally predefined brightness/contrast/gamma adjustment. Text files have a switch available for showing them as DOS or Windows text (switching code page used). Viewed files can now be launched in the associated application from the internal viewer.
  • Added a new diagnostic tool, analyzing the structure of catalog file and indicating how much space each disk image or folder take in the catalog file. You can use this tool to help you optimize catalog size, find which parts of the catalog are hogging most of the space and locate them in the main window, there you can remove unnecessary thumbnails, long descriptions, contents of archive files etc.
  • New feature added for tracking disk lending and borrowing. Each disk image in catalog can now be equipped with indicator whether it is available, lent out, borrowed from someone, or not available altogether (i.e. damaged). All three states include optional one-line comment, while lending and borrowing information can also indicate the name and date of the person disk was lent to or borrowed from. Disk status is indicated when browsing catalog in a form of additional overlay status icon displayed over the disk's icon, while details appear in the disk's popup hint along with its description.
  • New data comparing capabilities, allowing to compare files in selected groups of cataloged disks and folders. Compare results include list of files unique to each group, file that are the same in both groups, and files that have the same name but are otherwise different, possibly changed. Comparing cataloged data is particularly useful for comparing disk images of the same media to track changes.
  • Advanced searching now includes a new criteria for searching by disk's lending and borrowing information, including disk's state, name and date of person lent to or borrowed from, and associated comments.
  • Added support for catalog group files (.ctg), simple text files combining one or more catalog files or other catalog groups into a selected group. This allows for easier one-step loading of predefined groups of catalog files for users with lots of catalogs. A new catalog group editor with preview and catalog details is built-in the program.
  • Added new Report Generator Wizard. Intended mostly for novice users, this wizard provides a way to prepare the data for some of the most commonly used report types. While it offers nothing that couldn't be done before, it simplifies preparing some predefined report types and teaches users how to get the same result on their own.
  • Report Generator now supports custom-sized icons and thumbnails (definable separately) in printed reports, or in print preview. You can simply define how much space (mm/inches/pixels) icons and thumbnails should take on paper.
  • Entirely rewritten HTML exporting in Report Generator. Exported HTML files are now based on templates, through which the layout and styling of the generated HTML pages can be customized. Thumbnails and icons can optionally be a part of generated HTML page, exported as JPEG and GIF files, and page indexes can be included in templates for multi-page HTML files. Additional files such as graphics or CSS definitions can be linked from templates and copied along exported HTML data, too. A few predefined custom templates are included.
  • Added an option in report generator settings to limit the allowed number of description text lines when printing or exporting reports.
  • Changed report generator settings dialog, printer and paper-related settings were moved to a separate dialog.
  • Added a new option in the Add/Update disk image dialog, to automatically save the catalog after scanning media completes.
  • Added Flags and Disk Location columns to most item lists, adjusted names of a few columns for better clarity and consistence between different lists, and tweaked a few other related details, like the default order and state of columns on individual lists. All new columns are now available for the report generator as well. Due to these changes, columns order and state will be reset to default if upgrading from previous versions.
  • File management operations like moving and copying files now allow for inserting of needed disks in any order. For example, if copying 5 files from 5 different CDs, the program will no longer demand one of the needed CDs to be inserted, but will list all five and proceed with whichever becomes available first.
  • Added Back and Forward browsing buttons in the main window, keeping track of browsing history.
  • Catalog files (.ctf) on local disks known to be unavailable or deleted are now displayed as grayed on "most recently used" catalogs lists, like in the File menu or Open button's menu.
  • Included support for submitting DGENRE and DYEAR information to the freedb database.
  • Improved themed user interface support, especially for the WinXP users using new XP style. Checkboxes in all lists and treeview are now displayed with theme-compatible check marks instead of default, painting buttons has been adjusted for better support for other third-party themes etc.
  • Easier plugins management. All lists of plugins now support multi-selection, and allow for related operations like checking/unchecking and changing priority to be done for multiple plugins at once.
  • The Launch File command was extended to support manually selecting the application used to run the selected file with. If holding down Shift, "Launch File" command becomes "Launch File with...", which lets you select the application to be used instead of the default associated program. Note that the standard Windows dialogs and methods are used for selecting application to be used for launching file, and implementations may differ between different versions of Windows.
  • All language files now default to the system default font. The typeface and size of this system default font is determined in run-time for each specific system instead of using predefined settings. This makes sure WhereIsIt's dialogs have the same default appearance as all other Windows applications, regardless of screen DPI settings and video drivers.
  • A new file name matching option was added to searching for duplicates, allowing for files to optionally differ in file extensions yet still pass the same filename criteria (i.e. Readme.txt" and "Readme.bak").
  • Advanced searching was extended with a new criteria for searching by thumbnails. It is now possible to search for items with or without thumbnails, or for items with thumbnails of certain size.
  • The Compare Files to Catalog function now supports searching for matching items inside cataloged archive files (of course, only if their contents is available in catalog).
  • You can now assign a disk picture from clipboard as well as from file.
  • Optimized processing of certain combinations of compressed archive files and options used while scanning disk. For example, processing large solid archives while importing descriptions only and not cataloging archive contents is now a lot faster.
  • The separator character for CSV exports in report generator is now user- definable (the default remains to be semi column, as used by Excel and other related applications. Some prefer comma though).
  • Updating disk images now allows for files in catalog to keep their existing descriptions, categories and thumbnails if their name and CRC did not change. If CRC is not available in catalog, or is not set to be calculated during media scan, files must still have the same name, size and date/time stamp to keep their cataloged properties, as before.
  • Added a new option in program's settings regarding the scope of browsing through available network resources. The program now defaults to listing connected resources only, i.e. mapped network drives instead of trying to find everything available on the network. The latter mode of operation is still available, but can cause long delays when Windows tries to find and enumerate available computers, shared drives and printers etc.
  • Scanning report for the Update All Disk Images command now includes some additional details.
  • Added recognition support and separate drive icon for DVD media.
  • System default drive icons are now used instead of custom ones for drives like Zip, Jaz, and DVD drives, when running on Windows XP.
  • Charset handling for custom fonts is now more flexible, allowing users to have more control when working with international fonts.
  • JPEG thumbnails plugin was updated to support some of the newer JPG files.
  • Removed support for importing Floppy Master databases. This has been obsolete for a long time now.
  • A LOT of other minor changes, improvements, adjustments,...

Version 3.26 - 10. June 2002

  • Added two new thumbnail plugins handling Adobe Illustrator files (*.AI) and Canon EOS digital camera raw files (*.CRW), and a new description plugin for Adobe Illustrator files.
  • Optimized processing of certain combinations of compressed archive files and options used while scanning disk. For example, processing large solid archives while importing descriptions only and not cataloging archive contents is now a lot faster.
  • Added support for extracting from multivolume RAR archive files using the new .partxxx.rar naming scheme.
  • Improved themed user interface support, especially for the WinXP users using new XP style. Checkboxes in all lists and treeview are now displayed with theme-compatible check marks instead of default, painting buttons has been adjusted for better support for other third-party themes etc.
  • Catalog files (.ctf) on local disks known to be unavailable or deleted are now displayed as grayed on "most recently used" catalogs lists, like in the File menu or Open button's menu.
  • Improved support for handling menus with accessibility software, such as screen readers aiding visually impaired users.
  • Lots of other minor improvements and adjustments.
  • Build 615: Fixed a problem where under certain events some disk pictures and descriptions assigned to disk groups would get missing or corrupted.

Version 3.25 - 10. February 2002

  • Added support for RAR 3.0 archive files.
  • Importing the description entry from ID3V2 tags in MP3 files has been re-enabled and uses a bit different approach to avoid problems with some invalid tags.
  • The HTMLHelp window is now no longer forced to stay on top of the main window, you can switch between the two freely.
  • Optimized processing of archive files during scanning.
  • Implemented a workaround for some Windows NT 4.0 systems which had problems dealing with custom icons. Saving a catalog containing certain kind of custom icons would fail under Windows NT 4.0.
  • Many other minor adjustments, fixes and changes all around the program, mostly transferred over from version 3.50 development.

Version 3.24 - 12. January 2002

  • Added an option to choose version of the file format when exporting to Excel. You can choose between Excel 97/2000/XP file format, and Excel 5.0/95 files. If you have file compatibility concerns or problems with exporting localized characters, the older file format may be a better option.
  • Added a new thumbnail plugin, extracting attached pictures from ID3v2 tags in MP3 files, where available.
  • The CD-Text plugin was added SPTI support to be used instead of ASPI on the NT-line of Windows. This was the last part of WhereIsIt still using ASPI on those systems, so ASPI is now no longer used or required when running on Windows NT/2000/XP.
  • Added a minor extension to the DescAPI interface, all plugins now receive a handle to the appropriate parent window, in case they need to display modal dialogs or windows on their own.
  • The Quick Search page was added a help button next to the edit field, providing a quick link to the appropriate help file, explaining how to use quick search expressions and stating a few samples.
  • Adjusted support for handling audio CDs, allowing for some more unusual (typically home-burned) audio tracks to be recognized and handled as audio.
  • Fixed a problem with removing files from catalog, where both compressed files within archives, and parent archive file were selected for removal.
  • A few other minor adjustments.

Version 3.23 - 24. December 2001

  • Fixed a problem with some password protected catalogs ending up corrupted after being used in version 3.22. This build also contains recovery capabilities, allowing to read and properly save such catalogs.
  • Fixed a bug with missing tag name for the file name column in XML exports.
  • When exporting custom reports, some data types like dates and integers were exported as empty in certain cases, although data was available. Fixed.
  • Made a few changes and implemented a few additional checks to better handle failed save attempts, due to catalog files being opened in other applications, or by other users.

Version 3.22 - 14. December 2001

  • Improved damaged catalog recovery capabilities. All catalog files saved with version 3.22 and newer now contain a small recovery record, which can help the program to salvage data from badly damaged catalogs. Catalogs with damaged basic structure were not readable in previous versions, while this addition allows the program to skip damaged parts, and salvage the rest of data.
  • Some systems were confirmed to have a problem with retrieving disk size and free space for remote network drives, if they were addressed by their UNC address. This problem was limited to Win2K/XP systems, and could also interfere with saving catalog files on network drives using UNC addressing. Fixed.
  • Addressed a certain scenario where a previous failed save attempt could leave the catalog corrupted the next time it was saved.
  • Fixed GPF errors when working with compare results window, and having description window undocked from the main window. Cosmetical error only, no effect on stability or data integrity.
  • A dozen minor changes and improvements.

Version 3.21 - 18. November 2001

  • The new HTML Help file is now finally completed and included in this release, replacing the old and tired WinHelp edition. While most of the text inside has remained unchanged, the new help file system offers better design and functionality, and will be easier to maintain and translate. The new help file features heavily cross-linked topics through the "See Also" tags, directing you to related topics. Over 500 additional links have been added this way. While existing WinHelp files are still supported and will continue to work in WhereIsIt, all new help file development will now be in HTML help format.
  • Added support for switching active help file on the fly, while program is running. For example, if old WinHelp .hlp help file was used, and the new HTMLHelp file was just downloaded and made available, WhereIsIt will start using the new help file without restarting.
  • Added SPTI support. SPTI is Microsoft's alternative to Adaptec's ASPI, and is more reliable to use, avoiding the mess with different third-party ASPI drivers. WhereIsIt now always tries to use SPTI first, if possible. Note that SPTI is available on the NT line of Windows only (Windows NT, 2000, and XP), and you must be logged in with administrator privileges in order to use SPTI. If SPTI interface fails or is not available, WhereIsIt will still fall back to using ASPI.
  • Changed a few details about handling files compressed inside archives. Except in the main window, file path inside archive was moved from the file name and is shown appended to the Location column instead.
  • Language manager now automatically maps the default "MS Sans Serif" font to the newer "Microsoft Sans Serif" font, if it is available on the system. While both fonts look the same, the new Microsoft Sans Serif is an OpenType font and supports additional visual enhancements, like ClearType font smoothing in Windows XP.
  • Fixed a bug where items were shown in wrong categories in the view by categories mode under certain conditions. This was a cosmetical issue only, it did not affect catalog's integrity and all items are still assigned to their correct categories.
  • Transferring items with assigned custom icons between catalogs will now retain the custom icon setting.
  • Custom icons in 256 colors were sometimes stored in catalog as 16 color icons. Fixed.
  • A set of other minor changes and improvements.
  • Finally fixed the real source of problems with repainting listview column headers in Windows XP. All previous 3.2x releases contained a workaround for this issue, however the error has still surfaced on some rare occasions.

Version 3.20 - 1. November 2001

  • Only a few minor and cosmetical changes were implemented since beta 3, and all known problems pending confirmation were reported as fixed. Debugging code was removed and version 3.20 is now released as final.
  • Added a new optional command-line parameter '-noASPI', disabling ASPI layer support in WhereIsIt. This switch is for troubleshooting purposes only, intended for users who are having problems accessing devices like CD-ROM drives with WhereIsIt. On some systems which have an ASPI layer installed, ASPI interface is not functioning properly, mostly because CDR software is installed and it uses non-standard third-party ASPI drivers. While reinstalling Adaptec's ASPI layer is recommended in such cases, you can also use this switch to set Where Is It? to avoid using ASPI. Do not use this parameter if adding audio CDs to catalog, as ASPI is required for proper CDDB handling in special cases.

Version 3.20 beta 3 - 27. October 2001

  • Added hi-color icons for the Settings dialog's side bar, for all systems using 16-bit or more colors. More of those will follow in future versions.
  • Extended "Audio CD Track Files" plugin with option to include track number in assigned alias names.
  • Network drives mapped to a drive letter now show their original UNC address in the Add/Update dialog, in a form of tooltip displayed on the drive's button.
  • The scanning progress window now shows the name of the disk being scanned, and a few more details are available as a tooltip.
  • Optimized display thumbnails caching, browsing lists with lots of thumbnails is now faster as smoother.
  • Changed a few details about scanning thread settings in attempt to improve on scanning stability. While beta 2 worked fine for a vast majority of users, there a few reports about randomly occurring problems during scanning.
  • Fixed a GDI resource leak on Windows XP when displaying thumbnails.
  • Fixed extracting from RAR multivolume archives, where extracted file was split between volumes, and one of the volumes was missing.
  • Made a few changes to RAR and ARJ archive handling for better support of files using international characters in file names.
  • Improved support for international characters when exporting to XML.
  • The Time column in the compare results was showing file date instead of file time. Fixed.
  • Changed a few details about drag&drop support for setting up categories in the Catalog Setup dialog.
  • Columns and data in report generator were switched if report was generated from the categories view. Fixed.
  • Fixed sorting by the CRC column.
  • The timer measuring elapsed time during disk scanning now stops when scanning is interrupted using the Cancel button, and waiting confirmation whether to proceed or not.

Version 3.20 beta 2 - 7. October 2001

  • Added a new feature to copying/moving files with build-in file management functions. If target file already exists, you can now choose to copy new file under a different name, instead of just overwriting or skipping it. Generated file names use sequential numbering, i.e. "Readme[1].txt".
  • Two different options for exporting to XML are now implemented, one is classic XML, and one adjusted for XML DataPacket formatting.
  • Improved responsiveness to canceling media scanning in certain stages of the process.
  • Tweaked a bit message handling and thread settings for the media scanning process when running on Win9x/Me systems, resulting in faster scanning.
  • Fixed issues with GPFs occurring in the Report Generator and other windows containing listview controls. The problem was limited to Windows XP running with classic user interface.
  • Changed a few details in the XML exporting, and fixed a bug where field names in XML file were not matching exported data in some cases.
  • Field names used in XML and SQL exports are now fixed and no longer depend on currently selected language.
  • Fixed exporting to HTML, some tags like <BR> were incorrectly converted.
  • Fixed a minor bug in CDDB processing, in some random cases data CDs were allowed to be queried for CDDB details, which is redundant.
  • A few minor cosmetical and user interface enhancements.

Version 3.20 beta 1 - 30. September 2001

  • Support for Windows XP is now officially added in this release. Where Is It? now supports true color icons and new themed user interface.
  • Exporting capabilities in the Report Generator have been considerably enhanced. New export destinations now include CSV files, SYLK text files, SQL script files, XML documents, as well as exporting to the clipboard in ASCII text format.
  • Most of the textual exported formats have been added preview possibility, where you check how exported file will look like. Preview support includes reports exported as ASCII, CSV, or SYLK files, SQL script files, and XML documents.
  • Exporting to Excel has been completely rewritten and now no longer utilizes DDE communication with Excel, but rather writes XLS files directly. This way, Excel is no longer required or used, exporting to XLS is faster, and there won't be any issues with changed DDE support in Excel like in the latest Office XP version.
  • There are some major changes in approach to archive file processing during media scanning. The new system is a bit faster, allows for better use of disk caching, and most of all, it allows one-pass archive file processing. The latter shows as a big performance improvement when processing files inside long solid archives and CAB files. Overall, about 25% average performance improvement in scanning time has been measured when processing archive files, and a lot more when dealing with solid archives.
  • The timer showing elapsed time during scanning is now more precise and running smoothly during the process.
  • Updated ACE archive support for ACE v2 files. Handled a few issues with extracting from solid multi-volume RAR archives.
  • The DescAPI plugins interface has been enhanced and updated to version 2.1. Two new plugin types have been introduced, allowing for additional operations, as described below. The DescAPI documentation has been updated accordingly.
  • The first new plugin type allows modifying a visual appearance of file and folder names being cataloged, namely allowing to adjust their character case. The ptFileNameFormatting plugins are given a chance to adjust file names before they are cataloged, and can do that according to user's settings, through plugin's configuration dialog. Accordingly, a new plugin has been added to the default plugins module, featuring a configuration dialog where you can select how should file and folder names be imported.
  • The second new plugin type handles automated importing and storing of custom icons to be used for disks or folders in catalog instead of the default system icons. These plugins could be used to provide customized icons for drive or media of specific type, assign special icons to folders found to be holding certain kind of data, etc. A new plugin of this category has been included in the DescPlugin module, importing custom disk icons based on disk's autorun information.
  • Added functionality targeted in preserving changed sorting order inside disk groups without having to re-save the catalog.
  • Cosmetical enhancements, such as shadowed glyphs on buttons and menus.
  • Alias names returned from plugins are no longer accepted and stored if they are the same as item's real names and therefore redundant.
  • Updated program's main icon with 16x16 and 48x48 256 colors icons.
  • Switched title and author information when exporting audio CD details to CDPlayer.ini; using default plugins settings on import, they were reversed.
  • Printer handling in report generator was adjusted for cases where printer drivers are installed, but the printer is remote and not available at the time, also resulting in limited printer driver functionality.
  • A few minor changes in the CDDB plugin's user interface, such as showing the horizontal scrollbar in the multiple hits dialog when necessary.
  • Updated the MP3 and WAV Audio Files plugin, certain small WAV files with no data information were confirmed to cause problems when handled by this plugin and could cause scanning to abort.
  • Bundled with the latest version of plugin modules, including updated MP3, Vorbis Ogg, and PDF plugins.
  • Countless other minor changes, improvements and adjustments, including performance improvements.

Version 3.11 - 12. July 2001

  • Changed a bit the appearance of menus used in WhereIsIt, keeping up with the latest trends. Additionally, active buttons in dialogs are now painted a little bit brighter from the rest of the dialog. Note that both UI enhancements are only available on systems with 16-bit or more colors, users working on 256 or even 16 color displays will notice no change.
  • Added plug&play support for help system in newer HTML Help format (*.chm), while still retaining compatibility with current WinHelp (*.hlp) files. Where Is It? is now capable of using help files in either of the two formats, whichever is found to be available. English help file is currently being translated to HTML Help, and will replace .hlp version in a near future.
  • A new description plugin has been added to the Main Description Plugins module, handling Windows Media Format files, including ASF, WMA, and WMV.
  • Updated the CDDB/freedb plugin to handle new level 5 protocol, introducing genre and year information to CDDB entries.
  • Two buttons were added to the Check for Update Wizard, allowing to quickly check or uncheck all items listed as available updates.
  • The state and order of columns in report generator will remain unchanged if selected report destination is changed.
  • Improved native mouse wheel support in item lists. Generally, mouse drivers handle the wheel better than Windows' native support, but if you are using a generic mouse driver, this one may come as an improvement.
  • Made a few cosmetical fixes for systems running in 256 colors mode.

Version 3.10 - 2. July 2001

  • The help file and the rest of documentation is now up to date for v3.10.
  • Fixed a problem on program's startup, appearing on some system using custom shell icons. Addressed in beta 2 build 626.
  • The virtual root folder setting in Add/Update Disk Image dialog was not working. Addressed in beta 2 build 626.
  • Fixed an error in compare functions, when trying to compare disk image against a very large drive (containing more than 32.767 folders).
  • Many other minor cosmetical changes.

Version 3.10 beta 2 - 23. June 2001

  • The CDDB plugin and CDDB posting in the main program have both been revised considerably to ensure proper CDDB/freedb support on both local and remove queries, as well as for posting new entries to freedb database. The CDDB plugin was also added support for multiple matches on local CDDB queries. Where Is It? is now officially certified to be freedb compatible, thanks go to Joerg Hevers from freedb.org for extensive testing.
  • Drive and media type detection is now dynamic and in real-time, based on media change notifications. This should allow for better compatibility with drives that can change their media type in runtime, such as LS-120.
  • The method used to detect drive type under WinNT/2K was changed and should now be more reliable on systems with plenty of IDE and SCSI devices.
  • Detecting existing disk images in the Add/Update Disk dialog is now set to search in the entire catalog, not just in currently selected disk group.
  • A few minor changes for better WinXP compatibility. Note that WinXP is not yet officially supported at this time, although most of possible issues are expected to be cosmetical only.
  • Improved support for translations in some user interface areas.
  • Fixed a problem with folders appearing duplicated in very specific cases, such as combining search and compare functions over the same data in a certain way.
  • WhereIsIt is now more resistant to handling corrupted catalogs, and was added some new auto-repair capabilities on loading data. If you were dealing with damaged catalogs, chances are this version will be able to at least load and recover undamaged parts. In such cases it is still recommended to delete damaged or incomplete disk images from the catalog, and replace them with newly scanned data.

Version 3.10 beta 1 - 11. June 2001

  • This version features a largely redesigned compare functions, from both functional and user interface points of view. The new compare results layout concentrates primarily on files on the media, as they are most commonly handled after compare operations. At the same time, each same or changed file will show related cataloged files on the second file list, allowing for manual comparisons, inspecting changes, etc.
  • Added a new, fifth display mode "Thumbnails View", comparable to a similar feature available in Explorer. The size of displayed thumbnails is adjustable in program's settings.
  • Thumbnails display caching feature has been implemented, considerably speeding up scrolling and reducing screen flickering when working with item lists showing many thumbnails.
  • Extended quick search expressions capabilities. Quick searching now works in a manner similar to most web search engines, allowing to use both AND-type (space-separated) and OR-type (comma-separated) expressions. More details about forming quick search expressions with samples are available in the help file.
  • Columns used in Report Generator can now also have fixed, specified width besides the automatic width selection based on column data. When printing, previewing or exporting reports to RTF format you can optionally fix selected columns to specified number of units in mm, inches, or pixels, or set them to automatic mode as before.
  • All generated reports can now have their data custom sorted by one or more columns, as set up in the Report Generator dialog itself. You can select desired sorting when setting up report columns, or you can have report generator keep the existing order of items, as stated on source list. This is really nothing new in terms of functionality, you can have reports sorted in way you want as it is by properly preparing source data, but this way it is more obvious and easier to use.
  • Added a new ordering option to the Report Generator, items in report can now be sorted by categories and optionally equipped with category headers.
  • The Report Generator dialog was made a bit bigger, allowing for larger windows showing report columns and custom report settings.
  • Enhanced the Add/Update Disk dialog with a set of new options about updating disk images. Now you can select how existing descriptions, aliases and thumbnails will be handled when updating disk image - will they be kept, discarded, or replaced with newly imported versions.
  • The Properties dialog for multiple selected items was added a new page, containing functions for batch processing of descriptions and alias names of selected items. You can now find and replace parts of text, or insert additional text before or after existing alias names and descriptions.
  • The Advanced Disk Properties dialog was added a new tab, showing disk scanning statistics, including time needed for scanning, the number of imported descriptions and thumbnails, plugins used in scanning, etc.
  • It is now possible to manually assign a picture to disk image entries. Thumbnail plugins take care of providing support for graphics file formats, so you can add any kind of graphics that can also be imported as thumbnails. Pictures for disk images can be imported a bit bigger than regular thumbnails, up to 512 x 512 pixels.
  • The Program Settings dialog has been reorganized a bit to make space for some new options.
  • Added a new file list option for customizing columns width behavior. You can choose whether you want columns to auto-adjust their widths based on data displayed (as before), or you can have columns stick to the same width and manually adjust them as needed.
  • Double-clicking action can now be combined with the Alt key and can be selected from the list of available actions, the same as regular double- click. This way, you have two customizable double-click actions, one for just double-clicking file, and one for double-clicking with Alt button pressed.
  • WhereIsIt now supports posting audio CD entries to the freedb.org database. Both posting through HTTP and email is supported; as the latter is used through MAPI, it can be used to post offline as outgoing messages will be waiting in your email client's Outbox. Sending details for multiple CDs at once is supported, and you can and should manually edit or verify all data before it is posted to freedb server.
  • Moved all three CDDA related plugins (CD-Text, CDDB, and Generic Audio Track plugins) to a separate module. The CDDB plugin has gone through a major rewrite, it now supports local CDDB databases as provided by freedb (both Unix and Windows formats), and is in general much more configurable.
  • Both CDDB and CD-Text plugins have been added a new option to include track number to alias names, assigned to audio CD track files. This can also help with sorting track entries by their track numbers.
  • The CD-Text plugin features another new option for including performer info as a part of assigned alias names.
  • The SoundEx algorithm, used for sounds-alike searching, was slightly modified to ignore diacritic characters and use their base characters instead. This can help locating names and descriptions where diacritic marks were not used consistently in all items.
  • Improved or added UNC addressing support in a few different parts of the program.
  • Added two options in program's Settings dialog for enabling/disabling UNC network support and network browsing. Both options were available before as well, but as command-line switches only.
  • Updating existing disk image will now preserve its position in the catalog or disk group. Previously, updated disk image was added to the end of list if custom disk ordering was active in the parent catalog / disk group.
  • Added support for drives that can change their media type (such as LS-120) or for cases when a drive is dismounted from a drive letter, and a different type of drive is mounted on that same drive letter.
  • Improved support for custom icons with more than 16 colors.
  • The "Compare To Media" function had returned incorrect results when run on disk images which were cataloged through their UNC drive addresses instead of assigned drive letters. This issue was limited to comparing to remote network drives only, addressed through UNC address. Fixed.
  • Fixed searching by size criteria larger than 2 GB.
  • Fixed a problem with occasional missing folder icons after moving/copying folders through file management functions and updating target disk image.
  • The Audio Files Plugin in DescPlugins module can now better handle invalid or non-standard MP3 and WAV files.
  • Addressed a set of minor cosmetical user interface issues.
  • Lots of other minor changes, fixes, improvements...

Version 3.03b - 19. March 2001

  • Another minor release.
  • Added support for browsing and extracting from new and promising .bz2 and its derived archives, including .tar.bz2 and .tbz2. The later two combinations are handled as nested archives, the same as .tgz.
  • All disk images scanned with this version now include disk scanning statistics, such as time needed for scanning, the number of imported descriptions and thumbnails etc. This information will be available on request in the next version as a part of disk's Properties dialog.
  • When saving to a new, non-existent catalog file, a warning message would unnecessarily pop up. Fixed.
  • Occasionally the contents of newly scanned nested .tar.gz or .tgz archive was not saved correctly, resulting in empty archive file contents the next time catalog was loaded. Fixed.
  • Removing file extensions on file lists has incorrectly removed a part of filename for some files without extension and compressed inside archive files with nested folders. Cosmetical issue only, fixed.

Version 3.03a - 12. March 2001

  • A very minor update only.
  • The main description module packed with the program has been updated to include the latest version of CDDB plugin, set to use by default the freedb.org database instead of cddb.com.
  • Addressed an issue related to Report Generator where the only available and default printer was a network one, and was not currently accessible.
  • Assigning flags in Properties and Description Assistant dialogs was disabled in certain types of catalogs, as if they were read-only. Fixed.
  • The dialog for editing disk descriptions was added a new button, which inserts at the place of cursor some scanning statistics details as a part of disk's description.
  • Changed a few details about updating target disk images after file management operations like copy an move.

Version 3.03 - 4. March 2001

  • Added a new column to most file lists, showing file CRC values where available in catalog. The new columns are hidden by default, you need to specifically turn them on if interested in file CRCs.
  • CRC codes for individual files in catalog are now also shown in their Properties dialog, if available.
  • Changed a bit how disk space charts in Advanced Properties dialog are drawn, to better cover for special cases such as virtual disks, disks without content in catalog, etc.
  • Added a new command line switch for easier debugging of scanning problems, caused by one of the plugins. Where Is It? now recognizes the "-debugplugins" parameter when started from a command line, resulting in all plugins activity during media scan being logged to the "Plugins.log" file. Inspecting the log file after failed scanning should tell you exactly which plugin was active at that time, and which file on the media was being processed by that plugin. More details are available in the help file.
  • Some restrictions about optional updating disk images after file operations like "Copy to..." and "Move to..." have now been resolved and are no longer necessary. If updating target disk image is selected for file operations, all disk images matching the target drive in all loaded catalogs will be updated accordingly, including disk images inside disk groups.
  • Optimized processing of nested .tar.gz archives, if importing descriptions for files compressed inside archive file is enabled. Note once again that enabling this option includes heavy performance impact by the definition of it, and should only be used where really necessary.
  • Thumbnail plugins are now set to be disabled by default in new program installations. Apparently importing thumbnails is commonly used by new users without any reason or need for it, and thumbnails only end up bloating catalog files considerably.
  • Adjusted handling for some .tgz files that do not include the name of .tar file compressed inside, processing the .tar file inside was skipped with such files.
  • Improved handling of archive files containing illegal file names, such as filenames reserved by OS for system devices (aux.*, prn.*, etc).
  • Under certain circumstances an "Index out of bounds" error message would appear when right-clicking on of the columns. Fixed.
  • In previous versions it was possible to add to user list the three root items from Browse by Categories mode ("Categories", "Flags", "Disk Locations"), which doesn't make much sense and could eventually lead to problems. Fixed.
  • When removing the contents of archive file from catalog and converting the archive file into a regular file entry, file size reported in catalog could end up a lot larger than it really is. Fixed.
  • A few other, mostly minor cosmetical changes.

Version 3.02 - 2. February 2001

  • Nested .tar.gz files are now processed down to the .tar level, for both cataloging and extracting. While nested archives are not processed in WhereIsIt, this exception has been made as .tar.gz files are very commonly encountered in this combination. If a GZIP file is encountered with a single .tar file inside, the .tar file is temporarily extracted and processed. Support for .tgz files has now been added as well.
  • Rearranged and extended EXIF digital camera information retrieved by graphics description plugins.
  • The MP3 plugin will now calculate and display the average bitrate for VBR MP3 files, if calculating VBR play time is enabled in the plugin.
  • Extended support for large disks, mostly emulated or accessed through network, that may not provide sufficient details about the media organization. This version should be able to process most of such drives. Please note that in some rare cases large drives like hard disks may need to be updated in catalog if the above described change causes them no longer to be recognized against their cataloged image.
  • The folder tree under the Folder Limitations options now includes system or hidden folder as well, and makes them available to be excluded from scanning.
  • Adjusted and added keyboard shortcuts to controls in Search and related dialogs, allowing easier keyboard-only access.
  • Added default double-click item actions and keyboard shortcuts to several item lists in the program.
  • Moved the description text optimizing code from the program to a separate, user-adjustable formatting plugin. Previously, the program used to always remove empty lines, leading and trailing spaces etc. from descriptions, now this can be optional.
  • Extended the TIFF thumbnails plugin with support for TIF files based on JPEG compression, and included some additional safeguards for handling invalid TIF files. There are still suggestions that some rare TIFF files can cause problems to this plugin and interfere with scanning - if you have such file, please contact me for providing a sample.
  • Adjusted support for WMF files, some rare WMFs can take a lot of GDI resources while processing them, possibly causing the system to run out of resources and initiating all kinds of errors. The WMF thumbnails plugin now tries to detect such files in advance and skips them.
  • When trying to view or launch a file compressed inside archive file, the program needlessly reported an error in some cases, mostly when handling ZIP files. Fixed.
  • Addressed some issues with extracting whole RAR archives with embedded folder information.
  • When updating multiple disk images at once, certain combination of settings and events could lead to an GPF error. Fixed.
  • Fixed a problem with advanced search expressions, some expressions were incorrectly reporting missing closing parenthesis.
  • Fixed a possible problem that could in some cases cause catalogs to get corrupted when they are saved, if they are using disk groups and previous save operation has failed for some reason.
  • When moving disks or disk groups, some of internal catalog details were not updated properly in certain cases, causing the disk groups layout not being saved properly - disk groups were organized differently when catalog was opened the next time. Fixed.
  • Fixed a problem in the Update Disk dialog with one of the combo boxes displaying corrupted text. The problem was cosmetical only and only appearing if multilanguage support was disabled.
  • Adjusted handling of default scan settings used when updating a disk image last created with older version of WhereIsIt. All disk images created with version 3.00 or newer include information about settings used, and those are set to the same state when disk image is about to be updated the next time. Disk images created with older version have no such information though - the default scanning settings will now be used for these, as they are when adding a new disk image.
  • A set of other minor fixes and performance improvements.

Version 3.01 - 30. December 2000

  • Opening large catalogs stored in the new 3.0 format with lots of disks inside is now much faster and comparable in speed to opening version 2 catalogs.
  • Support for extracting from solid archives and CAB archives during disk scan has been significantly improved in this release. This mostly only affects the option to import descriptions for files compressed inside archive files (this option is otherwise recommended to be off by default, which is probably the reason why you like to use it so much). The option requires that individual files are extracted from archives during disk scan as requested by plugins, and this is by definition a very slow process in large, solid archives. If there are a lot of files to be extracted, or solid archive file is a very big one, scanning can take extremely long. This release implements a prediction scheme for solid archives, so multiple files are extracted in one pass, expecting they will be later requested by plugins. While this approach requires some more temporary disk space available, processing solid archives is a lot faster, even up to 100 times.
  • Using plugins when updating existing disk images has been optimized and performance is now comparable to version 2.xx in most cases. Plugins in version 3.0 have tasks other than providing descriptions only, and they get to be used more often than in previous versions.
  • Sorting by names or extensions in file lists now takes into account alias names, when available and active.
  • WhereIsIt can now correctly catalog files larger than 2 GB.
  • The window showing media scanning progress is now movable.
  • Added a new option to enable CRC checking in the Compare to Media function. If this option is checked, all files in catalog that have a CRC available will be checked for matching CRC against the file on the media, before both files are pronounced to be the same.
  • Both "Compare to Media" and "Compare files to Catalog" functions are now equipped with Cancel button and progress dialogs, as processing with new CRC checks enabled can take notably longer as before.
  • Made a few changes to Zip archive support in an attempt to handle .zip files, created on operating systems other than Windows. Such files may be using file names that can appear different or even invalid when used on Windows.
  • Improved exporting audio CD details to CdPlayer.ini.
  • Improved report generator with better support for new disk groups.
  • The JPEG thumbnails plugin was enhanced to be more tolerant to partially damaged or incorrect files, and will also better handle badly damaged ones.
  • Version 3.00 had some compatibility problems with software that changes shell icons and replaces them with custom ones, resulting in a couple of error messages before the program was allowed to start normally. This release includes a workaround that prevents similar problems.
  • The "Compare files to Catalog" function did not in all cases carry out CRC checks against files on the media, even if the appropriate option was selected. Fixed.
  • Fixed a problem with some thumbnails missing in encrypted catalogs.
  • Some mostly WinNT/Win2000 systems with certain video drivers were experiencing very low quality of imported thumbnails, if using the default "resize" method ("resample" was much better). A workaround has been implemented.
  • The Query CDDB Server didn't always work on some systems. Fixed.
  • Fixed a minor problem in the JPEG thumbnails plugin, some JPG files with a bit unusual color encoding were not decoded properly and have appeared rather greenish.
  • Fixed a few minor cosmetical issues in the Check for Update Wizard and improved responsiveness to canceling download in progress.
  • Addressed a few issues with extracting files from multivolume CAB archives, when the file to be extracted was divided between two CABs.
  • Fixed a minor bug in MP3 that caused some MP3 files to be incorrectly recognized as far as their technical details are concerned (bitrate, sampling frequency). Very few MP3s were affected though, this issue went unnoticed although it was present in all 2.xx releases as well.
  • Implemented a few user interface optimizations, to better accommodate translations and reduce flickering/repainting.
  • Countless other small changes, fixes and improvements.

Version 3.00 - 10. November 2000

  • Made a few user interface adjustments to accommodate translations.
  • The option to show thumbnails as icons is now only available on systems with more than 256 display colors, due to palette issues occurring when many different hi-color images are shown at once.
  • Fixed some archive file related issues, extracting from some archive files did not always work properly.
  • There were some cases where searching inside selected disk group did not work correctly. Fixed.
  • The 32-bit executables plugin has been rewritten for handling .exe files. There are some .exe files created by InstallShield's PackageForTheWeb product that are corrupted by design and cause problems during scanning. Those same files also crash Explorer if trying to inspect their version info through Explorer's Properties dialog. This workaround avoids using Windows functions for retrieving version information.
  • Many little internal optimizations and adjustments.

Version 3.00 Release Candidate - 2. November 2000

  • This version is now shipping with completed help file and the rest of documentation, and has multi-language support back online. Translations to other languages can now begin, the Slovene language file for version 3.00 is already available.
  • Added a new option in program's settings, for adjusting brightness of imported thumbnails.
  • Added a few minor details, such as popup hint on the Active Plugins button in Add/Update Disk dialog, quickly showing the number of currently active plugins of each type.
  • Changed a few pages in the Quick Setup Wizard.
  • The JPEG thumbnails plugin was found to have problems with some rare JPG files, created with some Adobe software, that were not complying with the JPEG standard themselves. In extreme cases, this could even lead to system freezing during media scan. The entire plugin has been replaced and now uses a different JPEG implementation that tolerates those faulty JPGs as well.
  • A couple of other minor changes, adjustments, and fixes.

Version 3.00 beta 5 - 20. October 2000

  • Added a new small button in the status bar of Add New Disk dialog, allowing you to locate in catalog existing disk image of selected media, if one available.
  • Improved 32-bit executables plugin with a config dialog and handled some other minor issues.
  • Help file is slowly getting there, too. Context-sensitive help is completed - all dialogs are now properly equipped with help popups, while the main, browsable part still remains to be handled.
  • Completely rewrote the plugin handling *.WMF files, in order to work around a GDI resource leak occurring inside Windows. The new plugin was designed to use a different approach and avoids buggy GDI function. This resource leak was also the cause for many scanning related problems in previous betas.
  • Addressed a thread synchronization problem where some users have experienced occasional random errors being reported during scanning in all 3.00 betas, mostly when working with large media as chances of error occurring increase with number of files handled.
  • Fixed a problem where items were sometimes missing on lists in the categories window, even though they have assigned categories, flags, or disk locations.
  • Fixed an issue with copying custom icons from one catalog to another in the Catalog Setup dialog.
  • Addressed a few other minor issues.

Version 3.00 beta 4 - 9. October 2000

  • Added support for recognizing supported removable drive types by name on Windows NT/2000 as well. This allows having drives like Iomega Zip and Jaz presented in catalog by name and special icon instead of generic "Removable drive". Windows 95/98/ME users have had this capability for a long time, since first Where Is It? versions.
  • Added a new option to the Folder Limitations button, allowing to catalog disk entry only, without its contents (files and folders).
  • Replaced the questionable "Disk Info" button in the Add/Update dialog with more useful "Troubleshooting" button, giving some hints on how to handle media which fail on scanning, and how to locate the source of problem.
  • Added a "Copy From..." button to Catalog Setup / Custom Icons page, allowing to copy custom icons from other loaded catalogs.
  • Almost completely rewritten support for Open/Save dialogs, allowing for some extended options in Windows 2000/ME, and improved handling for sizing and centering dialogs.
  • Added the ability to extract icons from other application files, (such as *.exe, *.dll, *.ocx, etc.) when adding new custom icons to a catalog.
  • Added a new thumbnail plugin, extracting application default icons (*.exe) and storing them in catalog as bitmap thumbnails.
  • Enhanced the Adobe Acrobat (*.PDF) plugin, it now has its own config dialog and can optionally import the bookmarks index tree (index).
  • Fonts in Report Generator now include and honor the charset specification. This is a workaround for WinNT 4.0 issue where some users may not be able to see localized characters in some fonts. By default, font charset is set as system default and depends on system's input locale setting, however WinNT 4.0 has some problems with that. You can now instruct the program to use specified character set when selecting Report Generator fonts.
  • Added Word Wrap option to all edit windows in the program.
  • Added a new option to file management dialog when moving or copying single files, allowing files to be moved or copied under a different name.
  • Extended DescAPI 2.0 with a new optional function that allows plugins to set their default (enabled/disabled) state.
  • Addressed some issues in file management commands; attributes are now preserved when copying files and folders, moving or writing over files with system or read-only attributes is now better handled.
  • Fixed an issue on Win9x/ME only, where some disks (mostly hard disks) have remained locked and inaccessible from other programs after scanning them with WhereIsIt. Disks would become accessible again once Where Is It? has terminated. This issue was only occurring if the option to eject media after scanning was selected on a media that does not support ejecting.
  • Fixed a problem when preparing catalogs to be sent by email was canceled.
  • Fixed sorting large (>2 GB) folders by size.
  • Many other minor changes, fixes, and improvements.

Version 3.00 beta 3 - 11. September 2000

  • The last major addition, managing and storing user lists, is now finally activated and functional in this beta release.
  • Changed a bit how the description window works. When not docked to the main window, it can now accept and show descriptions from items in other windows as well, such as search results, user list, or compare results.
  • Added a new button in Catalog Manager for creating disk groups on the spot.
  • Added support for custom paper sizes in Report Generator.
  • Added new description plugin for handling Adobe Font Metric files (*.AFM).
  • Added a new option with file operations like moving or copying, to skip files on the disk currently waiting to be inserted.
  • Tested Where Is It? in detail on Windows ME and added support to recognize Windows ME by name. No other adjustments necessary.
  • The PSP (Paint Shop Pro) thumbnail plugin has shown up to have insufficient support for different versions of PSP files, and only some of them are handled correctly. Until this issue is resolved in the third-party library that Where Is It? uses for plugins, the PSP thumbnail plugin is excluded from the package.
  • Searching did not find any items if searching for disks was disabled. Fixed.
  • Fixed a problem when exporting details to CdPlayer.ini for multiple audio CDs at once.
  • Fixed a compatibility problem with loading catalogs, created with older Where Is It? version 1.xx
  • Fixed a few details in description plugins handling graphics files.
  • Fixed a problem in thumbnails resampler where some extremely narrow or extremely tall images were not handled correctly.
  • A set of error messages may occasionally appear immediately after deleting a large number of items from a catalog. Fixed.
  • In some cases catalog files saved with version 3 beta 2 were notably longer than they were in previous versions, sometimes almost twice as long. Fixed.
  • Printing or using print preview did not work on some systems. Fixed.
  • Fixed some issues with moving disks between disk groups using Catalog Manager.
  • Fixed a problem with performing file operations on the Compare results / New files list.
  • Fixed a problem with assigning password access to catalog files.
  • Many other minor changes, fixes, and improvements.

Version 3.00 beta 2 - 23. August 2000

  • Added a new option in program's settings to display thumbnails as icons.
  • Improved the Generic Audio CD plugin. It can now handle CdPlayer.ini files larger than 64 KB, and is capable of setting disk name and alias names for *.CDA files, just like the CDDB plugin.
  • Added a new command to export audio CD details to the CDPlayer.ini file.
  • The behavior of reordering disks and disk groups with drag&drop was changed a bit to cover for some special cases, where it could be difficult to achieve the desired result. If you hold down the Shift key while an item is being dropped on a disk group, the item will be inserted in the place of target disk group, instead of inside it. Dropping disks in disk groups on catalog entry is now also allowed to move items to the top level inside catalogs.
  • The "Query CDDB Server" command is now also available in item's popup menus in search results and user list.
  • Exporting descriptions to media in HTML format can now optionally include links to referenced files on the media.
  • Sorting items by categories when switching to browse-by-categories mode is now much faster than in beta 1, and can run automatically in the background while the program is idle - the yellow status light in lower right corner serves as an indicator when program is busy in the background.
  • Fixed a Windows NT 4.0 compatibility problem where Open and Save commands were not responding.
  • Fixed a problem with loading catalogs that had categories or flags assigned to folders.
  • Fixed a resource leak, occurring while importing thumbnails during disk scan.
  • Fixed an error occasionally occurring with Edit / Catalog Manager command.
  • If the UNC disk address was manually entered with trailing backslashes, this could have caused some problems in accessing that disk. Fixed.
  • The "Show Grid Lines" setting was not always honored on all list views. Fixed.
  • The description for disk group in Properties dialog was not properly set up when the dialog was shown. Fixed.
  • Renaming a disk or editing alias name in list view could have resulted in disk name or alias being removed if editing was canceled. Fixed.
  • Pressing F2 (rename) when no item was selected resulted in an error message. Fixed.
  • Many small fixes and adjustments.

Version 3.00 beta 1 - 15. August 2000

  • Completed transfer of Where Is It? project to the new Delphi 5.
  • Almost completely rewritten kernel and memory management functions - the heart of Where Is It? - and redesigned catalog file format for version 3. Both together now allow handling larger data blocks in catalogs, providing base for allowing larger descriptions (the new limit is user-definable between 4 KB and 32 KB instead of current 4KB) and other associated binary data, such as thumbnails.
  • New in catalog file format are changed internal layout for optimized handling of larger objects, and optional compression for relevant parts of data. Since catalogs still need to function in real time, a lot of compression algorithms were tested for performance and efficiency, and two best choices were implemented and optimized in assembly code. Using compression on catalogs currently reduces the size of files for about 40% compared to v2, however this also introduces a notable performance penalty, especially on saving and searches. Using compression on catalogs or not is your call. Of course, Where Is It? 3 can read all older catalog formats from previous versions as well.
  • WhereIsIt 3.00 introduces an entirely new mode of browsing catalogs. Normally, you would browse the contents of catalogs as they were cataloged, by disk images stored in catalog and folder structures contained on those disks - very similar as you would in Explorer. Alternatively, you can now browse items in catalog by their assigned categories, flags, or disk locations. This means that assuming you have your files, folders, and disk properly categorized, you can browse those items by their purpose, not just by their location.
  • A new item type was introduced to catalogs - disk groups. Now you can hierarchically group your disks in catalog, creating a tree structure similar to categories system. You can use disk groups to group disks that belong together (for example, multiple CD-ROMs of the same software package), or you use them to organize your disks in a concept similar to categories (for example, you can have a disk group "Shareware CDs", possibly further divided with additional disk groups).
  • Disk and disk groups order in catalog is now local to each catalog or disk group. Order is stored in a catalog file, and can be set to custom order as well. You can use drag&drop, or keyboard key combinations to reorder disks and disk groups in any way you want, or you can have them sorted by one of the columns, as before. Files and folders are still sorted the same way as in previous versions - by one of the columns, with setting being global for all loaded catalogs.
  • Thumbnails are here! Thanks to the new memory management and catalog file format in version 3, storing and handling thumbnail images in catalogs has become a reality. Where Is It? 3.0 introduces additional new set of plugins that are in charge of importing bitmap images and allow Where Is It? to store their down-sampled versions in the catalog as a reference. The size of thumbnails is user-defined from 32x32 to 128x128, using 24-bit colors and a fast, high-quality image resampling routine. A special attention was given to the way thumbnails are stored inside catalogs, trying to keep them as small as possible. An average thumbnail of 64x64 in size will take about 1.5 KB in catalog file, which is a nice enough result for storing a true-color image, but still about 10 times more than just having a detailed textual description included instead of the thumbnail. If you will be using thumbnails, expect your catalogs to grow considerably.
  • By using new alias names you can "internally" rename files and folders in catalog, only for browsing, searching, and reporting purposes. Program still remembers the original name of a file or folder as it is stored on the media, but allows you to use the alternate (alias) name in catalog instead. You can quickly switch between viewing aliases or real file names with available button on a toolbar, or you can have alias names color-coded on file lists to warn you those are not actual file names.
  • New templates for categories, flags, disk locations... User defined templates can be created, and a few the most common pre-defined are included as well. New catalogs can be created based on one of the templates.
  • The Check for Update Wizard was considerably improved in version 3.0. Besides checking for new available version of the program itself it can also check for new plugins, language files and help files. Checking is not all there is, either - if new or updated plugins, language files or help files are available, wizard can also automatically download and install selected updates. By the time you leave the wizard, you can have updated Where Is It? up and running, without even restarting the program.
  • The How to Order Wizard has been changed considerably, according to changes related to registering the program since version 2.xx. There is a new e-commerce vendor available that expands on available options, or just makes existing ones easier to use, especially for the European customers. Pricing and currencies policy was changed as well.
  • There were some changes in handling audio CDs. The details necessary for a CDDB query are retrieved and stored in catalog, which allows retrieving CDDB information at later time without having the CD inserted - this also allows making a CDDB query for multiple audio CDs in catalog at once. Audio CDs are now stored as a separate media type and have their own media icon. Additionally, Where Is It? 3.0 will now show available audio tracks on the media even if they are not visible in Explorer because data track is also present - processing mixed mode CDs is one such sample.
  • Added a new, dockable window to the main window providing quick access to item's description, either for preview or editing.
  • Each catalog can now hold a list of user-defined icons to be used for selected disks and folders in catalogs. You can mark any disk or folder in the catalog with your own custom icon.
  • On popular requests Where Is It? can now calculate and store in catalog CRC codes for files being scanned on the media, to be later used with compare and duplicates finding functions. Since collecting CRCs prolongs scanning the media A LOT, even 10 times or more, and having CRCs available is only useful for certain tasks that not everybody need, use it on your own discretion.
  • A new option in program's Add/Update Disk Image dialog allows entering disk's description as soon as scanning the media completes. The dialog is also equipped with disk preview pane, allowing you to browse scanned disk image in catalog, check out imported descriptions and thumbnails, etc.
  • Scanning the media is now performed in a separate thread, separated from the rest of the program. This leaves the program execution control even while media is being handled outside WhereIsIt. In case of a major problem during media scan, for example due to a damaged media, program still remains fully responsive and allows you to cancel scanning in situations that would otherwise keep the program locked up in previous versions.
  • Added support for scanning cataloged disks and folders for viruses using an external anti-virus program.
  • Catalog Manager has been partly rewritten, to include support for new disk groups and manual disk and disk groups reordering. Some operations like moving or copying disks are also notably faster in certain cases.
  • The Rename function was added to the file operation functions as well.
  • The dialog showing progress of scanning media is now more entertaining, showing elapsed time, statistics, number of imported descriptions etc.
  • Added a new option to update all selected disk images in the catalog in one step. You can set it to handle available disks only or ask to insert the media as needed, you can have it optionally display the Add/Update Disk dialog for each disk that is about to be scanned, allowing you to adjust scanning settings, etc.
  • A new command is available for renumbering selected range of disk images or disk groups. Disks and disk groups can be renumbered with ascending or descending numbers, with options to skip selected disks that already have numbers assigned, or to skip disk number if it is already used on some other disk.
  • Disk images scanned with version 3.0 now also include information about settings used for scanning, such as archive files browsing, file CRC calculation, active description plugins at the time of scanning, etc. When updating disk image, those settings are set again as default for that specific disk only, allowing you to scan the media under the same conditions as it was originally scanned. This is especially useful for automated disk updates, such as through script files.
  • A new version of Description API has been defined, providing support for the next generation of plugins in Where Is It? 3.0. DescAPI 2.0 retains compatibility with existing plugins, however new plugins complying to DescAPI 2.0 also have the ability to set disk names, set alias names for files and folders, etc. The CDDB plugin is the first such sample that can set disk name and audio track file names based on author/title details.
  • Description API 2.0 also includes a new plugin types. Apart from plugins for extracting descriptions there are now also new plugins for formatting it. The new plugins come into action after regular plugins have finished extracting description - formatting plugins are used to further adjust extracted descriptions, such as converting them to more appropriate character set, improve readability and layout, limit description text length, etc. Another new type of plugins in version 3.0 are thumbnail plugins, extracting images from picture files during media scan to be stored as thumbnails in catalog.
  • The internal file viewer in Where Is It? can now also display images in their full size, apart from showing file contents in ASCII and HEX formats. Since the program uses thumbnail plugins to load images, available for viewing are all picture file formats that are supported for importing thumbnails during disk scan.
  • All description edit windows in Properties dialog can now be "maximized" inside dialog for easier editing and larger working area.
  • Columns in item lists can now be quickly hidden or shown by right- clicking on column header and choosing one of the new options in there.
  • New option in user interface settings allows that folders can be auto expanded/collapsed around currently selected node as you are browsing the catalog tree, allowing easier browsing and clearer display.
  • Catalog, disk, and folder headers in report generator now have options to force a page break before them, allowing you to select for each catalog, disk, and/or folder to start on a new page.
  • Descriptions in report generator can now be limited to specified number of lines only, cutting off long descriptions that span over multiple pages.
  • Added support to limit the size of exported HTML reports. If exported HTML file would be larger than specified, report is splitted into more HTML files.
  • Added new "Disk Location" column to Disks List in the main window.
  • Added two new options in the Open button's recently-used popup menu, to remove obsolete catalog files that no longer exist, and to remove all catalogs from recently used list.
  • Moved all user list related commands into separate submenu/button, and added a new command to manage user list items: Keep on User List (it does exactly the opposite as the Remove command, keeps selected items on user list, and removes all others).
  • A text box was added to the browse UNC network dialog, allowing user to type in an UNC address directly instead of having to browse to it in the network tree. Last eight used types UNC addresses are remembered and stored for quick access the next time.
  • The Search dialog now includes an additional page with a summary of active search settings. Those are available in a form of textual description, offering you a quick overview and easier troubleshooting if search results are not what you have expected.
  • Besides searching through open catalogs and existing search results list, search engine now also supports searching through items on the user list.
  • A new command is available in item's popup menus for performing a search, limited to the contents of selected item ("Find in This Folder / Disk / Disk Group / Catalog).
  • Another new search option was added to quickly search if selected file(s) already exists somewhere else in catalog (similar to searching for duplicates, just targeted to selected file(s) only).
  • Searching can now be limited to the first "n" folder levels only. It can be useful, for example, if you only need files or folders in the root of your media.
  • A new "Rebuild Catalog File" command in file menu was introduced to help out with damaged catalog files. It will read an existing catalog file and build a new one from it, filtering out all invalid or unreadable data in the process. The rebuild command can also be used when catalog's storage properties are changed, such as compression level used, or encryption.
  • A new "Mail to..." command in program's File menu allows you to quickly send selected catalogs by e-mail. Program will not only allow you to select any number of catalogs - or other files - to send, it can also save changes if needed, and optionally pack them to a zip file before the default email program is called up, with a new, empty message opened and selected catalogs already attached.
  • Supported exporting descriptions to Index_00.txt format.
  • Program can now be minimized to system tray and sit there quietly until needed again. It also tries to free as much memory and system resources as possible.
  • The "File / Catalog Info" option will now display a new, combined statistics dialog about all loaded catalogs rather than just currently selected one. Single catalog properties are still available by selecting catalog note and choosing "Properties" option from its popup menu.
  • Added new option to optionally show grid lines in list views.
  • Translatable "Ctrl" key name (i.e. "Strg" is used in Germany).
  • User List now closes on ESC
  • New splash screen for Where Is It? 3.00.
  • New web support links in the Help menu.
  • New registration system and key files for version 3.0.

See Also
Versions 2.00 - 2.16a, Versions 1.00 - 1.26, Versions before 1.00


Release History - Versions 2.00 to 2.16a
See Also: Versions 3.00 and newer, Versions 1.00 - 1.26, Versions before 1.00

Version 2.16a - 23. March 2000

  • Minor maintenance release only. The package was updated with the latest set of description plugins, the program includes some minor performance optimizations and a few details that will allow easier upgrades to version 3 when available.

Version 2.16 - 23. January 2000

  • New description module was added to the package, with a set of seven new plugins handling graphics files (BMP, GIF, JPG, PCX, TIF, PNG, PSD). Some of the plugins also include extended details for exporting image information, such as digital camera support in JPG and TIF plugins, and IPTC-NAA record support in TIF and PSD plugins.
  • The main description plugins module was also updated with a couple of new plugins (Word Perfect and Quattro Pro files).
  • The Index.txt description plugin now better support Index.txt and similar files with tabs in it.
  • Improved multi-language support and localized font handling.
  • The "Ignore empty folders" was broken in the last version - fixed.
  • Updated documentation due to some recent changes (new mailing address).
  • Lost of minor internal optimizations, most of them resulting from findings while developing the new 3.0 version. Some of those got implemented in this release as well.

Version 2.15 - 2. November 1999

  • The MP3 description plugin has now an option to allow play time calculation for variable bit rate (VBR) MP3 files. The default state is off. Use with caution, full processing of VBR files will have a very notable impact on scan performance.
  • The new MS Office plugin introduced in previous version was occasionally leaving some open files behind. Fixed.
  • Files compressed inside changed archive file usually did not keep their descriptions when disk image was updated in catalog. Fixed.
  • Selecting the option to update folder from the main menu instead of the usual popup menu was causing an error message. Fixed.
  • Occasionally disk numbers assigned to newly scanned disks would not be saved when saving the catalog. Fixed.
  • Setting the printing orientation for reports did not always work for all users if it was different than the default printer setting. Fixed.
  • There were a few reports about having problems with printing to network printers on Windows NT. While the problem could not be confirmed, this release includes some changes about handling printers that will hopefully resolve this issue.
  • A few other minor updates and fixes.

Version 2.14 - 11. October 1999

  • Added two new description plugins, handling MS Office documents (Word, Excel, PowerPoint and Binder files) and Visio documents and templates. The updated plugin module is available as a standalone download, too.
  • When launching a file type without associated program Where Is It? will now show the "Open with..." dialog, just like Explorer. This allows you to associate file types on the fly for future usage as well.
  • The Catalog Setup dialog is now made resizeable and will rememeber its size and position between sessions.
  • If most recently used catalogs list was disabled, an error message may have occurred in certain cases when closing catalogs. Fixed.
  • If a catalog was saved as both password protected and encrypted, there could be some problems with opening it later. Fixed.
  • Other minor fixes and adjustments, such as adding a few new shortcuts to dialog items.

Version 2.13 - 25. September 1999

  • Minor maintenance release.
  • Files being moved on the same disk are now just renamed, resulting in faster operation and no additional disk space required.
  • Improved support for password-protected ZIP files, program will now ask for a password if one is needed to extract compressed file(s).
  • Added Ctrl-C shortcut to all item lists to copy the name of currently selected item (file, folder,...) to clipboard.
  • Fixed two more serious problems with Copy and Move operations in file management support. Copying or moving folder to one of its sub-folders would result a recursive operation that would eventually crash the program. Also, files or folders that failed to be copied to target location during "Move To" operation may in some cases still be deleted at their source location. Fixed both problems.
  • Searching for disks without location has also returned all files, even if the disk they were on had a location assigned. Fixed.
  • The "Open in Explorer" command did not always work correctly when used on folders. Fixed.
  • The date field in right top corner of generated reports has always used the default font setting. Fixed.
  • Updating more than one disk in a script file was causing error messages in certain cases. Fixed.
  • Opening and closing catalogs in script files used to affect the recently catalogs list in the program, usually resulting in removal of catalogs accessed through script files. From this release on, using script files no longer influences the recently used catalogs list.
  • A few other small fixes and changes.

Version 2.12 - 3. September 1999

  • Maintenance release, just polishing it a bit.
  • Word wrap settings in internal viewer and Description Assistant will now be saved between sessions.
  • The categories and flags popup windows in Properties dialog have on rare occasions popped up on incorrect location. Fixed.
  • Fixed a printer problem in Report Generator. Trying to print a report from Report Preview window and changing selected printer there could result in an error message in certain cases.
  • If trying to use the Open in Explorer command on a file that does not exist on the media any more, some (newer) versions of Explorer may take it badly and crash. This is a bit of a bug in the Explorer, situations like that are not that unusual and should be handled better. WhereIsIt will now check if selected file does indeed exists before handing it over to Explorer.
  • "How to Order" Wizard was in certain cases skipping the page selecting how to receive the product (e-mail / regular mail). Fixed.
  • Fixed some cosmetical issues and rare problems. Repainting of the default button in dialogs had some problems in very specific cases, many Win95 users had a black-only caption bar instead of gradient etc.

Version 2.11 - 11. August 1999

  • Minor maintenance release.
  • Added a right-click menu with "What's That?" option to all controls in the program that have help accessible, and don't have a popup menu on their own. To access help about specific control, just right-click it and select the "What's That?" from its popup menu.
  • Made some changes to the Main Description Module. The CDDB plugin was adjusted recently to handle cases where descriptions for the last few songs were missing. New in the module is a TTF plugin, handling true type fonts and returning their name and type, copyright notice etc.
  • Addressing drives with UNC syntax is now also supported in the "UpdateDisk" command in script language.
  • In windows other than main window (search window, user list, etc.) the filename of currently selected item was not always displayed correctly in status bar. Cosmetical problem only, fixed.
  • Program will now better handle situations where printers are being added or removed on the system while program is running.
  • Addressed a few rare problems in Report Generator, only occurring when Report Generator is used for the first time after a fresh install.
  • Various other minor fixes, fixed some typos in the help file etc.

Version 2.10 - 25. July 1999

  • Added a bunch of new tips for the "Tip of the day" dialog.
  • Changing system colors in runtime is now better handled, changes will properly reflect in the program.
  • Coloring items in Where Is It? will now be disabled when system is using a high contrast coloring scheme (accessibility feature).
  • GZip support appeared to be broken in the last few releases. Fixed.
  • Made some changes to the How to Order Wizard to handle the new DigiBuy online ordering service instead of old PsL. All language files were updated accordingly as well.
  • Made some very minor and fixes adjustments in the program, that one problem I was still looking at was confirmed to be fixed in RC1 release already.

Version 2.10 RC1 - 14. July 1999

  • The install/uninstall program has been slightly adjusted to fully comply with the official "Designed for Windows 98/NT Logo" requirements. Some additional details were also added to be used with upcoming Windows 2000.
  • Completely rewrote all drag&drop support, which is now based on COM technology instead of internal implementation. Apart as serving as a base for future extensions, the new system also supports auto-scrolling target window, and allows to use Ctrl and Shift buttons for Move/Copy operations. For example, you can now copy or move disks between catalogs by using drag&drop in the main window.
  • Added parameter support for external programs like external viewer, or external shell program. You can now use the %1, %2, etc. to combine selected item's file name or file path into command line for external program.
  • Open in Explorer command will now also move focus in Explorer's window to the file selected to be opened in Explorer.
  • Added "Alt+DoubleClick" shortcut to display item's Properties, just like in Explorer.
  • Fixed the Runtime Error 216 sometimes occurring on the exit.
  • Fixed a minor appearance problem in Options dialog, only visible with small fonts (96 dpi) screen setting.
  • Used a few different approaches in an effort to address a rare reported problem with the Options dialog and missing icons in Settings menu.

Version 2.10 beta 3 - 5. July 1999

  • Added additional network support for drives and servers with a share-level access. When browsing the network tree, program will now always try to connect to the selected server or network drive - this allows user to logon and connect to network resource in order to gain access to it. This will mostly be used to access network drives or servers that are password protected and user is not yet authorized to access them in current session.
  • Optimized searching for UNC drives on the network. Every drive that was cataloged as UNC network drive will now store its UNC name in catalog as well; the next time the actual drive is needed this UNC path will be checked first, before trying to browse the entire network to find it. Since in most cases drive will likely still be available on the same UNC name, it will be located much faster. Program is now also able to ask user to connect to the requested network drive first, using appropriate password if necessary.
  • Some other optimizations about handling the network were implemented, too.
  • Fixed a few problems regarding searching by file types in Advanced Search.
  • Fixed a few minor problems regarding program's settings when program is run for the first time after being newly installed.
  • The CDDB plugin may have displayed track time seconds in one digit only if there were less that 10 of them. It will now always display seconds in two digits, forcing a zero first if necessary.
  • The position of splitter bar in Description Assistant's window was not saved between session if window was maximized. Fixed.

Version 2.10 beta 2 - 21. June 1999

  • The Next and Previous buttons in Description Assistant have now assigned keyboard shortcuts for easier browsing through items list without having to move focus out from description window.
  • When moving selection one level up in the tree, either by double clicking the '..' entry or by using the Back One Level button, program will collapse currently selected branch in tree window. Data hidden by collapsing selected node is visible in the right window anyway, so this behavior should make browsing a bit easier.
  • Made a few optimizations regarding browsing the net, it will respond faster in some cases.
  • Search window did not allow itself to be resized below its original width. Fixed.
  • Selecting the drive button in Add/Update dialog with ALT + drive letter shortcut caused an error in some computers where the new network button was available as well. Fixed.
  • A few users have reported problems with Explorer when program is started for the first time - beta 2 includes some additional changes to hopefully avoid that.
  • Addressed some other problem reports that were more difficult to confirm.

Version 2.10 beta 1 - 13. June 1999

  • WhereIsIt now fully supports UNC addressing in network environment, no longer requesting for network drives to be connected to a local drive letter in order to be scanned - now you can scan a network drive by simply browsing the Network Neighborhood. Read more about the new UNC support in beta release notes, included with the program.
  • The Settings dialog has been completely rewritten in this version. While there are no visible changes to the end user, internally this part of the program has been redesigned for better performance and resource saving, resulting as well in noticeably faster program startup and shutdown.
  • The help support has been extended by adding in a searchable "How to..." section, giving tips on usage of most important and most frequently used parts of program. Recommended reading for all users to get the most out of the program.
  • CDDB plugin was expanded to handle multiple and unreliable hits as well by asking the user to choose among possible returned results. Please note that this behavior can be disabled if program is not allowed to stop and wait for user feedback, for example during automated updates.
  • The Insert media dialog will now while waiting for you to insert the required media show not only media name and type, but disk location as well, if one is provided in disk's properties.
  • Improved multi language support, some critical sections in program's user interface where translated text often had trouble fitting can now better adjust themselves to translations.
  • Sorting disks by date or categories did not always work correctly, fixed.
  • *Many* other internal improvements, changes, optimizations,... while still preserving full compatibility with existing language files.

Version 2.03 - 13. May 1999

  • Description Assistant now allows you to set categories, flags, and disk locations for current item as well, not only the description.
  • Fine tuned the CDDB plugin, only confirmed Audio CDs are now checked with CDDB server to minimize false hits. MP3 plugin can now better handle unknown or damaged MP3 files with ID3v2 tags.
  • Index.txt-stlye description plugin now has user definable list of text files that will be checked to be imported as folder indexes. Index.txt and similarly formatted files contain a list of "(file) (description)" entries to describe the contents of folder they are in.
  • The "Check for update wizard" now allows you to download the new version of Where Is It? from any available mirror site.
  • The four list view mode buttons on the toolbar (large icons / small icons / icon list / details) are now combined in one single button with popup menu, similar as they are in Explorer. This allows to shrink the toolbars a little, especially the main one.
  • Message boxes will now play appropriate system sounds when they are displayed, just as in other applications. Some have preferred it quiet, but it's better to comply with system standards and rather turn sounds off in system Control Panel.
  • HTML documents created with program now include character set meta names based on currently selected language. Previous versions have always set this to iso-8859-1, the western alphabet, which was not best choice for some languages.
  • Limiting search hits did not work in most cases. Fixed.
  • If Search window was marked to stay on top of other windows, its popup dialogs would be displayed behind it as well. Fixed.
  • A few other minor fixes or adjustments.

Version 2.02 - 2. May 1999

  • The SampleModule.dll was slightly modified and recompiled in order to avoid false virus alert in the latest Norton AntiVirus update. Thank you, Symantec, very much.
  • New CDDB description plugin! It can import information about Audio CD discs and their tracks (title, artist, disk/track length, comments,...) from CDDB servers on the Internet.
  • Further improved updating target catalog after file operations like copy and move. All types of items are now handled correctly and will keep all their properties during such operations, including compressed archive files that will keep their contents information.
  • Optimized a bit program's performance and resource handling, resulting in a few % faster startup time and lower resource consumption.
  • Further improved the MP3 description module to handle some more unusual ID3v2 tag implementations.
  • The file management menu was not updated properly when language was changed, it was retained in previous language. Fixed.
  • Addressed some details about storing window's state and position between sessions, some users had reported problems with those.
  • Fixed some other issues reported so far, not very commonly encountered, or just of cosmetic relevance.

Version 2.01 - 20. April 1999

  • Improved MP3 support, added ID3v2.3 tags support in description plugins.
  • Added additional navigation tools to large categories and flags lists in Properties dialog, to help you find a category or flag faster.
  • When copying or moving files or folders and option is checked to update target location in catalog, program will now also transfer existing descriptions, as well as categories and flags settings if both source and target disk are in the same catalog.
  • Addressed a possible printer problem under Windows NT.
  • Fixed some problems with categories handling when there are more than 255 categories defined in a catalog.
  • Addressed a rare problem with password protected catalogs.
  • Cancel button in Properties dialog did not cancel all changes as it should, it was acting more like the OK button. Fixed.
  • A few minor adjustments, mostly user interface related.

Version 2.00 - 31. March 1999

  • WhereIsIt has a new home on the Internet! Visit "www.whereisit-soft.com".
  • Reports will now always include a full list of assigned categories instead of "(multiple)" mark, otherwise displayed on screen lists.
  • Enabled support for printing only specified range of pages in Report Generator.
  • When updating selected folder only instead of whole disk, the new data for that folder was not always saved when saving the catalog unless there were some other changes in data of the same disk. Fixed.
  • Fixed automatic catalog updates, sizes for nested folders were not updated properly in their parent folders.
  • Made some adjustments to archive extracting function in order to detect and handle properly out of disk space situations.
  • Addressed some auto-save related issues, preventing for auto-save to kick in while manual save is already in progress.
  • Some other minor or rare problems have been addressed.

Version 2.00 Release Candidate 1 - 20. March 1999

  • Release-candidate version, only bug fixes from now on.
  • Catalog preview window in extended open dialog will now resize itself accordingly to current dialog size.
  • Importing descriptions from list-based sources such as Descript.ion, Files.bbs, Index.txt,... files was broken in beta 5. Fixed.
  • Transferring category and flags settings between catalogs when moving or copying disk from one catalog to another did not work correctly for categories and flags assigned to folders. Fixed.
  • A few other minor changes.

Version 2.00 beta 5 - 14. March 1999

  • Released an additional description module, for importing user-definable text files as descriptions. This feature was high in demand, but there are a lot of reservations about how much sense this can really have. The new plugin is not included in distribution package (it can be downloaded separately) and is not officially supported as part of Where Is It? - use on your own responsibility.
  • Extended Open Dialog with catalog preview has been optimized to be more responsive when working with large catalogs. Preview function should no longer interfere or cause delays while selecting catalogs to load, even with very large catalogs.
  • Implemented some minor changes in Description API interface to enhance some plugin functions, especially with run-time setup support.
  • Adjusted description import filter for MP3 files to handle new variable bitrate (VBR) MP3 files. Please note that file play time will not be calculated for VBR files due to performance reasons.
  • Fixed some problems with removing data from catalog, error messages could occur in certain combinations of items selected to be removed.
  • Extracting files from SFX archives did not always work correctly, except for RAR SFX and ACE SFX archives. Fixed.
  • Text in combo box in Compare Results dialog was not initialized correctly.
  • Lots of other small changes, improvements, and bug fixes.

Version 2.00 beta 4 - 5. March 1999

  • Searching for duplicates is optimized and noticeably faster in many cases.
  • Fixed a bug in Catalog Setup, where using "Copy from..." button to copy categories from another catalog didn't do its job correctly in some cases.
  • Fixed a nasty bug in loading/saving search expressions, causing problems to some users. This version should be able to correctly load most of your saved expressions, but if you still have problems, write and save your expression again.
  • Fixed a problem in Description Assistant. "Index out of bounds" message would appear when trying to edit description via Description Assistant for items located near the end of a long list (for example, a long list of files in the folder).
  • Fixed a few similar problems in "Compare to Catalog" as well, sometimes occurring when calling up this function the second or later time.
  • The "Compare to Catalog" function had some problems when scanning files on NTFS partitions under Windows NT, specifically with comparing files by date and time. Program has been adjusted accordingly.
  • Included a workaround for some STB, Diamond and other S3-based video cards that were exhibiting problems with images.
  • Adjusted a few details about handling multi-volume ACE and RAR archives.
  • Adjusted description importing priorities on disk scan. It appears that in some cases new, just imported descriptions would replace the current ones in catalog, even if option was set to preserve existing descriptions.
  • When running on Windows NT, "Move To..." and "Delete" functions deleted only files on source location, but did not remove folders. This problem did not exist on Windows 95/98.
  • "Copy To..." and "Move To..." operations have sometimes failed to update target catalog, even if so instructed.
  • Updated and fixed some issues about calling up the Search and Duplicates windows in different circumstances.
  • Archive files were still showing extension in their file names even if this was set to disabled. Fixed.
  • English language file was spell-checked and a few typos fixed.
  • Some minor changes in help file and the rest of documentation, including the FAQ.TXT.
  • As always, lots of other minor changes and adjustments to address other, not very common problems reported so far.

Version 2.00 beta 3 - 21. February 1999

  • Added new support for ACE archive format. Both browsing and extracting functions are supported, including in ACE SFX archives.
  • Support for browsing RAR archive files has been completely rewritten to avoid many problems with this archive type. Archives created with newer versions of RAR should be recognized correctly now, including all RAR SFX archives.
  • Top bar in main window will now show parent disk info while browsing files and folders. More details about the disk are available in associated tool-tip, and you can click it for quick selection in catalog.
  • Added a "Configure Plugin" button to plugin list in Add/Update Disk dialog.
  • When processing a file operation on a list of items from different disks, program will now first handle all items that are available for access, and later ask to insert appropriate disks to handle the rest. Previous versions have always handled disks in alphabetical order.
  • English help file is now completed and up to date for version 2.0.
  • Optimized main window's painting during resize events, reducing flickering.
  • Fixed a problem in Properties dialog - if changing categories, disks or flags with '...' button, item data in Properties dialog would be reseted to state when dialog was shown.
  • Fixed a few problems related to duplicates searching and "Index out of bounds" error messages in Search dialog.
  • Fixed a problem with searching for categories or flags. Some items in subfolders that were loaded as a result of search hit were missing their data about categories, disk locations, or flags. This could have some side effects in other parts of program, too.
  • Setting to search for files inside compressed archives was acting just reversed of what it should be.
  • Some items in Search dialog were not available for translation.
  • Fixed sorting files by disk numbers.
  • Some other minor fixes.

Version 2.00 beta 2 - 13. February 1999

  • Multi-language support is now enabled, and translations can begin. Only English language file is currently prepared for version 2.0.
  • Added a new option to hide file extensions in file names if extension column is also visible in list view. Some may not care much about having extensions displayed twice in both Name and Ext columns.
  • The dialog asking to save modified catalog(s) will now show a check box to apply the same answer to all other modified catalogs as well.
  • Modified a bit how searching by descriptions is performed. It should return less "false" hits due to spaces inside target text while retaining its flexibility.
  • Modified the items sorting in report generator, which will now display disks in the same order as they are in the main window, and file and folders in the same order as they are on source list. Previous versions have always sorted all items alphabetically.
  • Exporting descriptions has been extended with an option to add just created or updated description files in catalog.
  • The algorithm to find first free disk number was changed to return first free number after the biggest one used so far in current catalog. This should help if counting disks in catalog does not start with number 1.
  • It is now possible to search for items without assigned category, flag, or disk location.
  • Outlook bar in Program Settings dialog is now able to adjust its width according to text used for items inside - this will ensure that item text will not be stripped, and make translations easier.
  • Sound file to play after long operations is now user definable.
  • Help file has been updated, but is not yet completed. Most of major dialogs are now covered with correct context sensitive help, but there is still some work left to be done.
  • Fixed a problem with removing archive file contents. In most cases, this operation has caused an error message in beta 1.
  • Fixed importing descriptions from archive files where option was set to only import descriptions, but not archive file contents. Description was attached to parent folder instead of archive file.
  • Fixed some search expressions related problems.
  • Fixed the problem with searching inside archive files - the new search engine did not handle this setting correctly, it was almost always regarded as being turned off.
  • Fixed and improved some details in report generator. Duplex printing should now be OK, and it is possible to print range of pages (but only if printing from print preview).
  • Fixed some minor details in exporting descriptions to HTML format.
  • Fixed the option to disable showing disks in catalog when catalog is loaded, disks were always expanded.
  • Many other small fixes, adjustments and improvements.

Version 2.00 beta 1 - 31. January 1999

  • Completely rewritten search user interface and large part of search engine. The new user interface design is divided in two modes - Quick Search, and Advanced Search. Quick Search is capable of quickly finding items based on their names and/or descriptions, including searching by file masks, text included in item's name or description, file types etc. Advanced Search mode offers a complete search expression editor, allowing you to write, load, and save your own search expressions using full set of logical operators, and full set of WhereIsIt's search conditions, such as searching by name, description, size, date, time, attributes categories, flags, disk locations etc.
  • New Description API programming interface allows Where Is It? to be extended with third-party description plugins, importing descriptions from other, currently not supported description sources. All existing description filters were rewritten according to Description API specification, and extended with some new filters (importing HTML titles as descriptions, for example). The pre-release version of Description API in Windows Help format, as well as a sample description plugin are included with the program for all interested in writing their own description plugins.
  • Program now uses new and enhanced catalog file format, capable of storing new features implemented in this release, and providing space to implement some new ones in next releases. Your existing catalog files will get automatically converted to the new format first time they are saved - you will also notice that new catalog format produces noticeably smaller files.
  • Added catalog protection. Each catalog can now have assigned read-only and full access passwords, and catalog file itself can be stored encrypted for additional security.
  • Extended categories, flags, and added new disk locations. There can now be up to 4095 categories per catalog, and up to 255 user-defined flags or disk storage locations. Categories can be organized in a tree structure, allowing some categories to act as subcategories (up to 16 levels). Disks are now also allowed to have categories assigned.
  • Add/Update Disk dialog has been renewed, to comply with Description API settings, as well as to improve some features and interface appearance. New feature is a Folder Limitations button, where you can visually select virtual root folder, as well as check/uncheck each folder on selected disk if it is to be included in disk scan or not. There is also a new checkbox available, allowing for Add/Update dialog to be redisplayed after scanning completes - useful when adding multiple disks to catalog.
  • A new tab in program's settings handles items to be skipped during disk scan. Apart from hidden files and folders you can now also choose to skip zero-sized files or empty folders, Recycle Bin folder, and provide list of file masks for files to ignore (for example "*.tmp, *.bak).
  • Due to popular requests, program now allows removal of selected files or folders from catalog. In addition, you can now also remove the contents of compressed archive files, if no longer interested in files inside.
  • In addition to "Copy To" command, program now also supports "Move To" and "Delete" commands to allow complete file management. Additional features are optional deleting to Recycle Bin, or automatic updating of catalogued data if destination disk is found in loaded catalogs.
  • Items in all lists can now be syntax-colored, according to their type, category, flags, or disk locations. All colors, file types etc. are user- adjustable, stored either globally (file types) or inside each catalog file.
  • File lists and the main tree window now support optional explorers one-click interface, with item underlining and click-less item selection.
  • Internal ASCII viewer has been improved with new HEX mode for binary files, auto-detection of ascii/binary files, added is toolbar and a button to call up Quick View (Plus), if installed.
  • There are two new wizard dialogs available. The "How to Order Wizard" will advise and help you choose the most suitable way how to send in registration fee, and will either connect you with online ordering site, or print the already filled registration form based on your decision. The other wizard can check on the Internet if there is a newer version of Where Is It? available for download.
  • ANSI/OEM conversion of imported descriptions is now optional.
  • You can optionally set the program to play a default system sound (a "ping" of some kind, usually) after a long (>10 sec) operation completes. This can bring back your attention when a complex search or disk update operation completes.
  • Sorting algorithm used in program has been rewritten. While it still supports stable sorting, it is noticeably faster especially on large lists. It does require some additional working memory though - Where Is It? will try to detect if memory is very low, and use the old algorithm instead in this case.
  • The dialog for selecting folders has been completely rewritten, and it now supports some enhanced features used in different places in program (it is now able to detect changes in folder tree and update it automatically, display checkbox with folders, display drive or folder as virtual root...)
  • Description exporting has been enhanced with HTML description format. Similar to Files.bbs and Index.txt files, a HTML file is stored on original media in each folder, containing file descriptions in HTML format.
  • The Program Settings dialog is now better organized, with new setting groups available on the left side. Since more tabs are now available, settings have been re-arranged in a way that allows more space on form for translations. There are too many new settings available to be listed here, only some of them will be mentioned.
  • Added is a new option in program settings, specifying if folders are allowed to have extensions. If you are using long file names with periods for your folders, disabling folder extensions might be a good idea.
  • Catalog auto loading feature can now be set to load all opened catalog from the previous session when Where Is It? starts.
  • The "Locate in Catalog" function was added to action list for mouse double- click. You can select it in program's settings.
  • The toolbar in main window provides some new features, such as extended buttons with pull-down menus (for example, the "Open" button has attached a pull-down menu with recently opened catalog files for quick access).
  • The Insert Media dialog is now able to auto-detect when the required media has been inserted in drive, and continue with operation without waiting for user to press the OK button. Auto insert notification must be enabled in Windows for drive in question for this feature to work.
  • The Search dialog is not yet replaced with a new version, but there are a few enhancements already available. Some of edit boxes in are now equipped with a history list, storing old search queries to be re-used if required. Searching by description supports a new feature - searching for items that sound alike, using the soundex algorithm. The Help and Stay On Top buttons have been moved to window's caption.
  • A new Properties dialog is now available for cases when more than one item is selected. The new dialog will show common properties for a group of selected items, as well as allow you to change description, categories, flags, or disk locations for all selected items at once. The Properties dialog for single items has also been added some new features, like setting the same categories and flags to all available sub items.
  • The work on new Report Generator is not completed yet, however some new features are available. Most notable are new, more friendly dialog layout, new HTML and RTF report exporting functions, new internal reporting engine, changes in Report Settings dialog for easier access etc. Report Generator will now allow to word wrap single-line descriptions, if space on page is critical. This way, description column will take less space, but multi-line descriptions will not be word wrapped to preserve text formatting.
  • Language support has been improved with some new language settings, like right-to-left reading. Support for languages using DBCS is planned for the final release. The use of language files can also be disabled in version 2.0, allowing the program to run faster if only using internal English language.
  • Version 2.0 is now much more DBCS-friendly, and Far-East users should be able to use the program with their own language with much better results.
  • The Compare Results window is no longer modal - user can now switch to other windows without loosing compare results data. Some heavy adjustments all around the program were needed to support this feature.
  • New script language has been added to WhereIsIt, mostly for automated catalog management (loading, updating, saving,...) Network administrators should now be able to schedule unattended catalog updates. The script language itself is only basic for now and will likely be extended in the feature.
  • The "Open Catalog" dialog was enhanced and is now capable of showing some catalog's properties without having to open the catalog in program. Some of available details are the catalog-tree preview, catalog description, a few details about stored disks, catalog's owner and protection state etc.
  • Improved mouse wheel support.
  • WhereIsIt now uses a new registration system - instead of typing four lines of user data, each registered user now gets a personal key file to register the program and unlock all capabilities. The new system allows me to implement some additional features, and is easier to use for end users.
  • MANY other improvements and changes were made in Where Is It? 2.0 (I have to admit I lost track for some of them myself). Some more are still planned before the final 2.0 release will be completed. At a rough estimate, about 80% of code was modified or rewritten since the 1.2x release.

See Also
Versions 3.00 and newer, Versions 1.00 - 1.26, Versions before 1.00


Release History - Versions 1.00 to 1.26
See Also: Versions 3.00 and newer, Versions 2.00 - 2.16a, Versions before 1.00

Version 1.26 - 18. September 1998

  • Probably the last release before the first 2.0 beta version. Version 1.26 should be and remain the most stable release for quite some time, at least until 2.0 is fully completed and tested.
  • Fixed a number of small or rare problems reported or found during the last month, including problems during disk scanning, searching being interrupted, sorting large disks by size etc.

Version 1.25 - 16. August 1998

  • Implemented some minor changes how menus are painted, and improved some details about launching files with associated programs.
  • Included support for importing file info about *.CPL files.
  • Fixed some language-related problems when using a language other than English, especially in Search dialog.
  • Fixed a problem occurring with some removable drives when program tries to assign a new serial number to media.

Version 1.24 - 19. July 1998

  • Added UNC filename support for saving and loading catalog files in network environments. Full UNC support is scheduled for version 2.0.
  • Improved some minor details about properly importing 4DOS description files.
  • Included some minor details for better support of Windows 98.
  • When using "Copy To..." or "Extract To..." commands, directory tree to select the destination sometimes appeared empty, and manual refresh was required. Fixed.
  • Fixed problem with Report Generator when running on Windows NT, after changing printer settings. This has been fixed before, but the buggy code has crept back in when I updated my development environment a few weeks ago.
  • A number of fixes and safeguards have been implemented in disk scanning procedure, to prevent some rare problems occuring during the disk scan.
  • Fixed a number of small problems or issues, either reported or discovered during development of new 2.0 version. Some portions of code from upcoming 2.0 release are also included in this release, to add small improvements in both functionality and speed.

Version 1.23 - 4. June 1998

  • Major service release.
  • Enabled option to allow case sensitive searching by file mask, both for normal searching and searching for duplicates.
  • Fixed and improved algorithm for searching for duplicate items. Previous versions had problems returning correct results if both name and size were not checked as duplicates criteria.
  • Fixed and improved importing existing descriptions on disk update. Program will now allow files that have changed, but remained on the same location to keep their current descriptions on update. This also includes better file recognition support, if more files with the same name but different descriptions exist in catalog.
  • Alt-F4 shortcut will now always close currently active window or dialog, not necessarily the application.
  • Improved importing information from WAV files. Some types of WAV files were not recognized properly in previous releases.
  • Adjusted a few minor problems with browsing data in the main window. In some rare specific cases, sorting in just displayed window was not set correctly, or sort arrow was missing in column header.
  • Fixed problem in report generator - exporting some very specific types of reports to ASCII file or to Excel could end with internal error message.
  • A few other minor enhancements were included, mostly user suggestions.

Version 1.22 - 28. May 1998

  • Service release. One bug was found after all in new searching routines, related to searching files in deep nested folders by descriptions. Sometimes program failed to find some of those files.
  • A few more changes were implemented to ensure support for new version 2.0, when it will be released. Version 2.0 will introduce new catalog file format to support some of new features, and new catalogs created by 2.0 version will not be readable by this release. Changes included here will recognize new catalog file format and act accordingly. Of course, your current catalogs will be supported by 2.0 version, and automatically converted to new format when saved for a first time.

Version 1.21 - 25. May 1998

  • Installation program has been improved and equipped with some special, custom made add-ons to provide additional functionality. Installation program is now able to detect location of previous installation and offer it as default, and it will now clear old program entries in "Add/Remove programs" list when re-installing or upgrading. Partial install is also supported, and a new sample catalog was added to present some of program's capabilities to new users.
  • Assigned Ctrl-Enter shortcut to act as a click on the OK button when editing a description (it now works in Description Assistant as well in item's properties dialog).
  • Improved changing serial numbers to handle 0000-0000 numbers on Windows 95, too. In previous versions, zeroed serial number could not be changed when running on Windows 95/98 (Windows NT users did not have this problem).
  • Improved media type detection. Now program will try to detect type of media inserted, not just type of drive. This could be useful in cases such as DD media in HD drive, or regular 3.5" floppy disk in LS-120 drive.
  • Added new Frequently Asked Questions (FAQ) file to Where Is It? package.
  • Fixed sorting in Search Results list and User List. Clicking on column sometimes did not sort items as it should.
  • Fixed and improved importing database from Floppy Master.

Version 1.20 - 18. May 1998

  • Right-clicking on drive button in Add Disk/Update Disk dialog will now show system context menu for that drive (the same one as if right-clicking drive icon in Explorer). The same context menus are also available when selecting a folder for some operation.
  • Added catalog file size information to catalog properties.
  • Changed a bit how sorting by disk numbers is handled for files and folders.
  • Auto-save interval in program settings was not preserved correctly. Fixed.
  • Importing descriptions from Files.bbs and similar was adjusted a bit, some descriptions could be skipped in previous versions.
  • A number of other small changes and adjustments.

Version 1.20 beta 1 - 7. May 1998

  • Almost completely rewritten search procedure and internal catalog handling, resulting in much faster searching, and shorter shut-down times. Searching is now in average about 3-4 times faster, and in some special cases even up to 10 or 20 times. Actual improvements will largely depend on number of hits (fewer the better), and a bit on catalog data structure.
  • Added sort indicators to column headers. Headers are now by default a little wider than in previous versions, since some space is reserved for the arrow.
  • Added IntelliMouse support in Windows 95 (scrolling active window with mouse wheel).
  • Program will now remember last set "Copy to" folder.
  • Modified a bit how media is detected, to address problem with using catalog file on both Windows 95 or 98, and Windows NT. Problem occurs because each system reports slightly different details about media - result is that media added to catalog in Windows 95/98 is not recognized on Windows NT, and vice versa. Program now tries to tolerate those differences, especially when working with CD-ROMs.
  • Saved catalog files will now preserve their attributes, including the compression attribute on NTFS disks.
  • Fixed a few problems related to saving Search dialog's settings.
  • Fixed searching by file type, and searching for duplicates with file name filter turned on. Some new additions in previous versions broke this.
  • Fixed some problems in report generator, like always printing from default paper source.
  • When closing multiple catalogs with "Close All" command, there was some unnecessary flickering and redrawing. Closing is now faster and smoother.
  • Disk size for virtual disks was always reported as 0. Virtual disk size is now presented as used space by all files on virtual disk.
  • Fixed anomaly when scanning some specific CAB archives, and fixed extracting from archives with spaces in internal folders.

Version 1.11 - 5. April 1998

  • Some internal optimization was done in this release, resulting in notice- able speed improvements, like faster list updates when scrolling. A few other speed optimizations are also prepared, but not yet included in this release, since some further testing is necessary first.
  • "Show context menu" button on Win95 keyboards now works in WhereIsIt, too.
  • Item lists will now show selected items even after window looses focus.
  • Added recognition support for Fujitsu M2531A MO drives.
  • When saving catalog failed for some reason (full disk, etc.), program could start incorrectly reporting catalog errors, or just crash in certain conditions. This has been fixed, and program is generally better protected against saving related problems.
  • Fixed extracting files from RAR archives when files were stored in sub- folders inside RAR.
  • When moving with PgUp/PgDn keys (in large steps) through tree view in main window, the right pane sometimes didn't update itself properly. Fixed.
  • Adjusted detection routine for detecting removable drives. On Win95/98, some removable drives could be sometimes detected as hard drives.
  • (De)selecting files via +, *, - buttons was very slow in 1.10 release.
  • Fixed anomaly when drawing popup menus (menu item's text was sometimes displayed too low).
  • Added a few other minor adjustments.

Version 1.10 - 20. March 1998

  • Improved search capabilities when searching by name or description. Now you can specify more than one condition to search for, separated by commas. For example, to find all text and zip files, you can do this in single search by specifying '*.txt, *.zip' as a file mask. The same goes for text in descriptions. Program will search for items that match by at least one of specified condition.
  • Adjusted a bit how menu items are painted, text should be better aligned now for most systems.
  • When scanning disk with importing hidden files turned off, such files were also not checked for importing description. This has changed, descriptions will get imported from hidden files even if they are set to be skipped and are not appearing in the catalog.
  • Program will now remember and next time set maximized window state. Previous versions only remembered window size, but not state.
  • Fixed a bug with moving disks between catalogs (registered version only). Error messages could start poping up after or during disk is being moved.
  • Fixed a problem with normal search / duplicates search setting.
  • Fixed blank entries appearing in the most-recently-used catalog list.
  • Fixed a problem occurring with multiple printers installed on Windows NT.

Version 1.10 beta 4 - 10. March 1998

  • Installation program now supports German language, too.
  • Added a new button to put program in the background during disk scanning, minimizing application and allowing to use other programs at that time. Program will pop up again when disk scan is finished.
  • Search dialog will now remember not only window size, but also last used search settings and search type. This way, if your last search was by file name, the next time you press Ctrl+F search dialog will be already set to search by file name.
  • Added support for some file operations to Compare / New items list.
  • Added support for Java ARchives (*.JAR), quickly gaining popularity on Internet for Java packaging. They are handled as regular *.zip archives.
  • Added importing information for wave (*.WAV) and MPEG (*.MPx) audio files. ID3 tags are supported, too.
  • Changed "last opened catalogs" list size from 4 to 8 (this will be made user adjustable in the next major release), and modified a bit the logic how catalogs are added or displayed on this list.
  • Improved Windows 98 compatibility.
  • Added option to disable startup and shutdown logo (registered users only).
  • Add/Update disk dialog will now remember "Advanced >>" button state between sessions.
  • Added 'Add to User List' action to file double-click actions list.
  • Added recognition for "Deltis MOS320" and "Olympus MOS332" MO drives.
  • When updating disk image, old disk description was sometimes not preserved. Fixed.
  • Fixed searching by file mask for files, compressed inside archive files and with subfolder(s) appended to file name in the catalog.
  • Setting to browse inside archive files had some problems with its default setting in Add/Update dialog. Fixed.
  • Fixed error occurring when trying to use "Copy To" command on '..' folder.
  • Fixed a bunch of spelling errors in English language file.

Version 1.10 beta 3 - 27. February 1998

  • Added optional disk numbers to catalog, due to popular requests. Each disk can now have its own number, used mostly for reference purposes. Appropriate columns will appear when listing disks, files and folders, and relevant dialogs were updated to support this new feature. Catalogs remain compatible with previous versions, regardless of this new addition.
  • Added 'Save All Catalogs' command to main menu.
  • Added a new command line parameter, '/English', for forcing the program to start in English language, disregarding current language setting. You can use this to bail back to default language if you have mistakenly set a language you can't see or understand.
  • Added ability to rename disks and catalogs from their Properties dialog.
  • Added support for importing 00index.txt (and similar) files.
  • Improved on handling of Files.bbs files. Some additional new formats are now supported, and program is more robust to other, perhaps yet unknown formats.
  • Improved File_id.diz importing from compressed files. Program can now import File_id.diz files even if they are not in "root" of compressed file, and includes some logic what to do if multiple File_id.diz files are found inside single compressed file.
  • Added 'Item Time' column to User List and Compare Results List. Please note that for compatibility reasons, users of previous versions will find new columns at the right end of listview window; you can use the 'Customize Columns' option to reorder columns.
  • Added some special support for Seagate's Direct Tape virtual drives, to overcome problems caused by Direct Tape's not-exactly-perfect removable drive simulation.
  • Improved removable drive detection, and added support for detecting new "iomega Zip 100 Plus" drives. E-mail me for details if you have a removable drive and would like to have it detected under real name instead of generic "removable drive" label (functional in Win95 only at the moment).
  • Added support for detecting and recognizing LS-120 drives.
  • Added context sensitive help to Properties dialog, User List, and Compare Results List window. I think that about covers it now.
  • Made some additional changes to user interface, to accommodate new multi- language support.
  • Updated column auto-resizing behavior. You should no longer experience columns changing sizes by themselves to default value when manually resizing some other column, and there should be less flickering.
  • Finally fixed support for Novell NetWare network drives larger than 2GB.
  • When program is searching for media to match catalogued disk, it will now correctly handle situation where more than one drive is found to have the same properties as needed media.
  • Operations like View and Launch did not work correctly with files stored in internal subfolders inside RAR file. Fixed.
  • Fixed exporting reports to ASCII files, sometimes exported report was empty.
  • When changing active language, hidden columns and columns order settings were lost. Fixed.
  • On language change, order of items in Disk Image Setting / "Import description from the following sources" list appeared to be reset to default order. Fixed.
  • Removing temporary extracted files at program exit did not work correctly in 1.10 beta 1 and 2 if "Ask before delete" mode was selected. Fixed.
  • Fixed "List index out of bounds" error in Compare Results list, occasionally showing when switching lists.
  • Importing descriptions from Files.bbs and 00index.txt files could be slow in folders with a lot of subfolders, or archive files. This is much faster now.
  • Improved on general program's stability, compromised by introducing multi- language support a while ago. Especially the Report Generator had a tendency to force an error when being used for a while, and this should be fixed now.

Version 1.10 beta 2 - 11. February 1998

  • Added support for customizing font used in dialog boxes all over the program. This setting is now a part of language definition file, and includes font face, international character set to use, and font size. With this settings you can assign special font setting to each language supported in program. For example, to get Office 97 look & feel, select font 'Tahoma' instead of default 'MS Sans Serif'.
  • Language Editor has been updated to comply with new font settings, and will now show source text and your translation in appropriate fonts, as set in language files.
  • Fixed problem with no language being selected (English should always be default, but...) This bug showed as missing text in dialogs, column headers etc. Once you have selected the appropriate language yourself, everything has returned to normal.
  • Fixed importing File_id.diz files from compressed files, when "Browse only for descriptions" option was enabled.
  • Added some safeties to the new Language Editor, to prevent loosing most of your translations in case some critical error would occur.
  • Fixed a few other minor user-interface related bugs, and made some changes for better multi-language support.

Version 1.10 beta 1 - 6. February 1998

  • NEW! Complete multi-language support, with run-time language switching and built-in Language Editor for translating the program to your own language. English and Slovenian language files are included with this release, and there are many more under construction at this moment.
  • NEW! Support for exporting reports directly to Microsoft Excel spreadsheet program. Program uses DDE to communicate with Excel, and builds a new table with your report contents. From there you can save generated spread- sheet to .XLS or any other format supported by Excel.
  • Added support for extracting from self-extract (.exe) files.
  • When extracting archive files, type of compression is no longer assumed by file extension, but is recognized from the file itself.
  • Rewritten importing descriptions logic, preparing it for future upgrades.
  • Added optional version info importing from 32-bit Windows files (exe, dll, vxd, ocx...) during disk scan. Program is now able to import file description and version from manufacturer's signature.
  • Added simple description importing for Audio CD disks. Each track will be commented with track number and length, and if CD-ROM or track is already in Windows' CD Player's database, track or disk name will be imported from there.
  • Added 'Remove from User List' button and menu option to most windows, acting as a counterpart to old 'Add to User List' command. This new function will enable you some more detailed user list handling, like using search for finding items to remove from user list. All this is mostly preparation for the next major version which will allow you to save User List contents, giving a whole new dimension to your catalogs.
  • Changed some details about editing disk name in Add/Update dialog. Now you can enter disk name before clicking on the drive button (it won't get overwritten with default disk label any more if you typed it there).
  • Right clicking column headers now shows a menu, where you can either force columns to auto-adjust their width to currently visible data, or show a Columns Setup dialog as in previous versions.
  • After editing description or renaming an item is finished, columns will now auto-adjust their width to accommodate new data.
  • Added *,-,
  • keys on numerical keyboard for list selection. '+' ('-') will select (deselect) items on list by file mask, while '*' will invert current selection. All three are acting the same way as in ever popular Norton Commander.
  • 'Export Descriptions' dialog will now keep settings inside current session.
  • 'Compare Files to Catalog' will now store last used settings to registry, keeping them even between sessions.
  • Replaced color selection combo in Report Settings with more powerful color button.
  • Fixed some problems with importing and exporting Files.bbs descriptions, mostly where long file names were included.
  • Improved file error handling in 'Copy To...' command.
  • When trying to change serial number on write-protected disk under Windows NT, disk scan would be aborted with error message. Fixed to ignore the error, leave the serial number alone, and continue with scanning.

Version 1.02 - 21. January 1998

  • Fixed a problem with detecting drives (partitions) in size over 2GB.
  • Made changes to avoid reported problems with some network drives.
  • Fixed problem with band size when changing fonts in report generator.
  • A few problems reported with 1.01 were addressed and fixed in this release.

Version 1.01 - 9. January 1998

  • This version fixes a few more or less rare problems that were reported regarding the final release, and adds some very minor enhancements.
  • Installation script was updated to ask for confirmation before executing Microsoft's Comctl32.dll upgrade installation program.
  • Browse for folder dialog now has a Refresh button, to allow updating the folder tree in case something changed (new drives available, etc.)
  • Context sensitive help was added in Search dialog, too.
  • Fixed problem in Description Assistant where program would sometimes report an error when accessing description files larger than 32kB.
  • Fixed problem in searching for duplicates, the "Don't search for files inside archive files" option did not work as it should.
  • Fixed searching by categories if more than one catalog with categories set was included in searching (returned results may have been incorrect).
  • Fixed updating disks where categories set were sometimes not correctly preserved for some items without description.
  • Fixed a "List index out of bounds" message that may show sometimes when disabling 'Show ".." folders' option in program's settings.
  • The "Autohide After..." checkbox in User Interface settings did not save its state correctly between sessions (it was just reverted).
  • Updated "View / Sort items..." menu to include some missing options.
  • If more than one folder was selected, "Copy To..." only copied the first one and skipped all others. Fixed.

Version 1.00 Final - 31. December 1997

  • Updated installation script to include the latest COMCTL32.DLL files for both Win95 and NT, and made possible for install program to update these files by itself, if necessary.
  • Finally added custom reports to report generator. You can visually select items to include in a catalog tree display - what is visible in tree, this will be printed. There are also a few macro commands to make selection easier, and you can save prepared report layout to file.
  • Added a new option to exclude items compressed inside archive files from searching.
  • Added new shortcut Shift-F10 to bring up item's context popup menu.
  • Finally located and fixed the problem where some descriptions in catalog were not preserved after updating disk data.
  • Fixed a nasty problem with new categories display from the previous release. For some catalogs, categories displayed in columns were not the right ones.
  • Fixed searching by Created and Last Accessed dates, which had sometimes incorrectly returned all compressed files.
  • Fixed a few problems on Windows NT, especially for those users running new Internet Explorer 4.0 with active desktop installed.
  • Fixed handling of Audio CDs on Windows NT. It seems that CD-ROM driver in Windows NT handles Audio CDs a bit strangely compared to Windows 95, and program is now adjusted to that behavior.
  • Fixed numerous small bugs I managed to find in the last week, mostly user-interface related that might show under certain conditions. Hopefully, program is more or less clean now.
  • Note to previous users of WhereIsIt: this final release will "upgrade" your existing catalogs, the first time they are loaded in the program. Each catalog will be marked as modified after loading, and rebuilt from scratch when saved. This is done to enable all of us a fresh start, filtering out all possible problems inside catalogs that could be left over from beta versions.

Version 1.00 RC4 - 20. December 1997

  • Added a new command: "Copy To..." With this one, you can copy one or more selected files and folders from the catalog to some other folder of your choice. Selected items don't have to have the same origin; you can select to copy items originating from different disks with one single command, and program will prompt you to insert appropriate disks during copying. Ideal if you have grouped items of interest in Search Results list or in the User List, and want to copy them somewhere else.
  • Added categories to be displayed as columns in most item lists.
  • Added option to disable auto-hiding descriptions shown as tool-tips. Until now, you could only set how long will it stay on screen, up to 15s.
  • Search window will now remember last expanded size, and will set it the same next time.
  • Report generator is faster and a bit smarter when generating reports. Sorting items by source is MUCH faster now, and is done only the first time when printing or previewing the report, not every time.
  • Provided are ways to cancel report generation, printing, or exporting it at any given moment, and added some additional progress indicators.
  • Made some small changes to how categories are handled, and improved a bit on associated dialogs.
  • Added ability to search for items without assigned category.
  • Fixed a few problems regarding printer settings in report generator. There were problems with printing to non-default printer, to printer with default paper orientation set to landscape, and printers set in Report Setup and Printer Setup dialog sometimes did not match. Also added more available paper sizes for your reports.
  • When printing reports, number of copies and collate printing now works correctly.
  • Fixed a problem with DiskInfo button in Add Disk dialog.
  • Fixed support for some disks (partitions) over 2.1 GB.

Version 1.00 RC3 - 8. December 1997

  • Reports had some major improvements in this release. Items in report can now be grouped by their origin (catalog, disk, folder), and printed with appropriate headings. Icons can be optionally included in report, adding some graphics to the printout. Report sections can now have customizable background color, allowing you to make color bands for titles etc, and some new sections were included (headings for grouped items).
  • Added possibility to use some external shell program instead of Windows Explorer with "Open in Explorer" command.
  • Added "Open Description Assistant" to available file double-click actions.
  • In full-screen print preview mode, status line is no longer displayed, in order to maximize visible page area.
  • Fixed repainting buttons in report preview toolbar after changing page.

Version 1.00 RC2 - 26. November 1997

  • Fixed loading position for dialogs like Search and User List that did not work correctly for some users of RC1 version. The RC2 will fix this problem, as well as prevent any problems resulting from this misbehavior in RC1.
  • Made some changes trying to prevent problems with saving files, as reported by one user. Saving should be more fail-safe now, and should at least report a problem if there is one.
  • Improved saving procedure when operating in low disk space condition, like when saving catalog to floppy disk, or a very full hard drive. The new procedure is much more robust, and will sometimes manage to get job done where older versions couldn't.
  • Fixed a problem with toolbar positioning when it is floating on program startup.
  • Fixed some broken links in the help file.

Version 1.00 RC1 - 14. November 1997

  • Closing catalogs is now about twice faster as it was before. This also affects the total shutdown time, cutting it to half.
  • Improved a bit on start-up time, and reduced program's memory consumption.
  • Exporting reports to ASCII files is done properly now, and few new options are now available when exporting (normal, tab-delimited or comma-separated columns to choose from)
  • Added a new option to display settings, to disable smooth scrolling while expanding or collapsing tree nodes in main window. Smooth scrolling is automatically active in entire Windows system if using a newer Comctl32.dll library, included with Internet Explorer 4.0, for example.
  • Added zoom cursor to report preview; left click on report area will perform zoom in, and right click will zoom out.
  • Removed some flickering in report preview when changing pages.
  • Description Assistant window will now save its size and position.
  • Prevented the '..' folder from appearing in reports.
  • Searching for duplicates did not find all duplicate files in some special cases. Fixed.
  • Fixed support for disks (partitions) larger than 2.1 GB.
  • Fixed a problem that may occur when printing report. If print job was canceled from Windows while program was still busy printing, WhereIsIt? had some major problems handling this situation in 0.99 version.
  • Fixed some problems with updating main window while moving or copying disks with Catalog Manager.
  • Custom reports will probably have to wait until the 1.1 release, there is just too much to do about them if I want to do it right.

See Also
Versions 3.00 and newer, Versions 2.00 - 2.16a, Versions before 1.00


Release History - Versions Before 1.00
See Also: Versions 3.00 and newer, Versions 2.00 - 2.16a, Versions 1.00 - 1.26

Version 0.99 - 6. November 1997

  • Brand new report generator with print preview is finally included in this release! It is not completely finished, some functionality is yet to come (custom reports), but you can get the general idea. Visual appearance of a report can be customized, and complete print preview is in there, with background page generation, zoom, full screen mode and all. Exporting to ASCII files is just basic at this stage, though, and there may be some minor problems left to solve later. A lot of fresh coding was done in a very short time for the new report generator, and some bugs are probably fair to be expected in this release. Let me know! Check the "reportg.txt" file for some more development details.
  • Extended "Compare Files to Catalog" option to compare not only to one whole catalog, but to allow user to select which disks or catalogs to include in compare (just like in Limit Search option). Also, added a "Cancel" button to interrupt the process if it takes too long.
  • Added a new feature in search by filename: if program detects that data to search for is in a file mask format (using '*' and '?' characters), it will automatically switch to 'Search by File Mask' mode, regardless of previous setting (default is 'Part of Filename' setting).
  • Improved handling of international characters in filenames.
  • Improved detection of multi-session CD-ROMs where Windows may return incorrect total media size (only the last track is counted).
  • Added Ctrl-PgUp to act the same way as a backspace, or a Back button, just like it does in popular Norton Commander. Also added Ctrl-PgUp and Ctrl-PgDown shortcuts to switch tabs in Compare Results window.
  • Fixed disk properties dialog for users with small font setting.
  • Fixed a dialog for disk selection shown when at least two disks with the same parameters already exist in catalog when adding a new disk. For users with small font setting only, window with disks list was not resized properly, covering the buttons at the bottom completely...
  • Fixed searching by filemask. In some special cases, searching failed to correctly locate items.
  • Fixed some minor problems with extracting from RAR files when they are in the right pane of the main window.
  • Fixed some minor problems with recognizing some rare TAR files, and adjusted .Z and .GZ files handling.
  • Fixed some problems about importing descriptions from Files.bbs files.
  • Fixed disk properties dialog for users with small font setting.
  • Some other minor adjustements that came my way...

Version 0.90.9b - 26. October 1997

  • Added .Z (Unix compress) archive recognition, and .LZH extraction support.
  • Added small fancy tabs in Compare Results window, for easy switching between lists as well as better preview of compare results.
  • Added progress bar indicator when program is loading catalog data needed to search for files in that catalog ("Compare Files to Catalog" option).
  • Added new option in Display Settings to enable/disable showing keyboard shortcuts inside button tooltips. If this is enabled (default), tips will have shortcut information appended, f.e. "Open Catalog (Ctrl-O)"
  • Extended support for NTFS volume labels that can be up to 32 characters long (compared to 11 characters in (V)FAT, FAT32, or CDFS)
  • Added F4 shortcut in Search window and User List to access properties, and added Ctrl-I shortcut for ASCII Viewer.
  • When using external ASCII viewer, program will now always pass filename to view enclosed between two double-quotes. This should allow some applications proper long filename handling when spaces and other "invalid" characters are used in filename. Also, a new option was added to force using short filenames only when running external viewer program.
  • Extracting from RAR archives was broken in 0.90.9, now it's working again.
  • Quick-search introduced in previous version was not setup correctly for the new Compare Results window when new items were displayed. Fixed.
  • Fixed importing description priority order (archive comments always had priority over File_id.diz inside archive, whatever the settings was).
  • When updating disk data with "Quick scan" option on, folder sizes may have been calculated incorrectly. Fixed.
  • Importing descriptions like File_id.diz from inside compressed files sometimes did not work correctly if lower-case chars were used in the filename. Fixed.
  • Number of folders was sometimes reported incorrectly as 65535 for empty disks. Fixed.
  • If trying to open already opened catalog, exception error would show. Fixed.
  • Picture for disabled View button in Search window was displayed incorrectly.

Version 0.90.9a - 22. October 1997

  • Added a new option to check if files located somewhere on your drive are already stored somewhere in the catalog. As a result you will get three lists of files, telling you which files are new, which were found to be the same in the catalog and which were only matched by name, but not other properties, like size or date .Using this, you should be able to avoid storing the same files to many different places.
  • Added 'View File' command as a choice for double-click action.
  • Changed the 'Clear previous search results' in Search dialog to be checked by default.
  • Enabled quick search in all list windows: if you want to select a known item on the list (file, folder,...), just start typing its name - selection will be repositioned to the first item with name matching to what you have typed.
  • Introduced a small delay before updating the left window when moving selection through the treeview using your keyboard. This prevents unnecessary flicker (left list will be updated in 0.5 seconds after you stop moving). If using your mouse, however, left window will still be updated at once.
  • Fixed ASCII viewer settings, rich-text format parsing was active for all files, not only *.rtf (some rare text files would appear truncated).

Version 0.90.9 - 19. October 1997

  • Help file has been dramatically improved, and more dialogs now have context-sensitive help available, including the options and main window.
  • New option to compare data in catalog against current data on media is introduced in this version. You can now compare the contents of any disk or folder in the catalog to its origin, in order to find files that are new, deleted, changed, or the same as in time of cataloguing this data.
  • The main toolbar can now be customized! You can rearrange buttons and separators, and select which buttons will appear on toolbar and which not. This became necessary since new version has even more available buttons and toolbar may simply get too big to see for some users.
  • New internal ASCII viewer can show you the contents of any (text) file right out from WhereIsIt. It is no longer needed to have certain file types registered with Notepad and launch them in order to see their contents.
  • Added Unix GZIP and UnGZIP support (.gz file extension)
  • Searching is about 25% faster and safer than before, due to optimized search thread settings.
  • Added ability to change disk serial number in Windows NT, too.
  • Added some safe-guards when ejecting disk under NT. This should allow to safely remove media from drive, without interrupting the system.
  • When program is already running, and user double-clicks catalog file in Explorer, or runs another instance of program with catalog filename as a parameter(s) to load, the running instance will be notified and will try load the specified catalogs.
  • Improved settings dialog. Tabs now have small images on them and a few pages have been changed and added to adjust for new options.
  • Extended Quick-Setup Wizard with some new settings.
  • Sizes for files and folders now have thousands separators for easier reading. Also, you can now set in program's settings if you want sizes displayed as numbers (i.e. 665.795) or formatted printout (i.e. 650.2 kB)
  • After returning to previous folder, by selecting '..' folder or pressing the Back button, previously selected folder is now selected by default.
  • Updating disk image with quick-scan option turned on and lots of compressed files in the same folders will be much faster now.
  • Removed all flickering on toolbar buttons in Search and User List windows when moving selection through items.
  • When creating a new catalog, program will now ask you for the name of the catalog (in previous versions, name was auto-assigned as 'CatalogNN', which is now only the default value in the edit box when you are asked).
  • Added option to create backup (.BAK) files while saving catalogs.
  • Added a default path to catalog files in program settings.
  • Improved multi-instance detection, now it's more fail-safe and robust.
  • Installation files like Setup.exe and Install.exe will now have a special icon, different from other .exe files.
  • Fixed a bug that may cause the catalog to become corrupted. This would only happen if updating disk image was canceled, you were using quick-scan option, catalog contained some archive files, and was later on modified and saved. Considering all this, most users should be on the safe side, but still, I am glad this bug is out.
  • Fixed a problem where a disk scan was sometimes terminated with explanation that error has occurred during disk scan. This was traced back to archive files with dates older that 1.1.1980 (only possible to find on some CD-ROMs, disks with NTFS, but not on disks formatted with FAT). Thanks to Mr. Richard Hieber for detailed analysis on this problem.
  • Fixed some problems when updating virtual disk image.
  • Fixed keyboard interface in Found List and User List. Keys like Enter, Alt-Enter, Delete, Shift-Delete etc. will now work properly.
  • If user would switch to User List or Search window in the same moment while program is busy closing catalog(s), program would crash. Fixed.
  • Fixed counting files on disk update. Archive files like zip, arj,... were not correctly counted in some cases when browsing inside archive files option was enabled. This caused that total files on disk or in catalog were displayed too low.
  • Fixed TAR support. Third-parity component used in WhereIsIt? for most compressed file support had a problem detecting valid TAR files.
  • If trying to autoload catalog that does not exist any more, program would report another error after correctly notifying the user about inaccessible catalog file. Fixed.
  • Many other minor improvements and fixes were added.

Version 0.90.8b - 21. September 1997

  • Changed Ctrl-X shortcut in main menu for program exit into more standard Alt-F4. Ctrl-X can be used for 'cut' operations where supported. Also added F3 shortcut to bring up Search dialog, and F4 to bring up item's properties.
  • ESC key will now work in Export Descriptions dialog as Cancel button.
  • Fixed problem with double-click on found list items. Item would stay selected from drag&drop operation.
  • Selected items will now be preserved after sorting.
  • Fixed error with exporting descriptions when program would report an error if subfolders checkbox was checked. Some last-minute changes before releasing the 0.90.8 broke this.
  • Fixed some other minor bugs I found in the process.

Version 0.90.8a - 14. September 1997

  • Added iomega JAZ drive recognition and icon (Win95 only).
  • Fixed a problem regarding updating removable drives stored in existing catalogs that are now recognized as zip or jaz drives.
  • Fixed a minor bug about preserving descriptions on disk update.
  • Some other minor improvements have been added.

Version 0.90.8 - 12. September 1997

  • Added option to export descriptions back to media, in either of three supported descriptions formats (File_id.diz, Descript.ion, Files.bbs).
  • Added drag&drop capability for adding to User List and moving disks between catalogs. Program is now also capable of accepting drag&drop catalog files from other programs (like Explorer), opening them in Where Is It? as a result.
  • Added option to eject media after adding/updating it in catalog.
  • Added a new option to change disk serial number if the same is found on another disk in catalog. This will only work on Windows 95 at the moment, I still need some details for Windows NT on this.
  • Search and User List windows will now save their size and position, and they both have buttons to always stay on top of other windows if desired.
  • In Search dialog is a new checkbox to clear previous search results when starting a new search.
  • Extended archive file support with Unix TAR/UnTAR.
  • Archive file support can now be customized, by enabling or disabling each of supported archive types. This allows you to enable only those archives you are using, allowing some faster disk scanning.
  • Two new options are present in disk scan dialog: you can choose if you will allow quick archive file scan when it already exists in the catalog and has not changed, and you can choose to browse archive files only for descriptions, not their contents.
  • Disk scan algorithm has been optimized to reduce number of disk's head movements during an add/update disk operation. This should result in faster and smoother disk reading on slower devices.
  • Added iomega ZIP drive recognition (Win95 only). No more "default" removable-drive icon! For all other drives, I only need to have their signatures. If you have a removable drive, and would like to have it recognized by name and type, contact me by e-mail for simple instructions what I need to have from you. I am still looking for way to do the same in Windows NT.
  • Added some new options when launching EXE files from inside archive files. In many cases, exe files need to have all distribution files available to run properly, not only the .exe file. Program will now offer an option to extract entire archive to temporary folder first and run the exe file from there. This should be enough to enable running most installation programs right out of WhereIsIt?, even if they are compressed.
  • When first item is found while searching, focus is placed on that item, and list is scrolled so item is visible. This way, you can always see which items were added in current search, and which are left from before.
  • Folders from compressed files are no longer stored as separate items in catalog. Only compressed files will be analyzed.
  • Extracting from RAR solid archives is now faster and optimized.
  • Added total files/folders display to catalog's properties
  • Added F2 shortcut for renaming items (same as in Explorer)
  • Program's shut down time has been optimized, and it is now about twice as fast as before.
  • Screen updates were further optimized, resulting in faster browsing
  • Fixed RAR and CAB support. Browsing those files should now finally work properly. Due to fixed bug in multi-volume CAB support, updating disks with such files will be much faster now.
  • Fixed a few Catalog Manager problems, the worst of them sometimes missing files in root folder after moving disks between catalogs.
  • Improved unARJ support. Previous version did not support files compressed with -m4 method.
  • When trying to change category for item in the left tree pane, item was always marked as without category. Fixed.
  • Fixed a very inconvenient bug where sometimes disk descriptions were not preserved after updating the disk.
  • Program will now correctly filter out EOF characters from imported descriptions where present.
  • Extracting from CAB files was (temporary?) removed. It was not working as it should.

Version 0.90.7a - 16. August 1997

  • Small bug-fix release. Importing from Floppy Master had some problems, and extracting files from compressed files during disk scan did not always work correctly. Some other minor fixes are there, too.
  • A nasty last-minute bug crawled in the new Catalog Manager, causing GPF on move and copy operations.

Version 0.90.7 - 14. August 1997

  • Sorting and browsing is now about three times faster than it was before, and there is much less flicker. Sorting by Disk name and Location (folder, where you can find an item) is more than 15 times faster, with speed comparable to sorting by other sorting options. Also, now you can always cancel sorting with ESC key if you think it's still going too slow.
  • Added Catalog Manager, with ability to copy and move disks between two opened catalogs. Now you can arrange your existing catalogs as you wish. You can also rename, delete or access each disk's properties on the same spot.
  • Added virtual-root capabilities. You can create "virtual disks" in the catalog, with their root folder based on some existing folder other than "\" (much like DOS subst command). This way, you can break down your disk folder structure to more "virtual disks", or select only part of disk to be cataloged.
  • Added Quick-Setup Wizard to guide you through the most important setup settings. This is the easiest way to have program up and running without fear that you forgot to setup something important. During the process, you may also get to know some features of WhereIsIt? you were not aware of before.
  • Sorting dialog has a new user interface. Too many options available at once seem to be to confusing for some users, so program will now show only what is really needed for your selection. The whole procedure of selecting search criteria can now be completed faster, since program will auto-select the appropriate pages and place focus to control you will most likely need.
  • Added un-RAR support. Now you can extract files from RAR archives, too.
  • Lengthy file extractions from compressed files can now be canceled.
  • When updating disk, program can now (optionally) search for existing descriptions not only on the disk you are updating, but on all disks in the catalog. This means that if there is a file with description on any disk in the catalog, and that file matches the file currently updating, the existing description will be adopted by the new file (the same goes for folders, too). When adding a new disk, you may also enable searching through all other disks in the catalog for existing descriptions.
  • Optimized disk update speed. WhereIsIt? will now read only items that have changed since the last update in the catalog, noticeably speeding up the process. This is actually nothing new to WhereIsIt?, but in previous versions it was only enabled for registered users.
  • Improved disk selection dialog used when adding a new disk to catalog and there are already two or more disks with the same parameters. Now you can see details about each disk in selection list, sort disks and access their properties.
  • Added volume label column when displaying disk data.
  • Added standard popup menu to all multi-line edit controls (in Description Assistant, item's properties). There you have a quick access to Cut/Copy/ Paste/Delete/Select All operations.
  • Add/update disk dialog was equipped with context sensitive help, as an introduction to start working on the "real" help file (actually, this was a place to do some help related testing for me...)
  • Program will now ask to save changes in catalog if Windows shutdown has been requested.
  • Fixed some sorting problems when reverse sorting was on.
  • Fixed a bug when some descriptions from deep-nested folders were not correctly preserved when updating the disk.
  • Fixed a bug in searching by date. Some code used for testing made its way to the release version and searching by date didn't work as it should.
  • Disabled horizontal scroll-bar from appearing in the properties form's description window. In many cases it took up almost half of usable space in the already too small window. Vertical scroll-bar will still appear if necessary.
  • Importing descriptions from 4DOS/NDOS description file now correctly supports long file names with spaces.
  • Fixed occasional (and quite rare) problem with floating point error when trying to save catalog with one disk, and disk had no subfolders.
  • Fixed some other minor problems, and added some other improvements in program appearance (folders starting with '.' are no longer ignored, Esc key will act as Cancel button in most dialogs, Alt-Enter is available in tree view, too, some minor adjustments on how program behaves in some specific situations).

Version 0.90.6 - 20. July 1997

  • Windows NT 4.0 (and newer) support is finally there. This version of WhereIsIt? was developed and tested on the NT and many problems regarding this platform have been resolved in this release.
  • NEW! Extracting files from many compressed files is now possible directly from WhereIsIt?. Program internally supports extraction from ZIP, ARJ, ARC, LHA, ZOO and some CAB compressed files, allowing you to extract one or more files to any folder, launch files with associated programs from within compressed files, importing files like file_id.zip from compressed files as descriptions and so on... Other formats will eventually be supported, too, at least by a possibility to use external programs for extracting.
  • Added support for self-extracting exe files. Those can be recognized as normal compressed archive files, showing their contents as folders. Most of previously supported formats are now also supported by their sfx version.
  • Added Column Manager; now you can select which columns you want showing and in what order when data is displayed in the details mode. Just right click on column header or select option from main menu.
  • Improved searching - now you can search for disks, too, not only files and folders.
  • Improved duplicate searching. "Search by Name or Type" tab in search settings is now available for duplicates searching, too. With this, you can search for all duplicate files that match the file mask or file type; for example, all duplicate ".doc" files. Searching for duplicate disks is now possible, too.
  • Improved description importing on disk scan. The routines have been almost completely rewritten, and now you can select priority for description files to import (if description for an item is available from more than one source, it will be imported from the source with highest priority).
  • Description Assistant can now take advantage of new extraction capabilities and load files with useful information even if they are compressed inside archive files like zip, arj,.. Also, there is a new checkbox present to enable/disable OEM-to-ANSI conversion filter on description files (making them more readable by filtering out unusual characters).
  • Added column with item's description in found items list and user list.
  • Added capability to setup catalog categories directly from item's property form (there is a new "Edit" button to access category management).
  • Progress bar flickering when searching for duplicates has been eliminated.
  • Selecting action for double-clicking an item now works in the find window, too (previously, it always brought up item's properties).
  • Fixed bug in searching for duplicates. Searching for files/folders setting did not work. There was also a nasty GPF if you were trying to close catalog while results of duplicate search were still listed in the search window. The algorithm used for searching for duplicate items was a bit too optimized for speed and sometimes missed some identical items.
  • Fixed bug in importing 'descript.ion' files on disk scan. Program would sometimes terminate and cancel disk scan if it found a file with that name and this file was invalid for importing file descriptions.
  • Launching associated programs with compressed files (zip, arj...) presented as folders in the catalog now works correctly.
  • Improved internal icon handling, faster and more compatible with Windows NT.
  • The reported bug about program using very small fonts in dialogs should be fixed now, but I have no way to verify that. If you notice anything weird about fonts it is using, please let me know...
  • Fixed a few other bugs. Selected item statistics in status bar reported wrong selected size if '..' folder was selected. When reversing sort order, '..' folder was incorrectly moved to the end of list. There were some problems with enabling/disabling options and buttons (menu option was enabled and button for the same operation was disabled, for example). About box was a bit modified and WWW link now actually works.

Version 0.90.5 - 27. June 1997

  • WhereIsIt? was migrated to a new version of Delphi, and adjusted to the new environment. This resulted in some improvements, including more flickerless display, solved problem with large tool-tips etc.
  • Added new toolbars, hope you like them (they look just like MS Office 97) Also added saving position for user-list toolbar and fixed some minor problems about toolbars. Also, now you can have old-style buttons on the toolbars if you can't stand those new, mouse-active flat buttons.
  • Searching for duplicate files and/or folders is finally implemented. You can set yourself what two items must have in common to be handled as the same (name, size, date&time, attributes).
  • Added support for browsing inside CAB files while adding disks.
  • Added ability to launch files from WhereIsIt? with associated programs. This requires media to be present, similar to 'Open in Explorer' option.
  • Improved description importing. All imported descriptions are now checked for DOS graphics characters and converted to plan ASCII. This should result in more readable and eye-pleasing descriptions.
  • Improved disk updating. If more disks with the same properties (serial number, label, size,...) are found in the catalog, you are now allowed to choose which disk to update, or to add it as a new disk.
  • In search window, the found list can be maximized and search settings hidden to get more useful space out of search window. Also, searching has been updated to display found items at once, during the search.
  • Added another option in program's settings: you can choose what double- clicking on file means: nothing, show properties, open in explorer, or launch file.
  • Reversing sort order (like second click on already sorted column) is much faster now. Reversing sort order now works in user list and found list, too (just click again the column you wish to sort by).
  • Fixed problem with toolbar buttons sizes, introduced in 0.90.4. Only the first five buttons were adjusted correctly to applied size.
  • Fixed problem with disk media updating. if updating double-density disk in a high-density floppy drive, program would not recognize it as a compatible device.

Version 0.90.4 - 6. June 1997

  • This one took a little longer, but it brings quite a lot, too.
  • Media detection was almost completely rewritten in this release, and adding/updating disks in the catalog has changed a lot, too. Too much stuff to cover everything here, check out for yourself. This should resolve all the serial numbers troubles from previous versions (media detection is now based on media type, serial number, volume label, and total space on media). However, note the separate menu option for updating disk, on disk's popup menu.
  • Added ability to auto-import FILE_ID.DIZ files as folder description when scanning disks.
  • Added a new font setting, for description tool-tips. This is nice thing to have if you are importing a lot of text formatted descriptions like those in FILE_ID.DIZ files. With proportional font it looks a bit messy, and you can set it larger or smaller if you wish. Font setting page in general is a bit more user-friendlier now.
  • Click on the column header in details view, with already sorted items by that column will now sort items in reverse order (the same as pressing the reverse sort button).
  • Added catalog auto saving, on user defined intervals.
  • The '..' folder now always has a description, saying what exactly '..' is.
  • Added a new option in the settings, allowing you to sort archive files (zip, arj,...) that act like folders either as folders or as files.
  • Added time of day to existing update disk date. Now you can see not only the day when disk was updated in catalog, but time also.
  • You can now select to ignore hidden files, hidden folders, or Recycle Bin while performing disk scan.
  • Help file is now closed when program exits.
  • Fixed a few bugs. Adding '..' folders to user list is not possible any more, and '..' folders were causing troubles when they were selected for category and flags setup. Category and flags setup had a bug involving saving categories, which were not always remembered as set. In Description Assistant, disabling search in subfolders for description files did not work right. Report generator sometimes went wild, too, skipping columns and every once a while repeating data.

Version 0.90.3a - 29. May 1997

  • Bugfix release - took some time and fixed some minor bugs found so far.
  • Temporarily removed support for Windows NT. Some reports have indicated troubles running WhereIsIt? on the NT, so this will have to wait until I have a chance to take a closer look on it.
  • Improved install script should now take care of proper installing of the COMCTL32.DLL, the file causing many problems in the last few days. Also, program was modified so it can detect older versions of this file without crashing out with error messages.
  • Fixed bug on searching - after completed searching, most folders would show no contents at all until catalog was reloaded.
  • Fixed a bug on disk scanning, when old descriptions would be lost in some occasions even if an option to preserve them was checked.
  • Some other minor bugs reported have been fixed, and small improvements requested so far are now implemented.

Version 0.90.3 - 28. May 1997

  • This version is out so early because of a bug found in a user interface. When fixing fonts in dialogs in the 0.90.2, I broke it even more for users with small font display settings. Much of text in the dialogs was displayed only partially or clipped away. This didn't show if you were using large font settings (I am, that's why I haven't noticed anything)
  • To avoid having out a new version on bug-fix basis only, I also added support for extracting comments from compressed archive files. If archive file supports comments (ZIP, ARJ, RAR and ZOO do), WhereIsIt? can import them as standard file descriptions. To avoid confusion: archive comment is the thing you can write with "pkzip -z" command for ZIP files...

Version 0.90.2 - 26. May 1997

  • Fixed a nasty bug in the install procedure. File version checking did not work right, causing the comctl32.dll file being replaced even if there was a newer version already on the system. This could seriously impact Windows. Fortunately, the only known way to have a newer version of dll file installed is having Microsoft Explorer 4.0 in place before installing WhereisIt?. Thanks to Jan Libbenga (jali@worldaccess.nl) for reporting this.
  • There was a report of a very small font being used in the program dialogs, making it almost unreadable. I couldn't confirm that bug, but I did some modifications regarding this and I hope it is OK now...
  • Added a help file, but quite a basic one for now, just to get you started. Writing proper help files may be very time consuming, and my time is kind of short at the moment. There will be a full-scale help file in the final release, I promise...
  • Added Floppy Master database import. All previous users of Floppy Master will now be able to use their old catalogs with WhereIsIt?. Still, it is highly recommended to rescan disks with WhereIsIt?, since the new database has a lot more information and support for disks and files than Floppy Master ever had.
  • Added multi-choice support in the left pane. Now you can select multiple items at once to perform an operation on, like adding them to the user list or setting categories and flags. Status bar has been improved to show a small statistics for all selected items.
  • Now you can set category or flags for more items at once, either from left pane list, found list after searching or from user list.
  • Added previous instance checking - if program is already running when user runs it, previous instance will become active instead of running another copy of program.
  • The '..' folder is now always displayed on top, regardless of sorting.
  • Fixed disk usage graph for empty disks (display was wrong).

Version 0.90.1 - 14. May 1997

  • First public release on the Internet

mid-April 1997

  • Field testing started, WhereIsIt? is released to limited audience for evaluation and testing purposes.

January 97

  • WhereIsIt? development started

See Also
Versions 3.00 and newer, Versions 2.00 - 2.16a, Versions 1.00 - 1.26


Create New Catalog

Getting Started

How to Use Help in Where Is It?

Where Is It? has the help file divided in two parts, and each part can be accessed in two ways.

Interactive help

The first part is the normal help file you are just reading. Here you can find some basic information about how to use the program, with index and search support. Use this help to browse through information and find what you are looking for. Help file can be accessed from main menu using the Help / Help Index option

Context-sensitive help

The second part is the context-sensitive help. Use this type of help to get information about specific parts of user interface, like buttons, check boxes, edit boxes etc., right from where you see them. Many dialogs in the program are equipped with this type of help, and you can recognize them by the help button ( [image] ) in the upper right area. To use this help, just press the help button (note how the cursor will change) point to the item you require help with and click on it. Alternatively, most controls will also allow you to right-click them and use the “What's This?” option in their pop-up menu to call up help about the selected control.

See Also
Help Index, "What Is This?" Help, "Did you know... tips" Help


Where Do I Begin

Since Where Is It? is a media catalog program, everything is based on catalogs. The main task of Where Is It? is to keep all data for disks and other media in one place, allowing you to access that data without having to have that media actually there. Catalog is a place where data for your media is stored. Catalog can contain data for many disks, CD-ROMs, floppy disks etc. Each catalog is organized in a tree structure layout; catalog name on the top, disks in the first level, root folders on disks are on second level and so on.

After you have created a catalog and you have stored some data in it, you can use Where Is It? to explore that data or to complete it with your own descriptions, categories and flags. All these are there mainly to help you search, organize and print the data you need.

Starting your work

After installing Where Is It? on your system, you can begin your work at once. It is a good practice to check the program settings first, just to adjust some settings to your own needs and get familiar with program options. You can use the Quick-Setup Wizard to guide you through the most important settings. After that, here are a few basic steps for you to follow, just to get you started.

1.
Since Where Is It? is a media cataloging program, the first step is creating a catalog to work with. The easiest way to do this is to click the left-most button on the toolbar ( [image] ), or to select File / New Catalog from the main menu. Here you may want to define some categories, flags or disk locations to use later on.

2.
Now we have an empty catalog created, and we have to add some data. Take a disk you would like to have in the catalog and insert it in the drive. Press the "Add disk image" button ( [image] ) or select Edit / Add/Update disk image option in the menu. A new dialog will show, allowing you to choose the drive where you have put your disk and some other useful options involved in scanning disk for data. Note that if you are using the unregistered shareware version, there are some limitations that apply to allowed size of media in catalog.

3.
Now you have your first disk in the catalog! Repeat step 2 for any other disk you wish to add.

4.
You are almost there! You may want to complete the catalog with your own descriptions, and set categories or flags for some files and folders. For descriptions, you may use item's properties ( [image] ) to enter the text, or get some help from description assistant to help you describe folders by common description files like file_id.diz (you must set a list of such files in program settings prior to using description assistant).
Categories and flags can be set for every file or folder in their properties windows. Use the property button ( [image] ) to access and set item's properties. You can select more than one item in any item list (using standard Windows CTRL and/or SHIFT selection keys) and select category, flags or descriptions for all selected items at once.

5.
You have got yourself a quite complete catalog to work with (if you didn't do so by now, this would be a really good time to save ( [image] ) your catalog...). Now you can browse the catalog in program's main window, search for items ( [image] ) using extensive search options, generate reports ( [image] ), and so on. You can also assign color to each category, flags or disk location to be used with item coloring.

See Also
Quick-Setup Wizard, Program Settings, Create New Catalog, Catalog Setup, Add/Update Disk Image


Where Is It?'s User Interface

To learn about Where Is It?s' user interface, click on the picture the item of interest.

As you have probably already noticed, Where Is It? is quite similar to Windows Explorer The main window is divided in two resizable panes, with status bar at the bottom, and toolbar and main menu on the top (the toolbar can be repositioned to any side of the window, or it can be made floating - just grab it with mouse by the left edge and drag it away).

The Left pane is a tree structure, displaying all loaded catalogs and their contents. Items in the left pane can be expanded or collapsed; if they are expanded, all the items contained in the selected item are visible under it. On the other hand, collapsed item does not show it's content, but displays a '+' sign, announcing it can be expanded to display more.

The Right part of the main window is displaying content of currently selected item in the left pane - if you have selected a catalog, then the right pane would display all disks stored in that catalog. The right pane can be displayed in any of the five available view modes (large icons, small icons, icon list, details, and thumbnails), selectable in the main menu or using the appropriate toolbar button. Detail view (most common view for WhereIsIt?) consists of columns, each displaying appropriate type of data. Columns can be adjusted by right clicking on the header area.

Every item, either on the left or the right pane has it's own pop-up menu - if you right-click it, a menu will show up by it, displaying all the options available over the selected item. Most of these options are accessible in more than one way; by toolbar, main menu, keyboard shortcut or item's pop-up menu; you may use any of them with the same effect.

All buttons on the toolbar have a hint - if you don't know what a button does, just place a mouse over it and wait for a second, and a short description will appear. If you need more information, you can use the context-sensitive help to get a detailed description of button's function. Just right-click the button, or any other part of user interface, to call up the context-sensitive help.

The status lights at the right side of status bar indicate the current program state. If the light is green, the program is idle. Red light means program is busy and you should wait for it to finish - this should never take more than a few seconds, except when sorting a lot of items, or when a media update is in progress. Yellow light indicates that search for items is in progress. In this case, you can still work with program, but some options may be limited until searching is finished.

See Also
User Interface Index, Tree Window, List Window, Status Bar, Where Do I Begin, How to use help Menu File, Menu Edit, Menu View, Menu Search, Menu Actions, Menu Options, Menu Window, Menu Help


Menu File

Click on a menu option to get more details about it.

See Also
Menu Edit, Menu View, Menu Search, Menu Actions, Menu Options, Menu Window, Menu Help


Create New Catalog

This option will create a new catalog, either empty or based or some other catalog or template, inheriting its settings like categories, flags, custom icons, etc. You will be prompted to enter catalog's name before new catalog is created. Once the new catalog is created, you can add disk images to catalog by using the Add Disk Image command.

Note: in shareware version, only one catalog can be opened at once. If a catalog is already present in the left window, you will not be able to create a new catalog until the current one is closed.

See Also
Open Catalog, Save Catalog, Close Catalog, How to plan catalogs, How to protect catalogs

Toolbar Button:
Menu Command:
File / New Catalog
Shortcut:
Ctrl-N


Open Catalog

Opens exiting catalog from your hard disk or other media. You will be prompted to select your catalog file in a standard open-file dialog box.

Hint: most recently used catalog files are listed at the end of the File menu. Choosing one of those is the same as opening this catalog manually by using Open Catalog command. You can also access the most recently used list by clicking the arrow on the right side of the button.

Other ways to open a catalog in Where Is It? include running the program with command-line parameter(s) as catalog filename(s), or using drag & drop to drag a catalog file from Explorer or other program to Where Is It?'s window.

See Also
Create New Catalog, Save Catalog, Close Catalog, Edit Catalog Groups

Toolbar Button:
Menu Command:
File / Open
Shortcut:
Ctrl-O


Save Catalog

Saves currently selected catalog. This option is only enabled if current catalog has changed since when it was last saved.

See Also
Save All Catalogs, Create New Catalog, Open Catalog, Close Catalog

Toolbar Button:
Menu Command:
File / Save
Shortcut:
Ctrl-S


Save As...

Saves currently selected catalog catalog as a new file.

See Also
Save Catalog, Save All Catalogs, Save As Template

Toolbar Button:
(none)
Menu Command:
File / Save As...
Shortcut:
(none)


Save All Catalogs

Saves all new or modified catalogs in one step. Existing catalogs are saved under the same name, while with new catalogs you will be asked to provide one.

See Also
Create New Catalog, Open Catalog, Save Catalog, Close Catalog

Toolbar Button:
(none)
Menu Command:
File / Save All Catalogs
Shortcut:
(none)


Save As Template

Saves currently selected catalog as a template. Templates have a very similar structure as catalogs, but without any disks inside - they are used as a base for creating new catalogs, allowing them to inherit settings like categories, flags, disk locations, custom icons, default protection level, etc.

See Also
Save Catalog

Toolbar Button:
(none)
Menu Command:
File / Save As Template
Shortcut:
(none)


Rebuild Catalog File

Rebuilds currently selected catalog file. Unlike regular saving, rebuilding a catalog makes sure that the entire catalog file structure is assembled from scratch. Existing records are read, evaluated, and written back. Rebuilding can be used for salvaging broken catalogs, or is used by default instead of saving when a major change regarding catalog file is involved, such as converting catalogs to a new format, or changing the compression / encryption level.

See Also
Save Catalog, Save All Catalogs

Toolbar Button:
(none)
Menu Command:
File / Rebuild Catalog File
Shortcut:
(none)


Close Catalog

Closes currently selected catalog, or the catalog of currently selected item. If catalog was modified and not yet saved, you will be prompted to save changes before catalog is closed.

See Also
Close All Catalogs, Create New Catalog, Open Catalog, Save Catalog

Toolbar Button:
(none)
Menu Command:
File / Close
Shortcut:
Ctrl-F4


Close All Catalogs

Closes all currently opened catalogs. If some of the catalogs were modified and not yet saved, you will be prompted to save changes before this catalog is closed.

See Also
Save Catalog, Close Catalog

Toolbar Button:
(none)
Menu Command:
File / Close All
Shortcut:
(none)


Edit Catalog Groups

Catalog groups are simple text files with .ctg extension, listing a number of catalog files or other catalog group files. Catalog groups can be selected to be opened as any other catalog file, and will at that time load all of the listed catalog files, in the same order as listed in the group file. You can use catalog groups to be able to load a predefined group of catalogs when you need them, if you have a lot of different catalog files, or for example catalogs that were broken apart due to being too large for comfortable use as a single file. Loading catalog group files is supported from the script language as well.

You can create and edit catalog group files with any standard text editor, or you can take advantage of the built-in Catalog Groups Editor with some additional functionality like catalog preview. If using a standalone text editor, make sure that the first line of file contains the identifier [WhereIsIt Catalog Group File], as in the sample below. Any line starting with semi-column (;) is treated as comment and is ignored at the time of loading catalog group. Comment lines immediately following the header up to the first listed item are handled as a catalog group comment, and will be displayed as a description in the Open Catalog preview window.

Sample of a catalog group file:

[WhereIsIt Catalog Group File]
[19.8.2002 18:55:18]

; Catalog group comment here,
; it can span multiple lines

C:\Program Files\WhereIsIt\Catalogs\Sample.ctf
C:\Program Files\WhereIsIt\Catalogs\AudioCD.ctf
C:\Program Files\WhereIsIt\Catalogs\MP3.ctg

See Also
Open Catalog, Close Catalog

Toolbar Button:
(none)
Menu Command:
File / Edit Catalog Groups
Shortcut:
(none)


Catalogs Info

Displays statistics for all currently loaded catalogs (how many disks and files are stored, used and free storage space for all disks in catalogs together, etc.) You can manually choose which of loaded disks will be included in statistics.

To analyze the size of catalog files and find out how much space individual disks and folders take in catalog, click on the "Combined File Size" number.

See Also
Open Catalog, Save Catalog, Close Catalog, How did my catalogs get so big?

Toolbar Button:
(none)
Menu Command:
File / Catalogs Info
Shortcut:
(none)


Report Generator

Opens the Report Generator dialog box. Report Generator is used to create, print or export reports about your cataloged data. Usually, using Report Generator is the last step only, in most cases you will want first to collect the data to be included in report, using program's search capabilities and/or user list.

See Also
Using Report Generator
How to prepare a report with all items in catalog
How to prepare a report containing only items from specific disks
How to prepare a report containing only items matching certain criteria
How to export catalogs to some other format

Toolbar Button:
Menu Command:
File / Report Generator
Shortcut:
Ctrl-R


Report Generator Wizard

The Report Generator Wizard is an addition to Report Generator, saving you some time and effort with most commonly used report types. The wizard takes over the task of preparing items suitable for a particalar report type, then hands you over to the Report Generator to finalize the layout and appearance of the report. Note that all tasks offered by this wizard can be performed manually as well, and wizard can tell you how you can do the same on your own.

See Also
Report Generator
Using Report Generator
How to prepare a report with all items in catalog
How to prepare a report containing only items from specific disks
How to prepare a report containing only items matching certain criteria
How to export catalogs to some other format

Toolbar Button:
(none)
Menu Command:
File / Report Generator Wizard
Shortcut:
(none)


Send Mail...

Sends catalogs and possibly other files by e-mail. The program will give you a chance to create a list of files you wish to send, offer to optionally pack them in a ZIP archive, and call up your e-mail program, containing a new e-mail with already attached selected files.
Toolbar Button:
(none)
Menu Command:
File / Send Mail...
Shortcut:
(none)


Exit Program

Ends your WhereIsIt? session and terminates the program. If some of the opened catalogs were modified and not yet saved, you will be prompted to save changes before program is closed.

See Also
Save Catalog, Save All Catalogs

Toolbar Button:
Menu Command:
File / Exit
Shortcut:
Alt-F4


Menu Edit

Click on a menu option to get more details about it.

See Also
Menu File, Menu View, Menu Search, Menu Actions, Menu Options, Menu Window, Menu Help


Add / Update Disk Image

Adds a new disk image to current catalog, or updates existing disk image. This will be one of the most important options you will use with this program. A new dialog will show, allowing you to select the drive containing your media to catalogue. Many additional options are available to customize scanning the media, including selecting plugins that will be used to extract descriptions and thumbnails, whether or not to browse inside compressed archive files, etc.

If you are updating existing data in catalog, you can also update only specific folder, instead of the entire disk.

Note: If you would like to update a known disk in the database, there is a better and recommended way to do it. Select the disk you want to update, right click it, and select the Update Disk Image option. This way, program will know exactly which disk you would like to update, and adjust the actions in Add/Update dialog to that.

See Also
Update disk image, Update selected folder, About Scanning Disk Images, How to add a new disk image to a catalog, How to update disk image

Toolbar Button:
Menu Command:
Edit / Add/Update Disk Image
Shortcut:
Ctrl-A


Add New Disk Group

Adds a new disk group at the place of currently selected item. You can use drag&drop or Catalog Manager to move existing disks or catalogs into the new group.

See Also
Create New Catalog, Add/Update disk image, How to add a new disk image to a catalog

Toolbar Button:
(none)
Menu Command:
Edit / Add New Disk Group
Shortcut:
Ctrl+G


Update All Disk Images

Updates all or selected disk images in loaded catalogs. This is the equivalent of selecting the Update Disk Image command for each disk, except this one is more automated - you can select disk images to update in advance, while available options can range from fully automated updates, to assisted batch updates.

See Also
Update disk image, Update selected folder, About Scanning Disk Images

Toolbar Button:
(none)
Menu Command:
Edit / Update All Disk Images
Shortcut:
(none)


Update This Folder

To save on time, you can choose to update only specific folder that already exists in catalog, instead of scanning the extire disk. By selecting this option, program will open the "Add/Update Disk" dialog, with selection set to update data for currently selected folder.

See Also
Add/Update disk image, Update disk image, How to add a new disk image to a catalog

Toolbar Button:
(none)
Menu Command:
Edit / Update This Folder
Shortcut:
(none)


Assign Disk Picture

Assigns a picture to the currently selected disk or disk group. This option could be used to assign an image of CD-ROM cover to the cataloged disk image, for example. As this option uses thumbnail plugins for image file format support, you can use any graphics file format supported by currently installed thumbnail plugins. Note that the size of images imported in catalog can be set up in the dialog following this option, and it can be set notably larger than when importing regular thumbnails, up to 512x512 pixels. If selected image is larger, it will be downsampled to the appropriate size.

Images assigned to disks or disk groups are available as a part of disk's description, very much the same as regular thumbnails are.

Assigned disk picture can be removed from catalog by right-clicking disk entry, and selecting the "Remove Disk Picture" option.
Toolbar Button:
(none)
Menu Command:
Edit / Assign Disk Picture
Shortcut:
(none)


Renumber Disks

Renumbers selected disks and disk groups in catalog (if only one is selected, all sibling disks and disk groups are also included in renumbering). You can specify the number of the first disk on the list and select whether numbers for other disks will be ascending or descending. Disk numbers are assigned in the same order as items appear on the list. Additional options allow you to skip disks that already have their number assigned (thus preserving existing disk numbers), and to skip numbers that are already taken in catalog (as disk numbers are not allowed to be duplicated in catalog, without this option some other disks may loose their numbers, if their number was used in renumbering process).

See Also
Add/Update disk image, Properties

Toolbar Button:
(none)
Menu Command:
Edit / Renumber Disks
Shortcut:
(none)


Query CDDB Database

Retrieves descriptions for audio CDs and audio tracks in catalog from CDDB server or a local CDDB database. While the same can be done already when adding an audio CD in catalog, this option comes in handy if you are not permanently connected to the Internet - you can first add all audio CDs in catalog, and then connect to the Internet and make a remote CDDB query for all CDs at once.

This option is available when at least one audio CD is selected in catalog (a CD that was found to contain at least one audio track during scanning), and can handle more than one audio CD at once. As it uses a CDDB description plugin, you also need to have at least one such plugin loaded and enabled before you can use this command.

The CDDB plugin can retrieve descriptions as well as change alias names for both disk entry and files representing audio tracks. If either of them already have descriptions or alias names, they will be replaced with newly retrieved ones.

Some more details on how to use the standard CDDB plugin are available on a separate page.

See Also
Submit to CDDB Database, How to use the standard CDDB plugin

Toolbar Button:
(none)
Menu Command:
Edit / Query CDDB Database
Shortcut:
(none)


Menu Export Audio CD Details

Click on a menu option to get more details about it.

See Also
Menu Edit


Export to CDPlayer.ini

Exports audio CD details for selected audio disks to the CDPlayer.ini file in your Windows folder. Many audio CD programs can use this file to store disk and song titles, and this option allows you to share your data from catalog with them. The generic Audio CD plugin can also import descriptions from CDPlayer.ini file.

Note: WhereIsIt supports .ini files longer than 64 KB and may eventually cause the CDPlayer.ini file to become larger than that as well. Some older Windows programs may have problems using .ini files larger than 64 KB.

See Also
Submit to CDDB Database, How to export descriptions

Toolbar Button:
(none)
Menu Command:
Edit / Export Audio CD Details /
Export to CDPlayer.ini
Shortcut:
(none)


Submit to CDDB Database

You can use Where Is It? to submit new or changed audio CD details to the CDDB/freedb database and therefore help the CDDB database grow. Since Where Is It? is a cataloging program, you can submit audio CD details without needing to have the CD inserted, and you can do so for more than one audio CD at once. To submit details for multiple CDs, just select the wanted audio CD entries on the item list before choosing this menu option.

You will be presented with a new dialog, where you can enter or just verify or disk and tracks details for each of the selected audio CDs. Please take time to verify that all details are entered properly before submitting the data. The program will do the same before actually submitting any details.

Audio CD details can be submitted to freedb server in two ways, either directly to the freedb server through HTTP protocol, or via email, using the email software available your system through the MAPI interface. If sending through HTTP, you have to be connected to the Internet when you are ready to submit data. If using e-mail, however, data may not be sent immediately, depending on your email software settings. If you writing your emails offline, email messages to the freedb server will be waiting in the Outbox to be sent out as any other email messages. Sending through either HTTP protocol or via email is equivalent as far as the end result is concerned, it's up to you to choose which suits you most.

Please note:
The CDDB plugin returns CDDB revision level as a part of disk's description when retrieving data from CDDB/freedb database. While this detail is not of much use to users, it is needed when posting updated disk details back to freedb server. Entries missing revision level info are automatically submitted with revision level 0, meaning they can not be used to replace existing disk data in CDDB database. If you plan to be submitting disk updated details to CDDB database, please leave the revision level detail in place for best results.

See Also
Query CDDB Database, How to use the standard CDDB plugin, Export to CDPlayer.ini

Toolbar Button:
(none)
Menu Command:
Edit / Export Audio CD Details /
Query CDDB Database
Shortcut:
(none)


Export Descriptions

Opens the Export Descriptions dialog box. Descriptions can be exported into one of the supported native description formats, which include file_id.diz description files, 4DOS/NDOS compatible descript.ion files, index_00.txt files (commonly encountered on FTP servers), files.bbs files (often used on public Bulletin Board Systems), and filedesc.htm files (HTML format).

See Also
Description files format, How to export catalogs to some other format

Toolbar Button:
(none)
Menu Command:
Edit / Export Descriptions to Media
Shortcut:
(none)


Plugins

Using this menu you can manually run plugins on selected items in order to import descriptions and thumbnails without going through the process of updating media. Directly available under the Plugins menu are list all currently installed runtime plugins that apply to currently selected items. Functionality provided by runtime plugins is only available through this option only and typically requires user's input - for example, runtime plugins can provide a specialized description or thumbnail editor.
Apart from running runtime plugins, you can also use the Plugins option to manually execute the normal, automatic description and thumbnail plugins, otherwise used when scanning the media. These plugins are available under the "Import Descriptions" option.

See Also
Update disk image, Update This Folder, About Scanning Disk Images, Debugging Plugin Problems

Toolbar Button:
(none)
Menu Command:
Edit / Plugins
Shortcut:
(none)


Lending and Borrowing Disks

WhereIsIt includes a simple lending / borrowing disks manager for personal use, suitable for tracking disks. Each disk image in catalog can be equipped with indicator whether it is available, lent out, borrowed from someone, or not available altogether (i.e. damaged). Some additional details like comment, name of the user disk was lent to or borrowed from, and date can also be associated with cataloged disk images.

You can use this editor to manage disk lending information in catalog. Disks list on the top contains all disks in currently loaded catalog, select one or more disks and set their lending information in the box below. If needed, disks list can be sorted by clicking on appropriate column headers.

Disks that are marked as lent out, borrowed or not available will appear marked in catalog with a special symbol added to their icon, with details available as a part of their pop-up description. You can also use advanced searching to search for disks by their lending information.

See Also
Properties, Using Search Dialog

Toolbar Button:
(none)
Menu Command:
Edit / Lending Disks
Shortcut:
(none)


Catalog Manager

In Catalog Manager you can arrange your catalogs. The most common operations are moving and copying disks between catalogs or disk groups, as well as renaming and deleting disk data. The two-pane user interface also allows you to move disks between two catalogs and/or disk groups by simply using drag&drop from one pane to other.

Hint: To move disks between catalogs or disk groups, you can also use drag&drop in main program's window. Just grab a disk with your mouse and drag it to some other catalog (drop it on catalog's name). You do have more options available in the Catalog Manager though, such as ability to copy disk images as well.

See Also
Create New Catalog, Catalog Setup, How to plan catalogs, How to transfer disks between catalogs

Toolbar Button:
(none)
Menu Command:
Edit / Catalog Manager
Shortcut:
(none)


New Catalog Setup

Catalog Setup

Opens a dialog where you can setup your custom categories, flags, disk locations, and custom icons for currently selected catalog. By default, a new catalog has no such items defined. In this dialog, you can either setup a new set of items, or you can copy them from another opened catalog. Each category, flag or disk can also have assigned its own color to be used in item coloring modes. For example, if you select item coloring by categories, all items belonging to a category will be display in the color assigned to this category, giving you a visual feedback on categories.

You can assign categories, flags and disk locations in the Item Properties dialog.

See Also
Create New Catalog, Catalog Manager, How to assign items to categories, How to use flags

Toolbar Button:
(none)
Menu Command:
Edit / Catalog Setup
Shortcut:
(none)


Menu View

Click on a menu option to get more details about it.

See Also
Menu File, Menu Edit, Menu Search, Menu Actions, Menu Options, Menu Window, Menu Help


Sort Items

Sorts items in current view. The buttons are available for the first four, most basic sort criteria, but you can sort by any other data using the menu commands, or by clicking the appropriate column header while in Details mode. Sort order can be reversed by enabling the reverse sort option (you can also quickly reverse it by clicking on column header already sorted by).

Hint: data listed when displaying contents of catalog (disks) is different from data when displaying files or folders. This is why there are TWO separate settings for sorting. You can have your disks sorted by one criteria, and files or folders by another.

Another hint: compressed archive files are presented as folders if they have information about their contents included in the catalog. This files can be sorted either as normal files or as folders; you can select how in program's settings.

See Also
Reverse Sort Button

Toolbar Buttons:

(for files and folders)

(for disks)
Menu Command:
View / Sort Items / (sort by)
Shortcut:
(none)


Browse by Catalogs/Categories

Selects the way how you can browse your catalogs. WhereIsIt's default and native way is to browse by catalogs, presenting cataloged data in a way similar to Explorer. Data is presented in a form of cataloged disk images and their contents. This is the recommended mode and the one you would be normally using.

Alternatively, you can have your cataloged data organized by categories, and other properties such as flags and disk locations. In this case, the catalog tree view in the left-side window is replaces with the categories tree, allowing you to directly browse items assigned to selected categories, flags, or disk locations. Note that this way of representing data is not native to WhereIsIt, and has to be specifically prepared when selected for the first time - program has to scan the entire catalog and prepare appropriate lists sorted by categories and other properties

Please note: Browsing by categories can require a notable amount of memory and system resources compared to regular browsing, especially so if your catalogs are extensively overusing categories or flags. One of the most common problems is to needlessly assign the same category or flag to all files and folders on a media, even if there are a couple of thousands of them. This will not only put a strain on your system when browsing by categories, but also produce uselessly long lists of items belonging to selected category. Assign your categories and flags sparingly and only where actually needed, marking parent folder or media is almost always more than enough.
Toolbar Button:
(none)
Menu Command:
View / Browse by
Catalogs/Categories
Shortcut:
(none)


View Type

These five buttons allow you to select one of the four view modes for items pane, very much like you can in Windows Explorer. The default mode for WhereIsIt? is the Details View (second-last button) which gives the most useful and detailed presentation of you cataloged data. Thumbnails view is most suitable for browsing thumbnailed image collections.

See Also
List Window, Columns Setup

Toolbar Button:
Menu Command:
View / View Icons, List,
Small Icons, Details,
or Thumbnails
Shortcut:
(none)


Columns Setup

Brings up the dialog to customize how columns are displayed when in Details View mode. You can rearrange column order, or choose to hide some columns by default.

Hint: you can customize your column order faster if you just drag&drop columns while in Details View mode. Just grab a column by its header and drag it to new position.

See Also
View Type

Toolbar Button:
(none)
Menu Command:
View / Drag and drop column headers,
right-click on column's header area
when in Details View mode
Shortcut:
(none)


Show Alias Item Names

Select to show alias names, in file lists, where available, or deselect to always display real file and folder names, as they are stored on the media. This option lets you quickly turn alias names on or off, right from the main window toolbar. Note that you can also set items coloring to display alias names in different colors as real names, to be able to quickly tell them apart. This can be especially helpful if you can't find the wanted file on the media, as you are looking at its alias name in catalog.

Alias names can be assigned to items either in their Properties dialog, or by renaming them directly on file lists (press F2, or click the item's name twice with a short pause in between). To remove alias names, you can delete them in Properties dialog, or use the Remove Alias Name command.

See Also
Remove Alias Name, Properties

Toolbar Button:
Menu Command:
View / Show Alias Item Names
Shortcut:
(none)


Display Toolbar

Displays the toolbar on screen, if checked. With this option you can quickly show or hide the toolbar.

See Also
Display Status Bar

Toolbar Buttons:
(none)
Menu Command:
View / Display Toolbar
Shortcut:
Right-click toolbar handle,
select option


Display Status Bar

Displays or hides the status bar at the bottom of main window.

See Also
Display Toolbar

Toolbar Buttons:
(none)
Menu Command:
View / Status Bar
Shortcut:
(none)


Menu Search

Click on a menu option to get more details about it.

See Also
Menu File, Menu Edit, Menu View, Menu Actions, Menu Options, Menu Window, Menu Help


Search for Items

Displays the Search window. This is the place to do all the searching based on currently opened catalogs. You can search for files, disks or folders by many user-defined criteria (name, description, size, date, categories etc.) Search can be limited to only specific catalogs or disks, or to number of hits. Similar to regular searching, but with a different goal, is searching for duplicate items in your catalogs.

There are also special commands available if you want to search only in the specified catalog, disk, or folder, or if your would like to find copies of selected items.

See Also
Using Search Dialog
Using Quick Search Expressions
Searching for duplicate items
Find selected items
Searching in specified catalog, disk, or folder
How to search by more than one criteria at once
How to search by narrowing down the results
How to search for items that do NOT match certain criteria

Toolbar Button:
Menu Command:
Search / Search for Items
Shortcut:
Ctrl-F, F3


Find on This Disk/Catalog/Folder

Searches for items inside currently selected catalog, disk, or folder. This function is basically the same as regular Search function, but is predefined to a limited search range, based on selected item. For example, it is the fastest way to find a certain file, if you know it is on the media but not exactly sure where.

See Also
Using Search Dialog
Using Quick Search Expressions
Search for items
Find selected items
Searching for duplicate items
How to search by more than one criteria at once
How to search by narrowing down the results
How to search for items that do NOT match certain criteria

Toolbar Button:
(none)
Menu Command:
Search / Find on This
Disk/Catalog/Folder
Shortcut:
(none)


Find Selected Items

Finds copies of selected items in loaded catalogs. It works in a similar way as searching for duplicates, except searching is limited to selected items only. Use this function if you want to quickly find copies of certain file(s) or folder(s), possibly on other cataloged disks as well. Just as with searching for duplicates, you can select the range of disks where searching will be carried out, as well as define conditions when are two files or folders considered to be the same.

See Also
Search for items
Searching for duplicate items
Searching in specified catalog, disk, or folder
Toolbar Button:
Menu Command:
Search / Find Selected Items
Shortcut:
(none)


Scan for Duplicates

Opens the Search window in a special, duplicate-searching mode. Here you can search for duplicate items (files, disks and/or folders) in currently opened catalogs. You can search for certain type of files only, searching range can be limited only to certain disks or catalogs, and you can define what properties have to match for two files to be considered the same.

See Also
Search for items
Find selected items
Searching in specified catalog, disk, or folder
Toolbar Button:
(none)
Menu Command:
Search / Scan for Duplicates
Shortcut:
Ctrl-D


Compare to Media

Compares the data for specific media or folder in catalog to real data on the media. This way you can find out what has changed since you have last catalogued the data.

You will be asked to insert the media where selected disk or folder in catalog originates from, so have it ready. When comparing is complete, you will be presented the Compare Results window with four different file lists, showing you what is new, changed, deleted, or which files stayed the same.

See Also
Compare Results, Compare Files to Catalog, Compare Cataloged Data

Toolbar Button:
Menu Command:
Search / Compare to Media
Shortcut:
(none)


Compare Files to Catalog

Checks if files from specific disk or folder on your system appear in one of the opened catalogs. This feature enables you to detect in advance which files may become duplicated on multiple disks if they would be stored. For example, if you are making backup copies of files stored in some folder to your CD-R drive, and you don't know which files had been already written to CD-R, this option can tell you that.

In the results window, you will get three lists, telling you which files are new compared to catalog, which have stayed the same, and which files match by name, but differ in other properties, like size or date.

See Also
Compare Files to Catalog Results, Compare to Media, Compare Cataloged Data

Toolbar Button:
(none)
Menu Command:
Search / Compare
Files to Catalog
Shortcut:
(none)


Compare Cataloged Data

Compares files in two groups of cataloged items, such as disks and/or folders, and lists which files are found in either of both groups only, which are the same in both, and which files were found in both groups, but are not the same.

In order to compare two groups of cataloged data, select in the program the first group of items, refferred to as the source group. This can be any individual disk or folder, or any selected range of items from one of the lists. Select the Compare Cataloged Data option. Source group items are listed on the top of the dialog, while in the lower part you can select which items will they be compared to (target group). Again, this can be any individual file or folder, or any combination of the above.

See Also
Compare Cataloged Data Results, Compare to Media, Compare Files to Catalog

Toolbar Button:
(none)
Menu Command:
Search / Compare
Cataloged Data
Shortcut:
(none)


Menu Actions

Click on a menu option to get more details about it.

See Also
Menu File, Menu Edit, Menu View, Menu Search, Menu Options, Menu Window, Menu Help


Back One Level

Moves selection to the parent item in catalog tree, usually to a parent folder.

See Also
Tree Window, Browse History

Toolbar Button:
Menu Command:
Actions / Back One Level
Shortcut:
BackSpace, Escape, Ctrl-PgUp


Open in Explorer

Opens the currently selected item in Windows Explorer, part of Windows operating system, or in an external shell program, as defined in program's settings. There you can perform all operations regarding this item, like copying, deleting...

If selected item is located on a media, not currently available, you will be prompted to insert this media first.

See Also
View File, Launch File, File Management

Toolbar Button:
Menu Command:
Actions / Open in Explorer
Shortcut:
(none)


View File

Opens the selected file in the selected viewer, to display its contents. Viewer can be either internal, built in Where Is It?, Windows' own Quick View (Plus), or external program, as set in program's options.

If selected file is located on a media that not currently available, you will be prompted to insert this media first.

See Also
Launch File, Open in Explorer, File Management, Internal viewer

Toolbar Button:
Menu Command:
Actions / View File
Shortcut:
(none)


Launch File

Launches selected file in program that is associated with file's extension (for example, Notepad is usually associated with *.txt files, so when launching Readme.txt file, Where Is It? will run Notepad with Readme.txt file loaded). For files that do not have an associated program, you will be able to select one from the list of installed and registered programs on your system.

If selected file is located on a media, not currently available, you will be prompted to insert this media first.

See Also
View File, Open in Explorer, File Management

Toolbar Button:
Menu Command:
Actions / Launch File
Shortcut:
(none)


Edit Description

Edits the description for currently selected item, using the Description Assistant. Another way to edit descriptions is to call for item's properties and edit it there, or edit it directly in the Description Window.

See Also
Properties, Description Window, Using Description Assistant

Toolbar Button:
Menu Command:
Actions / Edit Description
Shortcut:
Ctrl-E


Scan for Viruses

Calls up the external anti-virus program to scan selected disk or folder for viruses. Before this option is available, you have to select the external anti-virus program to be used in program's settings (General Settings / External Programs). The program is called out with a command line parameter specifying the full path to the disk or folder to be scanned.

See Also
Program Settings, Open in Explorer

Toolbar Button:
Menu Command:
Actions / Scan for Viruses
Shortcut:
(none)


Menu User List

Click on a menu option to get more details about it.

See Also
Menu Actions


Add to User List

Adds selected items to User List. Each item can only appear once on the User List, and duplicated items will be skipped automatically.

See Also
Remove from User List, Keep on User List, Keep List Difference

Toolbar Button:
Menu Command:
Actions / User List /
Add to User List
Shortcut:
Ctrl-L


Remove From User List

Removes selected items from User List. If only some of selected items are currently in User List, others will be simply ignored.

See Also
Add to User List, Keep on User List, Keep List Difference

Toolbar Button:
Menu Command:
Actions / User List /
Remove From User List
Shortcut:
(none)


Keep on User List

Keeps selected items on the User List, and removes the rest. This is the equivalent of the intersection operator. A typical use of this command would be in complex, repetitive searches, where you need to narrow down search results. You can assign the resulting list from the first search to the user list, perform the second search, select all found items and issue the Keep on User List command. This way, only those items from the first search that also appear on second search's results list will be kept on the user list.

See Also
Add to User List, Remove from User List, Keep List Difference

Toolbar Button:
Menu Command:
Actions / User List /
Keep on User List
Shortcut:
(none)


Keep List Difference

Keeps on the User List all those items that are not present among both current user list, and selected items. This is the equivalent of negative intersection - items that will end up on the user list are either there already or are currently among selected items, but not both.

See Also
Add to User List, Remove from User List, Keep on User List

Toolbar Button:
Menu Command:
Actions / User List /
Keep List Difference
Shortcut:
(none)


View User List

Opens the User List window. User List is a special window where you can put together items of interest (those may be disks, folders or files). User list is often used as a source for making reports on specific, but otherwise unrelated items. You can add or remove items on the User List by using a dedicated set of commands, such as Add to User List, Remove from User List, Keep on User List, and Keep List Difference - all of them are commonly available in all windows and popup menus.

See Also
Add to User List, Remove from User List, Keep on User List, Keep List Difference

Toolbar Button:
Menu Command:
Window / User List
Shortcut:
Ctrl-U


Rename Disk or Catalog

Renames currently selected disk or catalog. Edit box will appear, allowing you to enter a new name.

Hint: you can choose to rename a disk or catalog faster if you select it, wait for a moment, and then click it again to invoke in-place editing - just like in Explorer.

See Also
Properties, Rename File

Toolbar Button:
(none)
Menu Command:
Actions / Rename Disk (Catalog)
Shortcut:
F2


Remove Alias Name

Removes alias names from all selected items that have them. If you have showing alias names enabled, real file and folder names will appear again on all lists for those items. If you don't want to permanently remove alias names but just show item's real names, you can just disable showing alias names instead.

See Also
Show Alias Item Names, Properties

Toolbar Button:
(none)
Menu Command:
Actions / Remove Alias Name
Shortcut:
(none)


Menu File Management

Click on a menu option to get more details about it.

See Also
Menu Actions


Extract To...

Extracts selected archive file or selected compressed files inside archive file to a folder of your choice. You will be presented with dialog to choose the folder to extract files to.

If selected archive file is located on a media, not currently available, you will be prompted to insert this media first.

Please note that extraction is only meant as a quick-to-access tool, and some extended features like multi-volume archive files may not be fully supported. Use your favorite compression program to handle such archive files (if archive file's extension is registered, you could just use the launch command to open archive file with the appropriate program).

See Also
Compressed files support, Launch File, Copy To..., Move To..., Rename File, Delete Files

Toolbar Button:
Menu Command:
Actions / File Management /
Extract To...
Shortcut:
(none)


Copy To...

Copies selected files and folders in catalog to some other location of your choice, like hard disk. This operation performs on actual files, not only on data in catalog. You can use this option when you have just located files you wanted in the catalog, and now you would like to make a copy of them to some other media. This option can be used together with other features in the program; for example, you can find files and folders to copy by using search capabilities, or you can gather all wanted items in User List before copying.

During copy operation, program will prompt you to insert necessary disks, check that selected files and folders actually exist on media, prompt to replace files if found on destination etc. If target disk is also available in one of currently loaded catalogs, you can set Where Is It? to add or update just copied files in catalog as well.

See Also
Move To..., Extract To..., Rename File, Delete Files

Toolbar Button:
Menu Command:
Actions / File Management /
Copy To...
Shortcut:
(none)


Move To...

Moves selected files and folders in catalog to some other location of your choice, like hard disk. This operation performs on actual files, not only on data in catalog. During move operation, program will prompt you to insert necessary disks, check that selected files and folders actually exist on media, prompt to replace files if found on destination etc. You have a choice of deleting files on source media by moving them to Recycle Bin (this will still allow you to restore them), or you can completely delete files from source media. If target disk is also available in one of currently loaded catalogs, you can set Where Is It? to add or update just moved files in catalog as well.

See Also
Copy To..., Extract To..., Rename File, Delete Files

Toolbar Button:
Menu Command:
Actions / File Management /
Move To...
Shortcut:
(none)


Rename File

Renames file on the media. Please note this is not equal to renaming a file in catalog, you can use alias names for that. This command will try to rename the actual file on the media.

See Also
Rename Disk or Catalog, Copy To..., Move To..., Delete Files

Toolbar Button:
Menu Command:
Actions / File Management /
Rename File
Shortcut:
(none)


Delete Files

Deletes selected files and folders on the media. This operation performs on actual files, not only on data in catalog. During delete operation, program will prompt you to insert necessary disks, check that selected files and folders actually exist on media, prompt to replace files if found on destination etc. You have a choice of deleting files by moving them to Recycle Bin (this will still allow you to restore them), or you can completely delete files from your media.

See Also
Remove From Catalog, Copy To..., Move To..., Extract To..., Rename File

Toolbar Button:
Menu Command:
Actions / File Management /
Delete Files
Shortcut:
(none)


Remove From Catalog

Removes currently selected items from catalog. Free and used space on target disk will be adjusted accordingly, as if selected files or folders did not exists at the time media was last scanned. Please note that overusing this function is likely to cause a big rift between actual state on media, and data stored in catalog. You should only use this function to remove a small portion of files or folders that you don't want to have in stored in catalog.

If you only want to include a part of folder structure of your drive to catalog, you can deselect some folders to be left out on disk scan, or you can use the virtual root feature when preparing to scan your media.

See Also
Delete File, Remove Archive Contents, Remove Thumbnail, How did my catalogs get so big?

Toolbar Button:
(none)
Menu Command:
Actions / Remove From Catalog
Shortcut:
(none)


Remove Archive Contents

Removes the contents of selected archive files stored in catalog. If you had WhereIsIt set to browse inside archive files during disk scan, you can now access archive files as folders, their contents showing files compressed inside. If you no longer need to know about archive file's contents, you can remove it from catalog using this option, and archive file will be presented in catalog as any other file.

See Also
Remove From Catalog, Remove Thumbnail, How did my catalogs get so big?

Toolbar Button:
(none)
Menu Command:
Actions / Remove Archive Contents
Shortcut:
(none)


Remove Thumbnail

Removes thumbnails from all selected items that have them assigned. You can also remove thumbnails from individual items while they are displayed in the Description Window. Thumbnails are retrieved and assigned to items during media scan, assuming that thumbnail plugins are enabled.

See Also
Remove From Catalog, Remove Archive Contents, How did my catalogs get so big?

Toolbar Button:
(none)
Menu Command:
Actions / Remove Thumbnail
Shortcut:
(none)


Properties

Brings up the item's properties dialog, with all details about selected item available in the catalog. In this dialog you can also edit descriptions and alias names, assign custom icons, set categories, flags, and disk locations, rename disks, edit disk's lending/borrowing information, or setup catalog protection.

The Properties dialog also offers quick access to parent item's properties, through the set of tabs available the top. For example, if you are looking at selected file's details, properties of file's parent folder, and media on which it is residing on are also available in this dialog.

Hint: The Advanced button in disk's properties tab also contains statistical details about scanning that media, such as scanning time and plugins used in scanning.

See Also
Catalog Setup, Description Window, How to protect catalogs, How to assign items to categories, How to use flags, Lending and borrowing disks

Toolbar Button:
Menu Command:
Actions / Properties
Shortcut:
Ctrl-P, Alt-Enter, F4


Menu Options

Click on a menu option to get more details about it.

See Also
Menu File, Menu Edit, Menu View, Menu Search, Menu Actions, Menu Window, Menu Help


Program Settings

The entire Settings menu is dedicated to setting up program's options. Every option in the first section will open the same Settings dialog box, but select the different section by default (once in the dialog, you can easily switch between sections by choosing appropriate groups on the left, and inside each group tabs at the top). In Settings dialog, you will find many detailed options to adjust and tune the program to your own needs and expectations. Detailed help is provided for each available setting in the Settings Dialog - click on the [image] button in dialog's title bar, and point and click the settings you need help with.

Hint: If you are not ready to go through all available options here, you may want to use Quick-Setup Wizard instead.

See Also
Quick-Setup Wizard

Toolbar Button:
(none)
Menu Command:
Options / (Entire first section)
Shortcut:
(none)


Quick-Setup Wizard

This Wizard is a shortcut for all those who do not want to spend time browsing through all available settings this program has (Where Is It? is a very adjustable program...). Instead, Quick-Setup Wizard can guide you step-by-step through the most important options only, making sure you save time and don't miss anything important. Later, you can still select normal program's settings to adjust some options not present in this Wizard.

See Also
Program Settings

Toolbar Button:
(none)
Menu Command:
Options / Quick-Setup Wizard
Shortcut:
(none)


Menu Window

Click on a menu option to get more details about it.

See Also
Menu File, Menu Edit, Menu View, Menu Search, Menu Actions, Menu Options, Menu Help


Next Window

Brings up the next open window in WhereIsIt. By using this function, or better, its Ctrl+F6 shortcut, you can cycle between already opened, but currently invisible or background windows. Such windows can be the main window, search window, user list window, and compare results window - use Ctrl+F6 to quickly switch between them.

See Also
View User List, Search Window, Compare Results

Toolbar Button:
(none)
Menu Command:
Window / Next Window
Shortcut:
Ctrl-F6


Show Compare Results

Opens the window with last Compare to Media, or Compare Files to Catalog results. If no results are available yet, this option will be disabled.

See Also
Next Window, View User List, Search Window

Toolbar Button:
(none)
Menu Command:
Window / Compare Results
Shortcut:
(none)


View Description Window

Check this option to show the description window, or uncheck it to make it disappear. The description window shows a description and thumbnail of currently selected item and can be either docked to the main window (beneath the right-side list view), or it can be freely floating. It the case of the latter, it can also handle items selected in other windows, such as search results or user list windows.

See Also
Next Window, Description Window, How to edit description

Toolbar Button:
(none)
Menu Command:
Window / Description Window
Shortcut:
(none)


Menu Help

Click on a menu option to get more details about it.

See Also
Menu File, Menu Edit, Menu View, Menu Search, Menu Actions, Menu Options, Menu Window


Help Index

Shows this help file, and opens it at the front page. This is the default starting point for your help session.

See Also
"What Is This?" Help, "Did you know... tips" Help, How to use help

Toolbar Button:
(none)
Menu Command:
Help / Help Index
Shortcut:
F1


"What Is This?" Help

This is a special type of help, allowing you to inquire about specific part of user interface, like a checkbox or a button. To get information about that item, click on the button with icon as showed bellow. Cursor will change into an arrow with question mark, allowing you to point and click the item you want to get help for. A help window will open, showing you details about the item you have selected. You can find this option in the program's main window, as well as in top-right corner of some dialogs that already support this option.

Hint: use this type of help often since it is the best and shortest way to get the help you need. If you are not sure what some option or button is for, this is the way to find out.

See Also
Help Index, "Did you know... tips" Help, How to use help

Toolbar Button:
Menu Command:
Help / What Is This?
Shortcut:
just right-click
the control


More Tips

Brings up the dialog with tips about using this program. Usually, one random selected tip is displayed when you start the program. If you have disabled this feature and would like it back, you can re-enable it in Program Settings (the General Settings group, General tab).

See Also
Help Index, "What Is This?" Help

Toolbar Button:
(none)
Menu Command:
Help / More Tips
Shortcut:
(none)


Check for Update Wizard

The Check for Update Wizard can check on the Internet if there is a newer version of Where Is It? available than the one you are currently using. Note that you need a working Internet connection for this wizard to be able to perform its task. If a new version of Where Is It? or one of its add-ons is found, such as plugins, help files, or language files, you will be offered to download and install them on the fly. For more details about new versions as well as other news about the program, you can visit WhereIsIt's home page on the Internet, available at:

http://www.whereisit-soft.com

Note: In order to function, this wizard needs to have the Inetcomm.dll library available in your Windows installation. This library is shipped in most latest versions of Windows by default, and provides Internet access for programs like WhereIsIt. If by any chance this library is not available in your Windows setup, this wizard will notify you about that.

See Also
http://www.whereisit-soft.com

Toolbar Button:
(none)
Menu Command:
Help / Check for
Update Wizard
Shortcut:
(none)


How to Order Wizard

This wizard is intended for all users who are interested in registering the program, but are not sure how to do it. Wizard will present all available options to you how to register and send registration fee, including with detailed pro and contra description of each option. Based on your decision wizard will guide you either to appropriate Internet page to place your order online, or print the filled Order Form to be mailed later together with check or cash.

Please note: You are not in any way obliged to purchase the program just by using this wizard, until you actually place the order outside this wizard. Fell free to browse around available options just to get to know about what your choices are, and perhaps print an order form with complete fee calculations based on your selections.

See Also
How to order WhereIsIt?, How to place an order, Plain text Order Form

Toolbar Button:
(none)
Menu Command:
Help / How to
Order Wizard
Shortcut:
(none)


Where Is It? on the Web

Opens WhereIsIt's home page on the Internet. Select one of the target destinations in its submenu, and Where Is It? will call up your web browser targeted to the appropriate URL address on WhereIsIt's main home page. WhereIsIt's home page is your main source of information about WhereIsIt, including the latest news, ordering information, available updates and enhancements such as plugins, language files etc.

Note: If you are looking if there is a newer version of WhereIsIt or its standard add-ons available, you can also use the Check for Update Wizard.

See Also
http://www.whereisit-soft.com, Check for Update Wizard

Toolbar Button:
(none)
Menu Command:
Help / Where Is It?
on the Web
Shortcut:
(none)


About Where Is It?

Displays the About Box with current program version and contact information.
Toolbar Button:
(none)
Menu Command:
Help / About
Shortcut:
(none)


Create New Catalog

WhereIsIt User Interface

Tree Window

In the left side of program's main window you will find catalog tree window. You may consider it as an index for your loaded catalogs. Its content is hierarchically organized, with catalogs on first level, disks in catalogs on second, and disk's contents on third and lower.

Every item it the tree can show or hide its subitems, if present (for example, if a folder has subfolders, they can be either visible under parent folder, or hidden). If subitems are hidden, their parent has a [+] sign displayed, indicating that its contents can be expanded. The same goes if subitems are already visible: a [-] sign indicates the part of tree can be collapsed, hidden. You can make either action happen by clicking on this sign.

When an item in the left pane is selected, the window next to it, List Window, displays the contents of selected item (for example, if you select a folder, the right window will show files and folders in the selected folder, as they are on the real media).

Note: Every item displayed in either Tree Window or List Window has its own pop-up menu, accessible by right-clicking the item. This pop-up menu is the shortest and fastest way to reach all commands that apply to the selected item. You are strongly encouraged to use this menu as much as possible.

See Also
List Window, Status Bar


Create New Catalog

WhereIsIt User Interface

List Window

The List Window is located on the right side of Tree Window, displaying the contents of currently selected item in the Tree Window. For example, if catalog is selected in the left pane, this window will show disks stored in selected catalog.

List Window can be displayed in one of the four view modes. Usually you will want to use the Details Mode, where data is displayed in columns, showing as much information as possible. Some special management of displayed data can be performed in this mode (not others), like sorting items by data in one of the columns (just click the column header), or arranging columns order (drag&drop column headers to new location, or right-click on any column header for a special dialog).

Note: Every item displayed in either Tree Window or List Window has its own pop-up menu, displayed by right-clicking the item. This pop-up menu is the shortest and fastest way to reach all commands that apply to the selected item. You are strongly encouraged to use this menu as much as possible.

See Also
Tree Window, Status Bar


Create New Catalog

WhereIsIt User Interface

Status Bar

Status bar is divided in four sections:

  • The first one contains the status of currently selected catalog. It may be either 'loaded' or 'modified', where the later will appear when catalog has been modified and not yet saved.
  • The second section contains the details about currently focused item.
  • In third section is the sum of all selected items, displaying their number and total size.
  • At the end of status bar are two lights, displaying current program status. Green light is on when program is idle and awaits your input. When program is busy, red light is displayed, usually accompanied by an hour-glass cursor. At that time, you have to wait for program to finish its current task before you can continue. When search is in progress, yellow light will be lit. This means that some options are disabled, program will respond slower, but you can still work and browse in the main window while program is searching.

See Also
Tree Window, List Window


Using Where Is It? Index

A collection of tips on how to use the most important parts of the program, and details about using Where Is It? in special environments, such as local networks.

Using Search Dialog

Using Quick Search Expressions

Using Report Generator

Using the User List

Using Description Assistant

Internal Viewer

Using Where Is It? in network environment


About Scanning Disk Images

As a cataloging software, the most basic task for WhereIsIt is to catalog the contents of disks and other media, and store them in a catalog file for later offline access and searching. In order to do that, WhereIsIt scans the media, retrieving the folder structure and all files, as well as optionally importing additional information about files being cataloged, such as descriptions and thumbnails. Key media properties are retrieved and stored, too, including media type, volume label and serial number, file system details etc. - those details are used to later recognize the media, regardless of which drive or even remove network system is it available in.

Plugins play an important role in media scanning, as they are responsible for the most complex and time-consuming task involved, extracting descriptions and thumbnails for many of the supported file formats and other sources, including remote ones like freedb over the internet. You can always specify for each scanning which plugins do you want to have active and involved for the particular media - for example, if thumbnail plugins are not enabled, thumbnails will not be imported.
It is not always a good idea to scan all media with all plugins and advanced options you can find turned on. Scanning a large hard drive partition with all plugins enabled can often take as much as an hour or more, while basic scanning without any active plugins will only take 10-15 seconds. With additional processing there are more chances of something going wrong, and catalogs with unneeded thumbnails and descriptions will be much larger, too.

When scanning the media, WhereIsIt doesn't really care or need to know what kind of media is it handling at that moment, all are handled the same way. Windows provides all the necessary support through its drivers so that all standard media types can be accessed and used the same way, let it be a floppy disk, CD-ROM, removable disk, or a network drive. Keeping media access universal and avoiding any specialized access targeted at specific media type allows WhereIsIt to be able to work with and catalog any current or future disk type, as long as Windows supports it through its drivers.

The fact that all kinds of media are handled and cataloged the same way by WhereIsIt can also serve as an important troubleshooting tip many users fail to recognize. For example, if you have problems cataloging CD-ROMs, but cataloging hard disk or floppy disk works OK, the problem is not with WhereIsIt not being able to handle CD-ROMs, it's your system having problems dealing with CD-ROMs. In case of scanning problems limited to CDs only, a very common cause is ASPI drivers not functioning properly on your system - reinstalling ASPI driver layer solves the problem, and not just for WhereIsIt.

If you are having problems with scanning disk images, please consult the Troubleshooting Media Scanning topic on basic troubleshooting steps. In most cases, one of the plugins may be having problems with data on the media, or there could be a driver-related problem on your system.

See Also
How to add a new disk image to a catalog, Troubleshooting Media Scanning, Add/Update disk image, Update disk image


Using Search Dialog

Search dialog allows you to search for items (files, folders, or disks) by many different criteria, stand alone or combined. In general, Search dialog is divided in two sections, each is available as a separate tab.

Quick Search

Quick Search is the fastest way to find items by name, description, or both. Enter in the edit box part of the text you are searching for, and set options accordingly if you want to search by item names and/or descriptions, or if you want your search to be case sensitive. If searching by file names, you can also enter file masks, for example "*.txt", while searching by descriptions allows you use a special sound-ex feature that can help locate items with part of description that at least sounds like text you are searching for.

To search by more than one criteria, you can separate your entries with commas, for example "apple, banana" to search for either word "apple" or word "banana", or with spaces, to search for both "apple" and "banana". If searching for expression that includes comma or space character, include the whole expression in double quotes (") to avoid it being handled as two separate expressions.

Advanced Search

Advanced Search is a powerful search tool that will allow you to write and use complex search expressions, using full Boolean logic and all search criteria groups Where Is It? has to offer, such as searching by names, descriptions, sizes, dates, times, attributes, categories, flags, disk locations,...

The main part of Advanced Search is the Expression Editor, where you can assemble your search expression. Basic building block for search expressions are search criteria, logical operations (and, or, xor, and not), and parenthesis to assign priority. Each search criteria is presented in a form of readable text that describes your criteria. Note that this text is handled as a whole in editor - you can not edit or delete part of it, only the whole criteria at once. To edit criteria, double-click the text, or move the caret into the text and click the "Edit Criteria" button. Boolean operators in search expression are displayed in bold, to make the expression easier to read. The same as with search criteria, text for Boolean operators is handled as whole as well.

When your search expression is completed, you can use the "Validate" button to check for errors, such as invalid use of operators, missing parenthesis etc. You can load or save your search expressions with the Options button.

Other Search Settings

Before you start searching with either Quick or Advanced Search, you can limit your search to only part of data, and setup some other details about how searching will be performed.

With the Limit Search button you can select to search either in entire catalog, only in selected disks in catalog, in previous search results, or through items currently on User List. The last two options allow you to use sequential searching, every next search further limiting down results from the previous one. On the same spot you can also limit the number of hits before searching will stop – this is always a good idea to have set, especially if working with very large catalogs, as it will prevent heavy memory load on too unrestrictive searches. Another option that may come in handy is the ability to limit the folder depth that will be searched. This option would be used if you are only interested in files or folders appearing in the root of your disks, for example.

The Settings button allows you to select what kind of items are you searching for - files, folders, disks, or any combination of them. You can also select not to search inside compressed files, how to handle items with alias names when searching by names, and whether or not to clear results from previous search when starting a new search.

See Also
Using Quick Search Expressions
Search for items
Find selected items
Searching for duplicate items
How to search by more than one criteria at once
How to search by narrowing down the results
How to search for items that do NOT match certain criteria


Using Quick Search Expressions

Quick search expressions work in a way similar to those used in most web search engines, and you can use "?" and "*" wildchars as well. Note that quick searching can be used for searching through both file names and descriptions at the same time, depending on your settings. The rules are the same for both though.

All quick search expressions that do not contain wildchars are internally converted to masked queries by adding "*" on either side, as seen from examples below. This allows quick searching to be used for finding parts of text appearing anywhere in file names or descriptions without using special semantics. If your search expression already includes wild characters like "*" and "?", no further conversion is done, expression is already considered to be a search mask and is used as is.

Example:
Searching for: | test
The same as: | *test*
Finds: | All items including word "test" somewhere in between

Example:
Searching for: | t?st
The same as: | t?st
Finds: | All items named exactly t?st, where the second character can be any character (but must be one). This expression is different from the one above as it is already specified as file mask and doesn't get the "*" added automatically on both sides. If you want to search for items that include word "t?st" with any second character, your search expression entered should be *t?st*

The simplest quick search includes a single word or string of characters only. The program will search for any item containing specified text anywhere in its filename and/or description.

Example:
Searching for: | win
The same as: | *win*
Finds: | MS Windows 95 The winner of the month Sewing.doc

You can use more than one word in your search expression, separating them with spaces. Each word is looked for as stated above, however all stated words must be present in order for item to qualify as a hit (AND-type search).

Example:
Searching for: | Microsoft Windows
The same as: | *Microsoft* and *Windows*
Finds: | A new version of Windows was announced by Microsoft yesterday. Using Microsoft Windows.txt

Similarly, you can use commas or semi-columns to separate words instead of spaces. This works pretty much the same as above, however at least one of comma-separated words is required to be present instead of all of them (OR-type search).

Example:
Searching for: | Windows, NT
The same as: | *Window* or *NT*
Finds: | Word for Windows 95 Works on Win95, 98, and NT

You can also combine words separated with commas and spaces, therefore combining AND- and OR-type conditions.

Example:
Searching for: | Word Win, Windows
The same as: | *Word* and (*Win* or *Windows*)
Finds: | Word for Windows WinWord A foreword to the drawing article

If you are searching for expression that contains reserved characters like comma, semi-column, or space, you need to include that expression between double quotes in order to assure it is handled as a single expression.

Example:
Searching for: | "Elton John"
The same as: | *Elton John*
Finds: | Elton John - Nikita.mp3 Tickets for Elton John concert
Does not find: | John talked about Elton's new album Elton J - Nikita.mp3

You can search by whole words only, instead of any subset of searched text. In this case, every separate word of the examined text is checked against given search expression. Use whole words searching when you are looking for a specific word, but you don't want to be distracted by occurences when given word appears as a part of some other text.

Example (whole words searching enabled):
Searching for: | win
Finds: | He will try to win the race.
Does not find: | He is the winner.

You can also combine whole words searching with wildchars.

Example (whole words searching enabled):
Searching for: | win*
Finds: | All whole words beginning with win (winner, Windows, winter)
Searching for: | *win
Finds: | All whole words ending with win (Darwin)

See Also
Using Search Dialog
Search for items
Find selected items
How to search by more than one criteria at once
How to search by narrowing down the results
How to search for items that do NOT match certain criteria


Using the User List

You can think of user list as a special sort of clipboard. It is a place where you can gather all items of interest, and then perform an operation over items in this list. For example, if you would like to print report with only specific items on it, you could gather these items in the User list and make report with User list as a source.

Another common example where user list may be of help is when you would like to select many items at once to perform a common task on them, like setting a category. The problem is, most items come from different folders, and you can not select all of them at once in the main window. The solution is to get all items listed on the same list – gather them on the user list, select all listed items and perform the operation for all selected items at once, like setting a category, copying actual files to a common location, etc.

You can add and remove items on user list using the "User List" set of commands. Generally, the commands are available as a submenu when right-clicking an item, or as a special button ( [image] ) with a popup menu on the toolbar. You will find these commands available in most parts of the program where dealing with items, including the Search window - this way, if you need to add some specific items to user list, you can search for them first, and add them from the Search Results list.

There are for commands available for adding and removing items on user list. Besides most often used “add” and “remove” commands, there are also “keep” (keeps selected group of items on user list and removes the rest) and “keep list difference” (adds on user list items that appear either in selected group of items or on existing user list, but not on both).

User list behaves like any other list of items, you use right-click to access item's available commands, you can sort listed items by clicking on the appropriate column while list is in detail view, etc.

User list will only remember its contents while program is running, unless it is saved. If catalog is closed while items from that catalog are still listed in the user list, they will be removed from list while closing the catalog. User list is saved in the catalog itself, not in a separate file. Internally, it uses a method very similar to flags to mark items in catalog that are assigned to an user list. When user list is saved, the appropriate items are marked in the catalog – in order to make marks permanent, you need to save the catalog itself as well. As each saved user list can have its own name, there can be more than one user list saved in the catalog. When recalling a saved user list, just select its name in the user list window and the program will perform a quick search through opened catalogs to gather items marked for selected user list.

See Also
Menu User List, Add to User List, Remove from User List, Keep on User List, Keep List Difference


Using Report Generator

Report generator is a very flexible tool, and can be used in many different ways. Here are the basic steps how to produce a report:

Prepare items to include in report

1. Generating report from one of the lists

Normally, you will want to generate report from one of item lists in the program (current list in right pane of the Main window, search results, user list...) In this case, you need to prepare data before selecting Report Generator option (for example, execute searching to find items you want to include in report, or collect wanted items on the User List). After your items are ready on the list, you can click on the [image] button, and select appropriate list as a source.

If you did not choose contents of Main window as a source, you can also choose if you want your items in report sorted by source or not. Without sorting, items will be in the same order as they are on the source list. On the other hand, if items are sorted, items will be grouped together by catalogs, disks, and folders, and equipped with appropriate headings.

2. Generating custom reports

With custom reports you can visually select from loaded catalogs how your report will be put together. To make a custom report, click the [image] button in the main window, and select custom reports option. In the left bottom corner you will get a tree-like display of your currently loaded catalogs. You can expand or collapse nodes on that tree, making more or less items visible. When report will be generated, only visible items on that tree will be included in report. Most disks and folders also have checkboxes on the left side; check those to also include files stored in the disk's root directory or selected folder in the report. You can use the 'Macros' key to perform operations on many items at once. All macro commands available apply to currently selected item in the tree.

Select report columns

Each item is presented in report with one line, and each line can have many columns with detailed information about that item (for example, for file items, there are columns with filename, file size, date, time, attributes...). You can select by yourself which columns you want in report, and in what order. In the bottom right part of Report Generator dialog, you will find list of columns available for currently selected report type. Check all columns you want in report, and adjust column order in the list as desired.

Select report destination

Report can be generated to print or preview on screen, or to export as an ASCII file. Select the appropriate option in Report Destination group. If exporting report to ASCII file, you can choose the column delimiter mode, being either space aligned (best for visual appearance), or separated with TAB or comma characters (best for importing to other programs, like spreadsheets).

At this point, you should be able to print or export your report. If you would like to preview the result first, select 'Print Preview' option (this is only available if destination is set to printer, so you may want to temporarily select printer as destination when exporting to ASCII file).

Many other settings such as paper size, fonts, and colors are also available for adjusting in the Report Setup dialog, allowing you to customize the look and feel for your reports.

See Also
Report Generator
How to prepare a report with all items in catalog
How to prepare a report containing only items from specific disks
How to prepare a report containing only items matching certain criteria
How to export catalogs to some other format


Using Description Assistant

Description Assistant is basically an editor, where you can edit description for selected item. While you can do the same task in item's Properties dialog, Description Assistant has two major advantages over that: editing window can be much larger, allowing you more comfortable editing, and you can use Assistant's advanced features to help you describe your items. You can start the Description Assistant by activating the option to edit item's description.

Description Assistant can help you edit description by providing access to specific files that may hold some information about the item you are describing. In program settings, you can setup which files will Description Assistant look for. Typical examples are all text files (*.TXT), FILE_ID.DIZ files, and similar. Program will look for these files in the same folder where your item is from, as well as in sub-folders, down to user-definable level in depth. In Description Assistant, you will be presented with the list of such found files, and you will be able to easily browse the contents of those files. Program is even able to find and display description files if they are compressed inside archive files, provided that browsing inside archive files was enabled when adding disk to catalog.

Window in Description Assistant is divided in two parts. The upper portion is the editor, where you are editing item's description. The bottom part contains a drop-down box with list of found description files, and contents of currently selected file. Drag and drop support from bottom part to upper editor is provided, enabling you to simply select the description found in some file and drag it to your editor. You can also quickly switch between items on the list, by using either combo box available at the top, or the two buttons (Previous and Next) next to it.

The Options button available in Description Assistant contains some settings you may find useful. The ANSI convert option will convert some special DOS graphics characters that may be used in description files with more common ones, improving readability. You can also turn on word wrapping if selected description file contains long lines of text.

See Also
Edit Description, Description Window, How to edit description


Internal Viewer

Internal Viewer is a small and simple add-on to Where Is It? that allows you to quickly open and browse the contents of any file in the catalog. It can function in either ASCII, HEX, or IMAGE mode, and will display all text or rich-text files in a readable form, while all other binary files are presented in HEX mode. Recognized and supported image files can also display their contents in full size. If you would be rather using some other, external program for viewing files instead of this internal viewer, you can set so in the Program Settings ("General settings" group, "External programs" tab).

Before you can view your selected file, you must insert media with the required file in your drive, or make it otherwise accessible to the system. If media is not available or found when you select the 'View' command, you will be prompted to insert it first.

You can navigate between files on the list the internal viewer was called from. For example, if you have selected to view a file from the search results list, you can use the "Previuos File" and "Next File" buttons or menu options to move from file to file listed as search results. As files may reside on many different media, some may be available for viewing and some not. The internal viewer will let you know if the file is not available at that time, and give you the option to insert the appropriate media to gain access to the file. Alternatively, you can activate the Skip Unavailable Files option in order to skip automatically all unavailable items while browsing through listed files.

You can switch between ASCII, HEX, and IMAGE modes yourself, using the Options / View as ASCII/HEX/IMAGE commands. Program will auto-detect the correct mode based on file contents when it is opened, so there should be no need to change it manually. Please note that the IMAGE mode is only available if the file is recognized image file and image was retrieved successfully.

View as ASCII (Text)
Shows the contents of the selected file as text, or as rich text in case of valid RTF files. Note that not all files contain readable text, in fact most do not - use the Hex view mode for binary files instead. You can select a font to be used in Internal ASCII Viewer with the Options / Set Font command, or in Program Settings (Customize Fonts tab). While viewing rich-text formatted document, the font setting will be overridden with document formatting. Searching for part of text in the file is also provided while in ASCII view mode, and you can turn word wrapping on or off. If word wrapping is on, lines of text will be wrapped to the next line if longer than current window width. You can also switch viewed text to displayed as either Windows or DOS text. The latter may be useful for viewing older DOS-based files with local characters, encoded by the appropriate DOS code page.
View as HEX (Binary)
Displays the contents of the selected file in its native binary format. This is how the file actually looks inside, byte per byte. This view is more useful for advanced users, and there are no special options available.
View as Image
If the viewed file is one of the supported image file formats, this view shows the image. Images are either displayed in their native size, or they can be optionally stretched to always fit the size of the window. The internal viewer also offers settings to adjust image colors, such as brightness, contrast, and gamma. Adjustments can be limited to the current image only, or they can be applied automatically for every image viewed in the internal viewer.

If you have Quick View (Plus) installed on your system, you can quickly launch it with viewed file using the Options / Open Quick View command. Quick View is capable of showing contents of many different file formats.

See Also
View File


Using Where Is It? in Network Environment

Saving and loading catalogs on network drives

Saving and loading catalogs on network drives is fully supported, either by accessing them by assigned drive letters, or using the UNC addressing in a form of "\\SERVER\SHARE\". Just make sure you have the proper access rights to read and/or write to selected network drive.

Sharing catalogs with other users

Where Is It? supports simultaneous usage of the same catalog file, however some limitations are imposed. If file is being used by more than one user, saving catalog file is not allowed and will be denied until all other users close that catalog file in their program. You can freely make changes to loaded catalog in Where Is It?, you just won't be able to save them if someone else is using that same catalog. You can, however, in such cases always save catalog as a new file, using the Save As... command. Just browsing catalog files by many users at the same time is fully supported.

Adding network drives to a catalog

The simplest and most reliable way to work with your network drives in Where Is It? is to have them assigned to a drive letter, and handle them the same as any other drive on the system. This will also ensure that the program will always be able to find needed network drive since all drive letters are always checked first.

Starting with version 2.10, Where Is It? includes full UNC addressing support to access and scan your network drives. You are no longer required to connect a network drive to a local drive letter in order to scan it with Where Is It? (although it is still recommended that you have them assigned to drive letters), network drive can now be accessed by its UNC address in form of "\\SERVER\SHARED_DRIVE". The program will detect that it is running on the network, and will add an additional Network button to other drive buttons - by using this Network button you can browse through all computers visible on the network and select their network drives to be scanned and added to catalog.

While the program can allow you to logon to network resources while browsing through the Network button, this may not be possible in all cases due to specific requests imposed by certain network types. In case you have problems with accessing network drives or servers, it is recommended to gain proper access by browsing and connecting through your Network Neighborhood with Explorer before trying to access it in Where Is It?.

Limitations of cataloging network drives

In most cases, Where Is It? can get very limited details about drive or media when it is added to a catalog as remote network drive. There is no information offered about media type (hard disk, CD-ROM, removable etc.), and disk's serial number is most often not accessible either. All this makes it hard for Where Is It? to recognize the cataloged media at later time, all there is left to rely on is drive's volume label and formatted capacity. In some cases, especially with removable drives often having media of the same capacity and with the same volume label, Where Is It? may have problems telling your disks apart if they are added to the database as network drives. Therefore, it is recommended to always add disks to catalog from your local drives when possible.

Locating cataloged network drives

When later in time program needs to access actual files on the media, program is able to search for needed media on the network as well. This feature, however, has to be specifically enabled, due to limitations of network environment. When searching for any media, program will always scan all available local drive letters first - if program is looking for a network drive and you have it mapped to a drive letter, this is the best and most efficient way to make it easily accessible to the program. Only if media is not found among local drive letters, program will consider searching the network as well. This can be useful, for example, if a CD-ROM needed is currently inserted in a shared drive on some other computer on the network, and program can find and use it from there. If the disk image in catalog was cataloged as a network drive using a UNC address, this address is also stored in the catalog and program will try to access it directly - chances are that the same drive is still available on the same UNC location. If media was not found this way, program has no other choice but to scan the entire network for possible matches.

Please note that searching the network for available shared drives can be a slow process, a few seconds are needed per computer available on the network. If you have a fairly large network, searching for media may take a few minutes and more. For this reason mostly, scanning the entire network for matching drives is DISABLED by default and must be specifically enabled with special command line switch when program is started. Specify the - scannet parameter to enable browsing the network, for example:

C:\Program Files\WhereIsIt> WhereIsIt?.exe -scannet

The equivalent and more permanent option with the same effect is available in program's settings, "General" section.

You will want to turn on scanning entire network if your network is fairly small, and you have a reasonably lot of cases when the media in catalog is available as a shared drive on the network. In most cases, however, it is recommended to leave browsing the network disabled due to heavy performance impact and quite noticeable delays every time program tries to find a media and it can't locate among the local drives.

Disabling UNC network support

If you have a large network or it responds slowly, just accessing basic network functions like checking if it is available can take a few seconds and cause unwanted delays. For this reason mostly you can disable all network support that requires program to browse the network directly, by using the -nonetwork parameter, for example:

C:\Program Files\WhereIsIt> WhereIsIt?.exe -nonetwork

Even if you use this parameter you will still be able to catalog and use network drives, however they will have to be assigned a local drive letter in order to be accessed from Where Is It?.

The equivalent and more permanent option with the same effect is available in program's settings, "General" section.

See Also
Program Settings


How to... Index

This chapter contains a few samples about some of the most commonly used or most important actions you will likely use when working with the program. These tips can give you some valuable ideas on how to use specific parts of the program, or how to approach different tasks. Where Is It? was deliberately designed to be very adjustable, and this goes for different kinds of usage, too. There are only a few straight-forward procedures to avoid limiting the user and allow for a high level of creativity, and most goals can be achieved in more than one way. This is especially true for tasks like searching and preparing reports.

How to start working with the program

How to plan your catalogs

How to create and prepare a new catalog

How to add a new disk image to a catalog

How to automatically import descriptions on disk scan

How to use and troubleshoot the CDDB plugin

How to export descriptions back to description files

How to update a disk image in a catalog

How to transfer disk images between catalogs

How to protect your catalogs

How to use the right mouse button on items

How to select multiple items on the list

How to reorder disks in catalog or disk group

How to use item coloring

How to handle columns in item lists

How to assign items to categories

How to use flags

How to search by more than one criteria at once

How to search by narrowing down the results

How to search for items that do NOT match certain criteria

How to manually edit item descriptions

How to prepare a report containing only items matching certain criteria

How to prepare a report with all items in catalog

How to prepare a report containing only items from specific disks

How to export catalogs to some other format

How to register and unlock Where Is It?


How to plan your catalogs

A catalog, in Where Is It? can be an independent unit, or many catalogs loaded at the same time can work together as one. Each catalog can have set its own categories, flags, and disk locations, so if you plan to catalog a lot of disks, it makes sense to prepare a few different catalogs, each to store its own group of disks based on their contents.

There is no imposed limit on catalog size except for practical limitations for performance reasons. Catalog size does not directly depend on number of disks stored in catalog, but on total number of files and folders available on those catalogued disks, so it is difficult to predict how many disks can you put in the catalog. For best performance it is not recommended for your catalog to exceed the amount of your physical memory installed. Using very large catalogs is not a problem, not even with searching as long as there are not too many hits (it makes sense to limit allowed number of hits on very large catalogs). Program will only load parts of catalog that are actually needed. One reference operation you can use as an indicator when your catalog is getting too large is the time needed to save changes in that catalog.

See Also
Create New Catalog, Catalog Manager, How to create and prepare a new catalog, How to transfer disks between catalogs


How to create and prepare a new catalog

This is a fairly simple procedure. To create a new catalog, just use File / New Catalog command and enter catalog's name. You can immediately add disks to it, or you can setup catalog's other properties like categories, flags, disk locations, together with coloring settings etc. Note that you can use the Catalog Setup dialog to copy existing descriptions, categories, flags, etc. from some other currently loaded catalog, or you can base your newly created catalog on one of the existing catalogs or templates, inheriting its settings.

See Also
Create New Catalog, Catalog Setup, How to plan your catalogs


How to add a new disk image to a catalog

To add a new disk image to a catalog, use the Add/Update Disk Image command. Select one of the available disk drives to catalog, select disk's name as it will be known in the catalog, and type in the disk number to be assigned (optional, disk numbers are used for your reference only). That's about it, however you may want to at least check out some other important options available as well.

WhereIsIt will during disk scan try to import descriptions and thumbnails about files, folders and disk itself, using description and thumbnail plugins. You can use the Active Plugins button to select the plugins you want or don't want to use while scanning current media, and select plugins priority.

Program is capable of browsing inside many compressed archive files and store them as virtual folders, showing their compressed contents. Note that using this option will in many cases add a lot of additional information to catalog - to keep your catalogs fast and small longer, don't use this option unless contents of archive files is important enough to justify it. If you only want to browse archive files to get their descriptions and not to store their contents, check both options to browse inside archive files as well as to look only for descriptions and not to import their contents.

Please note that option to import descriptions from other disks in the catalog is meant for special cases only and should always be off by default. It can only be useful in cases where files were moved from some other disk already available in the catalog and program will be able to get their description from their old location in the catalog.

If you get in trouble with scanning a particular media, you can use these troubleshooting tips to help you locate the problem. In most cases, one of the plugins may be having problems with data on the media.

See Also
Add/Update disk image, Update disk image, Update selected folder, Update all disk images, About scanning disk images


How to automatically import descriptions on disk scan

WhereIsIt uses special description plugins to automatically import description about files, folders and disks during media scan, and thumbnail plugins for importing small images that can be stored in catalogs. Plugins can be developed independently from the program itself and can be added at later time to expand program's description importing capabilities. All description plugins use a standard protocol to communicate with Where Is It? (Description API 2.0), therefore anyone with programming knowledge can write his own plugin to add to WhereIsit. For more details on how to write description plugins please refer to your DescAPI folder with a sample plugin and a separate help file describing Description API.

Program already comes with standard description and thumbnail modules, containing a number of plugins that handle importing descriptions from most commonly used description sources today, such as File_id.diz, Files.bbs, Descript.ion, Index.txt files, WAV and MP3 files (including ID3 tags if available), CDDB databases on the Internet for audio CDs, etc. Standard thumbnail plugins cover most of the common graphics files in use today. For more information how to use or troubleshoot specific plugins in the standard description module, please refer to the Plugins\DescPlugin.txt file. Some details about using the CDDB plugin are available in this help file as well.

Each plugin available and enabled in the program is put on the priority list. Plugins are always used in the order defined by the priority list - this way, if two or more plugins handle importing descriptions from the same source, the one with highest priority is always used first, and the others only if the first one was not able to provide a description. There is one such example in the standard description module as well, two plugins are capable of importing descriptions about audio CD tracks. If you want to use the CDDB plugin, make sure it has assigned more priority than generic Audio CD plugin, and vice versa.

See Also
Add/Update disk image, How to add a new disk image to a catalog, How to use the CDDB plugin


How to use the CDDB/freedb plugin

WhereIsIt uses special description plugins to automatically import descriptions about files, folders and disks during media scan. One of the plugins included in standard description module can take care of retrieving descriptions about audio CD discs from CDDB servers on the Internet or from local CDDB databases, either during disk scan or later through a special Query CDDB Database command.

Troubleshooting the CDDB/freedb Audio CD plugin

In order to use this plugin for remote CDDB queries, you must have an active Internet connection at the time this plugin is being used, and the Wininet.dll library available on your system. The latter shouldn't be a problem unless you are using one of the earliest version of Windows 95 (pre-OSR2). In order to use a local CDDB database, you need to have it downloaded and installed on your disk, and CDDB plugin must be configured by specifying the path where local CDDB database is available, and the format of CDDB database (Windows / Unix type). Additional options are available in plugin's setup dialog.

Installed and functioning ASPI driver is highly recommended, although not necessary. Please note that if your Audio CD is being used by some other application at the time Where Is It? scans it (for example, it is being played by a CD Player software), chances are that Where Is It? may not be able to access the CD and retrieve the necessary CDDB details to be used with queries. Options related to CDDB queries are not available for CDs missing this information.

As there is more than one plugin in the package capable of handling audio CD disks during disk scan, take care how do you set plugins priority. As all other plugins, audio plugins are executing one by one based on their assigned priority, until one of them can provide a description. If you want to import CDDB data, make sure the CDDB plugin has higher priority than Audio CD Tracks plugin, otherwise a generic audio track data will be imported by Audio CD plugin instead. Similary, if CD-Text plugin has higher priority than CDDB plugin, CDDB plugin will only get to be used if audio CD does not contain CD-Text, or the CD- Text plugin wasn't able to retrieve it for some reason.

The CDDB plugin is set to use the free freedb.org servers instead of the commercial CDDB.com database. The CDDB server address to be used is user-configurable and can be set in plugin's config dialog (you can retrieve the list of all available freedb mirrors from the http://freedb.freedb.org server, or by visiting the http://www.freedb.org web site).

In some cases CDDB server can return inexact hits, or multiple hits. This plugin will by default ignore them both and rather leave the description empty than taking chances to import details for the wrong CD. Alternatively, you can also setup the CDDB plugin in its config dialog to stop in such cases and present to user a dialog where he can select appropriate entry out of possible ones as presented by CDDB server. Please note that enabling such options may interfere with scanning the media, and may cause problems if program is expected to work on its own, for example with scheduled automatic updates. Cases of multiple hits are fairly rare to encounter though, large majority of entries in CDDB database are unique.

The CDDB plugin can also use a local CDDB database, available on your hard drive. If you want to enable local CDDB database, you need to enter a path to where a local CDDB database is located in plugin's settings. Both Windows and Unix formats of local CDDB database are supported. The CDDB plugin can optionally use local CDDB database for queries (therefore it is not necessary to be connected to the Internet), or it can store successfully retrieved remote CDDB queries to the local database as well, making them available offline the next time they are needed. Please note that local CDDB queries are more basic that remote queries - close (fuzzy) matches are not supported with local CDDB queries.

You can download the whole CDDB database from the http://www.freedb.org, in either of the two formats available and supported. The Windows format database is recommended for most cases.

Please note: The CDDB plugin returns CDDB revision level as a part of disk's description. While this detail is not of much use to users, it is needed when posting updated disk details back to CDDB server. Entries missing revision level info are automatically submitted with revision level 0, meaning they can not be used to replace existing disk data in CDDB database. If you plan to be submitting disk details to CDDB database, please leave the revision level detail in place for best results.

See Also
Add/Update disk image, Query CDDB Database, Submit to CDDB Database, http://www.freedb.org


How to export descriptions back to description files

WhereIsIt can not only import descriptions from various sources, it can also export them back to the media in one of a few supported formats. There are basically two ways how you can export descriptions:

Export descriptions to standard description files

Using the Edit / Export description to Media command you can export descriptions to description files, created on the same media where files and folders themselves are located. Please note that media must support writing for this to work, so this command doesn't make much sense to be used on CD-ROMs, for example. This way, program can create File_id.diz, Files.bbs, Descript.ion, or FileDesc.htm files, containing selected descriptions. The File_id.diz files can only contain disk or folder descriptions and will be located in the same folder description is for. The other three formats can contain descriptions for all files and folders located in the same folder, and are of course placed in that same folder themselves. Any of those formats can be later used again to import descriptions when scanning that media, or be used in some other program capable of using those standard description files.

Export descriptions using Report Generator

Report Generator is not only used to print reports on paper or preview them on screen, but can only be used to export the same data to some other format. To export descriptions, you just have to prepare appropriate report - select group of items to be included in the report (for example by using search capabilities to locate all items that have descriptions) and select details to include in the report (for example file name and description columns). Among supported formats are ASCII text files (regular, comma-delimited or tab-delimited), RTF and HTML files, or you can instruct report Generator to create the report directly in Excel via DDE. More details are available on how to use the Report Generator.

See Also
Export Descriptions, Report Generator, Using Report Generator


How to update disk image in a catalog

Generally, you can update disk image in catalog the same way as you have added it - when you request to add a disk image, program will check and find that disk already in catalog, and offer to update it (if you still like to add it as new disk image though, feel free to deny updating and you will have two disk images of the same media in the catalog). This works in most cases, although the recommended way of updating disk image is a bit different.

A better way to do this is to right-click disk you want to update, and select the Update Disk Image option from its popup menu. This way, program will know exactly which disk image would you like to update and will behave a bit differently. You will notice that Add/Update dialog will appear changed, offering only drives that are of the same type as the disk image being updated. This way you can also update disks that are no longer recognized to be the same as their image in catalog - this can happen if disk's serial number or volume label has changed since last cataloging, if the media was reformatted, etc. Program will still warn you that selected media does not match disk image, but you can confirm that it's OK and to go and update it anyway.

When disk is updated, please note by default all existing descriptions are kept, if so selected - the program will not try to import new descriptions if one already exists in the old disk image. This is mostly to protect any manually edited descriptions that may took a lot of efforts to be entered. If you would like to discard existing descriptions anyway, adjust settings under the Update Mode button.

For all other settings the same applies as when adding a new disk image (browsing inside archive files, description plugins settings etc).

See Also
Update disk image, Update all disk images, Update selected folder, How to add a new disk image to a catalog


How to transfer disk images between catalogs

To transfer a disk image from one catalog to another, you need to open both source and target catalog in the program. You may want to do that, for example, if some of your catalogs grow too big and you decide to move some of disks to a new catalog.

To quickly move disk image to another catalog you can simply drag and drop it on target catalog. Note that drag and drop method works only for moving disk images and disk groups. You can also select multiple disks in the right window and move them all at once to another catalog this way.

For more complex operations it is recommended to use Catalog Manager instead. Catalog manager offers a simple two-window interface, one for each source and target catalog, and allows simple move and copy operations between them. It is often easier to use than moving disks with drag and drop method.

See Also
Catalog Manager, How to plan your catalogs


How to protect your catalogs

WhereIsIt offers some basic security capabilities for your catalogs, such as password protection and encrypting catalog file's contents. You can setup catalog protection by selecting catalog entry, calling up its Properties dialog and pressing on the Protection button (the one with the lock on it).

There are two passwords available to be set for WhereIsIt's catalogs, one for granting read-only access, and one for a full access. If only full access password is set, users can still normally open and browse catalogs, but in read-only mode. Any function resulting in changing data requires full access password to be entered first. If both read-only and full passwords are defined, users can not open a catalog unless one of those two passwords is entered first. If read-only password is used, catalog opens in read-only mode, while full access password allows changes to be made as well.

The purpose of encryption and passwords is not to provide a waterproof and secure protection, but rather to disable seeing the contents of catalog file such as files names and descriptions inside without using WhereIsIt, and to disallow using catalogs for unauthorized users. Please note that while using password protection prevents users from opening the catalog in the program without the appropriate password, it does not block the catalog preview in the Open Catalog dialog - names of disks and disk groups in the catalog, as well as catalog's name and descriptions are still accessible and visible. If you are looking for a strong protection of catalog files, there is a lot of specialized third-party software available specifically for this purpose that you can use on CTF files as well.

See Also
Properties, How to plan your catalogs


How to use the right mouse button on items

The right-mouse button in Where Is It? is, in full compliance with Microsoft's recommendations, used to display selected object's popup menu with all available commands that apply to that item. This is often the fastest way to access a command to perform some operation on selected items(s). In WhereIsIt, every cataloged item has its own popup menu, as well as some other parts of user interface (for example, drive buttons in Add/Update Disk Image dialog). Using the right mouse button can make your task easier in many cases, so get used to it.


How to select multiple items on the list

Often you need to select more than one item at once on the list to perform a common operation on all selected items. In Where Is It? this is done the same as in other Windows applications, by using the SHIFT and CTRL buttons while selecting. Normally, when you just click an item on the list, previously selected item is deselected and just clicked item is selected instead. To keep previous item selected as well, hold the CTRL key when selecting the next item. You can repeat this as many times you want. To deselect already selected item, just click it again with holding CTRL key. To select single item again, click it without holding the CTRL key. The SHIFT button is used for range selections. Click normally the first item you want to select, scroll the list to the last item to be selected, hold SHIFT and click it. You can combine using both CTRL and SHIFT buttons as well to allow you selecting items with more than one range selection.

In addition to the above standard selection support Where Is It? also offers quick items selection based on same methods as in popular Norton Commander. To invert current selection, press the * key on numerical part of keyboard - this one is often used to simply select the whole list with one key press. Additionally, you can use + and - key, both on numerical part of keyboard only, for selecting or deselecting specified items by their names. For example, to quickly add to selection all files with .doc extension, press the + key on numerical keyboard and type *.doc as the file mask.


How to use item coloring

By coloring cataloged items Where Is It? offers a possibility to visually mark displayed items based on their properties. There are a few predefined criteria how items can be colored (by their type or file name, assigned category or flags, or by their disk locations). Coloring by file names or item types is defined globally in program's settings, while other types of coloring are specified locally within each catalog separately, together with category, flags and disk location settings - you can setup those with Catalog Setup option.

Currently active coloring criteria can be quickly changed or turned off using the coloring mode button on the main toolbar.

See Also
Set Coloring, Program Settings, Catalog Setup


How to handle columns on item lists

Each list of items operating in details mode (default) displays a number of columns to present details about listed items. Program offers some special functionality to handle those columns.

Resizing columns

You may have noticed that columns are changing their size based on their contents visible - you can also manually resize each column by dragging its right border on column header. Columns have their own popup menu that can be accessed by right clicking on any column header. With options available on popup menu you can quickly resize all columns to fit their contents visible on screen, or call up a special dialog to setup the columns.

Hiding and reordering columns

Sometimes, there are too many columns to fit in the window and some of them are not really needed, or you would rather have them in different order as they are now. Each item list in the program (main window, user list, search results, compare results) can have its own columns settings defined. You can setup columns by calling up a special dialog by right-clicking any column header and selecting the Columns Setup option. You can reorder columns there the way you want them, or you can uncheck some column you don't need at this time and want to hide them.

All these operations can be performed faster as well, without using the special column setup dialog. To reorder columns, you can simply grab the column's header and drop it at the wanted location - you will notice the indicator marking current drop location between two columns while dragging the column around.

To hide a column, grab its right border and drag it to the left to close the column completely. Program will remember that column width was set to zero and handle such column as hidden. To unhide the column, the easiest way is to use the column setup dialog and uncheck it there, although if you know where hidden column is located, you can grab with the mouse just right of the column border and drag the column open again.

See Also
Columns Setup


How to assign items to categories

Categories are part of item's properties, so they can be assigned in item's Properties dialog - select and right-click wanted item, and choose the Properties option from its popup menu. You will find the Assign Category button in there, listing all defined categories in item's catalog - just check the categories you want to assign this item to. If there are no categories defined yet, or you would need a new category for this item, there is a '...' button to call up the Catalog Setup dialog, where you can setup categories as needed. If you have selected disk or folder, you can also choose to assign the same categories to all subitems - for example, to all files and subfolders in the selected folder.

Please note: Overusing categories and flags can cause an unnecessary memory load and severe performance degradation in some parts of the program, like in browse by categories mode. Do not assign a category or flag to all 10.000 files on the media or in a folder, if it is enough to mark the media or folder entry only.

You can also assign the same categories to more than one item at once - select all wanted items by using the Shift and Ctrl buttons while selecting, right-click any selected item and choose the Properties options. This time the Properties dialog is a bit different, handling all selected items at once. Confirm that you really want to assign the same settings to all selected items by checking the appropriate check box, and select wanted categories with Assign Category button.

Assigning the same settings like categories, flags, or even descriptions often requires that you find and collect all those item first in some way. If they are all in the same folder, that's no problem, you just select that folder in catalog tree and mark wanted files in the right window. Often, however, you have to use the user list or search capabilities to gather items first. For example, to assign all audio files to "Music" category, use searching to collect all MP3, WAV, MID,... files, select the entire found list, right click one of the items and call up Properties dialog.

See Also
Properties, Catalog Setup, How to use flags


How to use flags

Flags are actually quite similar in usage to categories. in current versions of WhereIsIt. There used to be more difference in the past, but since you can have items assigned to more than one category, flags usage is somewhat in decline. You can image flags as simple tags to be put on files, folders and disk, unlike categories that can be more complex and hierarchically organized. Flags are sometimes used to "store" list of items as well, as described later. Some examples of often used flags could be something like "Important", "Private", "Disk borrowed" etc.

Very much like handling categories, flags are defined locally inside each catalog and can be assigned to items using the Properties dialog.

Using flags to "store" a list of items

If you have gathered a list of items and would like to save that list for later access, you can use flags for that. Create a new flag in the catalog with the name of your list (so you will be able to recognize it later), select the whole list and assign the new flag to it using the Properties dialog. Later, when you need to gather those same items again, you can just search for all items with that flag assigned.

See Also
Properties, Catalog Setup, How to assign items to categories


How to search by more than one criteria at once

You can use advanced searching to set more than one criteria to search for. Basic searching allows you to search for parts of text including either in file names or in descriptions (or in either of them), which is the most common way how items are searched in WhereIsIt, but sometimes you may need to be more specific than that. By selecting the Advanced Search tab in Search dialog you can specify any number of criteria and combine them with logical operators, such as AND, OR, XOR, and NOT. Each such search expression can be saved to be retrieved and reused later.

Sometimes, writing the whole expression is too complicated, or you don't know in advance what exactly will you need to search for until you have at least some partial results. In such cases, you can use the method of narrowing down your search results, or you can add additional hits by combining the results of two independent searches. Both methods are very simple to practice and can be used with both quick and advanced searches. To narrow down your search results you only need to set the program to search through your current search results instead of through catalog ("Limit Search" button, "Search in current search results list" option), and to add additional hits of new searching to your existing list, just turn off the option to clear previous search results under the "Settings" button.

See Also


How to search by narrowing down the results

Narrowing down search results mean that your previous search has returned more items that you wanted to, and you need to apply additional criteria to get more exact results. You can do that either by going back and make your original search criteria stricter so it will return less hits the next time, or you can choose to take the current results list as a base for a new search.

To do the latter, you just need to set current search results list as a source for searching - click the "Limit Search" button and select the "Search in current search results list" option. Now you can setup an entirely new search criteria that will only keep wanted items on this results list. Of course, when narrowing down the search, no new items can be added to results list.

Example:

Imagine that you would like to get a list of all your MP3 files. No problem, you set a program to do a quick search for *.mp3 using file names only. Now that you have a list of all MP3 files, you see there are too many, it would be better if list would only include files newer than two weeks. You can just switch the program to search in your current search results only, set a new search criteria to return only files modified during the last two weeks, and that's it.

Of course, there are plenty other ways how you could reach the same goal. For the example above, it would be probably faster and easier to just sort the list by dates, select MP3 files starting with first and down to the last one older that two weeks, and manually remove them from the list (DEL key). Or alternatively, you could just go back and define a new search to search for both MP3 files and files newer than two weeks at the same time. As it is often case in WhereIsIt, it's really up to you to decide which is the easiest way to go in your specific case, program's job is to allow you making this choice.

See Also


How to search for items that do NOT match certain criteria

To search for items that do not match certain criteria you will have to use the advanced searching. Just prepare your search expression as you would normally do, put the whole expression in parentheses, and put the NOT command at the front.

For example, to search for all files that are not .DOC or .TXT documents, your expression will look something like that:

not ((File Mask = "*.doc") or (File Mask = "*.txt"))

See Also


How to manually edit item descriptions

There are two ways how to edit item's descriptions. For every cataloged item you can simply call up its Properties dialog and edit it in there. This is the simplest way, however edit window in Properties dialog is somewhat small and is not best suited for long descriptions. A better option is to enable and use the description window, as it also allows editing shown description on the spot.

Every item in catalog has an Edit Description option in its popup menu where you can access the Description Assistant. Description Assistant (DA) has a much larger, adjustable editing window and can offer some additional functionality as well. It is a lot easier to switch items since DA allows you to simply select some other item from the same source list without leaving the dialog, making it ideal for describing a list of items. DA can also offer a quick access to selected text files that can be used to help you describe the current item. For example, when describing the folder, DA can display the contents of some Readme.txt file if it is available in that folder - in many cases, describing the item is limited to dragging and dropping a part of text from readme file to description window. A list of files interesting to DA can be setup in program's settings, "Descriptions" group.

The Properties dialog can be used to assign the same description to more than one item at once - this includes removing descriptions for all selected items as well. Just select all wanted items on the list, call up the Properties dialog and select to assign the same description to all selected items.

See Also
Description Window, Properties, Description Assistant


How to prepare a report containing only items matching certain criteria

The most often used way of preparing reports is to use either program's search capabilities to collect wanted items to include in report, or manually collect them using the User List (or even by using a combination of both, if gathering wanted items is a complex enough process). If your items in report are expected to match certain criteria, using searching is the obvious idea.

Let's say for example, you want to create a catalog of all of your audio files. First, you need to collect all such files - a simple search can do that very easily, you just set it to quick search for "*.mp3, *.wav, *.mid" and select searching in file names only. This will get you a list of all your audio files collected on search results list - you can now use this list as a source for Report Generator. To have all files listed alphabetically, sort them in search results list before starting the Report Generator, and just tell report generator to keep items ordered the same way as found on the source list. When your list is ready, start the Report Generator, select search results list as a source for your report, and try out the print preview to check how it looks. Feel free to use additional settings available in Report Generator to fine tune your report, for example by instructing it to sort items by their source and include appropriate disk and/or folder headers to get your report more organized.

See Also
Report Generator
Using Report Generator
How to prepare a report with all items in catalog
How to prepare a report containing only items from specific disks
Using Search Dialog


How to prepare a report with all items in catalog

This can be done in two ways, either using Custom Report option in Report Generator, or by using search capabilities first and prepare a report from search results list. The first option is faster although not necessarily easier, the second one is more adjustable. Please note that such reports can include A LOT of items if we are talking about large catalogs, there can be a few hundred thousand files involved.

If using custom reports, you have to select all items to be included in custom report - that means expanding the entire catalog tree to include all folders, and settings all checkboxes to include all files as well. You can do both very quickly by using options available under the "Macro" button. That's about all there is to it, you can only select if you want to have all items listed in one big list or you want to include some disk or folder headers as well.

The second approach may seem more complicated, but will generally give you better results, especially by offering more control over report contents and layout. First, you use searching to find all items in catalog (just search for *.*, and make sure you have enabled searching for files, folders and disks). This will give you the list of all items in your catalog, you just have to get it on the report. You can either sort the list right here in search results list and tell report generator to keep the same order of items as found on source list (this allows you, for example, to get a report of all items in the catalog, sorted alphabetically), or you can let the report generator to sort it by catalogs, disk, folders, or any combination of those and include appropriate headings. Once you have your list ready, you just need to call up Report Generator and tell it to take the search results list as a source for your report. Feel free to play around with other options Report Generator has to offer to fine tune your report.

The advantage of the latter option with searching is mostly in the fact that you can decide for each file, folder or disk separately if you want it in the report or not (if not, just remove it from the list), and there are some more options available about formatting the report layout itself that may not be accessible with custom reports, such as keeping sort order as it appears on source list. Custom reports are generally not very often used, using report generator in combination with searching is often a better choice.

See Also
Report Generator
Using Report Generator
How to prepare a report containing only items matching certain criteria
How to prepare a report containing only items from specific disks
Using Search Dialog


How to prepare a report containing only items from specific disks

This task is again done easiest if you use searching to locate your items before starting up the Report Generator itself. For example, if you are interested only in items from the two disks last added to catalog, and would only like in the report items that have some description assigned, you only need one simple search: use the advanced searching to search for all items with any description, and limit searching using the "Limit Search" button to search only inside two wanted disks in the catalog. This search will give you a list of all wanted files and folders, so it is only left to start Report Generator, set search results list as a source for your report, and check out the results.

Sometimes you can use the Custom Report option instead of searching to limit included items in report to specified disks only, however your options are much more limited this way - using program's search capabilities is the recommended way to go in such cases.

See Also
Report Generator
Using Report Generator
How to prepare a report containing only items matching certain criteria
How to prepare a report with all items in catalog
Using Search Dialog


How to export catalogs to some other format

You can use the Report Generator to export catalog or just a part of it with selected items and details to some other format. The procedure is exactly the same as with preparing a regular report, except that you select one of supported target formats as a report destination. Most commonly used are exporting to Excel .XLS files; export to ASCII file, either plain text or one of the data formats, such as comma-delimited (CSV, commonly used for data exchange between spreadsheet or database programs), SYLK text file, XML data format, or SQL script file. You can also export your reports to rich-text documents, copy them to clipboard (in a format equivalent to ASCII text file), or get them in HTML format suitable for publishing on the Internet.

See Also
Report Generator, Using Report Generator


How to register and unlock Where Is It?

You can register Where Is It? in more than one way. The most commonly used and fastest method is to order online, using your credit card. Other available ways include sending personal check or cash via regular mail, or sending the registration fee via direct bank transfer. If not ordering online, you are required to send a filled registration form to the author as well.

It is highly recommended that you use the How to Order Wizard, built in the program. This wizard will present all available options and guide you through the process of ordering, making sure you don't skip some important step. Detailed information on how to order are available in the Order.txt file, included with the program, in this help file as well as online on program's home page on the Internet (http://www.whereisit-soft.com, "How to Order" section).

See Also
How to order WhereIsIt?, How to send registration fee, How to Order Wizard, Plain text Order Form


Compressed File Support

Where Is It? can recognize and import the contents of the following compressed file formats:

ACE*, ARC, ARJ*, BZIP, CAB*, EXE (self-extract), GZIP, HA, JAR (Java Archives), LHA, LZH, PAK, RAR*, TAR, TGZ, ZIP*, Z, ZOO.
*supports multi-volume archives

The following file formats are also recognized in their self-extract (EXE SFX) form:

ACE, ARC, ARJ, LZH, PAK, RAR, ZIP.

Extracting files in Where Is It? is possible from the following formats:

ACE, ARC, ARJ, BZIP, CAB, EXE (SFX), GZIP, JAR, LHA, RAR, TAR, TGZ, ZIP.

Please note that extracting from multi-volume or password protected archive files is not entirely supported, and may not work correctly in all cases. The primary goal associated with extracting from archive files is to provide support for automated importing descriptions durring scanning, although functionality is available to the user while browsing and viewing files as well. The built-in archive files support is not intended to replace the appropriate specialized archive programs handling these archives.

See Also
Add/Update Disk Image


Description Files Formats

Where Is It? uses description plugins to import descriptions from various sources. The Description API functions are published and anyone with programming knowledge can develop a new description plugin to be used in WhereIsIt. Program comes with default description plugin that can, among other sources, use the following description file formats to import description from:

FILE_ID.DIZ files (import and export)

These are the most common description files today, most often found compressed inside archive files, distributed over Internet, CD-ROMs etc. File_id.diz file contains a description for its parent (archive file, or a folder). Basically it is text file, usually limited to about 40 characters in width, and a few lines long.

For exporting to File_id.diz files, please note that only folder descriptions can be exported to this format. Descriptions for archive files will not be exported since WhereIsIt? does not handle updating archive files.

FILES.BBS files (import and export)

Files like Files.bbs were in the past very popular on the Bulletin Board Systems (BBS), but since the expansion of the Internet, those are in decline. Still, many shareware CD-ROMs are still shipped with descriptions in this file format. Files.bbs are multi-file description databases, containing descriptions for all (or some) files and folders inside a single folder (in other words, Files.bbs file can contain descriptions for all items you can get with a simple DIR command). Each description consists of a filename, at least one space character as separator, and a description. Description can stretch through more than one line; in this case, every new line is starting in the same column as it did the first line of the description.

Example:

FILE1.TXT       This is a description for a first file.
FILE2.TXT       This is an example of
                multiline description.

DESCRIPT.ION files (import and export)

This description file format is native to a popular Command.com replacement, 4DOS from JP Software Inc., or its older version NDOS from Norton Utilities package. 4DOS can display descriptions with the DIR command, aligned on the right side. Descriptions longer than 40 characters are wrapped to the next line, and are normally kept under this limit. File format is quite simple: each Descript.ion file has descriptions for files inside a single folder, just like the Files.bbs files. Each description is presented in one single line, starting with the filename (or folder name), one space character as separator, and ending with the description text. Control characters like line-breaks, tab characters etc. are not permitted.

00INDEX.TXT files and similar (import and export)

These files are basically using the same format as Files.bbs files, except they usually originate from UNIX systems (mostly FTP servers on Internet) and are therefor using UNIX text format. Naming the files is not exactly strict in this case, and program will look for the following variations if file names when importing from 00index.txt and similar is enabled:

00index.txt, 00_index.txt, 0index.txt, index.txt, index, .index, catalog.txt, dirinfo

If more than one of listed files is found, file listed first will be used for importing.

Archive files comments (import only)

Many archive files formats support adding your own comment to the archive file. Examples of such are ZIP, RAR, ARJ, and others. WhereIsIt? can extract this comments from archive files and use them as descriptions for those files. Please note that "Browse inside archive files" option must be enabled for this to work while scanning your disks.

Exporting descriptions into archive files comments is not supported since WhereIsIt? does not handle updating archive files.

FILEDESC.HTM files (HTML format) (export only)

WhereIsIt? also supports exporting descriptions to HTML formatted description files. Similarly as most other description file formats, DescHtml.htm files are folder-based, placed in each folder and containing descriptions for files and child folders in that folder. Optionally, exported HTML file can also contain active links to actual files and folders listed inside.

See Also
Export Descriptions to Media, Add/Update Disk Image


How did my catalog file get so big?

As WhereIsIt is a cataloging software, catalog has to hold all the data program has to work with. This includes media disk details, list of files and folders, as well as other optional information, including descriptions, assigned thumbnails, categories, etc. WhereIsIt's catalogs are optimized both for fast access and file size, and there isn't a byte wasted without a reason. Yet catalog files can still get pretty big, especially when used irrationally.

Basic information about the media, including all files and folders takes fairly little space, an average file or folder as little as about 30 bytes. In other words, if you have cataloged 100 CDs with as much as 5000 files or folders on each (an average CD has a few times fewer than that), you can expect a catalog file of about 15 MB. Unlike some would like to practice, removing parts of catalog data, or cataloging root folders only makes little sense when looking to save space, compared to what other data takes in catalog.

By far the most space in catalogs take thumbnails. Depending on size of cataloged thumbnails, an average thumbnail will take from 1.5 kB to 4 kB at maximum allowed size. Descriptions are often no better if not regulated, considering that WhereIsIt allows importing descriptions up to 32 kB in size. That's one reason why importing contents of whole text files as their descriptions is discouraged.

Analyzing data size in catalog files

WhereIsIt offers a simple tool for optimizing catalog file size, more specifically finding out which parts of catalog take up most space in catalog file. Go to the Catalog Info dialog, or call up catalog's properties, and click on the number showing the size of catalog files. In the dialog that shows up you can browse the contents of selected catalog file, while the dialog displays for each disk, folder, and group of files the size they occupy in catalog, and its graphical representation compared to other cataloged items. It's easy to find the most critical parts this way, and take appropriate actions if necessary. Once you find the parts taking up most of the catalog file, you can use the toolbar button to locate that part in catalog and take appropriate actions, or you can gather more such parts on the user list for later analysis.

Note that catalog file needs to be saved in order to use this tool.

Tips on reducing catalog file size
  • Remove all unnecessary thumbnails, or avoid generating them in the first place. This is usually the biggest space saver. You can have importing thumbnails turned off by default, and manually import them only where really needed. To remove thumbnails from already cataloged items, select wanted group of items, right-click one of them and select Remove Thumbnail. You can also use advanced searching to find items with assigned thumbnails of a specified size, which would allow you s to selectively remove large thumbnails only, for example.
  • Avoid importing large descriptions. Valuable and useful descriptions are typically small, containing only to-the-point information about the item rather than importing whole text files. You can also limit the max allowed size of imported descriptions (recommended 4 kB), or activate the formatting plugin set to limit descriptions to the specified number of lines.
  • If the contents of archive files is not needed in catalog, you can remove those as well to save some space. Select wanted archive files, right-click one of them, and choose the Remove Archive Contents command.
  • Using catalog compression is not recommended, unless the catalog in question is meant for archiving purposes, used for finding items only and is not likely to change any more. Compressed catalogs can save up to 40-50% in size, but they have some considerable disadvantages, including much slower searching and much worse data recovery and repair capabilities. Note that compressing catalogs with a lot of thumbnails has little effect on catalog file size, as thumbnails are already stored compressed.

See Also
Remove Thumbnail, Remove From Catalog, Remove Archive Contents, Properties


Script Language

Where Is It? has a simple script language, supporting some catalog-handling commands. The main purpose of script language is to make automated, unattended catalog updates possible.

Please note: Script language is available in registered version only.

See Also
Script Language Syntax, Using Script Files


Script Language Syntax

Syntax rules are kept as simple as possible. Each command is in a separate line, empty lines and lines starting with semicolon (;) are regarded as comments and are skipped. Each command starts with command verb, parameters, if any, are included in parenthesis ("()"). Each parameter has a name and value, in form of "name=value" - the name of the first parameter can be omitted, specifying only value. Some parameters are optional, text parameters are included in double quotes ("text"). You can find a short sample at the end of this page.

Command List

Optional command parameters are shown in square brackets ("[Param]").

NewCatalog( File, Name )

Creates a new catalog, and assigns it a specified file name and catalog name.

File

Full path to a file where catalog will be saved

Name

A name of new catalog

Example:

NewCatalog("C:\WhereIsIt\Catalogs\CatFile.ctf" Name="New Catalog")

OpenCatalog( File )

Opens existing catalog, by specified file name.

File

Full path to the catalog file or catalog group file to be opened

Example:

OpenCatalog("C:\WhereIsIt\Catalogs\CatFile.ctf")

SaveCatalog( File, [CreateBak] )

Saves one of loaded catalog files.

File

Full path of the catalog file to save. File must be opened in WhereIsIt.

CreateBak

Optional Boolean parameter (True or False), specifying if current version of catalog file should be renamed with *.BAK extension before saving the new file. Default is False.

Example:

SaveCatalog("C:\WhereIsIt\Catalogs\CatFile.ctf" CreateBak=True)

SaveCatalogAs( File, NewFile )

Saves one of loaded catalog files under a different file name. After saving is complete, catalog is known under a new file name.

File

Full path of the catalog file to save. File must be opened in WhereIsIt.

NewFile

Specifies a new file name for catalog.

Example:

SaveCatalogAs("C:\WhereIsIt\Catalogs\CatFile.ctf" NewFile="C:\Test.ctf")

CloseCatalog( File, [AutoSave] )

Closes specified catalog file, with optional saving first.

File

Full path of the catalog file to close. File must be opened in WhereIsIt.

AutoSave

Optional Boolean parameter. Specify "True" if you want changes in catalog to be saved before catalog is closed, or "False" to ignore all changes in catalog. Default is True.

Example:

CloseCatalog("C:\WhereIsIt\Catalogs\CatFile.ctf" AutoSave=False)

CloseAllCatalogs( [AutoSave] )

Closes all opened catalog files in WhereIsIt, with optional saving first.

AutoSave

Optional Boolean parameter. Specify "True" if you want changes in catalog files to be saved before catalogs are closed, or "False" to ignore all changes in catalogs. Default is True.

Example:

CloseAllCatalog(AutoSave=False)

UpdateDisk( Drive, [CatalogFile], [AllowNew], [BrowseArchive], [ArchiveDescOnly], [VirtualRoot] )

Adds or updates disk image in one of the loaded catalogs.

Drive

Specifies drive to scan, in form of "<drive_letter>:". If data for specified drive is found in catalog it will be updated, otherwise a new disk will be added in catalog.

CatalogFile

Specifies catalog file (full path) where add/update disk operation should be performed. This parameter is only needed if more than one catalog is loaded in WhereIsIt.

AllowNew

Optional Boolean parameter. Specify "True" if you allow adding a new disk to catalog, or "False" to allow only disk update operation. If parameter is false, and no matching disk is found in specified catalog to be updated, this command will report an error. Default is True.

BrowseArchive

Optional Boolean parameter. Specify "True" to allow browsing inside compressed archive files during disk scan, or "False" to treat archive files as all the rest. Default is the same setting as set in Where Is It? as default option.

ArchiveDescOnly

Optional Boolean parameter. Specify "True" to only import description files from compressed archive files, but no archive contents. Specify "False" to fully analyze archive files. Please note that BrowseArchive parameter must be True for this setting to have an effect. Default is True.

VirtualRoot

Optional parameter with virtual root setting. If you want to scan media with virtual root set to one of the folders, specify full path to virtual root folder in this parameter, including leading and trailing backslash, for example: "\Virtual\Root\".

Example:

UpdateDisk("F:" BrowseArchive=False VirtualRoot="\Test\")

RenameDisk( DiskImageName, NewName, [CatalogFile] )

Renames disk image identified by DiskImageName to NewName.

DiskImageName

Current name of the disk image in catalog which you want to rename.

NewName

A new name for the disk image.

CatalogFile

Full path of the catalog file where the disk image is located. Catalog must be opened in WhereIsIt. If only one catalog is loaded, this parameter may be omitted.

Example:

RenameDisk("TestDisk" NewName="RenamedTestDisk" CatalogFile="C:\WhereIsIt\Catalogs\CatFile.ctf")

DeleteDisk( DiskImageName, [CatalogFile] )

Deletes disk image identified by DiskImageName from the catalog.

DiskImageName

Name of the disk image in catalog which you want to delete.

CatalogFile

Full path of the catalog file where the disk image is located. Catalog must be opened in WhereIsIt. If only one catalog is loaded, this parameter may be omitted.

Example:

DeleteDisk("TestDisk" CatalogFile="C:\WhereIsIt\Catalogs\CatFile.ctf")

MessageBox( Text, [Header] )

Displays a simple message to the user, and wait until user clicks on the OK button.

Text

Text of the message to display.

Header

Optional text to display on dialog's header. Default is "WhereIsIt Script".

Example:

MessageBox("Hello World!" Header="My First Script")

Debugging( State )

Turns debugging mode on or off. In debugging mode, program will pause and display each command in script file before executing it. You can use debugging mode to check which command in your script file is causing the problem. Debugging is turned off by default when script starts.

State

"True" or "False" parameter. Specify "True" to select debugging mode, or "False" to turn it off.

Example:

Debugging(True)

DisplayErrors( State )

Selects if program will display error messages caused by running script in a dialog, and wait for user to respond, or will it just quit the script quietly. If your script file is doing some scheduled, unattended maintenance, it may be preferable that no errors are reported and program continues or exits immediately.

State

"True" or "False" parameter. Specify "True" to show error messages, or "False" to force program in quiet mode.

Example:

DisplayErrors(False)

EndScript

Ends the script execution, and continues with interactive work with WhereIsIt. To exit the program when script completes, use the ExitProgram command instead.

Example:

EndScript

ExitProgram

Terminates the current script execution and exits the program, optionally saving changed catalog files before doing so.

Example:

ExitProgram

Small script sample:

; This is a test script file for WhereIsIt

Debugging(False)
DisplayErrors(False)
OpenCatalog("C:\WhereIsIt\Catalogs\Sample.ctf")
UpdateDisk("D:", AllowNew=True)
SaveCatalog("C:\WhereIsIt\Catalogs\Sample.ctf")
CloseAllCatalogs
MessageBox("Script file completed.")
EndScript

See Also
Script Language, Using Script Files


Using Script Files

Script files in WhereIsIt?are similar in usage to regular DOS batch files, except in that they can be executed when WhereIsIt? starts. They are plain ASCII files, with one command per line syntax - detailed description of script language syntax is available on a separate page.

To write your own script file, you will only need a plain ASCII text editor like Notepad. WhereIsIt? script files should have extension WSC, for example "MyScript.WSC". Write your script program, and save it.

To run your script, execute WhereIsIt? with the "-script [script file]" parameter, for example "WhereIsIt - script MyScript.WSC". This will cause WhereIsIt? to immediately start executing your script file, operating in "quiet mode" and showing no visual indication that program is running. This way you can use script files for automatic updates in a background, without users being aware that program is running. How will your script file end execution is up to you. You can use the ExitProgram script command to terminate the program when your script completes, or you can use the EndScript command to allow WhereIsIt? to continue in normal, user mode. With the latter option, you have a chance to use scripts to automate tasks when WhereIsIt? starts, and then continue using the program. This way you can, for example, update catalog data every time Where Is It? starts, making sure that you always have the latest data available when program loads.

Since the main reason for script files is to allow scheduling automatic updates, you will probably need an external schedule program to run Where Is It? at desired times to perform an update. Windows provide a good schedule program, but there are some other available as well. All you have to do in any schedule program is only to setup WhereIsIt? to be run at desired time with "-script" and your script file as parameters.

See Also
Script Language, Script Language Syntax


Language Editor

Starting with version 1.10 the program uses language files in order to provide support for multi-language user interface. Each language file is in plain text format and can be edited by any ASCII editor; this way, you can make your own translations to unsupported languages, or modify specific user interface items, such as menu shortcuts.

Besides using an external ASCII editor, program also offers you the built-in Language Editor, the preferred method for translating or modifying language files. Language Editor can present you the data to be translated in more organized way, help you out with side by side presentation of original and translated text, and make some basic checks of data you entered.

The built-in Language Editor is available in program's settings dialog, "User Interface / Language" section.

Language Editor Layout

Language Editor has the same internal structure as language file itself, allowing you to easily switch between external ASCII editor and language editor. Please see a special page about language file structure if you are not familiar with it yet.

Note that Language Editor itself is always displayed in English language, for obvious reasons. This is the only part of program (besides system dialogs that are beyond program's reach) that can not be translated to custom language.

On the top of Language Editor window you will find a main toolbar. Buttons include creating a new language file, opening existing language file, and saving currently loaded language. There are also two buttons for searching in currently loaded language, and the last button toggles between wrapped and unwrapped lines in main edit boxes (if wrapping is enabled, lines too long to be displayed are wrapped in the next line; normal behavior in this case is to show a horizontal scrollbar).

Right under main buttons is a header section, displaying properties for selected language. Edit this data to modify it in language file header. Here you can also change font used in program when this language is active.

Translation Editor is the main part of Language Editor. On the left side, you will find combo box will all sections available and just below it a list of all items in currently selected section. The right side mostly consists of both edit boxes. The upper one is read-only and serves as a reference, showing text to be translated, while the lower edit box is for you to type the translated equivalent. Navigation buttons at the bottom allow you easy navigation through items (note the Alt+P and Alt+N shortcuts!), and the 'Revert' button can recall previous contents of translated data. Program can also scan all items in language file, and change all other items with the same data as the one just have just changes (this can save you repetitive work with some controls like 'OK' buttons, often appearing in dialogs).

See Also


Language File Structure

Language file is a plain ASCII text file, very similar to Windows' INI files (but not the same). Basically, it consists of header, sections and items within specific section. There is a short example at the end of this page.

Header

Header only includes descriptive information about the language file, such as language name, author, source language file used for translation, language file version. This information is mostly used inside Where Is It? to display user- friendly language name, to select appropriate source language in Language Editor etc.

Second part of header selects the default font and its properties to be used in program. Normally, this is MS Sans Serif. It is strongly recommended to leave font size to default, unless you have a very good reason for changing it! Charset depends on language it will be used; and will force Windows to use specific character set, even if it has to change font because of that. That means, if you force program to use specific character set, and user does not have specified font with this character set installed, Windows will choose different font! Because of that, it is recommended to leave charset set to default. For some Middle-East languages, you can also set the right-to-left reading to be used in program, if necessary.

When entering language name, please use the English name for the language, not a localized version.

Sections

Sections are groups of items than belong together. Most sections are in fact program's windows, with two exceptions mentioned later. Every section starts with a line with section name, enclosed in square brackets, like [STRINGS]. Lines with items belonging to this section are following, and empty line is marking end of section. In each language file you will find the following sections:

[STRINGS] - this section groups all text segments used in program that are not part of static user interface, for example messages, status bar text etc. Each item has an ID number as a reference for program to find it when needed.

[TIPS] - small section that holds tips about using the program - the same one you see when program starts. Each tip has assigned a reference number. To add new tips, just add a new line with new tip, and assign it a new reference number; program will pick it up from there.

other sections - all other sections are program dialogs. Names are internal, and can only give you a hint which dialog is presented with this section. Items in these sections are Windows controls, such as buttons, labels, check boxes etc. By translating item's value in language file, you are in fact changing text that will appear on button, label,... Many controls also support shortcuts - the underlined character in text that serves as a quick way to select that control in program when it is pressed together with Alt key. To create a shortcut, insert the "&" character before chosen letter. For example, button with text "&OK" will appear as "OK", and Alt+O shortcut will act the same way as clicking on that button.

Section items

Each item in section is represented as one line of text, starting with internal item name, following by "=" and item contents. The only thing you care about is item contents, item name is there only for program to use. However, it is often useful to know what are you translating, and from item's name you should be able to recognize if this is a button, label, check box, hint, menu option...

If any special characters need to be used, like line break, they are presented as three-digit ASCII-code numbers, preceded by character "/" (slash). For example, to insert a line break, you would insert "/013" in the text. Remember, each item must be presented as one single line of text (it can be a long one, but that's OK). If using internal Language Editor, you don't need to worry about any of this, program will take care of such conversions.

A short extract from the English language file (sample only):

LangName=English
LangSource=none
LangFont=MS Sans Serif
LangFontSize=0
LangCharset=Default charset
LangBiDiMode=LeftToRight
Author=Robert Galle
Version=3.00
InternalVersion=3

[STRINGS]
001=Unused buttons
002=Please check your windows registry, there may be more serious problem involved.
003=Error saving config
004=Folder "%s", set as temporary folder for extracting files does not exist!/013Reverting to default Windows temporary folder.
005=Invalid folder

[TIPS]
001=...this program is not free? By registering, you will support shareware concept and help developing new, more advanced versions. You will also receive a registration code to unlock the program to its full potential.
002=You can adjust size of buttons in a toolbar. Have a look in the program settings and resize them to fit your screen best.

[TMainForm]
MainForm=WhereIsIt?
ButtonOpen.Hint=Open Catalog
ButtonSave.Hint=Save Current Catalog
ButtonAddDisk.Hint=Add/047Update Disk Image in Catalog
ButtonSearch.Hint=Search for Items

[TMediaForm]
MediaForm=Insert Media
Label1=Please insert media labeled:
OKButton=&OK
CancelButton=&Cancel
ManualButton=&Manual Select

See Also


How to Translate

Translating process is most of the time nothing more than just converting text to another language. To start translating to a new language, first create a copy of existing language file, preferably the English one (in internal Language Editor, just press the New Language button, and save the new file under different name). Fill the language file header, select the source language, and you are ready to begin translating.

If using external ASCII editor:

In case you will be using an external text editor instead of the build-in Language Editor, make sure you do not change section headers (appearing enclosed in square brackets) and anything before character "=" in lines of text. Again, each item must be in one single line of text; if you need to insert a line break, use the "/013" text sequence instead.

When translating, there are some things to be careful about:

  • Try to make your translated data to be about the same length as the original English text. Try not to force it to maximum length possible, on some other display it may already appear truncated, even if you still can see it all. Program will try to adjust appearance to the new text wherever possible, but it can't do miracles. Be sure to verify how your translated data appears in the program.
  • When translating the [STRINGS] section, make sure there is the same number of %s appearances in your translated text and the original text (if you are using internal Language Editor, program will check that for you, too). %s is a special placeholder for data that will be inserted during program execution. For example, in text 'Filename: %s', the %s will get replaced with actual filename, and text will show to user as, for example, 'Filename: Test.txt'.
  • When entering main menu shortcuts (like Ctrl+O and similar), make sure not to assign the same shortcut to more than one menu item. The same goes for using '&' shortcut in control's texts: only one control on the form may have assigned specific hot key (for example, having controls '&OK' and 'Butt&on' on the same form is illegal, they both have set 'O' for a hot key).

See Also


Language File Structure

Technical Information : Translating Where Is It?

Updating Existing Language File

In many cases, translations for older versions of Where Is It? are already available and those can be used instead of translating a new language file from scratch. Where Is It? can automatically prepare and update older language files for the current version of WhereIsIt, leaving only new or changed items to be translated.

To reuse an older language file and update it for the current version, just open and re-save it in the Internal Language Editor, found in program's User Interface settings. After that you can perform the translation as you would with a new language file, except most of the data will already be translated.

See Also


Frequently Asked Questions

  1. Registration and purchase
  2. Installation
  3. Using the program
  4. Troubleshooting
1. REGISTRATION AND PURCHASE

Q: | Why should I register?
A: | WhereIsIt? is not a free software, a lot of time and effort has been invested in making of this program. WhereIsIt? is released as shareware, allowing you to test it for a limited period of time (14 days). If you plan to continue using the program after that period, you are required to register. Evaluation version also has some limitations that are removed when the program is registered and unlocked.

Q: | How can I register WhereIsIt?
A: | The fastest way to register Where Is It? is to use the online registration form and pay with your credit card. Orders are handled by DigiBuy, using a secure connection. You can expect to receive your registration details by e-mail within the next 24 hours. Regular mail delivery is also available. More details and link to online ordering form can be found on WhereIsIt's home page: http://www.whereisit-soft.com, in the help file, or in the Order.txt file, included in Where Is It? package.

Q: | I don't have a credit card, or don't want to use it. Can I still register?
A: | Yes, some other ways are available, too. Most often used are sending a personal check (cheque, in some countries), or cash, by regular mail directly to the author's address. Both e-commerce vendors collecting orders for WhereIsIt, ShareIt! and DigiBuy, can accept either credit card orders (online and offline), as well as some other payment types, such as checks, bank/wire transfers, purchase and money orders etc. You can find more details in the Order.txt file, or you can consult the "How to Order" wizard in the Help menu, describing in detail all available options for registering WhereIsIt.

Q: | Do I need to re-register new versions of WhereIsIt?
A: | No, you don't have to, your license is valid for all future versions of WhereIsIt as well. If I am in any way forced to change this policy, it will not be done without discussing it with currently registered users first. Please note that you may need updated registration details such as key files in order to be able to unlock a major new release of WhereIsIt.

Q: | I'm a registered user of previous major WhereIsIt release, how can I unlock the current version.
A: | Each major Where Is It? version uses its own registration system and a different set of license keys. When a new major version is released, all registered users are e-mailed a new registration package, which includes the appropriate license for the new version as well. If you need to receive a copy of your current registration details, there is a form available on program's web site where you can place a request.

Q: | I'm working for a company and we would all like to use WhereIsIt. Are there site licenses available?
A: | Yes, site licenses are available for WhereIsIt. When placing an order, just include the appropriate number of licenses in your purchase, and select that you would like to have them issues as a single site license for specified number of users. Discounts are available for purchases of 5 or more licenses at once. You can find more details about placing orders and pricing in the Order.txt file.

2. INSTALLATION

Q: | Should I uninstall previous version of WhereIsIt? before installing a new one?
A: | This is not necessary if you will install new version in the same folder. Just run the setup program, and program will upgrade itself. If you would like to install program to different location, then uninstalling is recommended. Please note that your catalogs will not be deleted while uninstalling, but you will have to configure the program again since old settings will be removed.

Q: | How can I uninstall WhereIsIt?
A: | Just open the Control Panel, select "Add/Remove programs" option, and double-click WhereIsIt's entry on the list. If you have created program group for Where Is It? when installing, you can achieve the same by clicking the "Uninstall WhereIsIt" icon in WhereIsIt's group.

Q: | Can I be notified about new versions?
A: | Yes, you can, if you have a working e-mail address. A free mailing list is available for all Where Is It? users - notifications about new versions and current development news are posted there. You can add or remove yourself from Where Is It? Mailing List at any time from WhereIsIt's home page, located at: http://www.whereisit-soft.com .

3. USING THE PROGRAM

Q: | Does Where Is It? run on Windows 3.1, or Windows NT 3.5x?
A: | No, sorry, WhereIsIt? relies on technology not yet provided with these operating systems. You will need at least Windows 95 or Windows NT 4.0 to run WhereIsIt.

Q: Is there a size limit on catalogs, or how much data can Where Is It? handle? Is there a slow down when working with large catalogs?
A: The only limit are your system capabilities and some common sense practical usage. The theoretical limit per single catalog file is 2 GB in size, which is the equivalent of about 70 million files and folders with moderate use of descriptions, or about 120 million, if using catalog compression in version 3 (not recommended). Practical limits are lower than that though, operations like searching or saving on such large files are likely to take too long to be still comfortable to use.
The usual size of catalog files would be up to a couple hundred MB or so, however that's your call. There are a few customers who have their catalogs over 1.5 GB in size (a disk image of corporate network server), and are still satisfied with performance. That's a bit extreme though, a wouldn't recommend pushing it that far. In any case, no one says that you must have just one catalog - in fact you don't usually work with such large collections. Where Is It? can have opened multiple catalogs at once and use them as one, for example when searching for something. If a single catalog becomes to large for comfortable usage, you can always break it apart into more catalogs. This also gives you the ability to open only those catalog files in your collection that you actually need at the time, and allows you to better organize your collection from the grounds up.
As far as speed against quantity is concerned, it's pretty much linear - twice as much data will take twice as long to search. Largest catalogs also take longer to save changes to and require more free space on the hard disk (at least as much as the size of catalog). Other operations are hardly affected with large catalogs, the program only loads parts of catalogs actually needed at the time and there isn't much difference if the catalog is 1 MB or 1 GB in size.
The only thing you would have to look out for when working with large catalogs is not forcing the program to load too much data at once. In real life usage this only happens with too liberal search expressions; for example, items that are listed on one of the lists have to be loaded in memory, therefore doing a *.* search on 1 GB catalog may not be a very good idea. If working with very large catalogs, it is recommended to always have a limit set on allowed number of search hits to prevent too heavy memory load.

Q: | How can change the order of disks, displayed in left tree pane?
A: | The same way as you would change order of files or folders - by sorting them in the right pane. Select the parent catalog entry in the tree view, so your disks are displayed on the right side, and sort them by clicking the appropriate column header. Changes in disk order will be reflected on tree view, too. If you are using Where Is It? 3.00 or newer, you can also use drag&drop to manually reorder your disks on the list, or your can use the Ctrl+Alt+ [Up] or [Down] to move selected disk(s) on the list.

Q: | Can I delete specific files or folders from catalog if I don't need them?
A: | Not in the older Where Is It? 1.xx, but version 2.00 and newer do support such modifications, too. Older Where Is It? 1.xx honors the data integrity in catalog, always assuring that data as stated in catalog resembles as much as possible the real data on your media. The only exception are hidden files, or special items like Recycle Bin, that can be set to be skipped during the disk scan. Version 2.0 will allow you to freely remove any selected item from catalog, although overusing this feature is not recommended.

Q: | How can one print an alphabetical list of all files in the catalog?
A: | The easiest way to do that is to use searching in combination with report generator. First, you have to get a list of all items that you would like to print - searching for all files with "*.*" mask should do the trick in this case. Sort resulting list by file names, and click on report generator button. Be sure to selected the "Print data in list 'as is', no sorting" option, in order to preserve items order as they are in search results list (nicely alphabetically sorted). Just select the columns you want in report, and that's it. Searching in combination with report generator is a very powerful and adjustable tool for making all kinds of reports. You can do a lot with it, but you will need to get a bit creative. For some more examples you can check out the "How to..." section in the help file.

Q: | Can I export my database to be used in some other program?
A: | Exporting cataloged data is a part of report generator, meaning you can select yourself which data and in what details will get exported. Report generator supports a few different export destinations, including text files (regular ASCII files, tab-separated, or comma-separated), MS Excel tables, RTF documents, HTML documents, SQL scripts, XML documents...

Q: | How about importing catalogs from some other programs or databases?
A: | Importing third-party catalogs is not supported or possible, for many reasons. WhereIsIt's catalogs are not just a list of files and folders, there are a lot more details gathered or calculated during scanning the media that are later required for catalogs to function properly, including media recognition, CDDB queries, file system details, using catalogs independently on other systems etc. Third-party data simply doesn't contain the necessary information to create a functional WhereIsIt catalog out of it.

Q: | I have set the Description Assistant to import text files as descriptions, but this doesn't work.
A: | Auto-importing descriptions is not what Description Assistant (DA) does. DA is an interactive tool, designed to help you when manually editing your descriptions. For more details about DA, consult the help file and be sure to read the next question, too. A plugin to import user-defined text files as description as also available, however due to some considerations with this functionality it is not distributed as a part of Where Is It? and is not officially supported. You can download it as a separate package from program's home page.

Q: How can I remove descriptions or thumbnails from all items in the catalog?
A: There is no function that would say "delete all thumbnails in catalog", just as there is no similar function saying "delete all thumbnails on this disk", or "delete all thumbnails in first, fifth, and seventh folder". There are no such shortcuts available in Where Is It? if there is a more generic way that can handle all that. The Remove Thumbnail command works on all selected items at once - just get all the files you want to remove thumbnails from on a single list, select the whole list, right-click one of selected items, and select Remove Thumbnail. To get a catalog-wide list of all files, the simplest way is to use the "find in this catalog" command and search for *.* ... Similarly, this also allows you to selectively remove thumbnails from certain items only, for example, from *.bmp files located on certain disks only. The same goes for descriptions as well; select all wanted files, right- click, select Properties, and assigned all selected items a common description (which may as well as be empty).

Q: | How can I get the program to import my own descriptions during disk scan, or add support for importing thumbnails from new types of files?
A: | WhereIsIt 2.xx and newer address this problem with description plugins, working over Description API. Basically, it is a way to provide users with ability to include or even write their own description plugins, extending program's ability to handle other, currently unsupported description and thumbnail sources. For example, if you would like to import your *.txt files as descriptions, you could write a simple description plugin for this task. It will be plugin's responsibility, however, to provide the text to be used for description in any way it can. As far as Where Is It? is concerned, it will just say to your plugin during the disk scan: "Hey, you said you can get me description for parent folder from *.txt files, so here is a folder with some .txt files in it, let me have up to 32 kB of description text then". The full documentation and a sample about DescAPI and writing description plugins is available in the [WhereIsIt]\DescAPI folder.

4. TROUBLESHOOTING

Q: | I get a "Debugger detected - please close it down and restart!" message when I start WhereIsIt.
A: | To begin with, make sure you are not running a debugger like SoftIce on your system, WhereIsIt will not run if a debugger as active. There are two known problems causing this message, both resulting from third-party software using debugger-like approaches. If you have an AMD processor and use ULEAD graphics software products, remove or rename amdfix.sys. If you have an Audigy 2 soundcard, turn off the welcome screen in its drivers. This issue is not limited to WhereIsIt, the same two are well known for causing similar error messages in many other programs and games which look out for debuggers.

Q: | WhereIsIt 3.xx reports an error message immediatelly after starting and then exists. I'm running Windows 9x/ME.
A: | This is a known issue with ZoneAlarm (Pro) 3.0 - it's a Zone Alarm's problem, not WhereIsIt's. ZoneAlarm 3.0 is known to mess in some way with a registered version of WhereIsIt and makes it crash. The issue is limited to Win9x/WinME only, ZoneAlarm 3 doesn't cause problems in Win2000 or WinXP. Shutting down Zone Alarm before starting WhereIsIt effectively solves the problem, while older Zone Alarm 2.6 doesn't cause this crash. Reportedly (unverified), ZoneLabs fixed the problem in a newer version of ZoneAlarm Pro 3.0.118.

Q: | My computer locks up when I try to display the Settings dialog, and there are no icons visible in main menu's Settings options.
A: | Please make sure you are using the latest final release of your video drivers - this is a known problem with an older beta version of ATI Rage Pro drivers. It may occur with other video cards as well. For ATI Rage Pro based video cards, the latest video drivers were reported to solve the problem.

Q: | When I click the CD-ROM drive button in the Add/Update dialog, my computer locks up, or I have problems with scanning any CD-ROM media in general.
A: | Check your ASPI drivers. While ASPI layer is not mandatory for Where Is It? to run, it is used when found, as it handles CD-ROM drive access and helps with calculating CDDB query details. Note that certain third-party ASPI drivers, commonly shipping with CDR software are not standard and can cause problems in Where Is It? and other applications using ASPI layer. If you are experiencing problems accessing CD-ROM drives in WhereIsIt, installing original Adaptec ASPI drivers may help to resolve the issue. Alternatively, you can also use the "-noASPI" command-line parameter to disable ASPI layer support in WhereIsIt. Avoid using this parameter if adding audio CDs to catalog, as ASPI is required for proper CDDB handling. To disable using ASPI in WhereIsIt, start the program with the following parameter: "WhereIsIt.exe -noASPI", or modify the shortcut accordingly.

Q: | Error is reported immediatelly when displaying Add/Update Disk Image dialog. I'm running Windows 9x/ME.
A: | Fix ASPI drivers on your system, see above. Reinstall ASPI driver layer and reboot. You can confirm this is an ASPI issue by using "-noASPI" or "-noCDmediatype" command-line parameters.

Q: | I have problems with scanning certain media, what can I do about it?
A: | Such problems are usually a result of damaged media that can't be read correctly (a scratched CD-ROM, for example), as well as of damaged, corrupted or otherwise invalid files on the media. In case of damaged media there is not much program can do about it, but with corrupted files you can temporarily turn off some advanced scanning features like browsing inside archive files and description plugins. You should be able to catalog any readable media, in worse case by turning off all advanced features and let the program do just a simple scan of media contents. See also the Troubleshooting Media Scanning for more detailed information.

Q: | Searching doesn't work - error is reported, searching gets stuck, or the program just quits unexpectedly while searching.
A: | Those are all samples of a typical behavior of a corrupted catalog file, searching is always the first one to stumble on problems with corrupted catalog data. The first thing to do is to try to rebuild the affected catalog file, using the "File / Rebuild Catalog File" command. What this one does is read the whole catalog file piece by piece, and puts it together again from the scratch, leaving out the damaged parts. This function also has modest recovery capabilities, however it does require that catalog is still readable as a whole. In case rebuilding catalog doesn't work, it should be enough to locate the exact disk with the corrupted part, delete it from catalog, and re-add it again by a doing new scan.

Q: | Localized characters in filenames or in descriptions are not imported correctly. Can you make Where Is It? support my local language and characters?
A: | WhereIsIt already supports all language variations and local characters. If file or folder names are missing localized characters, which appear to be replaced with similar ANSI characters (like missing diacritics), very likely you don't have your Windows setup properly for the language you are using. Make sure everything is set correctly in Control Panel / Regional Settings, especially language and region related settings. If the problem is with descriptions having their localized characters replaced with characters like '+', '-' and similar, you are using the "DOS Graphics Characters Filter" formatting plugin. Don't use this plugin with text that is not in pure ANSI code, many languages use their own localized characters in places where graphics characters are supposed to be, and they get converted as well.

Q: | No descriptions are imported when scanning my media, what can I do?
A: | Check if description modules are loaded and enabled, and check if description plugins are enabled and in suitable priority order. Also, make sure that you are not using any option that is reserved for special cases only - for example, the "Import existing descriptions from other disks in catalog" should be disabled by default as it requires a lot of resources and can even cause problems or instability during scanning.

Q: | The CDDB plugin doesn't seem to be working, only generic description are imported.
A: | There are two plugins that can handle Audio CD tracks, the CDDB plugin and generic Audio CD plugin. Make sure that CDDB plugin has assigned more priority than Audio CD plugin, or CDDB will never get to be used in the first place. Generic descriptions can also be assigned if CDDB plugin was not successful in retrieving descriptions - because of there is no Internet connection, your audio CD is being used by some other application and CDDB plugin can't access it, or just because it is not listed in CDDB database or results returned were not reliable. Please also note the fact that if you are updating disk image in catalog, existing descriptions are always kept unless specifically instructed otherwise.

Q: | I can't get the program to accept my license key file.
A: | Make sure that your key file is named "License.key" if you are using WhereIsIt 3.xx, or "WhereIsIt.key", if using Where Is It? 2.xx. Note that those are two different key files, each for its respective version of WhereIsIt. The key file must be located in the same folder as program's .exe file (NOT, for example, in the same group on your desktop where you have a shortcut to WhereIsIt...)

Q: | I'm using WhereIsIt illegally with a fake license file, and I have a problem. Can you help me?
A: | (Question moved to Recycle Bin)

Q: | I think I have found a bug. Where and how can I submit reports about found problems?
A: | You can send a description about any problem you find to the author (bug.report@whereisit-soft.com). Please be sure to check if you are using the latest version of the program, the problem may have already been addressed in the current release. When describing your problem, follow the guidelines and provide relevant data - try to include as much information as possible for author to be able to repeat the problem - reproducing the error is the first and most important step to solution. Please also include a short description of your computer, including WhereIsIt and OS version that you are using.


Troubleshooting Media Scanning

Although Where Is It? is able to handle and recover from a vast majority of problems it may encounter during media scan, in most cases without any visual indication on the outside, there may still be some cases where problems are not recoverable, or are simply outside WhereIsIt's control. Note that while WhereIsIt is the one masterminding the scanning operation, a notable part of time is spent in part of code that doesn't belong to WhereIsIt, such as system drivers accessing individual drives or devices, or external plugins, trying to retrieve descriptions or thumbnails to be added to catalog. Where Is It? does not include any kind of functionality to access the media directly, Windows' drivers take care of that.

Unrecoverable errors almost always show in either of two ways - the scanning is aborted with an error message, or it appears to be stuck. In the case of the latter, you should be able to cancel the process manually using the Cancel button in the progress dialog. Where Is It? uses a separate thread to perform media scanning, and as long as the system itself is still responding, the Cancel button will work, too.

Unable to access drive at all

This always indicates a problem outside WhereIsIt, either on hardware or system level. All drive access WhereIsIt needs and uses is provided by Windows and its drivers. Make sure the drive is properly operational under Windows before trying to catalog it with WhereIsIt.

Accessing the drive through Explorer is a basic method of verifying the drive works, but being able to work with it in Explorer doesn't necessarily mean everything is working fine, Explorer uses only basic functions while accessing the drive. A rather common type of driver related failure which doesn't affect Explorer at all is with CD/DVD drives - improperly installed, non-standard or misfunctional ASPI drivers are by far the main cause of problems when cataloging CD or DVD type disks. Locks up when selecting CD/DVD drive, or unusually slow scanning are typical symptoms when other types of drives like hard disks and floppy disks can be cataloged normally. As ASPI/SPTI functions provide advanced functions beyond basic browsing only, Explorer is unlikely to experience problems even with bad ASPI drivers. Reinstalling proper ASPI drivers is a simple solution.

See also the Troubleshooting FAQ.

First thing to try: a simple scan

There are A LOT of possible combinations on how the same media can be scanned, depending on active scanning options. On one hand, you can do just a simple scan, without having any of the advanced options, such as description plugins, archive files browsing, file CRC calculations, etc. Simple scan is the fastest way possible for given media, access to the media is limited to absolute minimum, and it doesn't involve any kind of complex processing - it is more or less comparable to performing a simple DIR command and cataloging its result. When you encounter a media that can not be added to catalog due to problems during scanning, it is always recommended to try to scan it with all advanced options turned OFF. Unless there is a problem with the media itself, accessing the drive, or Windows configuration handling this drive, all chances are that scanning the media this way will be successful. If even the simple scanning fails, you will need to address the problem outside WhereIsIt, as it is very likely you will have problems accessing that media from other programs such as Explorer as well.

If scanning the media succeeds with all advanced options turned off, you can assume there is nothing wrong with the device or its setup, and the problem has to do with the data on that media, either physical or logical. As the advanced options like plugins need to access and read far more data on the media, chances are that part of this data may not be readable, or is in some way corrupted or otherwise invalid. For example, there may be a damaged part of the media (like a scratch on CD-ROM surface) that one of the plugins need to access, or you may have an otherwise normally readable file, but with a corrupted contents. In some cases you can draw a valid conclusion just based on the way the problem manifests - for example, if scanning stops when reaching a certain part of media, and you can hear the drive repeatably trying to read the media, you can safely guess there is a problem with reading a certain part of data.

The next step would be to try to locate the problematic file or part of the media. If you are happy just to get your media cataloged as it is, using a simple scan only, you can as well as call it a success and be done with it, however it is recommended that you investigate further. Chances are that the problem was caused because part of the media, or files on it are damaged or unreadable, and you may want to find out more about it.

See also how to use a special plugins debugging mode in order to find out which plugin and which file on the media are causing problems. In order to avoid the problem, you can either turn off the offending plugin, or use some other way to avoid processing file causing problems, like listing the file among files to be skipped during scanning in program's settings.

Hint: In most cases, problems occur in connection with thumbnail plugins, as they are by far the most complex ones. In current versions, WMF and TIFF thumbnail plugins are suspected to have problems with certain rare files of those types - you can begin by trying to turn these two plugins off. If you encounter a TIF or WMF file that is causing problems, please contact me in order to provide a sample of such file.

Narrowing down the source of the problem

In order to find out which of the advanced options (active plugins, archive files scanning,...) is related to the problem, you can begin turning them back on and see which one causes scanning to fail. In most cases, this will turn out to be one of the plugins, as they access the widest variety of files. Of course, you will need to repeat scanning a few times in order to find which option or plugin makes the difference.

You can save yourself some time by trying first to locate the problematic part of the media, and use the "Folder Limitations" option to scan that part of the media only. You can speculate on the part of the media based on the scanning progress dialog - if scanning gets stuck, you can always see which folder is being processed at that time, or if it is aborted due to an error, the name and path of the last file being processed is reported as well. Those can be valuable hints on whereabouts of the problem, although don't rely too heavily on them. Some problems are not so "nice and friendly" to cause the error right away - the error message may be triggered later while the actual problem occurred some time before that. This can get an entirely innocent file to be blamed for an error. You may want to keep such cases in mind when scanning succeeds on a part of media where has failed before, or vice versa.

If you were successful in pinpointing the source of the problem, you now know exactly which folder on the media contains a damaged or otherwise problematic file, and which advanced option, most likely plugin, is connected with the problem. You can further narrow down the choices of files in located folder by connecting them with the plugin in question - for example, if you have found the plugin to be "Audio Files", which handles *.mp3 and *.wav files, you are looking for one on these files on your folder. If there is a suspicion that one of those files is causing problems, you can try to copy them to a new folder and try to find the culprit through the process of elimination. Also, note that not all plugins deal with files, some may handle disks themselves, or try to retrieve data through special channels that you may also want to inspect for problems - for example, the CDDB plugin retrieves descriptions about audio tracks by connecting through the Internet.

I have found the file causing the problem, now what?

Check if the file is damaged, or otherwise invalid or unreadable. If so, remove it from the media and/or replace with the correct version, where possible. If this can't be done, you can try to scan the media in a way that won't try to process the damaged file. The simplest way in to turn off the plugin that handles this type of files before scanning the media, however this will cause all such files on the media not being processed. To avoid this, you can use a simple trick - once scanning with plugin disabled completes, select to update just scanned disk image, select full plugins, but also use the Folder Limitations option and remove the checkbox from folder containing the damaged file. This way you will have full disk image, and all folders but one will be scanned with full options as well.

If the file you have located to be causing problem while being processed with one of the plugins is valid and normally readable, there is a chance there may be a problem with the plugin itself. Some types of files come in multiple versions and variations, and not all of them may be supported by the plugin. If the plugin is one of the standard ones, included with WhereIsIt, you may want to contact the author of Where Is It? about this issue. Chances are that the plugin can be modified based on your sample to better handle such cases in the future. If sending a note to the author, please do not attach any files, especially not long ones, until asked to provide a sample for analysis.

See Also


Troubleshooting Media Scanning

Troubleshooting

Debugging Plugin Problems

WhereIsIt includes a special command-line switch that can be used to debug media scanning problems, related to one of the active plugins. Occasionally, plugins may fail while trying to process certain files on the media, for any number of reasons - either because media is damaged and file is not readable, or because file itself is corrupted, unsupported, or otherwise invalid, causing the plugin trying to make some sense out it to fail. While most such failures are transparent and do not interfere with scanning, some may result in unrecoverable errors and will prevent scanning to succeed.

The main problem in such cases is to find out exactly which plugin is the one having problems, and which file on the media was being processed at that time. Knowing this, you could prevent the file in question being processed the next time media is scanned, for example by temporarily turning off the plugin that handles files of that type.

Activating Plugins Debugging Mode

In order to locate the source of the problem, Where Is It? supports a special "-debugplugins" command line parameter. When used, all plugins activity during media scan is logged to the Plugins.log file, located in the same folder as WhereIsIt. To activate plugins logging, start Where Is It? with "- debugplugins" parameter, for example:

WhereIsIt.exe -debugplugins

The Plugins.log file will include an entry for every occasion when plugin was activated, stating exactly which plugin was activated, what kind of plugin is that, which file was it set to process, and whether it has successfully completed its task or not. In order to use the log file, just start WhereIsIt with the above parameter and scan your media as usual, let the scanning fail. If scanning appears to be stuck on the same spot for a long time, use the Cancel button to cancel scanning, or, in worse case, use Task Manager to kill off the process. Open the Plugins.log file in your favorite text editor and scroll to the end of it - the last line will contain the entry for plugin that was last executed, and the name and location of file on the media plugin was set to process. If the problem has indeed occurred inside this plugin, log entry will be missing the closing "OK" mark at the end, stating that plugin has successfully completed its task and returned control to WhereIsIt.

Please note!
Do not use the "-debugplugins" on regular bases. In average scanning operation there is a lot of plugins activity and log file can become a very large one. You will also notice a considerable performance drop and possibly heavy hard disk activity while plugins logging is enabled - this is normal and intentional, as the program has to make sure all writes to the log file have been actually written before each plugin executes, just in case if plugin would fail.

See Also
Troubleshooting Media Scanning


Script Language Syntax

Troubleshooting

Selecting the default language

If, for any reason, you would like to switch back to default English language, and are unable to do so in program because you can't understand or correctly display currently selected language, you can run the program from command line with this special parameter:

WhereIsIt.exe /English

This will effectively run the program in English language, ignoring the current language setting.

See Also
Translating Where Is It?


Ordering Information

Ordering Information

Where Is It? is a shareware program. You may test the program out at no charge for an initial trial period of 14 days since the day of installation. If you want to continue using WhereIsIt? shareware edition after that period you must register. The registration fee is set to $39.95 USD (excluding VAT, if applicable) and is payable in US dollars, or the equivalent in other accepted currency. You will receive the registration details that allow you to unlock the shareware version by e-mail - if you would like to receive the program and registration data by regular mail on a CD-ROM, please add $6.00 USD for shipping and handling to the price.

You can register the program and send your registration fee in more than one way. Most often used are credit card orders, but you can also order with a corporate purchase order, wire the registration fee via bank transfer, or send cash or personal check via regular mail. More details about placing an order are available on a separate page.

When your registration form and fee have been received, you will get your own personalized registration data to register the shareware version and unlock it to its full capabilities. Unless requested otherwise in your order, this data will be sent to you by e- mail.

Registration benefits

After receiving the license fee, each registered user in entitled to:

  • A personal registration code, to unlock current and all future releases of shareware version, available on the Internet. This way, you can always use the latest version of this program, and enjoy all new features.
  • Optional program delivery on a CD-ROM, including all add-ons such as plugins, translations, help files, etc. for additional payment of $6.00 USD shipping and handling.
  • Access to a free mailing list to be notified about program's latest news and current development.
  • Free priority technical support via e-mail for a period of six months.

Registration benefits can be suspended if registered user had violated license agreement, for example by distributing his personal registration data to other unlicensed users.

The latest version of WhereIsIt? can always be found on program's home Page on the Internet (http://www.whereisit-soft.com). As a registered user, your license will be valid for all new versions of this software, allowing you to unlock new shareware releases and use them to their full potential. If registration details are changed between major versions, all registered users will receive registration updates via e-mail, allowing them a free upgrade to the new major version as well.

PRICING AND CURRENCIES

The base price for single WhereIsIt? license is defined in US Dollar currency, and is $39.95 USD. When ordering multiple licenses or a site license, the following prices are available:

WhereIsIt? License Prices

Licenses | Discount | Price per License
1-4 | 0% | $39.95 USD
5-10 | 10% | $35.95 USD
11-50 | 15% | $33.95 USD
51-100 | 25% | $29.95 USD
more than 100 | 40% | $23.95 USD
* Prices not including VAT (EU customers only - see below)

By default, ordered licenses are delivered by email. Shipping a CD-ROM, containing your license, the latest version of the program, all plugins, language files and other add-ons is also available, for additional $6.00 USD shipping and handling fee. Expected delivery time is 10-14 days in Europe, and 2-3 weeks overseas.

Currencies

Placing orders in USD currency is recommended. Payments in other currencies are also available when placing an order through ShareIt!, as the equivalent to the USD price by current exchange rates. ShareIt will provide the appropriate daily price if currency other than USD is selected.

ShareIt! currently accepts payments in the following currencies:
US Dollar, Euro, Argentine Peso, Australian Dollar, Brazilian Real, Canadian Dollar, Chinese Yuan Renminbi, Hong Kong Dollar, Indian Rupee, Japanese Yen, New Zealand Dollar, Norwegian Kroner, Pound Sterling, Russian Rouble, Singapore Dollar, South-Korean Won, Swedish Krona, Swiss Franc, Taiwan Dollar.

If placing an order directly with the author, such as sending a personal check or cash, please use USD or Euro currency.

VALUE ADDED TAX (VAT, TVA, MwSt, BTW) - For European Customers Only

The prices shown above are exclusive of VAT.
All orders within EU member countries will be subject to VAT. VAT Tax may be applicable if you are a private (non-corporate) customer in the European Union. Corporate customers providing a valid VAT ID number are not charged VAT, except if Slovenian residents. Corporate customers that do not specify a VAT ID number can also receive the VAT paid back after the fact from their financial authorities.
The following scenarios apply:

  • For Slovenian residents the Slovenian 20% VAT will be applied.

  • If customer is NOT an EU member country resident or company, no VAT is charged.

  • For residents in the European Community
    ( Belgium, Cyprus, Czech Republic, Denmark, Estonia, Finland, France, Germany, Greece, Hungary, Ireland, Italy, Latvia, Lithuania, Luxembourg, Malta, Netherlands, Poland, Portugal, Slovak Republic, Slovenia, Spain, Sweden, United Kingdom )
    your VAT-ID ( Value Added Tax Identification Number ) is needed or the Slovenian 20% VAT will be applied.

If VAT applies to your order, it will be added to the product price. The total price, including any applicable VAT, is displayed for you before the order is submitted.

The built-in "How to Order" wizard

You may want to use the built-in "How to Order" wizard to decide which is the best way for you to register this program. The wizard will present and describe all available options to you, let you choose the best options for your specific case, and help you to either place the order online or to print out the already filled order form based on your selections. Using this wizard does not force you into any commitments until you actually place the order - you can just run the wizard to learn about possible options, or print an order form to send in later. You can find the "How to Order" wizard in the Help menu.

See Also
How to place the order, How to Order Wizard


Place an Order

Below are described the available options on how to place an order for WhereIsIt. If you are not sure which way to choose to register WhereIsIt, try out the "How to Order" wizard. This wizard will explain in details all available ways how to order the program and will guide you through necessary steps. You can use the wizard to order the program, or just to get acquainted with available options how to do it - there are no obligations until you actually place an order outside this wizard. This wizard is also the most appropriate way to fill and print an order form if ordering through regular mail.

Placing an order with ShareIt
Credit card orders, bank transfers, checks and cash.
Placing an order with DigiBuy
Credit card orders, purchase orders, and checks.
Placing an order directly with the author
Checks or cash.
ALL OF THE WAYS OF PLACING AN ORDER MENTIONED BELOW ARE EQUIVALENT AS FAR AS THE PRICE AND THE END RESULT - YOUR BECOMING A REGISTERED USER - ARE CONCERNED. YOU CAN JUST SELECT THE WAY THAT SUITS YOU MOST.

Placing an order through ShareIt!

There are two vendors available where you place your order for WhereIsIt, usually - but not necessarily - using your credit card. This is by far the fastest and most often used way to register WhereIsIt, and is recommended to all customers as the first choice.

Using ShareIt! is especially recommended to the European customers as they have an European office based in Germany as well as USA-based one, and can accept payments in both USD and Euro. ShareIt can accept all major credit cards used these days, including Eurocard / MasterCard, Visa, American Express, and Diners Club - credit card orders can be placed online through a secure, VeriSign certified site, or, if you prefer, sent by fax using a special form. Also available are other forms of payment, such as bank/wire transfers, or sending checks or cash to the ShareIt! office.

To place an order through ShareIt!, please select the desired number of licenses and click the button below. ShareIt! will guide you through the ordering process in a few easy steps. All necessary information and instructions will be provided to you from there, as needed.

Placing an order through DigiBuy

You can order Where Is It? with your credit card through alternative vendor as well. DigiBuy can accept all major credit cards in use today, including MasterCard, Visa, Amex, and Discovery, as well as some other forms of payment, such as corporate purchase orders, or checks. If you will be ordering online using your credit card, DigiBuy provides a secure connection to transfer your credit card details, as well as some other ways like phoning or faxing in your credit card data if you are not comfortable with sending it over the Internet. Online credit card processing is done in real- time and you will immediately receive the feedback, as well as your order receipt by e-mail.
After your order is placed and processed, DigiBuy will notify me within one business day of your order and I will ship the product directly to you (sending you registration details by e-mail, or the whole software package on a CD-ROM by regular mail, if so requested).

To place an order with DigiBuy, please click the button below. You will get the DigiBuy's online order form for WhereIsIt, where you will be able to place your order in a few easy, guided steps. All necessary information will be provided to you as needed during the process.

Place an order with DigiBuy

Sending a personal check or cash directly to the author

Placing and order through ShareIt! or DigiBuy is the preferred, often the fastest way, and not necessarily reserved for online credit card orders only. If you don't have a credit card, you don't want to use it on the Internet, or you would prefer to place an order directly with the author, you can do so by sending a personal check ("cheque" in some countries) or cash by mail, in an envelope, to the author's address:

Robert Galle
Pavsiceva 36
SI-1370 Logatec
Slovenia, Europe

In case of sending a check, please make sure your check is made payable to "Robert Galle". Please note that personal checks are always issued by your bank - the author can not accept similar payment orders issued by post offices in some countries.

EUROCHEQUES ARE NOT ACCEPTED
The author can no longer accept Eurocheques at this time. Please use a personal check instead. If you have no other option but to use Eurocheque, you can still place your order through ShareIt!. Just start their online order form, and select "check" as a payment option.

Please always include the Order Form together with your payment. You can print the appropriate Order Form directly from the program. Just start WhereIsIt, select the Help / How to Order Wizard menu option, and follow the wizard. The How to Order Wizard will print the Order Form for you, based on your selections and data, including all price calculations.
Alternatively, you can print the plain text version of Order form as available on this line, and fill it up.

See Also
How to order Where Is It?, How to Order Wizard, Plain Text Order Form


Registration Form - Text version

                             O R D E R    F O R M

                         WhereIsIt? (current version)

      Name    ___________________________________________________

      Company ___________________________________________________

      Address ___________________________________________________
              ___________________________________________________
              ___________________________________________________

      Phone   ___________________________________________________

      E-Mail  ___________________________________________________

      Where did you first hear about WhereIsIt?
      ___________________________________________________________

      [ ]  Send me my registrations details by e-mail

      [ ]  I would like to receive the program and registration data
           by regular mail, on a CD-ROM (add $6.00 USD for shipping
           and handling).

      --------------------------------------------------------------

      Registration fee calculation:

        Quantity  _______  x  $39.95 USD   =  _________ USD

        If ordering more than one license:

        [ ]  Issue one site license for specified number of users
        [ ]  Issue individual licenses for specific users. Please
             include a list of "User Name" / "Company" pairs for
             each ordered license.

        Available quantity discounts and site licenses:

        [ ]  5 - 10 licenses         =  -10% ($35.95 USD / license)
        [ ]  11 - 50 licenses        =  -15% ($33.95 USD / license)
        [ ]  51 - 100 licenses       =  -25% ($29.95 USD / license)
        [ ]  more than 100 licenses  =  -40% ($23.95 USD / license)

        + $6.00 USD shipping and handling per issued license if set
          to receive on a CD-ROM by regular mail

                                     ------------------------------

                                 NET ORDER VALUE  =  __________ USD

      VALUE ADDED TAX (VAT) - FOR EUROPEAN CUSTOMERS ONLY:

      - For Slovenian residents: 20% VAT applies.

      - For residents in the European Community

       ( Belgium, Cyprus, Czech Republic, Denmark, Estonia, Finland,
         France, Germany, Greece, Hungary, Ireland, Italy, Latvia,
         Lithuania, Luxembourg, Malta, Netherlands, Poland, Portugal,
         Slovak Republic, Slovenia, Spain, Sweden, United Kingdom )

        your VAT-ID ( Value Added Tax Identification Number )
        is needed or the Slovenian 20% VAT will be applied.

        VAT-ID: ___________________________________________________

      - For customers outside of European Union: no VAT is charged.

                  20% VAT Value (if applicable)  =  __________ USD

      --------------------------------------------------------------

                                     ==============================

                       TOTAL (ORDER VALUE + VAT) =  __________ USD

        If currency other than USD is used:

             Currency used:      _____

             Exchange rate:      $1.00 USD = __________ _____

             Total for payment:  __________ _____

      Registration fee is:

        [ ]  included in this mail as cash
        [ ]  included in this mail as personal check
        [ ]  Other: _____________________________________________

      Date:                                    Signature:


Contact Information

Contacts

WEB SITE:

http://www.whereisit-soft.com

MIRROR SITES:

http://www2.whereisit-soft.com
http://www3.whereisit-soft.com

E-MAIL ADDRESSES:

Customer Support: support@whereisit-soft.com
Ordering Information: orders@whereisit-soft.com
Bug Reports: bug.reports@whereisit-soft.com
Lost Key Files: keyfiles@whereisit-soft.com
Web Site Issues: webmaster@whereisit-soft.com

Please do NOT send e-mails with long attachments unless specifically asked to do so. All e-mails with large, unasked for attachments are deleted automatically at the moment they reach the server. Attaching 1 MB file to your e-mail is a guarantee your message will not reach anybody.

MAILING ADDRESS:

Robert Galle
Pavsiceva 36
SI-1370 Logatec
Slovenia, Europe


Sending Bug Reports

If you encounter a problem with the program that may be a result of a programming error, you can report it to the following e-mail address:

bug.report@whereisit-soft.com

While all bug reports are welcome, they need to contain relevant information if they are to be of any use, especially all necessary details on how to repeat the problem. "It doesn't work" type of reports are of no help. The goal of your bug report is not to describe the error message dialog, for example, but rather the events leading to it. Almost always the first, the most important and necessary step to fixing a problem is to find a way how can it be repeated - once this is established, fixing it is usually done in a matter of minutes.

Please note!
Before sending a bug report, always make sure that you are using the latest release, or at least check the development history if the issue was already addressed in one of the subsequent releases.

Details to include in bug report

Always include in the message your system configuration, such as operating system used, and exact version of Where Is It? (you can find it in the Help/About dialog, or -better- by right-clicking the WhereIsIt.exe file in Explorer and checking the Version tab in its Properties dialog). Also include any other system configuration details that may be related to your problem - for example, if it is a printing problem, include the type of your printer, connection details (local/network) etc. If the problem results in any kind of error message, write it down exactly and include with your report, or include a snapshot of the error dialog ONLY. Try to specify whether the same problem occurs always or just sometimes, and under what conditions. Note that many problems will likely be data-related, meaning that your catalog file and the contents in it may play an important part.

What not to include in a bug report

Do not attach big screenshot images unless they are truly relevant to the problem and contribute a great deal to the presentation and of the issue in question. If sending a screenshot, do not send uncompressed BMP files, choose a compressable format such as GIF or JPEG. Do not send attached catalog files larger than 100 KB - if a data sample is necessary to repeat and investigate the problem, you will be contacted back.

Please do NOT send e-mails with long attachments unless specifically asked to do so. All e-mails with large, unasked for attachments are deleted automatically at the moment they reach the server. Attaching 1 MB file to your e-mail is a guarantee your message will not reach anybody.

Guidelines to follow when submitting a bug report

For your reference, you can follow these guidelines to help you send a useful report:

  • Version of Where Is It? used

    (right-click the WhereIsIt.exe file in Explorer and check the Version tab)

  • Your operating system type and version

  • Quick summary of your hardware

    (CPU type, speed, memory installed, video device type, video driver version, other details that may be relevant to the problem)

  • How does the problem exhibit

    (error message reported, if there is one, or a descriptions of what has happened)

  • What were the actions preceding the problem, when did the problem occur

  • How can the problem be repeated in your case

    (try to be as detailed as possible here, step-by-step instructions are among the best)

  • Any of your own observations related to the problem

    (anything else you may have noticed, such as details that a problem may only appear after doing something else first. Figuring out an error is often like being a detective; every useful hint can help fill in the puzzle, or at least direct the investigation into the right track)

See Also
Development history


Compare Cataloged Data Result

These are the results of comparing two groups of cataloged items, like selected disk images or folders. Results are grouped into four lists, showing files that were found only in the source group, files that are the same in both source and target group, those which were found in both groups, but are no longer the same, and files only present in the target group. One of those lists is displayed at the time, in a main part of Compare Results window; you can select which list to view using the buttons on top of this window.

Files only found in the source group of disks and folders

Displays all files existing in the source group, but not found in the target group.

Files found to be the same as in the target group

Displays all files that were found to exist and be the same in both source and target groups. The top lists shows found files in the source group, while the bottom one contains their corresponding entries in the target group. These files are matching based on selected compare criteria, such as size, date, location, CRC, etc.

Files found to be similar or changed

Displays all files that are matching by name, but not in other selected criteria. Such files may just be similar, or they were either changed or moved to a different folder. The top window lists files in the source group, while each of the files shows its counterpart(s) in the bottom window, found to be similar but not the same.

Files only found in the target group of disks and folders

Displays all files existing in the target group, but not found in the source group.

The most common functions for file manipulation are available on the toolbar, as well as on file's pop-up menus. Toolbar is dockable to any side of list window, or can be made floating. If you close the Compare Results window, you can call it back with the option available in Window menu.

See Also
Compare to Media Result, Compare Files to Catalog Result, Compare Catalog Data


Compare Files to Catalog Result

Results of comparing files against catalog data are presented as three lists, one of them is visible at the time. You can select which list to view using the buttons on top of this window. The three lists are as follows:

Files not found in selected catalog

Here are listed all files from your source folders that were not found in selected catalog. These files are not stored on any media in the selected catalog.

Files found to be the same as in selected catalog

Files listed here are files on the media that match completely (based on selected criteria) at least one file from your source folders. The bottom window shows the equivalent files in catalog for currently selected file on the media - If the file appears more than once in a catalog, all appearances will be listed here.

Files found in the catalog, but only matching file name or size

Files on this list are files on the media that match by name or size at least one of your source files, but do not match them by other selected properties, like size or date. Most likely, these files have changed since last catalogued, or they may not be related at all, despite having the same name or size. The bottom window shows the list of files in catalog, found to be a possibly related to the currently selected file on the media.

You can access the most common functions for item manipulation on the toolbar, as well as on item's pop-up menus. Toolbar is dockable to any side of list window, or can be made floating. If you close the Compare Results window, you can call it back with option available in Window menu.

See Also
Compare to Media Result, Compare Cataloged Data Result, Compare Files to Catalog


Compare to Media Result

Results from comparing disk or folder to real media are displayed in a special window. Results consist from four lists, each containing either new files, changed files, deleted files, or files that have stayed the same since last cataloguing. One of those lists is displayed at the time, in a main part of Compare Results window; you can select which list to view using the buttons on top of this window.

New files on media, not yet in the catalog

Displays all files that do not exist in the catalog, but are present on the media.

Files that did not change since last cataloguing

Displays all files on the media that stayed unchanged. Files listed here have the same size, date, and location in the catalog as well as on the media. The top lists shows actual files on the media, while the bottom one contains their corresponding entries as found in catalog.

Files that have changed since last cataloguing

Displays all files that have changed on media, either files themselves or they were moved to a different folder. The top window lists actual files as found on the media, while each of the files shows its resembling or previous state files as they were previously cataloged in the bottom window.

Deleted files since last cataloguing

Displays all files listed in the catalog, but no longer found on media.

The most common functions for file manipulation are available on the toolbar, as well as on file's pop-up menus. Toolbar is dockable to any side of list window, or can be made floating. If you close the Compare Results window, you can call it back with the option available in Window menu.

See Also
Compare Files to Catalog Result, Compare Cataloged Data Result, Compare to Media


.topic 10000
In this dialog, you can add or update disks in the catalogs. Select the drive-button with the media to process, enter its name as it will be stored in the catalog and select the catalog to update with the selected media. More options are available if you press the Advanced button.

.topic 10001
Here you can enter the name of the disk you are about to add or update. By default, program will select either existing name (if available) or the volume label.

.topic 10002
Select the catalog you would like to update with the selected media.

.topic 10003
You can set here a folder limitations for currently selected drive. You can choose to skip certain folders during disk scan, or you can select a folder to act as a virtual root. Check box on the button will indicate if any of these limitations are currently active.
Virtual root is a special way to add disks to the catalog (normally, you will not use it). Instead of normal root folder (C:\, for example) it can take any other folder to be treated as root of a new, virtual drive - similar to DOS SUBST command. This can be useful if you would like to break down your folder structure to smaller parts, using them as virtual disks.

.topic 10004
This option will enable browsing inside supported compressed files such as ZIP, ARJ, RAR, ARC... Each such file will be presented as a special folder, containing compressed files in that file. Without this option checked, compressed files will be treated no differently as any other files. (Please note that enabling this option may result in a noticeably larger catalog files due to extra data).

.topic 10005
Displays the list of available plugins to be used during disk scan. Plugins are used to import descriptions for files and folders (description plugins), additionally format imported descriptions (formatting plugins), and import thumbnails - small images - from graphics and similar files (thumbnail plugins). You can select which plugins you want to use in this session and which not.

.topic 10006
If checked, this dialog will be displayed again when disk scanning is complete, ready to take on the next disk while using the same settings.

.topic 10007
With this option checked WhereIsIt? will search for comments embedded inside some compressed files supporting this option. This is not the same as some files with description compressed inside archive files, it is about native compressed file's description capabilities. If such description is found, WhereIsIt? will use it to describe the compressed file.

.topic 10009
Check this option to enable importing descriptions for files and folders from all other disks in the catalog. If program will find the same file or folder to be on any other disk in the catalog, and have a description, it will copy this description to the newly added file or folder. Please note that using this option may prolong scanning time as well as cause problems in extreme cases, and this option is always off by default.

.topic 10012
Select the drive button containing the media you would like to add or update in the catalog.

.topic 10013
Check this option if CRCs are to be calculated for all files during disk scan. CRC codes are calculated from the contents of each file and are used to determine whether or not the file has changed. Chances that two different files would produce the same CRC code are very small. CRC codes in WhereIsIt are only used with scanning for duplicates and similar tasks.

WARNING!
Enabling this option will have a heavy impact in scanning performance, as every byte in every file has to be read from the media. This option is NOT recommended to be used by default, unless you really need it.

.topic 10014
Closes this dialog and begins importing or updating disk, using the selected settings.

.topic 10015
Closes this dialog and returns to main window, without any action performed.

.topic 10016
Displays some hints and guidelines on how to handle a media that fails scanning.

.topic 10017
Status bar will let you know what drive is currently selected and if its media was found to be in the selected catalog. Media will be regarded as same if it has the same type, size, volume label and serial number as the one currently stored in the catalog.

.topic 10018
Check this option to eject media after cataloguing is complete. Please note that not all drives support this feature.

.topic 10019
If this option is checked, program will only browse compressed files to check for descriptions to import. The contents of archive file (list of files compressed inside) will not be imported into catalog.

.topic 10020
When updating existing disk image, program can perform only a quick scan on archive files, noticeably speeding up the process. If archive file did not change in date or size since last scan, the existing contents of archive file will be preserved instead of browsing this file again.

.topic 10021
Enter here a number assigned to disk. This number must be unique inside current catalog, and should be in range of 1 to 65535. You can use this number if you keep your media referenced by disk numbers.

.topic 10022
Check this option if you want that WhereIsIt stops after media scanning has completed, and pops up a special dialog with disk preview where you can enter disk's description.

.topic 10023
Locates the existing disk image in selected catalog, selecting it in the main window. Note that there may be more than one matching disk image if you have the same media cataloged more than once, or if multiple different media have the same properties like volume label, serial number, formatted size, etc. This button locates the first found match in catalog.

.topic 10024
Check to keep existing descriptions for items that have not changed since last cataloging. This minimizes using description plugins during media update and allows scanning to complete faster than usual. If a file has changed (i.e. it has different size or date), current description will not be kept and a new one will be imported, if available. Using this option also allows keeping manually entered or edited descriptions, and prevents them to be overriden by new descriptions imported by plugins.
This is the default and recommended setting.

.topic 10025
Check to always import new descriptions, if available, and replace existing ones. If a new description is not available, the current one will be kept. Use this option to force importing new descriptions and replacing existing ones.

.topic 10026
Check to discard all existing descriptions and only import new ones instead. None of existing descriptions will be kept, and only newly imported descriptions will be available in the updated disk image.

.topic 10027
Check to keep existing alias names for items that have not changed since last cataloging. If a file or folder has changed (i.e. it has different size or date), current alias name will not be kept and a new one will be imported, if available.
This is the default and recommended setting.

.topic 10028
Check to always import new alias names, if available, and replace existing ones. If a new alias name is not available, the current one will be kept. Use this option to force importing new alias names and replacing existing ones.

.topic 10029
Check to discard all existing alias names and only import new ones instead. None of existing alias names will be kept, and only newly imported aliases will be available in the updated disk image.

.topic 10030
Check to keep existing thumbnails for items that have not changed since last cataloging. This minimizes using thumbnail plugins during media update and allows scanning to complete faster than usual. If a file or folder has changed (i.e. it has different size or date), current thumbnail will not be kept and a new one will be imported, if available.
This is the default and recommended setting.

.topic 10031
Check to always import new thumbnails, if available, and replace existing ones. If a new thumbnail is not available, the current one will be kept. Use this option to force importing new thumbnails and replacing existing ones.

.topic 10032
Check to discard all existing thumbnails and only import new ones instead. None of existing thumbnails will be kept, and only newly imported thumbnails will be available in the updated disk image.

.topic 10033
Selects details about updating disk images. Here you can select how existing descriptions, aliases and thumbnails will be handled when updating disk image - will they be kept, discarded, or replaced with newly imported versions.

.topic 10100
Check to make toolbar visible, uncheck to hide toolbar.

.topic 10101
Check if toolbar should be visible in a separate window instead of docked to one of the main window's borders.

.topic 10102
Adjust the size of buttons in toolbars. Use this if you think buttons are too small or too large.

.topic 10103
Check if you don't like the new border-less buttons. If checked, buttons in toolbars will be normal, raised buttons instead, like in old programs.

.topic 10104
Choose the border where toolbar will be docked in main window. This option has no meaning if toolbar is floating in a window of its own.

.topic 10105
Check to display status bar at the bottom of the main window.

.topic 10106
Check to display "Previous Folder" item, commonly known as ".." folder. This item represents the parent item, and can be used to return one level up if double-clicked or selected.

.topic 10107
Check to display item's descriptions as too-tips. If item has a description, and you leave a mouse over this item for a moment, the description will pop-up in a separate window.

.topic 10108
Adjust how long to wait before description will pop-up, in seconds.

.topic 10109
Adjust how long description will stay on screen if not manually removed, in seconds.

.topic 10110
Selects how compressed archive files should be regarded when sorting items. They can be treated either as other files or as folders. If this checkbox is checked, archive files will be sorted together with folders, instead of together with other files.

.topic 10111
If checked, one of random selected tips about using this program will be displayed each time you run the program.

.topic 10112
If this option is checked, program will save modified catalogs by itself on every "n" minutes. You can select the "n" to be between one minute and 240 minutes.

.topic 10113
Double-clicking a file can have one of the supported meanings. You can select your desired action here.

.topic 10114
Click this button to run the Quick-Setup Wizard instead of this dialog. Setup Wizard is more suitable for beginners and does not include all the options available here, only the most important ones.

.topic 10115
Closes this dialog and saves any changes you have made.

.topic 10116
Closes this dialog box without saving any changes you have made, and cancels all changes.

.topic 10117
Saves and activates all the changes you have made without closing this dialog box.

.topic 10118
Selects how file and folders sizes will be presented in columns. If not checked, sizes will be displayed as plain numbers with decimal separators (default), for example 665.795. If checked, sizes will be translated to appropriate units instead, for example 650.2 kB.

.topic 10119
If checked, program will create backup (.BAK) file when saving a catalog. If catalog already exists on disk when modified catalog is saved, then the old catalog file is renamed with .BAK extension, and the newly saved catalog takes place of the old file. If this option is not checked, old catalog file is not preserved.

.topic 10120
Select a default path where program would store and load catalog files from. You can use the 'Browse' button to select the appropriate folder.

.topic 10121
Selects internal ASCII viewer for viewing files.

.topic 10122
Selects external program as an ASCII viewer. In the edit box enter a full path and file name of your favorite viewer program (this can be, for example, Notepad) - this program will be launched every time you will select to view a specific file. Command line can include any number of parameters you wish to add, or any parameter macros provided by WhereIsIt (%1 in command line will be replaced by select item's filename, while %2 represents folder's filename).
You can use the Browse button to help you select the external program.

.topic 10123
In this window you can customize the main toolbar layout. Buttons and separators are displayed in the same order as they appear on toolbar; you can change order with Up and Down buttons. To insert a separator after the selected button, press the Add Separator button, and to remove button or separator from toolbar, press the Remove button. Unused buttons are collected at the end of list, in a special section. To add button back to toolbar, select it and press the Add button.

.topic 10124
Moves selected button or separator to front of toolbar.

.topic 10125
Moves selected button or separator to back of toolbar.

.topic 10126
Adds selected button to toolbar, if unused button is selected, or removes selected button or separator from toolbar.

.topic 10127
Adds a new separator line after currently selected button.

.topic 10128
Indicates that adding unused button to toolbar is in progress. Click with your mouse to a place on toolbar list where you would like to insert selected button, or move selection with your cursor keys and press Space. if you would like to cancel adding button to toolbar, press Escape.

.topic 10129
Check to display keyboard shortcuts inside button tool-tips. If the function assigned to some button is available via keyboard shortcut, this shortcut will be appended after button's description.

.topic 10130
Check to always use short filenames as parameters when running external program. This option can be useful if program is not able to handle long filenames properly, like old 16-bit Windows programs.

.topic 10131
If checked, program will disable smooth scrolling of tree window while expanding or collapsing nodes. Both operations will be performed at once, instead of displaying animated effect, causing sometimes unwanted delays. Smooth scrolling is only available on systems with newer version of Comctl32.dll library installed (included with Internet Explorer 4.0, for example)

.topic 10132
Selects optional external shell program, to be used instead of Windows Explorer with 'Open in Explorer' command. In the edit box enter a full path and file name of your favorite Windows shell program (for example, Windows Commander). Command line can include any number of parameters you wish to add, or any parameter macros provided by WhereIsIt (%1 in command line will be replaced by select item's filename, while %2 represents folder's filename). The default command line used by WhereIsIt to start Explorer is EXPLORER.EXE /select, "%1". To use Windows Explorer again (default setting), leave the edit box empty. You can use the Browse button to select external program.

.topic 10133
Check to automatically remove description pop-up window after specified period of time.

.topic 10134
Reloads language data from language file. You can use this button to force program acknowledge changes you made to language file since program is running.

.topic 10135
Selects one of available languages to use. Press Apply button to activate new language after selecting.

.topic 10136
Runs the Language Editor, where you can make your own translations or change existing language data.

.topic 10200
Select the part of user interface to change the font for. You can set a different font for each part of program listed here.

.topic 10201
Use your custom font for selected part of user interface. Click on 'Select Font' button to choose your custom font.

.topic 10202
Use the system default font for selected part of user interface. Program will use the same font as other programs do.

.topic 10203
Choose your custom font for selected part of user interface. Currently selected font is displayed on the right, and font sample is available under this button.

.topic 10204
Here you can see a font sample for currently selected font.

.topic 10300
Select the sources where to import descriptions from during disk scan, and select priority if description is available from more than one source (higher is more priority).

.topic 10301
Move selected description source higher, to assign it more priority.

.topic 10302
Move selected description source lower, to assign it less priority.

.topic 10303
Check this option to truncate all descriptions longer than "n" lines while importing. Only the first "n" lines will be imported.

.topic 10304
Keep this option checked to preserve existing descriptions on disk scan - only if item does not have description already, program will try to import it from media. If option is not checked, all current descriptions will be deleted and new descriptions will be imported from media.

.topic 10305
If this option is checked, program will suggest old disk name from catalog as media name. If not checked, default name will always be media volume label.

.topic 10306
If checked, do not catalog any hidden files on the media, just ignore them.

.topic 10307
If checked, do not catalog any hidden folders on the media, just ignore them.

.topic 10308
If checked, do not catalog Recycle Bin folders and their content, just ignore them.

.topic 10309
Sometimes many disks can have the same serial number and properties, and program can not tell them apart. With this option checked you allow the program to change disk's serial number if another disk with the same number is found in the catalog. This way, program will be able to tell apart those two disks the next time.

.topic 10310
Before trying to change the disk's serial number, ask the user first if that is OK.

.topic 10311
After cataloguing disk, eject media from drive. This option may not be supported for all drives, but should work with most removable drives and CD-ROMs.

.topic 10400
If checked, program will open each of supported archive files and catalogue its contents, too. Archive file will be presented as a folder, and compressed files inside the archive file will be visible as folder contents. Note, however, that using this option may produce noticeably larger catalog files due to extra data and disk scan will take longer to complete.

.topic 10401
Check or uncheck each of supported archive file formats. Only selected file formats will be checked for their contents during the disk scan.

.topic 10402
If this option is checked, program will not import archive file's contents, only look inside for description files. This way, archive file will be presented as any other file, but if description is compressed inside, it will be imported.

.topic 10403
When updating existing data in the catalog, program can speed up the process by using quick scan on archive files. If file has not changed since it was last catalogued, it will not be browsed again, but previous data will be preserved instead.

.topic 10404
Sometimes program needs to extract files from archive file for viewing, launching etc. Enter a full path to folder when such files can be extracted to (default is Windows temporary folder).

.topic 10405
Select in folder tree the folder to extract temporary files to.

.topic 10406
When extracting entire archive file, check this option to restore entire folder structure from archive file if available.

.topic 10407
If program extracted some temporary files while running, these files will be still on disk when program exits. You can choose what to do with them: should program clean after itself and delete this files from temporary folder, should it just leave them as they are and exit, or should it ask you what to do.

.topic 10500
Enter here filename or file mask to add to the list. Some common examples are "file_id.diz" or "*.txt".

.topic 10501
This is the list of files and file masks that will be considered interesting when looking for description files. All files matching at least one of criteria listed here will be on the description-files list in Description Assistant. The order of files will be the same as is the order of items in this box.

.topic 10502
Click on this button to add the filename or file-mask in the left field to the list.

.topic 10503
Moves selected item(s) higher on the list.

.topic 10504
Moves selected item(s) lower on the list.

.topic 10505
Deletes selected files or file masks from the list.

.topic 10506
When Description Assistant looks for files, it can look in sub-folders of current folder, too. To enable searching in sub-folders, check this option. You can also limit how deep in sub-folders should it search.

.topic 10600
Check to enable auto-loading catalogs. When program starts, catalogs listed below will be loaded and ready to use. (Only available in registered version)

.topic 10601
This is the list of catalogs that will be loaded on program start-up, if auto-loading is enabled. Catalogs will be loaded in the same order as listed here.

.topic 10602
Moves selected catalogs higher on the list.

.topic 10603
Moves selected catalogs lower on the list.

.topic 10604
Adds a new catalog to auto-load list.

.topic 10605
Removes selected catalogs from auto-load list.

.topic 10700
Displays the tree of defined categories in current catalog. Categories can be organized in tree structure, forming levels of sub-categories.

.topic 10701
Lists defined flags in current catalog.

.topic 10702
Lists defined disk locations in current catalog.

.topic 10703
Adds a new category to the tree. The new category will be added at the same level as currently selected category is.

.topic 10704
Adds a new category to the tree. The new category will be added as a subcategory to currently selected category.

.topic 10705
Changes assigned color to currently selected item. Colors are used for coloring items in the program, by their assigned categories, flags, or disk locations.

.topic 10706
Removes selected category from the tree. Note that deleting category will also remove all references to this category in the entire catalog.

.topic 10707
Copies list of categories from another loaded catalog. Categories that don't yet exist is current catalog setup will be merged to category list.

.topic 10708
Enter here a name for a new flag to add, and click the Add Flag button.

.topic 10709
Adds a new flag to the list, using the name in edit field on the left.

.topic 10710
Assigns a new name to currently selected flag.

.topic 10711
Removes currently selected flag from the list. Note that deleting a flag will also remove all references to this flag in the entire catalog.

.topic 10712
Copies list of flags from another loaded catalog. Flags that don't yet exist is current catalog setup will be merged to flags list.

.topic 10713
Enter here a name for a new disk location to add, and click the Add Location button.

.topic 10714
Adds a new disk location to the list, using the name in edit field on the left.

.topic 10715
Assigns a new name to currently selected disk location.

.topic 10716
Removes currently selected disk location from the list. Note that deleting a disk location will also remove all references to this location in the entire catalog.

.topic 10717
Copies list of disk locations from another loaded catalog. Locations that don't yet exist is current catalog setup will be merged to locations list.

.topic 10718
Moves selected item higher on the list.

.topic 10719
Moves selected item lower on the list.

.topic 10720
Moves selected category one level higher.

.topic 10721
Moves selected category one level lower.

.topic 10722
Shows the list of stored custom icons in current catalog. These icons can be used to replace standard icons for disks, disk groups, and folders in catalog.

.topic 10723
Adds one or more new custom icons to the list. Icons can be added from standalone icons files (*.ico), or they can be extracted from other application files (*.exe, *.dll, etc.)

.topic 10724
Removes currently selected custom icons from the list.

.topic 10725
Moves selected icons to the left.

.topic 10726
Moves selected icons to the right.

.topic 10727
Copies custom icons from some other loaded catalog. Icons from selected catalog will be added to the above list.

.topic 10800
Enter the title of your report here. Program will try to set it by itself, based on the current report contents.

.topic 10801
Create report from one of the lists available, like search results, user list, compare results, or current contents of the main window.

.topic 10802
Create custom report, by visually selecting which disks, folders or files to include in the report.

.topic 10803
Select here the target for your report. You can print it on any print-capable device on your system (includig fax), preview it on screen, or export it as various forms of ASCII file, Excel table, rich-text, or HTML document.

.topic 10804
Click this button to setup settings for currently selected report location.

.topic 10805
Prints or exports your report, whatever is currently selected as report target.

.topic 10806
Shows you the report as it would be printed on paper.

.topic 10807
Opens a new dialog to customize your report. You can select printer, paper size, fonts used for report etc.

.topic 10808
Closes this dialog and returns you back to where you selected printing report.

.topic 10809
Selects one of the lists as the source for the report. Program will auto-select this setting, based on where you have selected printing report from. Note that only lists that are actually available at this moment will be enabled for selection.

.topic 10810
Selects how columns will be generated when saving report to ASCII file:
- space-aligned columns are normal reports, with columns separated by one or more spaces to provide alignment.
- report with TAB (ASCII code 9) character separating the columns can be very useful if you plan to later import this report to some other program, like spreadsheets or MS Word. It will not look very nice when viewed as ASCII file, though.
- reports with columns separated by comma character (,) are also often used as a source to import data in some other database format.

.topic 10811
Shows you the printer currently selected for printing reports. To change the printer or its settings, click on this text, or click the 'Report Setup' button.

.topic 10812
Check to include specific headers in the report. If items in report are sorted by their source, program can group and mark by headings all items originating from same catalog, disk, or folder.

.topic 10813
Select this option to replace all TAB or comma characters, if you have selected TAB or comma-separated columns in the report. This option will replace all separator characters that would normally appear somewhere in the report with whatever you enter in the following box (max. 5 characters).

.topic 10814
Select columns and define their order, as you want them to appear in the report.
Unless report is selected to be generated without reordering items, you can choose one or more columns to sort items by. Check the box in the Sort column to sort items in report by that column. The arrow indicates ascending or descending sorting - to change this, click the arrow image. If more than one column is selected for sorting, numbers behind columns indicate their priority; items are first sorted by column marked with (1.), then by (2.), etc.
Each column can either have automatic width (default, adjusts column width to the widest item displayed in that column), or a fixed width, specified in mm, inches, or pixels. Adjusting colum widths is not available if report is selected for exporting to certain file formats.

.topic 10815
Moves selected column one step higher, so it will appear more on the left side.

.topic 10816
Moves selected column one step lower, so it will appear more on the right side.

.topic 10817
Includes all columns on the list in the report.

.topic 10818
Removes all columns from report, leaving it empty.

.topic 10819
Copies the order and state of columns from the source list. This way, reports will appear in the report the same way as you can currently see them on screen.

.topic 10820
Generate report with items ordered the same way as they appear in the source list, no sorting other than present is applied.

.topic 10821
Check to sort items in report by their source. Items, originating from same catalog, disk, or folder will appear listed together, and equipped with folder, disk, and catalog headings. Items within each heading are sorted according to column settings. This option is disabled if sorting items by source doesn't make sense (for example, if generating report for contents of Main Window, all items have the same source).

.topic 10822
In this tree, you can visually select the layout of your custom report. In short, disks and folders that are visible in this tree will be included in report. Most disks and folders also have checkboxes on the left side; those select if files directly located in this folder will also be included in report. You can use the "Macros" button to perform larger operations on selected item, like expanding to specific level, or including files in sub-folders.

.topic 10823
Here you can find a few useful macro commands to perform on the currently selected item. Those include expanding "n" levels ob sub-items, collapsing all sub-items, and including or excluding files in the next "n" levels of sub-items.

.topic 10824
Loads previously saved custom report layout from a file. Please note that the catalogs used in saved report must already be loaded.

.topic 10825
Saves currently selected report layout to a file.

.topic 10827
Check to disable Excel's input and refresh during export. It is recommended you keep this option checked, exporting will be much faster this way.

.topic 10828
Check to disable table formatting in Excel. Normally, program would not only export data, but also set fonts and cell sizes as well. You can disable this if you don't want formatting, and exporting will be noticeably faster, too.

.topic 10832
Check to sort items in report by one or more report columns, as defined in the right window. If no columns are selected to be sorted by, the order of items will remain unchanged compared to the source list.

.topic 10833
Change the width of currently focused column. Column width can be either automatic and column will adjust to its data, or it can be fixed to a predefined value.

.topic 10834
Check to sort items in report by assigned categories. Items belonging to the same category will be listed together, optionally with a header announcing the category. Within each category, items are ordered according to column settings.

.topic 10835
Check to include category headers in the report. Each group of items belonging to certain category will be announced in report by a special header.

.topic 10900
Opens the standard Print Setup dialog, allowing you to adjust your printer settings and select which printer to use.

.topic 10901
Selects the units used in this dialog for margins and paper size.

.topic 10902
Set the margins used when generating the report.

.topic 10903
Select paper size to be used for generating the report. Make sure this size is set the same as the actual paper size, supported by printer. Generally, it is better to select paper size here than leave it to the default setting.

.topic 10904
Width of currently selected paper. Read-only field.

.topic 10905
Height of currently selected paper. Read-only field.

.topic 10906
Selects portrait or landscape paper orientation for your reports.

.topic 10907
Selects if currently selected section will appear in reports. Here you can remove sections you do not want in your reports.

.topic 10908
Selects the font and color to be used for selected report section.

.topic 10909
Selects the background color for currently selected section. Using this option, you can produce colored bands for titles etc. Default is 'White'.

.topic 10910
Selects the font color for selected report section.

.topic 10911
Selects one of the available report sections to setup. For each section, you can select if it will appear in reports or not, and choose its appearance (font and color).

.topic 10912
Check this option to include icons in the report.

.topic 10913
Check to force a page break before this section starts. For example, if you have selected the Disk Heading section and checked this option, every disk heading will begin on a new page.

.topic 10914
Check to use thumbnail images instead of regular associated file icons in the report, for items that have thumbnails available.

.topic 11000
Enter complete path to folder with files to compare against catalogued data.

.topic 11001
Browse for folder with files to compare against catalog data.

.topic 11002
Check to include all sub-folders of selected folder in compare procedure, too.

.topic 11003
Select disks and catalogs to include in compare procedure. Please note that selecting too much data (more than one catalog) can mean a lot of processing, and may take a long time to finish.

.topic 11004
Includes all currently opened catalogs in compare procedure.

.topic 11005
Excludes all data from compare procedure, allowing you a fresh start with selecting disks and catalogs.

.topic 11006
Selects when two files are considered to be the same. Check data options that must match for two files to be considered the same (at least filenames must always match). Data left unchecked will be ignored when comparing files. For example, if files are to be considered the same when they have the same name, size, and date, check the options for size and date/time and leave the rest unchecked.

Note: the CRC condition is applied a bit differently as it is - unlike the rest - optional and may not be available for all files in catalog. CRCs will be used where available, however if it is not available in catalog, match is not required for file to pass checking. The exception is where matching CRCs are the only condition besides the default matching by file name - in this case, all matching files are required to have CRC available and matching in all files.

.topic 11007
Starts searching selected catalog data, comparing it against files in selected folder. Button is disabled when dialog selection is incomplete.

.topic 11008
Check if all matching files must have the same path on the media. For example, if one file is located at "\DIR1\DIR2" and the other in "\DIR3", and this option is checked, those two files are not considered to be the same, even if other conditions that may be selected are matching.

.topic 11100
Selects one of the currently opened catalogs or disk groups to be displayed in the left window.

.topic 11101
Selects one of the currently opened catalogs or disk groups to be displayed in right left window.

.topic 11102
Displays disks in currently selected catalog or disk group. Here you can select disks to move or copy between left and right window, delete or rename disks, create new disk groups, or access disk's properties. To move or copy disks from one catalog or disk group to another, select both source and target location to their appropriate window, and drag selected disks between windows (hold down CTRL to copy).

.topic 11103
Copies selected disks from active window to the other one.

.topic 11104
Moves selected disks from active window to the other one.

.topic 11105
Deletes selected disks in the active window.

.topic 11106
Renames selected disk in the active window.

.topic 11107
Displays selected disk's properties.

.topic 11108
Closes this dialog and returns you to the main window.

.topic 11109
Creates new disk group in the active window.

.topic 11200
Displays drive in folder layout for your computer. Select in here where your Floppy Master catalogs are located.

.topic 11201
Displays list of Floppy Master catalog files, found in currently selected folder. Select here which catalog you want to import.

.topic 11202
Starts importing selected Floppy Master catalog.

.topic 11300
Displays the Properties dialog about selected location in catalog to export description from.

.topic 11301
Check to export descriptions in all subfolders, too. For example, if you have selected disk's root folder to export descriptions from, checking this box will export descriptions for all files and folders on that disk as well. If it is not checked, only descriptions from selected location will be exported.

.topic 11302
Selects to export descriptions to 4DOS/NDOS format, using "Descript.ion" files. This option will create a "Descript.ion" file in each folder on the media, listing available descriptions for that folder. Please consult program's help file ("Technical information" section) for detailed information about supported description formats.

.topic 11303
Selects to export descriptions to "Files.bbs" format. This option will create a "Files.bbs" file in each folder on the media, listing available descriptions for that folder. Please consult program's help file ("Technical information" section) for detailed information about supported description formats.

.topic 11304
Selects to export descriptions to "File_id.diz" format. This option can be used for exporting folder descriptions only. A "File_id.diz" file will be created inside each folder with assigned description. Please consult program's help file ("Technical information" section) for detailed information about supported description formats.

.topic 11305
Selects to export descriptions to HTML format, using "FileDesc.htm" files. This option will create a "FileDesc.htm" file in each folder on the media, listing available descriptions for that folder. Please consult program's help file ("Technical information" section) for detailed information about supported description formats.

.topic 11306
Check to keep existing files and descriptions on media. For example, if exporting descriptions to Files.bbs format, and such file already exists on media, all current description will be kept and only new ones will be added to the file. If not checked, a new Files.bbs will be created instead, containing only descriptions from catalog.

.topic 11307
Check to limit line length for exported descriptions to specified number of characters. Lines longer that this value will be truncated.

.topic 11308
Check to limit number of lines allowed per exported description. If description contains more lines of text, the remaining lines will be skipped.

.topic 11309
Check to add or update exported description files in catalog, if cataloged image of target drive is available.

.topic 11310
Exports descriptions to media, according to selections.

.topic 11311
Selects to export descriptions to "Index.txt" format, often used by FTP servers. This option will create a "Index.txt" file in each folder on the media, listing available descriptions for that folder. Please consult program's help file ("Technical information" section) for detailed information about supported description formats.

.topic 11312
If checked, creates links in exported "FileDesc.htm" files to all listed files. As "FileDesc.htm" files list the contents of a single folder, they need to be placed in that same folder in order for links to work.

.topic 11400
Lists all missing items on the current media. These are items that you selected for copying, but were not found on the real media (this would indicate that your catalog data is out of date). Items listed will be skipped.

.topic 11401
Continues with copying the rest of selected items. Items listed in this dialog will be skipped.

.topic 11402
Aborts any further copying. Items copied so far will stay on destination location, but all items left to copy will be skipped.

.topic 11500
Starts searching by specified criteria. This button will be disabled if no criteria are set at the moment.

.topic 11501
Cancels searching currently in progress. Items found so far will remain on the Found List.

.topic 11502
Closes the Search dialog, but does not clear current settings or Found List. If search is in progress, it will continue to run in the background. You can show the Search dialog again by clicking appropriate option in the main window.

.topic 11503
This is the list where found items are added to. You can use this list to browse through items you were searching for, or use it as a source for printing reports. Items can be sorted by clicking on column headers, and many operations can be performed on items using buttons above the list.

.topic 11504
Pressing this button will show a dialog where you can set general search settings.

.topic 11505
This button will show a dialog where you can limit searching, or select where to search.

.topic 11506
If this option is checked, program will search for specified text in file names.

.topic 11507
If this is checked, program will search for specified text in items' descriptions.

.topic 11508
Check this option to search for items with part of descriptions that sound similar to specified text. This is so-called soundex algorithm, and it works best with English language.

.topic 11509
Enter here the text to search for. Program will search for items that have specified text occurring in names, descriptions, or either of them, according to settings below. If searching in item names is enabled, you may also specify file masks, like "*.txt". You can specify more than one condition, by separating them with commas (i.e. "*.txt, *.zip"). Please refer to the separate page for more details and samples on how to construct quick search queries.

.topic 11510
Check to enable searching for files.

.topic 11511
Check to enable searching for folders.

.topic 11512
Check to enable searching for disks.

.topic 11513
If this option is checked, program will not look for files that are compressed inside archive files.

.topic 11514
If checked, all items will be removed from Found List before a new search begins.

.topic 11515
This button will add a new criteria (or update the selected one) to expression editor, as set above, and close this window. If settings are currently not valid, this button will appear disabled.

.topic 11516
This button will cancel all changes to search criteria and close this dialog.

.topic 11517
Selects one of available ways to search by filenames. Most often you will want to search by part of filename, or by file mask.

.topic 11518
Enter here data to search for in filenames. Actual data depends on what type of filename searching is selected - for example, if you are searching by part of filename, enter here text that must be included in found filenames. You can specify more than one condition, by separating them with commas (i.e. "*.txt, *.zip") or spaces (i.e. "Microsoft Windows" searches for items with both words). If searching for a phrase that includes spaces or commas, include it in double quotes.

.topic 11519
In this box are listed all known file types, registered in your Windows system. You can choose one of them to search for files of selected type.

.topic 11520
Check to make searching case sensitive. If unchecked, program will regard capital letters and small letters as equal.

.topic 11521
Sets searching by file attributes. Each check box can have three states - grayed check box means that attribute will not be included in search. If attribute is checked, program will search for files with this attribute set, and if it is cleared, program will search for files without this particular attribute.

.topic 11522
Enables searching for items with any description.

.topic 11523
Enables searching for items that include specified text somewhere in their description.

.topic 11524
Enter here part of description you are looking for. You can enter more than one condition, by separating them with commas (i.e. 'microsoft, windows' will search for either "microsoft", or "windows" as a part of description). If you would like to have comma as a part of text to search, include entire expression to act as one condition in double quotes.

.topic 11525
Check to make searching by descriptions case sensitive. If unchecked, program will regard capital letters and small letters as equal.

.topic 11526
Enables searching for items without description.

.topic 11527
Check on this list all categories you wish to search for. Program will locate all items that are set to belong to one of the selected categories. This window will appear disabled when no categories are defined in any opened catalog at this moment.

.topic 11528
Check on this list all flags you wish to search for. Program will locate all items that have at least one of specified flags set. This window will appear disabled when no flags are defined in any opened catalog at this moment.

.topic 11529
Select here how item's size will be compared to specified size.

.topic 11530
Enter here the size you are looking for. Don't forget to set appropriate units, too. For example, setting 10 KB is the same as setting 10240 Bytes.

.topic 11531
Set here the units for selected size.

.topic 11532
Check to allow tolerance when searching by file size. If tolerance is set, program will allow item's size to be lower or higher for a specified tolerance value compared to search settings.

.topic 11533
Selects what type of date are you looking for. You can search for files that were created, modified, or accessed compared to specified date. Please note that on some file systems the only available date is modified date.

.topic 11534
Select here how item's date will be compared to specified date.

.topic 11535
Enter here a date you are looking for, as specified by other options. Click on the "down" button on the right side to visually select date from a calendar.

.topic 11536
Check to allow tolerance when searching by file date. If tolerance is set, program will allow item's date to be older or newer for a specified number of days compared to search settings.

.topic 11537
Selects what type of time are you looking for. You can search for files that were created, modified, or accessed compared to specified time of day. Please note that on some file systems the only available time is modified time.

.topic 11538
Select here how item's time of day will be compared to specified time.

.topic 11539
Enter here a time of day you are looking for, as specified by other options. Select hours, minutes, or seconds, and type in a desired value (you can also use the up/down buttons on the right to change value).

.topic 11540
Check to allow tolerance when searching by file time. If tolerance is set, program will allow item's time to be older or newer for a specified number of minutes compared to search settings.

.topic 11541
Here you can select disk and catalogs that will be included in search. By default, program will search in all opened catalogs, but you can tell it to skip specific disks or catalogs. Check in this window all items you want to be searched, and clear checks by items that you want to skip. Grayed check box by catalog means that only some disks in this catalog will be searched, as specified.

.topic 11542
Selects all catalogs and disks currently opened to be included in searching, by settings check marks to all items in the tree.

.topic 11543
Clears the check marks by all items in the tree, excluding all disks and catalogs from searching.

.topic 11544
Puts a check mark by all items on the list.

.topic 11545
Clears the check box by all items on the list.

.topic 11546
If this box is checked, all duplicate files are required to have the same file name to be regarded as duplicates.

.topic 11547
If this box is checked, all duplicate files are required to have the same size to be regarded as duplicates.

.topic 11548
If this box is checked, all duplicate files are required to have the same modified date and time set to be regarded as duplicates.

.topic 11549
If this box is checked, all duplicate files are required to have the same attributes set to be regarded as duplicates.

.topic 11550
Check this option if you want to match only category names, but full category paths are allowed to differ. Since categories can be organized in tree structure, just matching category names may not be enough if parent categories differ. For example, you can have categories "Programs / Win98" and "Games / Win98" - they both have the same name, "Win98", but their parent is not the same and their full paths differ. If this option is checked, only category name will be checked for match, and if it's not, their full category paths must match as well.

.topic 11551
If this box is checked, you can limit number of hits to specific number. When this number of found items is reached, searching will stop and skip the rest of items still left to be searched. You can use this option to terminate search prematurely if there will be too many hits for results still to be useful.

.topic 11552
Check on this list all disk locations you wish to search for. Program will locate all items that are set to belong to one of the selected disk locations. Files and folders are considered to have the same disk location as disk, on which they reside. This window will appear disabled when no categories are defined in any opened catalog at this moment.

.topic 11553
Select this option to search through all currently loaded catalogs (default).

.topic 11554
Select this option if you would like to exclude some disks or catalogs from searching. In the tree below you can check all disks you would like to have searched.

.topic 11555
Select this option to search through results of previous searching. This way, you can narrow down results by performing more than one search, every next narrowing down results from the previous one.

.topic 11556
Press this button to insert new criteria to expression editor. This button will give you a list of available search criteria groups, and provide a dialog to specify your search condition after selecting appropriate group.

.topic 11557
Allows you to edit and modify the criteria at the cursor position. If cursor is currently not inside criteria, this button will appear disabled.

.topic 11558
This button will validate your search expression, checking it for syntax errors like invalid operations, missing ")" etc.

.topic 11559
Press this button for available commands for search expressions. Here you can load or save search expression, or clear the expression editor and start on fresh.

.topic 11560
Enables searching for all duplicate files and folders.

.topic 11561
Selects searching for duplicate files and folders that match in name the criteria below.

.topic 11562
Check to search for items without assigned category.

.topic 11563
Check to search for items without assigned flags.

.topic 11564
Check to search for items without assigned disk locations.

.topic 11567
This button will insert the indicated operation into search expression at cursor location. Click the Validate button to check if your expression is valid.

.topic 11568
Select this option to search through items currently on the user list. This option allows you to actively combine user list with searching.

.topic 11569
If this box is checked, duplicate files are checked for CRC values, where available. As CRC values in catalog are optional, this setting is ignored if either of two files being compared is missing CRC data. For those that do have them, it can make sure that their contents is in fact the same.

.topic 11570
Check to enable searching for disk groups.

.topic 11571
If this option is selected, searching items by name will include alias names only, where available. Only if item does not have alias name, the real name will be used to evaluate search condition.

.topic 11572
Select this option to search by real names only, as used on the media, and ignore all alias names.
Note that if you have alias names enabled in program and shown on lists, using this option can result in files being displayed on search results list that don't seem to match your filename search condition (as you are looking at their alias names, but their real names do match).

.topic 11573
This option allows either alias name (if available) or real name to match your search condition - either will do.

.topic 11574
Selects how to look for the speficied part of item's path. Based on this option the path must either include specified text anywhere in between, it must begin or end with, or it has to match it exactly.

.topic 11575
Enter here a part of the path you are looking for. All items that have the specified text as a part of their path, matching the condition set on the left, are considered to be matching this condition.

.topic 11576
Check if folder's name is considered to be a part of its own path, added at the end. For example, if there is a folder "Test" located in the root of the media, its path can be "\Test" (this option checked) or "\" (unchecked).

.topic 11577
Here you can see the textual description of your current search settings, including active search limitations. If your search did not turn out as you have expected, here you can quickly check the summary search settings.

.topic 11591
Holds the currect advanced search expression. Use the Insert Criteria button to insert search criteria, and operation buttons below to combine them, if there are more than one.

.topic 11600
Prepares a new language file for translating to a new language.

.topic 11601
Opens an existing language file to edit

.topic 11602
Saves current language file, under same or different name

.topic 11603
Finds occurrences of specified text in the translated data

.topic 11604
Finds next occurrence of previously specified text

.topic 11605
Enabled or disables word wrap in edit boxes. Recommended is disabled, or you may miss a line break in the original text!

.topic 11606
Enter here a descriptive name for the language. Language file will be presented under this name in selection lists. Please use English names for languages.

.topic 11607
Enter the author's name and other credits for translated language file.

.topic 11608
Version of Where Is It?, for which this language file was prepared. This will be used in future versions to determine if language file is up to date. Example for this field: 1.10

.topic 11609
Lists available translation sections. Names listed here are internal, and do not concern you. Most of sections are actually dialogs throughout the program, with some rare exceptions. In "Strings" section are collected all text segments, needed in program (messages, status bar text, everything that changes while program is running). On the top is a special segment that collects all items that are found not to be translated yet, and are still the same as in the English language file. You can use this segment for a final check at the end of translation, in case you missed something.

.topic 11610
Lists all items in currently selected segment. Names listed here are internal, and do not concern you. If selected section is dialog, each item is actually a part of user interface, such as button, text label, check box, group box,... You should be able to conclude from internal name what is it. Text to translate for selected item is presented in edit boxes in the right.

.topic 11611
Selects source language, a language you are translating from. Here you can select language that will serve as a reference during translation. English is strongly recommended since it is program's native language (when modifying English language file, no source language will be available).

.topic 11612
Displays reference text for selected item, in selected source language. You should translate text in this box, and write translated version in edit box under this one. Please click the 'How to translate' button for details on how to translate these items.

.topic 11613
Enter here the translated version of text in upper edit box. Please make sure that translated text is approximately the same length as original one, and that number of '%s' tokens matches in both edit boxes. Please click the 'How to translate' button for details on how to translate these items.

.topic 11614
Selects previous item on the section list. If item is the first on the list, it switches to previous section first.

.topic 11615
Selects next item on the section list. If item is the last on the list, it switches to next section first.

.topic 11616
Reverts translation edit box to previous contents, canceling all changes you may have made since selecting current item.

.topic 11617
If checked, program will scan all items to be translated, and change translated text for all of them with the same original text. For example, if you translate text '&amp;OK' to '&amp;Okey', program will change translated text for all items with original '&amp;OK' text, converting all 'OK' buttons in program to 'Okey' buttons.

.topic 11618
Displays details on how to do translations, and what to be careful about. Recommended reading before starting any real translating.

.topic 11619
Sets the default font typeface used with this language. Normally, this would be MS Sans Serif, don't change it unless you have a good reason to do so.

.topic 11620
Sets which international character set is used with selected font. To ignore character set, use 'Default charset'. Please note that if end-user does not have font with specified character set available, Windows will likely choose to use some other font instead of selected one!

.topic 11621
Sets the font size to be used. It is strongly recommended that you leave this setting to 'Default', other values may give different results on different displays!

.topic 11622
The bi-directional mode determines the reading order of the text, placement of the vertical scrollbar, and any alignment modifications. It is used to tailor the user interface for locales where text is bi-directional. The following table describes the possible values:
LeftToRight - Reading order is left to right. Alignment is not changed. The vertical scroll bar appears on the right edge of the control.
RightToLeft - Reading order is right to left. Alignment is changed. The vertical scroll bar appears on the left edge of the control.
RightToLeftNoAlign - Reading order is right to left. Alignment is not changed. The vertical scroll bar appears on the left edge of the control.
RightToLeftReadingOnly - Reading order is right to left. Alignment and scroll bar are not changed.

.topic 11623
Specifies the help file associated with this language file. Enter here a filename of the help file you want to use when this language file is selected, for example "French.hlp". If this field is empty, the default help file will be used (English).

.topic 11700
Enter your description in this edit box. If file contents is available in bottom part of Description Assistant, you can copy part of text by selecting it there and drag it to this edit box.

.topic 11701
Displays contents of selected description file, if one is available. Please note that this box is limited to 32kB of text; if description file is longer than that, it will be truncated to this limit. Text displayed here is read-only, but you can select and copy to clipboard any part of it, or drag the selection to the upper window.

.topic 11702
Select here one of the found description files to view. If program did not look yet for description files (for example, if you have just inserted appropriate media), click on the 'Get Files' button first. Which files to look for can be selected in program's settings.

.topic 11703
Displays a pop-down menu with a few available settings for Description Assistant.
If ANSI filter is checked, it will be applied to text displayed as description file contents. ANSI filter will convert some special characters found mostly in DOS text files to plain ANSI text to improve readability.
If Word Wrap is checked, long lines of text that do not fit in window width will be wrapped to the next line. If not checked, you will have to use horizontal scrollbar to display the rest of text.

.topic 11704
Searches for available description files on the media. This button is only enabled if program did not have a chance yet to do so when Description Assistant has been started.

.topic 11705
Assigns changes in description to selected item, and closes Description Assistant.

.topic 11706
Cancels all changes made to item's description, reverting to description stored in catalog.

.topic 11707
Offers a quick-access list of items from the same list as originally selected item, but no more than 1024 of them. You can use this list to switch items end edit their descriptions without having to close Description Assistant every time.

.topic 11708
Switches to the next item in quick-access list.

.topic 11709
Switches to previous item in quick-access list.

.topic 11710
Click to assign item to one or more categories. Categories listed here are categories available in item's catalog. This button is disabled if no categories are defined in the catalog.

.topic 11711
Assigns or clears available flags for current item. This button is disabled if no flags are defined in item's catalog.

.topic 11712
Select here the location where you keep your media. Available disk locations listed here are defined in item's catalog. This option is disabled if there are no disk locations defined in the catalog.

.topic 11800
This form shows you detailed information about selected item, and offers you a quick access to details about its parent items, if available.

.topic 11801
Select here a tab with details about selected item, or its parent items.

.topic 11804
Shows attributes for selected item. Read-only field.

.topic 11805
Click to assign item to one or more categories. Categories listed here are categories available in item's catalog. To edit categories, click the '...' button on right.

.topic 11806
Opens the Catalog Setup dialog to edit defined categories, flags and disk locations in current catalog.

.topic 11807
Selects or deselects available flags for current item. To edit available flags, click the '...' button.

.topic 11808
Enter here a description for current item.

.topic 11809
Shows if file is stored in compressed form on the media. Some file systems like NTFS support internal file compression.

.topic 11810
Click this button to get more information about selected media.

.topic 11811
Enter here a new disk name, if you would like to rename disk in catalog.

.topic 11812
Enter here a name of the catalog.

.topic 11813
Change disk number, assigned to selected disk. Each disk can have unique disk number assigned, ranging from 1 to 65535. To remove assigned number, leave this field empty.

.topic 11814
Select here the location where you keep your media. Available disk locations listed here are defined in item's catalog. To edit disk locations, click the '...' button on right.

.topic 11815
Check to assign the same categories or flags to all subitems - for example, to all files and subfolders inside current folder. Be careful with using this option, it can affect a large part of catalogued data at once. Do not overuse!

.topic 11816
Use this button to set up protection for this catalog, such as password-protected access, encryption, or the name of catalog's owner. When catalog is protected, this button is shown as pressed it.

.topic 11817
Selects the level of compression used when saving a catalog. It is highly recommended to use catalogs uncompressed, as involving compression slows down a lot some operations, including searching and saving. Using compression also significantly reduces chances of data recovery, in case catalog file gets damaged or corrupted. It is also not recommended to use compression on catalogs that contain mostly thumbnails, as they are already stored compressed, and turning on catalog compression will only slow catalog down. If using compression, you can expect your catalogs to shrink for about 30-40% (fastest compression), or additional 5-10% if using maximum compression option. Note that while using maximum compression gives you a bit smaller catalog files, it also results in notably slower save operations.
If compression setting is changed, catalog will be rebuild the next time it is saved.

.topic 11818
Maximizes the description edit area for easier editing. To return dialog to normal state, click this button again.

.topic 11819
Click this button to change the icon. You can either use your own custom icons, or select system's default ones.

.topic 11820
This button enables/disables editing alias name. Alias name is the name of a file or folder under which it is known and shown in catalog, although this may not be its actual name on the media. This button is pressed down when item has an alias name, and you can edit it in the box on the left. To remove alias name, just de-press this button.

.topic 11821
Enter here the alias name for file or folder. Alias name is the name used in catalog only and can be anything you want, however it is recommended to avoid characters like * and ?, to avoid possible problems with searching by file masks. To remove alias name, leave this field empty, or depress the alias edit button on the right.

.topic 11822
Click to open the Catalog Setup dialog. There you can set up categories, flags, disk locations, and custom icons, available in selected catalog.

.topic 11823
This window shows all currently loaded catalogs. You can check all catalogs that you want to see included in statistics calculation, available below.

.topic 12100
This form shows you detailed information about all selected items. You can set here common properties for all selected items at once, such as categories, flags, or descriptions.

.topic 12101
Click to assign all selected items to the same categories. If a category is marked as grayed, it will be left unchanged for all items - category is usually grayed by default if not all items are using the same setting.

.topic 12102
Select here the location where you keep your media. Available disk locations listed here are defined in item's catalog.

.topic 12103
Click to assign the same flags to all selected items. If a flag is marked as grayed, it will be left unchanged for all items - flag is usually grayed by default if not all items are using the same setting.

.topic 12104
Enter here the description to be used for all selected items. Up to 4kB text is allowed for descriptions.

.topic 12105
Check to assign the same categories and flags to all selected items.

.topic 12106
Check to assign the same description to all selected items.

.topic 11900
Selects of available list views in program to setup its columns. Current list view is already selected when this dialog is displayed.

.topic 11901
Displays available columns in selected list view. Column will appear in the same order as displayed here (to change order, selected desired item and use up/down buttons on the right). To hide certain columns, clear the check mark beside it on the list. Only checked columns will appear in the list view.

.topic 11902
Moves selected column higher on the column list, forcing it to appear more to the left in the list view.

.topic 11903
Moves selected column lower on the column list, forcing it to appear more to the right in the list view.

.topic 11904
Saves and applies all changes to the list view, showing the results immediately, without leaving this dialog.

.topic 11905
Cancels all changes made in this dialog and reverts to current settings of selected list view.

.topic 12000
Shows the list of files on the media that were not found in catalog.

.topic 12001
Closes Compare Results window, and returns you to program's main window. The results remain available though, you always switch back using the Window menu in main window.

.topic 12002
Shows the list of files found to be unchanged compared to the previously cataloged disk image. The top window shows files on the media, and the bottom one equivalent file(s) in catalog for currently selected file in the top window.

.topic 12003
Shows the list of files found to be modified or moved compared to the previously cataloged disk image. The top window shows files on the media, while the bottom one lists resembling file in catalog for currently selected file in the top window.

.topic 12004
Shows the list of files in catalog that are not present on the media any more.

.topic 35
This window presents you with results of comparing. Files are divided into relevant groups, each group is presented as a list. You can switch between available groups using the buttons on top of this window, or by clicking appropriate tab on the bottom of displayed list. In cases where two lists are displayed, the top one shows actual files on the media, and the bottom one the counterparts of above selected file in catalog.

.topic 10137
Enables the usage of extended Open Catalog dialog. Extended dialog can display some details about catalogs before they are opened in the program, such as descriptions and contents preview.

.topic 10138
Check if you want to have your catalog entries expanded in the tree view when catalog file is loaded. This way, all disks inside loaded catalog are immediately visible. If you have many catalogs opened with a lot of disks inside, you may want to disable this option.

.topic 10139
Check to enable adding most recently used catalog files to the File menu for quicker access. You can also set here how many such entries would you like to keep.

.topic 10606
Check this option if you don't want to load any catalogs when program starts.

.topic 10607
Check this option to automatically open the same catalogs as they were opened the last time program was running. (Only available in registered version)

.topic 10140
Selects to open files for viewing with Quick View (Plus), external program specialized for viewing many different types of files.

.topic 10141
Check for lists to operate in "normal" mode. With mouse click you can select item, and double click starts default operation on clicked item.

.topic 10142
Check to use "single-click mode" in file lists. Pointing items with mouse cursor will select them, while clicking item starts default operation on the item.

.topic 10143
Select to disable any kind of underlining items in lists.

.topic 10144
Select to underline item (simulating a hyperlink) currently pointed with mouse cursor.

.topic 10145
Select to underline all items in lists, as if they were hyperlinks.

.topic 10146
Check to enable flat buttons in dialogs. Flat buttons are lower by default, and will raise slightly when mouse cursor is moved over them. This setting has no effect on Windows XP with Windows XP style user interface enabled.

.topic 10147
Check to play specified wave sound file when long operation (more than 10 seconds) completes. If file name is left empty or is invalid, the default system sound will be played instead.

.topic 10148
Check to allow folders to have extensions. Often folder names contain a period, for example "WhereIsIt 1.26". Normally, the part after the last period (".26") would be considered as name extension, but you can disable this behavior by unchecking this option.

.topic 10149
Check to display full category path in Category column. Categories can be organized in levels, and checking this option will display all parent categories as well (for example, "Programs / Shareware / Games"). Since this may produce very wide columns, it is recommended to only display category name (in previous example, "Games").

.topic 10150
Check to hide file extensions in file names if separate column showing extensions is also visible in item list. This will prevent file extensions to be displayed twice. If this option is checked, it is recommended that extension column is right next to item name column.

.topic 10151
Select the criteria to color items by, or disable items coloring.

.topic 10152
Enter here a comma-separated list of file names or file mask to assign them a common color. For example, to display all text documents in blue, enter in this Field "*.txt,*.doc", add it to the list, and assign the entry a blue color.

.topic 10153
This is the list of entries, prepared for coloring by item names or item types. Some entries are predefined (item types, like folders, disks, catalogs), and you can add your own lists of file masks to assign them a common color. For example, to color all music files in red, type "*.wav,*.mid,*.mp3" in above edit box, add it to this list, and assign it a red color. Entries that are higher on the list have more priority in case a file would fit more than one entry.

.topic 10154
Evaluates and adds the text in the left edit box to the list.

.topic 10155
Allows you to change current entry on the list.

.topic 10156
Removes current entry from the list.

.topic 10157
Moves current entry in the list higher on the list.

.topic 10158
Moves current entry lower on the list.

.topic 10159
Changes assigned color for currently selected entry.

.topic 10160
Allows to convert imported description into more readable form if it uses special characters. Usually recommended to be enabled, but can cause interference with some languages.

.topic 10161
Check to redisplay "Add/Update Disk" when scanning of current media completes. This allows you easier and faster handling if you plan to scan multiple media in a row.

.topic 10162
If checked, ignore all zero sized files during disk scan.

.topic 10163
If checked, ignore all zero sized folders during disk scan.

.topic 10164
Check to skip all files and folders, matching the list below.

.topic 10165
This is the list of all file masks you want to skip during disk scan. All files and folders are checked against this list, and those found matching at least one entry will not be included in catalog. For example, to skip all temporary and backup files, add "*.tmp" and "*.bak" to this list.

.topic 10166
Click this button to add a new entry to skip list.

.topic 10167
Click this button to remove currently selected entries from skip list.

.topic 10168
Click this button to edit and change currently focused entry on the skip list.

.topic 10169
Check to allow importing file information about files compressed inside archive files. Note that enabling this feature will likely significantly slow down disk scan operation since files have to be decompressed to temporary location. Unless you have a good reason for enabling this options, it is recommended it is left disabled.

.topic 10170
Selects to view either a list of all currently available plugins, or a list of available plugin modules.

.topic 10171
This is the list of all found and loaded plugin modules. Each module is a separate DLL file, and can contain one or more description plugins. You can enable or disable each module listed here, by setting the state of a check box on the left of each module.

.topic 10172
Here are listed all description plugins available in the above selected plugin module.

.topic 10173
This is the list of all currently available plugins of selected type. Listed here are all plugins from all loaded and enabled plugin modules. You can enable or disable each plugin listed here, by setting the state of a check box on the left of each plugin. The order of plugins on this list also sets plugins priority - plugins will be used starting with first one listed, and down to the first plugin that will be able to provide description for current item.

.topic 10174
Move selected plugins higher on list, assigning them more priority.

.topic 10175
Move selected plugins lower on list, assigning them less priority.

.topic 10176
Shows the dialog prepared by plugin's author to configure selected plugin, or display some other information about the plugin.

.topic 10177
Check to enable multi-language support in the program. If you will be using only English language, you may want to disable multi-language support and enjoy a bit faster program's performance, especially faster loading on startup.

.topic 10178
Here are listed the main groups of options for WhereIsIt. Select one of the groups to display available settings for this group.

.topic 10179
Uncheck to prevent showing program's introduction window when program starts up, and the shutdown message window when program is terminating.

.topic 10185
Check to auto expand / collapse nodes in tree view when browsing catalogs. Child nodes in currently active node are expanded automatically, while other, non-related nodes are collapsed. Enabling this option can help you to browse catalogs easier and with less clicking.

.topic 10180
Select here the group of plugins to be displayed on the above list. Description plugins handle importing textual descriptions, formatting plugins will additionally process text imported by description plugins, while thumbnail plugins import thumbnail images.

.topic 10181
If checked, WhereIsIt minimizes to system tray instead of to task bar.

.topic 10184
Check to show grid lines (columns and row dividers) in all file lists.

.topic 10182
Check to show thumbnails as icons, replacing the default file type icon with a thumbnail image. This way thumbnails can be best viewed in the large icon view mode, as icons in other modes are fairly small. Note that enabling this option can notably slow down painting item lists. Only available on systems with more than 256 display colors.

.topic 10183
Selects the antivirus program to use when checking files, folders, or disks for viruses. In the edit box enter a full path and file name of your favorite antivirus program - this program will be launched every time you select the command to check for viruses. You can add to the command line any number of parameters you wish to include, or any parameter macros provided by WhereIsIt (%1 in command line will be replaced by select item's filename, while %2 represents folder's filename).
You can use the Browse button to help you select the external program. The antivirus commands will show in the program when the appropriate antivirus program to use is selected in this field.

.topic 10205
Select to use the default font as defined in active language file. This also allows you to always have the correct character set selected when switching between languages.

.topic 10206
Check to ignore the font size as defined in language file, but use your system default font size instead.

.topic 10312
Select here the maximum allowed description size. The default and recommended value is 4 KB - this is plenty of space to provide a meaningful description of a file, folder, or disk. Allowing larger descriptions is more likely to just make catalogs larger and slower, without much benefit from it. Note than one single 32 KB description takes as much as space in catalog as about 2000 cataloged files or folders.

.topic 10313
Select here the maximum size of imported thumbnail images. Recommended is 64x64 pixels as it has the best size/quality ratio.

.topic 10314
Check this option to resample thumbnail images instead of resizing them. Generally, images are a lot bigger than thumbnails and they have to be scaled down. Resizing them is faster and will contribute to scanning speed, while resampling results in better thumbnails quality, but is also notably slower.

.topic 10315
Check this option to calculate CRC value for every cataloged file. USE WITH EXTREME CARE! In order to calculate CRC, every byte in every file on the media has to be read - needless to say, this will make scanning just about as slow as it gets. CRC codes are only used when determining if two files have the same contents, and are therefore used with tasks like searching for duplicates and comparing the media to its cataloged image. Note that neither of those functions require CRCs to work, although using CRCs results in more reliable results.

.topic 10316
Here you can adjust the brightness of imported thumbnails. Negative values will make images appear darker, while positive will make them brighter. The middle value 0 selects no additonal brightness adjustments, thumbnails will be imported as provided by plugins. Note that this setting has no effect on thumbnails already in catalog, it only handles newly imported thumbnails.

.topic 12200
This is the list of available drives or folders. Select your target folder, and click the OK button. Click the "+" sign to show more choices.

.topic 12201
Accepts your choice and exits this dialog.

.topic 12202
Cancels selecting folder and returns without any changes.

.topic 12203
Refreshes the list of drives and folders. Use this button if dialog failed to detect changed drives or folders.

.topic 12204
Puts a check mark to all items.

.topic 12205
Clears the check mark on all items.

.topic 12206
Creates new folder in currently selected location.

.topic 12207
Renames selected folder.

.topic 12208
Deletes selected folder. Note that it is only allowed to delete folder from this dialog if it is empty.

.topic 12209
Selects current folder to act as a virtual root of scanned drive, or cancels virtual root setting if one already set. The check box on button indicates if a virtual root setting is currently active. Virtual root allows you to scan only a small part of folder subtree, as if it would be a separate drive.

.topic 12210
Select here all folders that you would like to include in disk scanning and store in catalog. If folder is not checked, it will be skipped during disk scan. To scan only a part of folder structure starting with a single folder, you can use the virtual root feature below.

.topic 12211
Check this box if you don't want to store the contents of the media in catalog. This way, the program will only create a disk entry. You can use this option if you don't care which files and folders are on the media, and would like to save some catalog space on it.

.topic 12300
This is a description of currently selected catalog.

.topic 12301
This box is checked if catalog file is password protected.

.topic 12302
This is quick preview of currently selected catalog file, showing disks available in this catalog.

.topic 12400
Disables all access protection for this catalog.

.topic 12401
Protects catalog access by assigning read-only or full passwords, and optionally selects to encrypt the catalog file contents.

.topic 12402
Enter here the owner of current catalog. This field of informative value only, is optional to fill, and will be displayed in Open Catalog dialog.

.topic 12403
Enter here a read-only password assigned to this catalog. When user is prompted for access password, and enters this password, user will be able to open and view catalog contents, but will not be able to change it.

.topic 12404
Enter here a full access password. If catalog has assigned a full access password, user is required to enter it before he or she can modify any data in catalog.

.topic 12405
Enter the same password as above again in this field, to confirm there was no typing error involved.

.topic 12406
If checked, catalog file contents will be saved encrypted, making text inside unreadable when accessing catalog file with other programs.

.topic 12500
This window shows the network as visible from your computer. Select one of the available network drives to be scanned and added to catalog. Note that network permissions may apply, you may not have access to particular network resource, or access can be limited, for example to certain files and folders only.

.topic 12501
Instead of selecting the wanted disk from the window above, you may also enter its network UNC address in this field. Usually, the address would be in the "\\SERVER\DISK" format.

.topic 12600
Select one of the available catalogs on this list.

.topic 12700
Check to use the default icon and remove custom icon setting for selected items.

.topic 12701
Check to use one of the already available custom icons in the catalog. Select the icon from the icon list below.

.topic 12702
Check to add a new custom icon to the catalog and use it when displaying selected items. Enter the file name containing icon file to the edit box below.

.topic 12703
Shows the list of custom icons already available in catalog. You can select one of these icons to be used with selected items.

.topic 12704
Enter a full path to the icon file (*.ICO) to be added to catalog and used for selected items. Alternatively, you can also extract any of available icons from *.EXE or *.DLL files. Use the Browse button to locate wanted icon file on your disk.

.topic 12800
This is the list of available icon resources in selected file. Select the icons you would like to load and click the OK button below. For selecting multiple icons, use the Shift and/or Ctrl keys, as you would in Explorer.

.topic 12900
Displays the contents of currently selected folder on the media. You can browse the disk in this window just as you would in Explorer, except this is the image created through scanning and also includes details like extracted descriptions.

.topic 12901
Enter here a description for just scanned media. Click the Disk Preview button in order to access and browse disk's contents, if you need to find out what is on this media.

.topic 12902
Press down this button to access and browse just created disk image. Click the button again to hide disk's contents.

.topic 12903
Click to insert disk scanning statistics into disk's description, at the current place of cursor.

.topic 13000
Displays the list of loaded catalogs and possibly other, manually added files to be e-mailed. Only files that are checked on this list will be included in the e-mail.

.topic 13001
Adds additional catalogs or other files to the above list - currently loaded catalogs are listed by default. This allows you to include any number of files in your e-mail message. Note that only files that are checked on the above list will be included in the message.

.topic 13002
This button is enabled if any of the highlighted catalogs on the list above is currently loaded and modified in WhereIsIt. Modified catalogs need to be saved first, before they can be send by email.

.topic 13003
Check this option if selected files are to be sent by email in a form of a Zip archive file. This is recommended, as it will make your message notably shorter and easier for your recipient to receive. It is a common courtesy to send email attachement compressed. WhereIsIt will create a .zip file from all checked files above and attach this .zip file to the message.

.topic 13004
Sends the email message, as defined by MIME settings on your system. Usually this results in starting your e-mail client and opening a new message, which you can finish on your own. Note that attachments are already in there, compressed if so selected, you just need to enter recipient's address, add text, and send it out.

.topic 13100
Enter here the name of the new catalog. This is not a file name, just a name of the catalog as shown in WhereIsIt.

.topic 13101
Check this option to create a completely new catalog, without any predefined settings.

.topic 13102
Check this if you want to base your new catalog on one of the templates, or on some other existing catalogs. Use this option if, for example, you would like to use the same categeries as you have them in some other catalog. Note that the new catalog will still be empty (no disk images), however details specified with options below will be predefined.

.topic 13103
Check to base your new catalog on one of the catalog templates.

.topic 13104
Check to base your new catalog on one of existing catalogs.

.topic 13105
Enter here the full path and file name of the catalog that will serve as a base for new catalog. You can use the Browse button to help you locate wanted catalog file.

.topic 13106
Select the desired catalog template from the list of available templates.

.topic 13107
Select here which settings from base catalog or template you want to reuse in your new catalog. Items that are checked will be predefined in the new catalog, and set the same as in selected catalog or template.

.topic 13108
Creates a new catalog based on the above settings.

.topic 13200
Displays the list of available saved user lists in currently loaded catalogs - currently active user list, if any, is marked with a check mark. This dialog allows you to manage saved user list.

.topic 13201
Selects currently marked user list as active in user list window. When you exist the dialog, WhereIsIt will discard the current user list and load the marked one. This button has the same function as putting a check mark at selected list. Selecting already checked user list removes check mark.

.topic 13202
Makes a copy of selected user list in the list window under a new name.

.topic 13203
Renames selected user list.

.topic 13204
Deletes all highlighted user list in the left window.

.topic 13300
Displays the list of available categories in current catalog. Check all categories that you want to assign to item(s). If working with multiple items, categories marked as grayed indicate that some items have them assigned and some not - they will remain unchanged.
Available categories in catalog can be set up with the Catalog Setup command.

.topic 13304
Displays the list of available flags in current catalog. Check all flags that you want to assign to item(s). If working with multiple items, flags marked as grayed indicate that some items have them assigned and some not - they will remain unchanged.
Available flags in catalog can be set up with the Catalog Setup command.

.topic 13305
Select here the location where you keep your media.
Available disk locations in catalog can be set up with the Catalog Setup command.

.topic 13301
Collapses currently selected level in categories tree.

.topic 13302
Expands currently selected category, showing its sub-categories, if available.

.topic 13303
Type here a few starting letters to quickly locate the wanted category in the above tree.

.topic 13400
Click to check all plugins on the list.

.topic 13401
Click to uncheck all plugins on the list.

.topic 13500
Check here all disk images that you want to include in the update process.

.topic 13501
Checks all disk images in the left tree.

.topic 13502
Removes check marks from all disk images in the left tree.

.topic 13503
Check to scan only those out of selected disk images that are available in the system. If this option is checked, program will not stop to ask to insert the appropriate media, but will skip unavailable disks automatically.

.topic 13504
If this option is checked, the Update Disk dialog will be shown before updating each media. This allows you to manually adjust scan settings for each disk image you updating. If this option is not checked, the same default scan settings will be used, and the same plugins that were active when that disk image was last scanned.

.topic 13505
Check if you don't want the program to stop and display errors or warnings. In such case, program will just abort scanning current media and proceed with the next one.

.topic 13506
Click to start updating selected disk images. This button is disabled if no disk images are selected.

.topic 13507
This windows contains the summary update report for all disk images that were processed. It tells you for each disk image if update was successful or not, and reports some statistics info.

.topic 13508
Click to close this dialog.

.topic 13600
Read here one of the tips on how to better use the program.

.topic 13601
Closes the dialog.

.topic 13602
Shows the next tip.

.topic 13603
Shows the previous tip.

.topic 13604
Check this option if you want to see a random tip each time the program starts. Only available in registered version.

.topic 13700
Displays the standard Find dialog, allowing you to search for text. Only available in ASCII view mode.

.topic 13701
Click to switch to ASCII view mode (text view).

.topic 13702
Click to switch to HEX view mode (binary view).

.topic 13703
Click to switch to image view mode. Only available if file is a valid and supported image file.

.topic 13704
Opens current file in QuickView, if installed. QuickView (Pro) can recognize and show many different file formats in their native form.

.topic 13705
Sets the font used in ASCII view mode.

.topic 13706
Enabled or disables word wrap mode. When enabled, long lines are wrapped into multiple lines. Only available in ASCII view mode.

.topic 13707
Exists the internal File Viewer.

.topic 13708
Displays the contents of current file in HEX view mode. This is how the file actually looks inside, byte per byte. This view mode is mostly intended for expert users only.

.topic 13709
Displays the contents of selected file in a text form. If file is not an ASCII text file, contents will appear as random, garbled text, possibly truncated as well - such files can be viewed in HEX view mode, or in image mode, if they are graphic files.

.topic 13710
Shows the image in selected graphics file.

.topic 13711
Shows the full name and path to currently viewed file.

.topic 13800
Displays currently selected saved user list. To call up items from another saved user list, just select here its name.

.topic 13801
Creates and saves a new user list, containing currently listed items.

.topic 13802
Opens the Saved User Lists config dialog, where you can manage your user lists - create new, rename or delete existing ones, etc.

.topic 13900
Check to automatically open and preview selected image file.

.topic 13901
Selects the maximum size of image that will be imported in catalog. If selected image is larger, it will be downsampled to fit the specified size.

.topic 12107
Check to find and replace parts of text in alias names. As alias names are only available for files and folders, this option is not available unless at least one file or folder is among selected items.

.topic 12108
Enter here the text you want to find and replace.

.topic 12109
Enter here the text which will replace the found text. You can leave this field empty if you only want to remove found text.

.topic 12110
Enter here the text to insert before existing alias names. As alias names are only available for files and folders, this window is not available unless at least one file or folder is among selected items.

.topic 12111
Enter here the text to insert after existing alias names. As alias names are only available for files and folders, this window is not available unless at least one file or folder is among selected items.

.topic 12112
Check to process only those items which already have assigned alias names. Items without alias names will be ignored.

.topic 12113
Check to find and replace parts of text in descriptions.

.topic 12114
Enter here the text to insert before existing descriptions.

.topic 12115
Enter here the text to insert after existing descriptions.

.topic 12116
Check to process only those items which already have assigned descriptions. Items without descriptions will be ignored.

.topic 10186
Check to allow the program to automatically resize columns to fit data (recommended). If unchecked, you can manually resize columns on all lists as desired, and program will remember and always use these sizes.

.topic 10187
Adjusts the size of displayed thumbnails when in the thumbnails view mode. The default size is 96 pixels.

.topic 10188
Disables all network support in the program that requires the program to browse the network directly. You will still be able to catalog and use network drives, however they will have to be assigned to a local drive letter. Use this option if you have a large network, or it responds very slowly and you are experiencing long delays. For more details, see how to use WhereIsIt in a network environment.
Checking this option is the same as using the "-nonetwork" parameter.

.topic 10189
Check to allow the program to search through shared network drives on other computers in order to try to locate the needed media. Please note that searching the network for available shared drives can be VERY SLOW, and is highly recommended to leave this option DISABLED.
Use only if you have another computer or two connected to network, and you often leave your CDs inserted in some other computer's shared drive. For more details, see the how to use WhereIsIt in network environments topics.
Checking this option is the same as using the "-scannet" parameter.

.topic 10190
Check to allow alias names to have extensions. If checked, alias names are treated the same as any other file names, including everything after the last period being considered as a file extension. You can disable this by unchecking this option.

.topic 14000
Shows details about the previous disk from selected disks list.

.topic 14001
Shows details about the next disk from selected disks list.

.topic 14002
Enter the title of the disc. Technically, this may consist of any data, but by convention contains the artist and disc title (in that order) separated by a "/" with a single space on either side to separate it from the text. If the "/" is absent, it is implied that the artist and disc title are the same. This is a required field.

.topic 14003
Select one of the available official freedb categories which best suits this disk.

.topic 14004
Enter the "extended data" for the CD. This data is optional and is intended to be used as a place for interesting information related to the CD, such as credits, etc.

.topic 14005
Enter the title of the audio track. In exceptional cases, this field may be left empty.

.topic 14006
Check to submit new disk data by email, using MAPI service on your system. WhereIsIt does not communicate directly with the target email server, using MAPI means that (usually) your email client will handle outcoming emails. If your email client is set to send emails immediately, submitting will be done at once as well, otherwise prepared submission emails will be waiting in your Outbox and will be send the next time you will be use your email program to send/receive emails.

.topic 14007
Check to send submission details by HTTP protocol. Unlike sending them by email, this option requires that you are connected to the Internet and will send out the data immediately. You also need to enter your email address in the field below.
Please note: To send submission details by HTTP, you need to have the Wininet.dll library available on your system.

.topic 14008
Enter here the email address where your submissions will be sent. There are currently two email addresses available:
freedb-submit@freedb.org (the main submission address, send your submissions here)
test-submit@freedb.org (used for testing submissions only, no data is kept)

.topic 14009
Select one of the available freedb servers to submit data to. It doesn't matter which one you choose, they all work the same, but if some of the servers is down at that time, you can send to one of the others instead. The best choice is to use the main server at "freedb.freedb.org".

.topic 14010
Retrieves the latest list of valid freedb servers from the main freedb server. You need to be connected to the Internet to use this option.

.topic 14011
Enter here your email address. The freedb server will send you either a receipt notification or a failure report to this address.

.topic 14012
Submits the data for all selected audio CDs to the freedb server, using selected method. This button is disabled if data for one or more selected CDs is incomplete or invalid. Use the Validate button to locate the missing details.

In order to minimize the amount of useless garbage being submitted into the CD database, please doublecheck that data being submitted is correct, properly formatted, and without spelling errors and missing details.

.topic 14013
This button will verify current data for all selected disks if it valid to be submitted to the CD database. If one of the fields is empty, incomplete or otherwise invalid, it will be focused.

.topic 14014
Enter the exact genre of the disc in a textual form (i.e. write the genre here and do not use e.g. simply the MP3 ID3V1 genre code). Please note that this genre is not limited to the 11 CDDB-genres. This field is optional and may be left empty.

.topic 14015
Enter here the year in which the CD was released. This field is optional and may be left empty.

.topic 13750
Shows the original image, as displayed in the viewer.

.topic 13751
Shows the preview of resulting image, as processed by the settings below.

.topic 13752
Set the brightness adjustment value. Default is 0 (no change), positive numbers make image brighter, negative darker. Use the slider, or type the value in the edit box.

.topic 13753
Set the contrast adjustment value. Default is 0 (no change), positive values will enhance image contrast, negative will decrease it. Use the slider, or type the value in the edit box.

.topic 13754
Set the gamma adjustment value. Default is 1 (no change). Values less than 1 result in darker image, more than one in a brighter one. Use the slider, or type the value in the edit box.

.topic 13755
Resets the setting to its default value.

.topic 13756
Check to automatically apply the above color adjustments to every image opened in the internal viewer. If not checked, changes apply only to the currently loaded image.

.topic 13757
Reloads the original image again from the media, canceling all color adjustments made so far.

.topic 13712
Shows the next file on the list, based on item list in window where Viewer was called from.

.topic 13713
Shows the previous file on the list, based on item list in window where Viewer was called from.

.topic 13714
Activate to skip files for which media is not available, or files are not found on the media anymore.

.topic 13715
Check to stretch the size of viewed images to the window. Resizing viewer's window will also change the size of displayed image. If not checked, images are displayed in their native size.

.topic 13716
Click to adjust colors for viewed image, such as brightness, contrast, and gamma.

.topic 13717
Click to insert the media with the file you would like to view. The program will let you know which media to insert. If you have autoplay enabled, you can simply insert the appropriate media instead.

.topic 13718
Press down to view text in ASCII viewer in a DOS (OEM) codepage. By default, text is displayed as Windows (ANSI) codepage.

.topic 13719
Copies currently shown image to clipboard, making it available in other programs.

.topic 10034
If checked, the parent catalog of just added or updated disk image will be saved automatically after scanning the media completes.

.topic 11578
Check to allow duplicate files to have the same file name, but different file extensions, i.e. "Document.doc" and "Document.bak".

.topic 10950
Open search dialog, search for *.* (all items), and select to search for disks only.

.topic 10951
Open search dialog, search for *.* (all items), limit searching to the first 0 folder levels (root folder), and select to search for files and folders only.

.topic 10952
Open search dialog, search for wanted file mask, and select to search for files only.

.topic 10953
Open search dialog and search for *.* (all items), selected to return files and folders only.

.topic 10915
Check to adjust the size of icons to fit the size of text they are accompanying in printed report.

.topic 10916
Check to define your own size of icons in printed reports.

.topic 10917
Enter here the desired size of icons in selected units.

.topic 10918
Select the unit in which the size of icons is specified.

.topic 10919
Check to use the same size for thumbnails as would be used for icons.

.topic 10920
Check to define your own size of thumbnails in printed reports.

.topic 10921
Enter here the desired size of thumbnails in selected units.

.topic 10922
Select the unit in which the size of thumbnails is specified.

.topic 10923
Check this option and enter the maximum number of allowed description lines when printing or exporting reports. Use this option to prevent very large descriptions appearing in reports.

.topic 10836
Enter here the character used as a separator in CSV exports. Depending on CSV file type the most commonly used separators would be comma (",") or semi-column (";").

.topic 11009
Check to include files compressed inside archives and cataloged in comparing. This option allows you to find cataloged files on media even if they are compressed inside archives.

.topic 11010
Shows the list of selected items (source group) to be compared against the target group of items, selected below.

.topic 11011
Check to include in comapring all subfolders of selected source group items. For example, if there is a disk image entry in the source group, all folders and files on this disk image will be included if this is checked.

.topic 12005
Shows the list of files found in the source group only.

.topic 12006
Shows all files in the source group, matching at least one file in the target group based on selected compare criteria.

.topic 12007
Shows files found to have the same name as files in the target group, but not matching other compare criteria. Such files may just be similar, or they were either changed or moved to a different folder.

.topic 12008
Shows the list of files found in the target group only.

.topic 11579
Select to search for items with any kind of thumbnail available in catalog.

.topic 11580
Select to search for items with a thumbnail of specified size available in catalog.

.topic 11581
Select to search for items that do not have a thumbnail available in catalog.

.topic 11582
Choose here how do you want to search by thumbnail sizes.

.topic 11583
Select the desired thumbnail size to search by.

.topic 11584
Check here the states to search for disks associated with one of the checked states.

.topic 11585
Enter here the name or part of name, occurring in disk's lent to / borrowed from field.

.topic 11586
Check to search for disks by date, associated with lending / borrowing information.

.topic 11587
Select here how disk's lending or borrowing date will be compared to specified date.

.topic 11588
Enter here the date you are looking for, as specified by other options. Click on the "down" button on the right side to visually select date from a calendar.

.topic 11589
Check to allow tolerance when searching by date. If tolerance is set, program will allow disk's date to be older or newer for a specified number of days compared to search settings.

.topic 11590
Enter here the text to search for in disk's comment. Program will search for disks that have specified text occurring in its comment field, associated with lent out, borrowed, or not available disks.

.topic 14100
Check to import descriptions for all subitems of selected items as well. For example, if you have selected a folder to import descriptons for, checking this option will import descriptions for all files and subfolders inside that folder as well.

.topic 14101
Check to allow importing descriptions for files that are compressed inside archives. Please use this option with caution, processing archives slows down importing a lot and is more likely to run in problems.

.topic 14102
Check this option to eject media after importing descriptions from this media completes. Please note that not all drives support this feature.

.topic 14103
Check to silently skip all disks that are not available on the system, and all selected files that are found to be missing on the media.

.topic 14200
This is a list of subitems in currently selected item, for example, a list of disks in catalog, or a list of folders on a disk. Each item shows how much space it allocates in catalog file, and a percentage of space taken against other cataloged items. Items with assigned thumbnails and long descriptions will require most catalog space, and here you can quickly locate them. Items with additional subitems, i.e. folder with subfolders are marked with a "+" sign on the left, click it to see the subitems.

.topic 14201
Click to locate currently selected item in catalog, where you can perform operations like removing thumbnails and descriptions on it. Doing so will also close this dialog box.

.topic 14202
Shows a help topic about using this dialog and a few hints on how to make your catalogs smaller.

.topic 14203
Closes this dialog and returns.

.topic 14204
Moves one level higher, and shows the contents of a parent item of the currently selected one.

.topic 14205
Moves back one step, to the item you were previously on. Use the drop down menu to retrace more steps at once.

.topic 14207
Adds selected items to the user list.

.topic 14206
Moves forward one step, to the item you were on before backtracing. Use the drop down menu to move forward more steps at once.

.topic 11824
Shows the size of catalog file holding this catalog. Click to see how much space in catalog file take individual disks and folders.

.topic 11825
Shows the sum of all selected catalogs' file sizes. Click to see how much space in each catalog file take individual disks and folders.

.topic 13902
Import picture from file on disk. Select the file in the window below.

.topic 13903
Paste picture from clipboard. This option is enabled only if clipboard contains a valid bitmap.

.topic 14300
Creates a new catalog group, either an empty one, or one based on currently opened catalogs in the program.

.topic 14301
Loads an existing catalog group file to be edited.

.topic 14302
Saves catalog group file being edited.

.topic 14303
Adds a new catalog or catalog group file on the list.

.topic 14304
Removes currently selected catalogs or catalog groups from the list.

.topic 14305
Moves selected items one step up/down on the list.

.topic 14306
Press down to show details about catalogs and catalog groups currently listed.

.topic 14307
Press down to show catalog preview window on the right, showing the contents of currently selected catalog or catalog group.

.topic 14308
Enter here a catalog group description. This is an optional field and for your information only.

.topic 14309
Show the list of catalogs and catalogs groups currently selected to act as a group. When you select to open this catalog group, files listed here will be loaded.

.topic 14400
Holds a list of all disks in currently loaded catalogs, where you can assign borrowing/lending information for disks. Select a disk on the list, and adjust its details in the box below. To assign the same details to more than one disk at once, select multiple disks on the list.

.topic 14401
Choose here whether selected disks will be marked in catalog as available (default), lent out, borrowed, or not available.

.topic 14402
You can enter here the name of whoever you have lent the disk to, or borrowed it from.

.topic 14403
Check the checkbox and select the date if you would like to mark the date when the disk was lent out or borrowed.

.topic 14404
Enter here any optional comment related to the state of disk as selected above. For example, if disk is no longer available, you may want to enter here a reminder why is that.

.topic 10191
Check to enumerate all available network resources when searching for a media through network, or creating a visual representation of your local network. Note that checking this option will often cause long delays when accessing certain functions, like clicking the Network button in Add/Update Disk dialog, or trying to find if needed media is available shared somewhere on the network. By default this option is DISABLED, WhereIsIt only enumerates and uses network resources which you are already connected to, and are thus instantly accessible.

.topic 10837
Select here the template to use for exporting HTML report. A template defines the layout, structure and appearance of exported HTML report.

.topic 10838
Check this option if you would like to limit the number of items exported per single HTML file, and specify that number of items. If your report contains more items than that, WhereIsIt will export multiple HTML files, each holding one "page" of data.

.topic 10839
If HTML report consists of multiple pages, WhereIsIt can generate links in a form of index, allowing user to quickly access specific pages. Pages in the index are listed around currently selected page. You can adjust here how many pages should be listed in the index.

.topic 10840
Check this option to allow exporting cataloged thumbnails as separate JPEG files, and link them in generated HTML report.

.topic 10841
Check this option if you would like to export and link file icons in your HTML report. File icons are exported as transparent GIF files.

.topic 10035
Use this button to manage your scanning settings. You can set the current settings to be used as default every time a new disk image is added, or you can save them as a template and load them later. Stored settings include all settings in this dialog, update mode and active plugins.

.topic 10192
Check to show a small icon in the top right corner revealing the type of item when in thumbnail view. This may come on handy if it is not clear whether item is a file, folder, disk etc. while only its assigned thumbnail is displayed.

.topic 11592
Check if your categories are expected to be hierarhically dependant, meaning that subcategories are always a subgroup of their parent categories. For example, you may have a category "Plants" with subcategories "Trees" and "Bushes". If searching for Plants and this option is checked, search will also return all Trees and Bushes, even if those items are not explicitely assigned to the Plants category.

.topic 10193
If checked, list of categories and flags item is assigned to will be added to the pop-up window.

.topic 10924
Manages settings templates for this dialog. Save all available settings as a group and recall them later.

.topic 13720
Enables resampling stretched images. Resampling produces better quality image for given resolution, but takes longer to prepare, especially for large images.

.topic 11826
Changes the type of media in catalog. Note that the program allows changing media type only to other "compatible" types.

.topic 10728
Toggles sorting mode, if activated all items will be sorted alphabetically.

.topic 10729
Press down to automatically expand and collapse categories tree as you browse it.

.topic 10730
Reverts all changes on this page to the state as stored in the catalog. All changes done here will be lost.


Create New Catalog

How to reorder disks in catalog or disk group

In Where Is It? 3.00 and newer, every catalog or disk group. can have its own, custom order of items it contains - they can either be sorted by one of the columns, or you can manually define their order. To sort items by one of the columns, just select their parent catalog or disk group in tree view, and click the appropriate column header in the right, list view window.

To reorder catalogs, disks, and disk groups in an arbitrary order, you can either use your mouse and drag&drop items to their desired positions, or you can move selected item(s) around by holding down CTRL + ALT and pressing the up/down arrow keys. Note that if using drag&drop, dropping a disk on a disk group means to move that disk inside target disk group, rather than moving disk where group is - to accomplish the latter, hold down the SHIFT key while dragging your disk.


Browse History

Use the back and forward browse history buttons to track your steps as you were browsing through loaded catalogs. Back button moves you back to the location you were on before coming to where you are now, and forward button does just the opposite. Both buttons are equipped with drop-down browse history lists, where you can skip multiple steps at once.

See Also
Back One Level

Toolbar Buttons:
Menu Command:
(none)
Shortcuts:
Alt-Left, Alt-Right


Create New Catalog

WhereIsIt User Interface

Clear All Items

Removes all items from current list, leaving the list empty. Items are not actually deleted from catalog, they are just removed from the list.
Toolbar Button:
Menu Command:
(none)
Shortcut:
Shift-Delete


Create New Catalog

WhereIsIt User Interface

Set Coloring

This button will show a pull-down menu where you can select or disable item coloring. Items in catalog can be displayed in different colors, based on their names, types, assigned categories, flags, or disk locations. All colors are user defined, and can be set in either Program Settings (coloring by item names and types), or in Catalog Setup (colors used for categories, flags, and disk locations).

See Also
Program Settings, Catalog Setup

Toolbar Button:
Menu Command:
(none)
Shortcut:
(none)


Create New Catalog

WhereIsIt User Interface

Delete Items

Deletes selected items from the list. This option does not delete items from catalog, they are just removed from the current list.
Toolbar Button:
Menu Command:
(none)
Shortcut:
Delete


Create New Catalog

WhereIsIt User Interface

Maximize Found List

Maximizes the found list size to full extent, temporary hiding upper part of search window where you can select search criteria. This enables you to maximize number of items on the list you can see at once.
Toolbar Button:
Menu Command:
(none)
Shortcut:
(none)


Create New Catalog

Reverse Sort Order

Reverses sort ordering. Normal sort order is from smallest items on top to largest on the bottom. Using the Reverse Sort option, you can turn that around.

See Also
Sort Items

Toolbar Button:
Menu Command:
View / Sort Items /
Reverse Sort Order
Shortcut:
(none)


Create New Catalog

WhereIsIt User Interface

Stay On Top

Forces this window to always stay on top, even if it is not active at the moment. With this button set, you can always have your User List window, or Search window displayed on top, even if working in the main window at the moment.

The default behavior is that active window is always displayed on top, hiding parts of other windows, if necessary.
Toolbar Button:
Menu Command:
(none)
Shortcut:
(none)


Create New Catalog

WhereIsIt User Interface

Locate in Catalog

Locates currently focused item in the catalog. This button will switch to main window, open item's parent in the treeview, and select item on the list. This can be useful to check out other files in the same folder, for example.
Toolbar Button:
Menu Command:
(none)
Shortcut:
Ctrl-T


Create New Catalog

WhereIsIt User Interface

Change Icon

Opens a new dialog where you can set (or remove) a custom icon to be used in catalog for selected disk or folder, replacing the default icon. Custom icon can be one of currently defined in your catalog, or you can add a new one right on the spot - icons can be loaded from *.ico files, or extracted from other 32-bit executable files, like *.exe and *.dll.
Toolbar Button:
(none)
Menu Command:
Right-click disk or folder /
Change Icon
Shortcut:
(none)


Create New Catalog

WhereIsIt User Interface

Change Volume Label

Changes the volume label on the media, assuming that the media is writable and supports that. Note that volume is not the same as the name of disk in catalog, a volume label is actually written on the media and is a part of file system.
Toolbar Button:
(none)
Menu Command:
Right-click disk image /
Change Volume Label
Shortcut:
(none)


Description Window

The description window is a small, optional window that offers a quick access to the description and thumbnail of currently selected item. It's a quick and handy way to check out or even edit item's descriptions while browsing your catalogs. If available, it also shows item's thumbnail, making it ideal for browsing through graphics collections.

The window can be either docked inside the main window, or freely floating on its own. To dock it into the main window, grab it with your mouse by its header and drag it right under the right-side list view in the main window. A rectangle will show when it is in position to dock. Alternatively, you can just double- click its header. You can vertically resize a docked description window by moving the mouse cursor right above its header lines, until it changes into resize shape.

To undock description window, grab it with mouse by its header and drag it away - a rectangle will show, indicating a new size and position of undocked window. Alternatively, you can also just double-click its header with the same result. When the description window is not docked, it stays on top of all other child windows and provides feedback for their selected items as well - this way, you can use the description window in windows other than the main window, such as search results or user list.

See Also
Edit Description, How to edit description, Properties


Create New Catalog

WhereIsIt User Interface

Update Disk Image

Updates selected disk image. This is the preferred way for updating existing disk images in catalog, and it works a bit differently from the generic Add/Update Disk Image command. As this way the program knows exactly which disk image in catalog you want to update, selections can be more specific and allow actions that would not be possible with the generic Add/Update command. For example, if the original media has fundamentally changed since it was last cataloged (it was reformatted, hard drive was replaced, etc.) and is no longer recognized by the program, you can still update it's previous disk image by using this command. The program will warn you that selected drive does not match the properties of existing disk image, but you can still confirm that and proceed with update.

Whenever you are updating an existing disk image in catalog, it is always recommended that you do that by right-clicking disk image in catalog and selecting "Update Disk Image" command.

See Also
Update all disk images, Add/Update disk image, Update selected folder, How to add a new disk image to a catalog, About Scanning Disk Images

Toolbar Button:
(none)
Menu Command:
[Right-click disk image] /
Update Disk Image
Shortcut:
(none)